import Bladex
import GameText
import Raster
import CharStats
import darfuncs
import Sparks
import whrandom
import B3DLib
import AuxFuncs
import Scorer
import whrandom
import Actions
import copy
import pocimac
import Enm_Def
import ObjStore
import Damage

import NPCStats
import PlayerTypes
import EnemyNPCTypes
import AllyNPCTypes
import QuiverTypes
import AribethTypes
import LittleImpTypes
import HorrorTypes
import EttercapTypes



GameText.MapList ['DWARFWARSII'] = 'DwarfWarsII'




Raster.SetDomeColor(200,200,200)


##########################################################################################################################################################

from CharData import CharExperienceReward

CharExperienceReward['Dwarf_N']=     [100, 200, 400, 800, 1600, 3200, 6400, 12800, 25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000]
CharExperienceReward['Barbarian_N']= [100, 200, 400, 800, 1600, 3200, 6400, 12800, 25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000]
CharExperienceReward['Amazon_N']=    [100, 200, 400, 800, 1600, 3200, 6400, 12800, 25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000]
CharExperienceReward['Knight_N']=    [100, 200, 400, 800, 1600, 3200, 6400, 12800, 25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000]


		
###########################################################################################################################################################


Ambience=0

from DwarfWarsIIMenu import Amb  

if Amb==0:
	Ambience=0
	print("Ambience is Night")
else:
	Ambience=1
	print("Ambience is Stormy")

char=Bladex.GetEntity("Player1")
pjtype=char.Kind

def InitExtraStuff():
	if pjtype=="Wizard_A":
		import MasklinTypes
		char.Data.MagicLevel=6000
		char.Data.RespawnPos=(62883,-1013,27872)
		MasklinTypes.MagicReward["Dark_Knight"]=1500
		MasklinTypes.MagicReward["Knight_Traitor"]=600
		MasklinTypes.MagicReward["LittleImp_Air"]=800
		MasklinTypes.MagicReward["Horror_A"]=1800
		MasklinTypes.MagicReward["Hadraline_A"]=1200
		MasklinTypes.MagicReward["Umberhulk"]=5000
		MasklinTypes.MagicReward["Morag_A"]=4000
		MasklinTypes.MagicReward["Ettercap_1"]=1500
		MasklinTypes.EQImune.append("Morag_A")
		MasklinTypes.EQImune.append("Haedraline_A")
		MasklinTypes.EQImune.append("LittleImp_Air")
		MasklinTypes.EQImune.append("Ettercap_1")
		MasklinTypes.EQImune.append("Horror_A")
		MasklinTypes.InitMasklin()
		
	elif pjtype=="Fem1Wiz":
		import DorcasTypes
		DorcasTypes.InitDorcas()
	else:
		PlayerTypes.RemapKeys()
	try:
		execfile("slipsect.py")
	except:
		print "can't find slipsect.py"
	print "Extra Stuff Init....."
	
Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.0, InitExtraStuff,())



def MasklinWarning():
	GameText.WriteTextAux("Masklin is unavailable at the moment\n\n Please install WizardsDomain mod Version 1.2 or above", 40.0, 160,160,160,[],140)	

def DorcasWarning():
	GameText.WriteTextAux("Dorcas is unavailable at the moment\n\n Please install WizardsDomain mod Version 1.2 or above", 40.0, 160,160,160,[],140)	



def Intro():
	cam=Bladex.GetEntity("Camera")
  	cam.PViewType=0
	Bladex.DeactivateInput()
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.0, AuxFuncs.FadeFrom, (0.6,2.5,))
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.3, SetFirstHero,())
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 0.5, ChangeMusic,("Music4",))
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.3, Scorer.SetVisible, (1,))
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 1.8, Bladex.ActivateInput, ())
  	Bladex.AddScheduledFunc(Bladex.GetTime() + 6.0, ActivateImps, ())
  	#global pjtype
  	from DwarfWarsIIMenu import PlayerName
  	if PlayerName=="Masklin" and pjtype=="Knight_N":
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.8,MasklinWarning,())
	if PlayerName=="Dorcas" and pjtype=="Knight_N":
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.8,DorcasWarning,())
		
		
		
		
def ResetAttackMoves():

	# To fix bug in savegame where Data is applied before 
	# weapons are added to inventory and
	# unarmed moves are enabled.
	PlayerTypes.EnableExtraCombos()
	ents = Bladex.nEntities()
	for id in range(ents):
		per = Bladex.GetEntity(id)
		if per: 
			if per.Person:
				if per.Life>0 and per.Name!="Player1":
					try:
						per.Data.ResetCombat(per.Name)
						Reference.debugprint("RESET COMBAT: " + per.Name)
					except AttributeError:
						Reference.debugprint(per.Name+": Does not have ResetCombat attribute")

Bladex.AddScheduledFunc(Bladex.GetTime() + 3.0, ResetAttackMoves, ())



Currentmusic=""
		
def ChangeMusic(music):
	Bladex.KillMusic()
	Bladex.ExeMusicEvent(Bladex.GetMusicEvent(music))
	global Currentmusic
	Currentmusic=music
	print"Changing Music...."
	
	
def ResumeMusic():
	global Currentmusic
	Bladex.KillMusic()
	if Currentmusic!="":
		Bladex.ExeMusicEvent(Bladex.GetMusicEvent(Currentmusic))




def CreateCascada(Cascada,p,d,v,Time = 16,Grav = 13000,PPS = 500):
	cascada=Bladex.CreateEntity(Cascada, "Entity Particle System D2",p[0],p[1],p[2])
	cascada.D=d[0],d[1],d[2]
	cascada.ParticleType="AguaC"
	cascada.Friction=0.07
	cascada.RandomVelocity=10.0
	cascada.Velocity=v[0],v[1],v[2]
	cascada.PPS=PPS
	cascada.YGravity=Grav
	cascada.Time2Live=Time


Lboltnum=0

def KillBolt(entity):
	bolt=Bladex.GetEntity(entity)
	bolt.SubscribeToList("Pin")
	
def Lightning(spos,tpos,frec=60.0):
	global Lboltnum
	lightning=Bladex.CreateEntity("LBolt"+str(Lboltnum), "Entity ElectricBolt",spos[0],spos[1],spos[2])
	lightning.Target= tpos[0],tpos[1],tpos[2]
	lightning.Position=spos[0],spos[1],spos[2]
	lightning.MaxAmplitude=12000
	lightning.MinSectorLength=100000
	lightning.CoreGlowColor=180, 180, 200
	lightning.InnerGlowColor=200, 200, 200
	lightning.OuterGlowColor=40, 40, 40
	lightning.Active=1
	lightning.Damage=0
	Lboltnum=Lboltnum+1
	Bladex.AddScheduledFunc(Bladex.GetTime()+1.2, KillBolt,(lightning.Name,))
	Bladex.AddScheduledFunc(Bladex.GetTime()+frec, Lightning,(spos,tpos,frec,))
	

def StartLightning():
	Lightning((-240000,-98000,62000),(-240000,-25000,55000),90.0)
	Lightning((-200000,-98000,-62000),(-200000,-25000,-53000),50.0)
	Lightning((60000,-98000,-42000),(46750,-24100,-28000),70.0)
	Lightning((70000,-98000,-120000),(90000,-12100,-120000),40.0)
	Lightning((50000,-98000,-100000),(70000,-12100,-100000),60.0)


############################################################################################################################################################

def SoundAlarm(entityname):
	per=Bladex.GetEntity(entityname)
	x,y,z=per.Position
	sndalarmbell.Play(x,y,z, 4)



def SlowGoToGate(entity):
	per=Bladex.GetEntity(entity)
	if not per:
		return
	if per.Life<=0:
		return
	if not per.InCombat or per.GetActionMode()!=Enm_Def.ROUTE_CHASE:
		per.GoTo(0,-1000,0)
		per.RouteEndedFunc=LookForVictim
		
	
def LookForVictim(entity):
	per=Bladex.GetEntity(entity)
	per.Data.LookForAnotherOpponent(entity)
	per.RouteEndedFunc=None

	
	
##########################################################################################################################################################
	
def GetWeaponType(type,lvl):
	if EnemyNPCTypes.Weps.has_key(type):
		wps=EnemyNPCTypes.Weps[type]
		if lvl<=19:
			WPTYPE=wps[lvl]
		else:
			WPTYPE=wps[19]
  	else:
  		WPTYPE="Cazo"
	return WPTYPE
	
	
	
	
def GetAllyWeaponType(type,lvl):
	if type=="Militia_A":
		WPTYPE="Gladius"
	else:
		if AllyNPCTypes.AllyWeps.has_key(type):
			wps=AllyNPCTypes.AllyWeps[type]
			if lvl<=19:
				WPTYPE=wps[lvl]
			else:
				WPTYPE=wps[19]
  		else:
  			WPTYPE="Cazo"
	return WPTYPE


def GetShieldType(lvl):
	global Shields
	if lvl>19:
		SHTYPE=EnemyNPCTypes.Shields[19]
	else:
		SHTYPE=EnemyNPCTypes.Shields[lvl]
	return SHTYPE
	
	
	
def AssignData(entity):
	newchar=Bladex.GetEntity(entity)
	if newchar.Kind in ("Knight_Traitor","Dark_Knight"):
		newchar.Data=EnemyNPCTypes.EnemyKnight_Traitor(newchar)
	elif newchar.Kind in ("Ork","Great_Ork"):
		newchar.Data=EnemyNPCTypes.Ork(newchar)
	elif newchar.Kind=="Enano1":
		newchar.Data=AllyNPCTypes.Enano(newchar)
	elif newchar.Kind=="Enano5":
		newchar.Data=AllyNPCTypes.AllyDwarf(newchar)
	elif newchar.Kind=="Enano7":
		newchar.Data=AllyNPCTypes.Enano7(newchar)
	elif newchar.Kind=="ProAribeth_A":
		newchar.Data=AllyNPCTypes.WarriorFemale(newchar)
	elif newchar.Kind=="Fem1":
		newchar.Data=AllyNPCTypes.CivilianFemale(newchar)
	elif newchar.Kind=="Man1":
		newchar.Data=AllyNPCTypes.CivilianMan(newchar)
	else:
		print"No Data Available for new char"
	
	
	
#########################################################################################################################################################
	
def CleanTheCrap():
	ObjStore.CheckStore()
	ents = Bladex.nEntities()
	for id in range(ents):
		obj = Bladex.GetEntity(id)
		if obj:
			if obj.Kind == "Entity Pool":
				obj.RemoveFromWorld()
				obj.SubscribeToList("Pin")
				#Reference.debugprint("CLEANED: " + obj.Name)
	
	Reference.debugprint("CLEANED ALL THE CRAP")	
	
########################################################################################################################################################
######## Casualty Counter

EnemyDeadCount=0
AllyDeadCount=0
CivilianDeadCount=0
PlayerDeaths=0

def DeathCount(entity="Player1"):
	global PlayerDeaths
	PlayerDeaths=PlayerDeaths+1
	UpdateCasualtyList()
	if Bladex.GetEntity("Player1").Kind == "Wizard_A":
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 8.0, ResumeMusic,())

char=Bladex.GetEntity("Player1")
try:
	char.Data.DeathFunc=DeathCount
except:
	pass
	
	


def UpdateCasualtyList():
	import counter
	global EnemyDeadCount
	global AllyDeadCount
	global CivilianDeadCount
	global PlayerDeaths
	counter.WriteDeadCountText(EnemyDeadCount,AllyDeadCount,CivilianDeadCount,PlayerDeaths)
	if EnemyDeadCount>=50 and EnemyDeadCount%50==0:
		FlashMsg("Cleaning in 2 secs")
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 2.0,CleanTheCrap,())

Bladex.AddScheduledFunc(Bladex.GetTime()+ 1.0,UpdateCasualtyList,())

########################################################################################################################################################
################################## Enemy Generator

BigGuyOnThePlot=0
SecondAttack=0
Ettstarted=0
demonum=0
liznum=0
ettnum=0
enenum=0
goblinnum=0
MoragActive=0	


def AmIDispensable(entity):
	per = Bladex.GetEntity(entity)
	if per.Kind=="Umberhulk":
		return 0
	char=Bladex.GetEntity("Player1")
	if not per.CanISee(char) and not char.CanISee(per) and not per.InCombat and per.Life>0 and PlayerTypes.CheckIfAlly(per.Name) and per.Name!="Player1":
		return 1
	return 0




def ClearNonComabatants():
	ents = Bladex.nEntities()
	for id in range(ents):
		thing = Bladex.GetEntity(id)
		if thing:
			if thing.Person:
				if AmIDispensable(thing.Name):
					thing.Life=0
					
					
					
def ClearRemEnmemies():
	ents = Bladex.nEntities()
	for id in range(ents):
		per = Bladex.GetEntity(id)
		if per:
			if per.Person:
				if per.Life>0 and PlayerTypes.CheckIfAlly(per.Name) and per.Name!="Player1":
					per.Life=0
		
"""		
FinalAllyList=[]
poscounter=0
MusterPositions=[]
			

def RoleCall():
	global FinalAllyList
	for id in range(ents):
		per = Bladex.GetEntity(id)
		if per:
			if per.Person:
				if per.Life>0 and not PlayerTypes.CheckIfAlly(per.Name) and per.Name!="Player1":
					FinalAllyList.append(per.Name)
					try:
						if per.Data.OnGuard:					
							per.Data.OnGuard=0
					except:
						pass
	Bladex.AddScheduledFunc(Bladex.GetTime()+2.0, AllGoAndHaveALook,())


def AllGoAndHaveALook():
	global FinalAllyList,poscounter,MusterPositions
	umb=Bladex.GetEntity("BigGuy")
	p1=umb.Rel2AbsPoint(2000,2000,0)
	p2=umb.Rel2AbsPoint(3000,2000,0)
	p3=umb.Rel2AbsPoint(3000,3000,0)
	p4=umb.Rel2AbsPoint(-2000,2000,0)
	p5=umb.Rel2AbsPoint(-3000,2000,0)
	p6=umb.Rel2AbsPoint(3000,-2000,0)
	p7=umb.Rel2AbsPoint(2000,-2000,0)
	p8=umb.Rel2AbsPoint(4000,4000,0)
	p9=umb.Rel2AbsPoint(-3000,4000,0)
	p10=umb.Rel2AbsPoint(5000,-2000,0)
"""
	
	
	


def StartAttack(sector, entity):
	if entity=="Player1":
		print "StartAttack"	                 
	      	darfuncs.UnhideBadGuy("StartTraitorKnight1")
	      	darfuncs.UnhideBadGuy("StartTraitorKnight2")
	      	darfuncs.UnhideBadGuy("StartTraitorKnight3")
	      	darfuncs.UnhideBadGuy("StartTraitorKnight4")
	      	darfuncs.UnhideBadGuy("StartDarkKnight1")
	      	SlowGoToGate("StartTraitorKnight1")
	      	SlowGoToGate("StartTraitorKnight2")
	      	SlowGoToGate("StartTraitorKnight3")
	      	SlowGoToGate("StartTraitorKnight4")
	      	SlowGoToGate("StartDarkKnight1")
	        sectstart.OnEnter=None
	        sectstart2.OnEnter=None
	      



	     
def StartAttack2():
	global SecondAttack
	global BigGuyOnThePlot
	if SecondAttack:
		return
	if BigGuyOnThePlot:
		return
	SecondAttack=1
	print "StartAttack2"	  
	FlashMsg("Second Attack Started")               
	dkn2=Bladex.GetEntity("StartDarkKnight2")
	dkn3=Bladex.GetEntity("StartDarkKnight3")
	lvl=PlayerTypes.GetHighestLevel()
	dkn2.Level=lvl
	dkn3.Level=lvl
	dkn2.Life=CharStats.GetCharMaxLife("Dark_Knight",lvl)
	dkn3.Life=CharStats.GetCharMaxLife("Dark_Knight",lvl)
	darfuncs.UnhideBadGuy("StartDarkKnight2")
	darfuncs.UnhideBadGuy("StartDarkKnight3")
	EnemyNPCTypes.EnemyLevelUpFunc("StartDarkKnight2")
	EnemyNPCTypes.EnemyLevelUpFunc("StartDarkKnight3")
	darfuncs.HideBadGuy("StartDarkKnight2")
	darfuncs.HideBadGuy("StartDarkKnight3")
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,PlaceEnemy,("StartDarkKnight2",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+5.0,PlaceEnemy,("StartDarkKnight3",))
	
	
	
LizardAttack=0
	
def StartLizards():
	global LizardAttack
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	if LizardAttack:
		return
	LizardAttack=1
	FlashMsg("Lizard Attack Started")        
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,PlaceEnemy,("StartHaedraline1",))  
	Bladex.AddScheduledFunc(Bladex.GetTime()+10.0,PlaceEnemy,("StartHaedraline2",))  
	Bladex.AddScheduledFunc(Bladex.GetTime()+20.0,PlaceEnemy,("StartHaedraline3",))  
	    
	
	
def ActivateImps():
	imp1=Bladex.GetEntity("StartImp1")
	imp2=Bladex.GetEntity("StartImp2")
	imp3=Bladex.GetEntity("StartImp3")
	imp4=Bladex.GetEntity("StartImp4")
	imp5=Bladex.GetEntity("StartImp5")
	imp6=Bladex.GetEntity("StartImp6")
	imp1.UnFreeze()
	imp2.UnFreeze()
	imp3.UnFreeze()
	imp4.UnFreeze()
	imp5.UnFreeze()
	imp6.UnFreeze()
	imp1.Data.LookForAnotherOpponent("StartImp1")
	imp2.Data.LookForAnotherOpponent("StartImp2")
	imp3.Data.LookForAnotherOpponent("StartImp3")
	imp4.Data.LookForAnotherOpponent("StartImp4")
	imp5.Data.LookForAnotherOpponent("StartImp5")
	imp6.Data.LookForAnotherOpponent("StartImp6")
	
	      
	      
def StartDemons(sector, entity):
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	FlashMsg("Demons Started")       
	en=Bladex.GetEntity(entity)
	if en.Person:
		if en.Life<=0:
			return
		lvl=en.Level
		d1=Bladex.GetEntity("Demon_1")
		d1.Level=lvl
		d1.Life=CharStats.GetCharMaxLife(d1.Kind,lvl)
		d1.UnFreeze()
		d2=Bladex.GetEntity("Demon_2")
		d2.Level=lvl
		d2.Life=CharStats.GetCharMaxLife(d2.Kind,lvl)
		d2.UnFreeze()
	 	sectstart3.OnEnter=None      



	

def StartGoblins(sector, entity):
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	en=Bladex.GetEntity(entity)
	if en.Person:
		FlashMsg("Goblins Started")     
		char=Bladex.GetEntity("Player1")
		lvl=char.Level
		life=CharStats.GetCharMaxLife("Goblin_A",lvl)
		gob1=Bladex.GetEntity("StartGoblin1")
		gob1.Level=lvl
		gob1.Life=life
		gob1.UnFreeze()
		gob2=Bladex.GetEntity("StartGoblin2")
		gob2.Level=lvl
		gob2.Life=life
		gob2.UnFreeze()
		gob3=Bladex.GetEntity("StartGoblin3")
		gob3.Level=lvl
		gob3.Life=life
		gob3.UnFreeze()
		gob4=Bladex.GetEntity("StartGoblin4")
		gob4.Level=lvl
		gob4.Life=life
		gob4.UnFreeze()
		gob5=Bladex.GetEntity("StartGoblin5")
		gob5.Level=lvl
		gob5.Life=life
		gob5.UnFreeze()
		gob6=Bladex.GetEntity("StartGoblin6")
		gob6.Level=lvl
		gob6.Life=life
		gob6.UnFreeze()
		EnemyNPCTypes.GoblinLevelUpFunc("StartGoblin1")
		EnemyNPCTypes.GoblinLevelUpFunc("StartGoblin2")
		EnemyNPCTypes.GoblinLevelUpFunc("StartGoblin3")
		EnemyNPCTypes.GoblinLevelUpFunc("StartGoblin4")
		EnemyNPCTypes.GoblinLevelUpFunc("StartGoblin5")
		EnemyNPCTypes.GoblinLevelUpFunc("StartGoblin6")
	 	sectstart4.OnEnter=None            
		sectstart5.OnEnter=None
		
		


def StartEttercaps():
	global Ettstarted
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	if Ettstarted:
		return
	FlashMsg("Ettercap Attack Started")       
	Bladex.AddScheduledFunc(Bladex.GetTime()+0.0,  PlaceEnemy,("StartEttercap1",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+10.0, PlaceEnemy,("StartEttercap2",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+20.0, PlaceEnemy,("StartEttercap3",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+30.0, PlaceEnemy,("StartEttercap4",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+40.0, PlaceEnemy,("StartEttercap5",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+50.0, PlaceEnemy,("StartEttercap6",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+60.0, PlaceEnemy,("StartEttercap7",))
	Ettstarted=1



	
	
	      
	      
weaponholders=["Ork","Great_Ork","Dark_Ork","Enano1","Enano5","Militia_A","Bugbear_A"]

shieldholders=["Ork","Great_Ork","Enano1","Enano5","Militia_A"]


enemyspawnpos={}
enemyspawnpos["Default"]=  [(-88849, -1010, 15852),
                            (-92705, -1014, 17588),
                            (-95024, -1014, 17516),
                            (-93328, -994, 21065),
                            (-97191, -1015, 21244),
                            (-99278, -998, 22475),
                            (-101793, -995, 20717)]

enemyspawnpos["Knight_Traitor"]=[(-35432,-5595,-14041),
				 (-39389,-6233,-10039),
				 (-59593,-5655,12081),
				 (-62873,-6005,16746),
				 (-61539,-7022,24535),
				 (-57696,-7641,29893),
				 (-44641,-8358,37475),
				 (-11218,-1097,50470),
				 (-8016,-1074,53933),
				 (-11720,-527,59070),
				 (-17437,586,61847),
				 (-20828,900,65916),
				 (-19183,924,70348),
				 (-23498,901,73856)]


                           	
enemyspawnpos["Dark_Knight"]=[(-35432,-5595,-14041),
			      (-39389,-6233,-10039),
			      (-59593,-5655,12081),
			      (-62873,-6005,16746),
			      (-61539,-7022,24535),
			      (-57696,-7641,29893),
		              (-44641,-8358,37475),
			      (-11218,-1097,50470),
			      (-8016,-1074,53933),
			      (-11720,-527,59070),
			      (-17437,586,61847),
			      (-20828,900,65916),
			      (-19183,924,70348),
			      (-23498,901,73856)]

                           	
enemyspawnpos["LittleImp_Air"]=[(52812,-1248,17318),
				(45283,-1247,17296),
				(51101,-1041,24571),
				(50620,-1031,30389),
				(55194,-1242,36790),
				(48806,-1242,36956),
				(44964,-1099,41735),
				(39329,-2031,54644),
				(54148,-5329,53514),
				(23967,-1145,44542),
				(17507,-942,-57484),
				(50287,-1428,-14941),
				(45097,-1069,-12832),
				(48454,-1071,-12101),
				(52923,-1071,-11791),
				(53881,-1071,-15329),
				(44893,-1071,5213),
				(32060,-10091,-21969),
				(25732,-9868,-21467),
				(24919,-10951,-23191),
				(62048,-1231,17795),
				(51645,-1041,24632),
				(54562,-1236,37130),
				(44974,-1252,38697),
				(53408,-5330,53472),
				(54917,-6228,49161),
				(14656,-5239,47511)]
				
				
enemyspawnpos["Haedraline_A"]=[(38975,-1043,-19338),
			       (39020,-1035,-28288),
			       (38890,-1031,-10273),
			       (41734,-1031,-4284),
                               (44855,-1029,-12536),
                               (52884,-1029,-11596),
                               (53126,-1030,-8413),
                               (52716,-1030,-4272),
                               (53483,-1029,4536),
                               (39564,-1031,1302),
                               (39027,-1044,5829),
                               (38839,-1131,29882),
                               (39097,-1131,35564),
                               (40325,-1129,44736),
                               (25527,-1131,44232)]

enemyspawnpos["Morag_A"]=[(32836,-1083,17795),
			  (32841,-1091,38097),
                          (19398,-1093,38275),
                          (14945,-1093,17674),
                          (21138,-1107,24433),
                          (29211,-1078,25158),
                          (17170,-1091,26660)]
                          
enemyspawnpos["Goblin_A"]=[(-7536,-4069,-32372),
				(-5017,-4067,-39205),
				(-2929,-6151,-42192),
				(-1451,-5928,-55129),
				(-15990,-4067,-55683),
				(22629,-975,-58123),
				(16850,-966,-38740),
				(10787,-1070,-28514),
				(9738,-1071,-21548),
				(-16513,-6287,-25956),
				(-8653,-9387,-26217),
				(27217,-9038,11985),
				(30689,-9042,11623),
				(36697,-8998,10984),
				(42137,-9042,11651),
				(15453,-8777,12781),
				(47302,-8882,10896),
				(50018,-8891,10445),
				(51500,-8890,12633),
				(46965,-8891,12905),
				(-9629,-890,-12445),
				(-10483,-891,-17186),
				(-14126,-1606,-16785),
				(-16972,-1918,-20076),
				(-14681,-3401,-22407),
				(-10140,-3246,-22136)]
	       
enemyspawnpos["Horror_A"]=[(54347,-5887,-19591),
				(54820,-7581,-25784),
				(54615,-10890,-36766),
				(39009,-15877,-36148),
				(38566,-15873,-30001),
				(38750,-15890,-25403),
				(38840,-15889,-20360),
				(43151,-889,-36664),
				(54903,-896,-35860)]
	
enemyspawnpos["Ettercap_1"]=[(25542,-889,-24545),
		                (25978,-891,-21058),
				(24352,-891,-21069),
				(21392,-890,-20687),
				(19248,-887,-21803),
				(15575,-891,-23467),
				(11631,-889,-25855),
				(5492,-889,-20666),
				(45494,-889,-13374),
				(48410,-890,-12004),
				(52818,-879,-12452),
				(53583,-879,-15631),
				(52867,-878,-4252),
				(52581,-888,4518),
				(52709,-890,1855),
				(52766,-890,-915),
				(46318,-891,4869),
				(39419,-889,-19798),
				(38715,-890,-22461),
				(48983,-1134,45545),
				(47811,-1136,46729),
				(46049,-1137,48211),
				(45019,-1137,45133),
				(13149,-1036,34611),
				(13210,-1024,32472),
				(15731,-1036,34167)]

enemyspawnpos["Umberhulk"]=[(-13078,-1953,-8134),
			    (-13797,-2302,-4667),
		            (-14486,-2302,1005),
			    (-14104,-1996,6203),
			    (-8970,-1180,11713),
                            (-22384,-4066,1306)]
	
	
	

def  EttercapDead(EntityName):
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()	
	ene=Bladex.GetEntity(EntityName)
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 5.0, CreateEttercap,())
	

	
def CreateEttercap():
	global ettnum
	ettnum=ettnum+1
	if ettnum>=20:
		SetBigGuyTrigger()
		return
	en=Bladex.CreateEntity("NewEttercap"+str(ettnum),"Ettercap_1",0,20000,0,"Person")
	en.Data=EttercapTypes.Ettercap(en)
	en.Data.DeathFunc=EttercapDead
	en.Data.DeathArgs=(en.Name,)
	darfuncs.HideBadGuy(en.Name)
	en.Alpha=0
	en.CastShadows=0
	rwp=Bladex.GetEntity(en.InvRight)
	if not rwp:
		print en.Name+" Does Not Have a claw !!!!"
		return
	PlaceEnemy(en.Name)      
	
	


def IsTheBossLizardAlive():
	mrg=Bladex.GetEntity("StartMorag1")
	if mrg.Life<=0:
		return 0
	return 1


def SetBigGuyTrigger():
	global sectstart6
	sectstart6.OnEnter= BringInTheBigGuy


def BringInTheBigGuy(sector,entity):
	if entity!="Player1":
		return
	if IsTheBossLizardAlive():
		return
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	BigGuyOnThePlot=1
	FlashMsg("Umberhulk Activated")       
	Bladex.KillMusic()
	CleanTheCrap()
	umb1=Bladex.GetEntity("BigGuy")
	lvl=PlayerTypes.GetHighestLevel()
	ClearNonComabatants()
	umb1.Level=lvl+1
	umb1.Life=CharStats.GetCharMaxLife("Umberhulk",lvl)
	umb1.Data.SetMyDamage()
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.5,sndthunder.Play,(0,-10000,0,0,))
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 3.5,ChangeMusic,("Music1",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 6.0,PlaceEnemy,("BigGuy",))
	sectstart6.OnEnter=None
	

			       
def DemonDead(EntityName):
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()		
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	ene=Bladex.GetEntity(EntityName)
	enelvl=ene.Level
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 20.0, CreateEnemyDemon,(enelvl,))
	
	
	
def AllClear():
	GameText.WriteTextAux("The Great Beast is slain\n\n The Town is safe", 8.0, 160,160,180,[],100)
	
def AllClear2():
	GameText.WriteTextAux("For the moment........", 6.0, 160,160,180,[],70)
	
	


MatrixTimeX = 0
MatrixCameraStateX = 0
MatrixPersonX = ""

def MatrixFXAfterFrameFuncX(time):
	global MatrixTimeX
	darfuncs.GiraCamara((time-MatrixTimeX)*0.2,1300)
	MatrixTimeX = time


def StartMatrixFXX(ESource = "Player1"):
	global MatrixTimeX
	global MatrixCameraStateX
	global MatrixPersonX
	if MatrixPersonX == "":
		Bladex.SetTimeSpeed(0.5)
		darfuncs.InitGiroCamera(ESource)
		Bladex.RemoveAfterFrameFunc("MatrixFXX")
		Bladex.SetAfterFrameFunc("MatrixFXX",MatrixFXAfterFrameFuncX)
		MatrixTimeX = Bladex.GetTime()
		MatrixCameraStateX = Bladex.GetEntity("Camera").PViewType
		Bladex.GetEntity("Camera").PViewType = 0
		MatrixPersonX = ESource


import netgame

def StopMatrixFXX():
	global MatrixTimeX
	global MatrixCameraStateX
	global MatrixPersonX
	import netgame
	if MatrixPersonX != "":
		Bladex.SetTimeSpeed(1.0)
		Bladex.RemoveAfterFrameFunc("MatrixFXX")
		netgame.SetPersonView("Player1")
		cam = Bladex.GetEntity("Camera")
		cam.PViewType = MatrixCameraStateX
		cam.Cut()
		MatrixTimeX        = 0
		MatrixCameraStateX = 0
		MatrixPersonX      = ""



def AlliesJumpBackInAmazement():
	umb=Bladex.GetEntity("BigGuy")
	x,y,z=umb.Position
	ents=Bladex.GetEntitiesAt(x,y,z,5000)
	for id in ents:
		per=Bladex.GetEntity(id)
		if per.Person:
			if per.Life>0 and per.Name!= "Player1" and not AllyNPCTypes.CheckIfAlly(per.Name):
				per.Wuea=Reference.WUEA_ENDED
				per.InterruptCombat()
				per.LaunchAnmType("d_b")
					
				

	     			    
def BigGuyDead(entity):
	me=Bladex.GetEntity(entity)
	char=Bladex.GetEntity("Player1")
	Bladex.KillMusic()
	ClearRemEnmemies()
	AlliesJumpBackInAmazement()
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 9.0,ChangeMusic,("Music2",))
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 10.0,AllClear,())
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 20.0,AllClear2,())
	dist=B3DLib.GetXZDistance(entity, "Player1")
	if dist<10000 and char.CanISee(me):
		StartMatrixFXX(entity)
		Bladex.AddScheduledFunc(Bladex.GetTime()+ 0.2,ChangeMusic,("Music6",))
		Bladex.AddScheduledFunc(Bladex.GetTime()+7.8,StopMatrixFXX,())
		Bladex.AddScheduledFunc(Bladex.GetTime()+4.2,darfuncs.Temblores,(1.0,40))
	else:
		pass
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()		

	

DemonMeshes=["Horror_A","Horror_B","LesserDemon_A","LesserDemon_B","LesserDemon_C","LesserDemon_D"]
	
def CreateEnemyDemon(LEVEL):
	print "creating enemy demon"
	global enemyspawnpos
	global DemonMeshes
	global demonum
	demonum=demonum+1
	randnum=whrandom.randint(0,len(DemonMeshes))
	MESH=(DemonMeshes[randnum-1])
	en=Bladex.CreateEntity("Demon"+str(demonum),"Horror_A",0,20000,0,"Person",MESH)
	if LEVEL<19:
		en.Level=LEVEL+1
	else:
		en.Level=19
	if MESH =="LesserDemon_A":
		en.Data=HorrorTypes.LesserDemon(en)
	elif MESH in ("LesserDemon_B","LesserDemon_C","LesserDemon_D"):
		en.Data=HorrorTypes.Slaad(en)
	else:
		en.Data=HorrorTypes.Horror(en)
	en.Data.DeathFunc=DemonDead
	en.Data.DeathArgs=(en.Name,)
	darfuncs.HideBadGuy(en.Name)
	en.Alpha=0
	en.CastShadows=0
	PlaceEnemy(en.Name)      
	
			       
	
def HaedralineDead(EntityName):
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()	
	global LizardList
	if EntityName in LizardList:
		LizardList.remove(EntityName)	
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	ene=Bladex.GetEntity(EntityName)
	enelvl=ene.Level
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 10.0, CreateEnemyHaedraline,(enelvl,))
	print "Lizard Dead"
			       
		
		
LizardMeshes=["Haedraline_A","Haedraline_B"]
       
			       
def CreateEnemyHaedraline(LEVEL):
	mrg=Bladex.GetEntity("StartMorag1")
	if mrg.Life<=0:
		return
	print "creating enemy lizard"
	global enemyspawnpos
	global LizardMeshes
	global liznum
	liznum=liznum+1
	if liznum>15:
		ActMorag()
		# keep spawning lizards until boss lizard is killed....
	randnum=whrandom.randint(0,len(LizardMeshes))
	MESH=(LizardMeshes[randnum-1])
	en=Bladex.CreateEntity("Lizard"+str(liznum),"Haedraline_A",0,20000,0,"Person",MESH)
	en.Level=LEVEL+1
	rwp=Bladex.CreateEntity(en.Name+"WP","LizardWeapon1",0,30000,0,"Weapon")
	lwp=Bladex.CreateEntity(en.Name+"SH","LizardShield1",0,30000,0,"Weapon")
	Sparks.MakeShield(lwp.Name)
	Actions.TakeObject(en.Name,rwp.Name)
	Actions.TakeObject(en.Name,lwp.Name)
	en.Data=EnemyNPCTypes.Haedraline(en)
	en.Data.DeathFunc=HaedralineDead
	en.Data.DeathArgs=(en.Name,)
	en.Data.LevelupFunc=EnemyNPCTypes.HaedralineLevelUpFunc
	en.Data.LevelupArgs=(en.Name,)
	EnemyNPCTypes.HaedralineLevelUpFunc(en.Name)
	global LizardList
	LizardList.append(en.Name)
	darfuncs.HideBadGuy(en.Name)
	en.Alpha=0
	en.CastShadows=0
	PlaceEnemy(en.Name)      
			       
			       
			   

def ActMorag():       
	global MoragActive
	if MoragActive: 
		return   
	print "Acivate Boss Lizard"
	FlashMsg("Boss Lizard Started")       
	MoragActive=1
	mrg=Bladex.GetEntity("StartMorag1")
	lvl=PlayerTypes.GetHighestLevel()
	mrg.Level=lvl
	mrg.Life=CharStats.GetCharMaxLife(mrg.Kind,lvl)
	EnemyNPCTypes.MoragLevelUpFunc("StartMorag1")
	PlaceEnemy("StartMorag1")    
	
	
def MoragDead(entity):
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()
	global LizardList
	for id in LizardList:
		liz=Bladex.GetEntity(id)
		if liz and liz.Life>0:
			liz.Life=0
	FlashMsg("Boss Lizard Dead Hahahahaha")  
	
	
	
	
	
ImpMeshes=["LittleImp_Air","LittleImp_Dust","LittleImp_Earth","LittleImp_Magma","LittleImp_Ice","LittleImp_Coal"]
impnum=0

def LittleImpDead(EntityName):
	ene=Bladex.GetEntity(EntityName)
	enelvl=ene.Level
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 20.0, CreateEnemyImp,(enelvl,))
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()
	
	
	
def GoblinDead(EntityName):
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	ene=Bladex.GetEntity(EntityName)
	enelvl=ene.Level
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 20.0, CreateEnemyGoblin,(enelvl,))
	


def CreateEnemyImp(LEVEL):
	print "creating enemy imp"
	global enemyspawnpos
	global ImpMeshes
	global impnum
	impnum=impnum+1
	if impnum==30:
		StartEttercaps()
		return
	if impnum>=40:
		return
	randnum=whrandom.randint(0,len(ImpMeshes))
	MESH=(ImpMeshes[randnum-1])
	en=Bladex.CreateEntity("LittleImp"+str(impnum),"LittleImp_Air",0,20000,0,"Person",MESH)
	en.Level=LEVEL	
	en.Data=LittleImpTypes.LittleImp(en)
	en.Data.UpgradeMyClaw()
	en.Data.DeathFunc=LittleImpDead
	en.Data.DeathArgs=(en.Name,)
	darfuncs.HideBadGuy(en.Name)
	en.Alpha=0
	en.CastShadows=0
	PlaceEnemy(en.Name)





GoblinMeshes=["Goblin_A","Goblin_B","Goblin_Archer"]

def CreateEnemyGoblin(LEVEL):
	if LEVEL>18:
		return
	print "creating enemy Goblin"
	global enemyspawnpos
	global GoblinMeshes
	global goblinnum
	goblinnum=goblinnum+1
	randnum=whrandom.randint(0,len(GoblinMeshes))
	MESH=(GoblinMeshes[randnum-1])
	en=Bladex.CreateEntity("Goblin"+str(goblinnum),"Goblin_A",0,20000,0,"Person",MESH)
	pjlvl=Bladex.GetEntity("Player1").Level
	if pjlvl>9:
		en.Level=pjlvl-1
	else:
		en.Level=LEVEL	
	rwp=Bladex.CreateEntity(en.Name+"RightWeapon",GetWeaponType("Goblin_A",LEVEL),0,20000,0,"Weapon")
	rwp.Scale=1.0
	try:
		ItemTypes.ItemDefaultFuncs(rwp)
	except:
		print"unknown weapon in Item Types"
		pass
	Actions.TakeObject(en.Name,rwp.Name)
	if MESH=="Goblin_Archer":
		en.Data=EnemyNPCTypes.GoblinArcher(en)
	else:
		en.Data=EnemyNPCTypes.Goblin(en)
	en.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
	en.Data.LevelupArgs=(en.Name,)
	en.Data.DeathFunc=GoblinDead
	en.Data.DeathArgs=(en.Name,)
	darfuncs.HideBadGuy(en.Name)
	EnemyNPCTypes.GoblinLevelUpFunc(en.Name)
	en.Alpha=0
	en.CastShadows=0
	PlaceEnemy(en.Name)


def EnemyDead(EntityName):
	global EnemyDeadCount
	EnemyDeadCount=EnemyDeadCount+1
	UpdateCasualtyList()
	global BigGuyOnThePlot
	if BigGuyOnThePlot:
		return
	ene=Bladex.GetEntity(EntityName)
	enekind=ene.Kind
	enelvl=ene.Level+1
	enemesh=ene.MeshName
	Bladex.AddScheduledFunc(Bladex.GetTime()+ 20.0, CreateEnemy,(enekind,enelvl,enemesh,))
	
	

def CreateEnemy(EntityKind,LEVEL,MESH):
	print "creating enemy"
	global enemyspawnpos
	global enenum
	enenum=enenum+1
	if enenum>36 and enenum<40:
		StartAttack2()
	if enenum>80 and enenum<85:
		StartLizards()
	if enenum>120:
		StartEttercaps()
		return
	global shieldholders
	en=Bladex.CreateEntity(EntityKind+str(enenum),EntityKind,0,20000,0,"Person",MESH)
	pjlvl=Bladex.GetEntity("Player1").Level
	if pjlvl>=9:
		if pjlvl>LEVEL:
			en.Level=pjlvl-2
		else:
			en.Level=LEVEL	
	else:
		en.Level=LEVEL	
	rwp=Bladex.CreateEntity(en.Name+"RightWeapon",GetWeaponType(EntityKind,LEVEL),0,20000,0,"Weapon")
	rwp.Scale=1.0
	try:
		ItemTypes.ItemDefaultFuncs(rwp)
	except:
		print"unknown weapon in Item Types"
		pass
	Actions.TakeObject(en.Name,rwp.Name)
	if EntityKind in shieldholders:
		sh=Bladex.CreateEntity(en.Name+"Shield",GetShieldType(en.Level),0,20000,0,"Weapon")
		sh.Scale=1.0
		Sparks.MakeShield(sh.Name)
		Actions.TakeObject(en.Name,sh.Name)
	AssignData(en.Name) 	
	SetEnemyFuncs(en.Name)
	en.SendTriggerSectorMsgs=1
	darfuncs.HideBadGuy(en.Name)
	en.Alpha=0
	en.CastShadows=0
	PlaceEnemy(en.Name)
	


def SetEnemyFuncs(entity):
	en=Bladex.GetEntity(entity)
	en.Data.DeathFunc=EnemyDead
	en.Data.DeathArgs=(en.Name,)
	en.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
	en.Data.LevelupArgs=(en.Name,)




def PlaceEnemy(enemyname):
	global enemyspawnpos
	en=Bladex.GetEntity(enemyname)
	if en.Alpha>0.9:
		en.Alpha=0
	if enemyspawnpos.has_key(en.Kind):
		positions=enemyspawnpos[en.Kind]
	else:
		positions=enemyspawnpos["Default"]
	pos=positions[whrandom.randint(0, len(positions)-1)]
	en.Position=pos[0], pos[1], pos[2]
	en.Angle=B3DLib.GetEntity2EntityAngle(en.Name, "Player1")
	darfuncs.HideBadGuy(enemyname)
	if ConcealedAppear(pos,en.Name)==1:
		if en.Kind=="Haedraline_A":
			print "Placing Lizard at: ",pos
		darfuncs.UnhideBadGuy(enemyname)
		en.Alpha=1.0
		en.CastShadows=1
		en.SetOnFloor()
		if en.Kind in ("Knight_Traitor","Dark_Knight"):
			Bladex.AddScheduledFunc(Bladex.GetTime() + 2.0,SlowGoToGate,(enemyname,))
		else:
			try:
				en.Data.LookForAnotherOpponent(en.Name)
			except AttributeError:
				pass
		Reference.debugprint(enemyname+" All clear - ready to fight")
		
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceEnemy,(enemyname,))
		Reference.debugprint(enemyname+" position not good - next try in a mo.")
	
	
def ConcealedAppear(pos,entity):
	en=Bladex.GetEntity(entity)
	char=Bladex.GetEntity("Player1")
	dist=B3DLib.GetXZDistance("Player1",en.Name)
	if dist >4000:
		# check not in Player sight
		if not en.CanISee(char) and not char.CanISee(en):
			things=Bladex.GetEntitiesAt(pos[0],pos[1],pos[2],1500)
			# check that another en is not already in my position
			clear=1
			for id in things:
				possibleen=Bladex.GetEntity(id)
				if possibleen.Person and possibleen.Name!=en.Name:
					if possibleen.Life>0:
						print "Trying to do it, but",id,"is already in my position."
						clear=0
			else:
				if clear==1:
					return 1
				else:
					return 0
		else:
			print "I can't appear here. I can be seen."
			return 0
	else:
		return 0
		
###########################################################################################################################################################
#################### Ally Generator #######################################################################################################################

def SignOn(entity):
	char=Bladex.GetEntity("Player1")
	char.Data.AddAlly(entity)

def SignOff(entity):
	char=Bladex.GetEntity("Player1")
	char.Data.RemoveAlly(entity)


def CrysaniaDead(entity):
	per=Bladex.GetEntity(entity)
	try:
		cat=Bladex.GetEntity(entity+"_Cat")
		if cat and cat.Life>0:
			SignOn(cat.Name)
			cat.Data.Ownername="Player1"
			print cat.Name+": My owner is dead so I will adopt the Player"
	except:
		pass
	global AllyDeadCount
	AllyDeadCount=AllyDeadCount+1
	UpdateCasualtyList()
	SignOff(entity)
	FlashMsg("Crysania KIA")
	
	
def DorcasDead(entity):
	per=Bladex.GetEntity(entity)
	global AllyDeadCount
	AllyDeadCount=AllyDeadCount+1
	UpdateCasualtyList()
	SignOff(entity)
	FlashMsg("Dorcas KIA")
	

def CatDead(entity):
	global AllyDeadCount
	AllyDeadCount=AllyDeadCount+1
	UpdateCasualtyList()
	FlashMsg("Big Cat KIA")
	char=Bladex.GetEntity("Player1")
	if entity in char.Data.AllyList:
		SignOff(entity)


def SetAllyFuncs(entity):
	ally=Bladex.GetEntity(entity)
	if not ally:
		return
	ally.Data.DeathFunc=AllyDead
	ally.Data.DeathArgs=(ally.Name,)
	ally.Data.LevelupFunc=AllyNPCTypes.AllyLevelUpFunc
	ally.Data.LevelupArgs=(ally.Name,)
	ally.Data.Combatant=1
	#print "Ally Funcs set for :",ally.Name
	

def SetAllyArcherFuncs(entity):
	ally=Bladex.GetEntity(entity)
	ally.Data.DeathFunc=AllyDead
	ally.Data.DeathArgs=(ally.Name,)
	ally.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
	ally.Data.LevelupArgs=(ally.Name,)
	ally.Data.Combatant=1
	#print "AllyArcher Funcs set for :",ally.Name
	
	

allyspawnpos={}
allyspawnpos["Default"]=[(-9227, -1278, 8597),
	                 (-6465, -1291, -4498),
	                 (39000, -1078, -2000),
	                 (39000, -1078, -4000),
	                 (39000, -1078, -6000),
	                 (32000, -1079, -26000),
	                 (30000, -1079, -26000),
	                 (28000, -1079, -26000),
	                 (26000, -1079, -26000)]
	                 
allyspawnpos["Enano1"]= [(-9227, -1278, 8597),
	                 (-6465, -1291, -4498),
	                 (0,-1000,0),
	                 (18000,-1000,0),
	                 (-6268, -887, 23192),
	                 (-6557, -888, 33300),
	                 (-8101, -891, 38584),
	                 (-9025, -963, -4633),
	                 (-8297, -908, 4005),
	                 (16868, -889, -11585),
	                 (16237, -890, 4593)]
	                 
allyspawnpos["Enano7"]= [(-9227, -1278, 8597),
	                 (-6465, -1291, -4498),
	                 (0,-1000,0),
	                 (18000,-1000,0),
	                 (-6268, -887, 23192),
	                 (-6557, -888, 33300),
	                 (-8101, -891, 38584),
	                 (-9025, -963, -4633),
	                 (-8297, -908, 4005),
	                 (16868, -889, -11585),
	                 (16237, -890, 4593)]

allyspawnpos["ProAribeth_A"]= [(-14000, -9078, 44000),
	                    (8500, -11000, 36000),
	                    (15000, -1078, 20000),
	                    (15000, -1078, 23000),
	                    (15000, -1078, 26000),
	                    (15000, -1078, 29000),
	                    (10000, -1078, -27000),
	                    (10000, -1078, -29000),
	                    (30000, -1079, -14000),
	                    (27000, -1079, -14000),
	                    (20000, -1079, -26000)]


allynum=1

def AllyDead(EntityName):
	ally=Bladex.GetEntity(EntityName)
	allykind=ally.Kind
	global AllyDeadCount
	AllyDeadCount=AllyDeadCount+1
	UpdateCasualtyList()
	SignOff(EntityName)
	allylvl=ally.Level
	allymesh=ally.MeshName
	guardflag=0
	guardpos=0,0,0
	guardlookpoint=0,0
	if ally.Data.OnGuard:
		guardflag=1
		guardpos=ally.Data.GuardPoint
		guardlookpoint=ally.Data.GuardLookPoint
	replacetime=AllyDeadCount*5
	if allykind == "Militia_A":
		Bladex.AddScheduledFunc(Bladex.GetTime()+ replacetime, CreateAllyMilitia,(allykind,allylvl,allymesh,guardflag,guardpos,guardlookpoint))
		print "Militia Dead "
	elif allykind == "ProAribeth_A":
		Bladex.AddScheduledFunc(Bladex.GetTime()+ replacetime, CreateAllyArcher,(allykind,allylvl,allymesh,guardflag,guardpos,guardlookpoint))
		print "Archer Dead"
	else:
		Bladex.AddScheduledFunc(Bladex.GetTime()+ replacetime, CreateAlly,(allykind,allylvl,allymesh,guardflag,guardpos,guardlookpoint))
		
	
	
	
	
ArcherMeshes=["Fema18","Fema8","Fema20"]	
	
def CreateAllyArcher(EntityKind="ProAribeth_A",LEVEL=0,Mesh_name="Fema1",onguard=0,guardpos=(),guardlookpoint=()):
	print "creating female archerally"
	global allyspawnpos
	global allynum
	global ArcherMeshes
	ally=Bladex.CreateEntity("AllyArcher_"+str(allynum),EntityKind,0,20000,0,"Person")
	randnum=whrandom.randint(0,len(ArcherMeshes))
	ally.SetMesh(ArcherMeshes[randnum-1])
	ally.Level=LEVEL
	rwp=Bladex.CreateEntity(ally.Name+"RightWeapon","ProSword6",0,20000,0,"Weapon")
	rwp.Scale=1.0
	Actions.TakeObject(ally.Name,rwp.Name)
	lwp=Bladex.CreateEntity(ally.Name+"Shield","Escudo1",0,20000,0,"Weapon")
	ItemTypes.ItemDefaultFuncs(lwp)
	lwp.Scale=0.9
	Actions.TakeObject(ally.Name,lwp.Name)
	
	"""
	bw=Bladex.CreateEntity(ally.Name+"BW","Arco",0,0,0,"Weapon")
	inv.AddBow(bw.Name)
	ItemTypes.ItemDefaultFuncs(bw)
	qv=Bladex.CreateEntity(ally.Name+"QV","Carcaj",0,0,0)
	QuiverTypes.QuiverTypeFuncs(qv)
	inv.AddQuiver(qv.Name)
	qv.Data.ArrowsLeft=10
	"""
	
	AssignData(ally.Name) 
	SetAllyArcherFuncs(ally.Name)
	AllyNPCTypes.ArcherLevelUpFunc(ally.Name)
	ally.SendTriggerSectorMsgs=1
	darfuncs.HideBadGuy(ally.Name)
	ally.Alpha=0
	ally.CastShadows=0
	PlaceAlly(ally.Name)
	SignOn(ally.Name)
	allynum=allynum+1
	
	


def CreateAlly(EntityKind="Enano1",LEVEL=0,Mesh_name="Enano1",onguard=0,guardpos=(),guardlookpoint=()):
	if EntityKind=="Enano7":
		return
	print "creating ally"
	global allyspawnpos
	global allynum
	global shieldholders
	global EnanoMeshes
	ally=Bladex.CreateEntity(EntityKind+str(allynum),EntityKind,0,20000,0,"Person",Mesh_name)
	ally.Level=LEVEL
	rwp=Bladex.CreateEntity(ally.Name+"RightWeapon",GetAllyWeaponType(EntityKind,LEVEL),0,20000,0,"Weapon")
	rwp.Scale=1.0
	try:
		ItemTypes.ItemDefaultFuncs(rwp)
	except:
		print"unknown weapon in Item Types"
		pass
	Actions.TakeObject(ally.Name,rwp.Name)
	if EntityKind in shieldholders:
		sh=Bladex.CreateEntity(ally.Name+"Shield",GetShieldType(ally.Level),0,20000,0,"Weapon")
		sh.Scale=1.0
		Sparks.MakeShield(sh.Name)
		Actions.TakeObject(ally.Name,sh.Name)
	AssignData(ally.Name) 
	SetAllyFuncs(ally.Name)
	if onguard:
		ally.Data.OnGuard=1
		ally.Data.GuardPoint=guardpos[0],guardpos[1],guardpos[2]
		ally.Data.GuardLookPoint=guardlookpoint[0],guardlookpoint[1]
	ally.SendTriggerSectorMsgs=1
	darfuncs.HideBadGuy(ally.Name)
	ally.Alpha=0
	ally.CastShadows=0
	PlaceAlly(ally.Name)
	SignOn(ally.Name)
	allynum=allynum+1


def PlaceAlly(allyname):
	global allyspawnpos
	ally=Bladex.GetEntity(allyname)
	if ally.Alpha>0.9:
		ally.Alpha=0
	if allyspawnpos.has_key(ally.Kind):
		positions=allyspawnpos[ally.Kind]
	else:
		positions=allyspawnpos["Default"]
	pos=positions[whrandom.randint(0, len(positions)-1)]
	ally.Position=pos[0], pos[1], pos[2]
	ally.Angle=B3DLib.GetEntity2EntityAngle(ally.Name, "Player1")
	darfuncs.HideBadGuy(allyname)
	if ConcealedAppear(pos,ally.Name)==1:
		darfuncs.UnhideBadGuy(allyname)
		ally.Alpha=1.0
		ally.CastShadows=1
		ally.SetOnFloor()
		if ally.Data.OnGuard:
			ally.Data.GoBackToPost(ally.Name)
		Reference.debugprint("All clear - ally ready to fight")
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceAlly,(allyname,))
		Reference.debugprint("position not good for ally - next try in a mo.")
	



def AllyDwarfDead(entity):
	global backupdwarfs
	olddwarf=Bladex.GetEntity(entity)
	print entity+" KIA"
	lvl=olddwarf.Level
	if len(backupdwarfs)!=0:
		nubacupdwarf=Bladex.GetEntity(backupdwarfs[0])
		if nubacupdwarf:
			if nubacupdwarf.Life<=0:
				print "Reserve Dwarf is already dead"
				return
			print "Activating Reserve Dwarf: ",nubacupdwarf.Name
			nubacupdwarf.Level=lvl+1
			nubacupdwarf.Life=CharStats.GetCharMaxLife(nubacupdwarf.Kind,nubacupdwarf.Level)
			AllyNPCTypes.Sargon_Naglfar_LevelUpFunc(nubacupdwarf.Name)
			Bladex.AddScheduledFunc(Bladex.GetTime()+10.0,PlaceAlly,(nubacupdwarf.Name,))
			backupdwarfs.remove(nubacupdwarf.Name)
			PlayerTypes.SignOn(nubacupdwarf.Name)
	else:
		print "No More Backup Dwarfs"



##########################################################################################################################################################

civiliannum=1

civilianspawnpos= [(39000, -1069, 18000),
	           (39000, -1069, 21000),
	           (39000, -1069, 24000),
	           (39000, -1069, 27000),
	           (52000, -1071, 12000),
	           (39000, -1078, 12000),
	           (22000, -1078, -14000),
	           (24000, -1078, -12000),
	           (22000, -1078, -12000),
	           (20000, -1078, -14000),
	           (20000, -1078, -12000)]




CivilianFemaleWeapons=["","","","","Cazo","Bo","Cuchillo","Daga",""]
CivilianManWeapons=["","","","","Cuchillo","Daga","Pala","Garrote","Pico","Taburete"]


FemMeshes=["Fem1","Fema11","Fema12","Fema13","Fema14","Fema15","Fem3a","Fem3"]
MaleMeshes=["Man1","Man9","Man7","Man8"]


def CivlianDead(EntityName):
	global CivilianDeadCount
	CivilianDeadCount=CivilianDeadCount+1
	UpdateCasualtyList()
	Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, CreateCivilian,(EntityName,))


def GetCivFemWepType():
	global CivilianFemaleWeapons
	randnum=whrandom.randint(0,len(CivilianFemaleWeapons))
	CWepType=CivilianFemaleWeapons[randnum-1]
	return CWepType
	
	
def GetCivManWepType():
	global CivilianManWeapons
	randnum=whrandom.randint(0,len(CivilianManWeapons))
	CWepType=CivilianManWeapons[randnum-1]
	return CWepType
	
	
	
def SetCivilianFuncs(entity):
	en=Bladex.GetEntity(entity)
	en.Data.DeathFunc=CivlianDead
	en.Data.DeathArgs=(en.Name,)
	en.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
	en.Data.LevelupArgs=(en.Name,)
	PlayerTypes.SignOn(en.Name)



def CreateCivilian(EntityName):
	global FemMeshes
	global MaleMeshes
	global civiliannum
	oldciv=Bladex.GetEntity(EntityName)
	lvl=oldciv.Level
	gx,gy,gz=oldciv.Data.GuardPoint
	rwptype=""
	if oldciv.Kind[:3]=="Fem":
		nuciv=Bladex.CreateEntity("FemaleCivilian"+str(civiliannum),"Fem1",0,20000,0,"Person")
		nuciv.Level=lvl
		randnum=whrandom.randint(0,len(FemMeshes))
		nuciv.SetMesh(FemMeshes[randnum-1])
		rwptype=GetCivFemWepType()
	elif oldciv.Kind[:3]=="Man":
		nuciv=Bladex.CreateEntity("MaleCivilian"+str(civiliannum),"Man1",0,20000,0,"Person")
		nuciv.Level=lvl
		randnum=whrandom.randint(0,len(MaleMeshes))
		nuciv.SetMesh(MaleMeshes[randnum-1])
		rwptype=GetCivManWepType()
	else:
		pass
	if rwptype !="":
		rwp=Bladex.CreateEntity(nuciv.Name+"Weapon",rwptype,0,20000,0,"Weapon")
		rwp.Scale=1.0
		try:
			ItemTypes.ItemDefaultFuncs(rwp)
		except:
			print"unknown weapon in Item Types"
			pass
		Actions.TakeObject(nuciv.Name,rwp.Name)
	AssignData(nuciv.Name)
	nuciv.Data.GuardPoint=gx,gy,gz
	SetCivilianFuncs(nuciv.Name)
	AllyNPCTypes.CivilianLevelUpFunc(nuciv.Name)
	nuciv.SendTriggerSectorMsgs=1
	darfuncs.HideBadGuy(nuciv.Name)
	nuciv.Alpha=0
	nuciv.CastShadows=0
	PlaceCivilian(nuciv.Name)
	civiliannum=civiliannum+1


def PlaceCivilian(civilianname):
	global civilianspawnpos
	civ=Bladex.GetEntity(civilianname)
	if civ.Alpha>0.9:
		civ.Alpha=0
	positions=civilianspawnpos
	pos=positions[whrandom.randint(0, len(positions)-1)]
	civ.Position=pos[0], pos[1], pos[2]
	civ.Angle=B3DLib.GetEntity2EntityAngle(civ.Name, "Player1")
	darfuncs.HideBadGuy(civilianname)
	if ConcealedAppear(pos,civ.Name)==1:
		darfuncs.UnhideBadGuy(civilianname)
		civ.Alpha=1.0
		civ.CastShadows=1
		civ.SetOnFloor()
		Reference.debugprint("All clear - civilian replaced")
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceCivilian,(civilianname,))
		Reference.debugprint("position not good for civilian - next try in a mo.")



###########################################################################################################################################################
########## Heroes (only one of each)


herospawnpos= [(6250, -7200, 0),
	       (-8000, -1071, 50000),
	       (39000, -1071, 36000),
	       (38500, -1071, -9749),
	       (17000, -1000, 24000),
	       (-20000, 1000, 70000)]
	          

HeroList=["Zoe","Sargon","Naglfar","Tukaram","Aribeth"]


from DwarfWarsIIMenu import PlayerName
print "PlayerName is ",PlayerName

if PlayerName in HeroList:  
	HeroList.remove(PlayerName)
	
	
	
def SetFirstHero():
	global HeroList
	if len(HeroList)==0:
		FlashMsg("No More Heroes")
		return
	randnum=whrandom.randint(0,len(HeroList))
	heroname=(HeroList[randnum-1])
	if heroname:
		per=Bladex.GetEntity(heroname)
		per.Position=0,-1000,500
		per.Angle=1.5
		AssignHeroFuncs(heroname)
		nuherotype=per.Kind
		per.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nuherotype))
		darfuncs.UnhideBadGuy(heroname)
		if per.Kind in ("Dwarf_N","Knight_N"):
			AllyNPCTypes.Sargon_Naglfar_LevelUpFunc(heroname)
		elif per.Kind=="Barbarian_N":
			AllyNPCTypes.BarbarianLevelUpFunc(heroname)
		elif per.Kind=="Amazon_N":
			AllyNPCTypes.ValkyrieLevelUpFunc(heroname)
		elif per.Kind=="ProAribeth_A":
			AllyNPCTypes.AribethLevelUpFunc(heroname)
		HeroList.remove(heroname)
	
	
	
def HeroDeadFunc(entity):
	print entity, "I am dead!!!"
	hero=Bladex.GetEntity(entity)
	lvl=hero.Level
	SignOff(entity)
	global AllyDeadCount
	AllyDeadCount=AllyDeadCount+1
	UpdateCasualtyList()
	global HeroList
	if hero.Name in HeroList:
		HeroList.remove(hero.Name)
	Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, BringNewHero,(lvl,))
	FlashMsg(entity+" KIA")


def AssignHeroFuncs(EntityName):
	hero=Bladex.GetEntity(EntityName)
	if hero.Kind=="Dwarf_N":
		hero.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
	if hero.Kind=="Dwarf_V":
		hero.Data.LevelupFunc=AllyNPCTypes.VoignusLevelUpFunc
	elif hero.Kind=="Knight_N":
		hero.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
	elif hero.Kind=="Amazon_N":
		hero.Data.LevelupFunc=AllyNPCTypes.ValkyrieLevelUpFunc
	elif hero.Kind=="Barbarian_N":
		hero.Data.LevelupFunc=AllyNPCTypes.BarbarianLevelUpFunc
	elif hero.Kind=="Valkyrie_A":
		hero.Data.LevelupFunc=AllyNPCTypes.ValkyrieLevelUpFunc
	elif hero.Kind=="ProAribeth_A":
		hero.Data.LevelupFunc=AllyNPCTypes.AribethLevelUpFunc
	hero.Data.LevelupArgs=(hero.Name,)
	hero.Data.DeathFunc=HeroDeadFunc
	hero.Data.DeathArgs=(hero.Name,)
	hero.Data.Combatant=1
	SignOn(EntityName)




def BringNewHero(lvl):
	global HeroList
	if len(HeroList)==0:
		print "No more heroes"
		return
	print "Bringing in new Hero"
	randnum=whrandom.randint(0,len(HeroList))
	nuheroname=(HeroList[randnum-1])
	print "Creating next Hero ",nuheroname
	nuhero=Bladex.GetEntity(nuheroname)
	if not nuhero: 
		print "Can't get a handle on new Hero"
		return
	nuhero.Level=lvl+1
	nuhero.Life=CharStats.GetCharMaxLife(nuhero.Kind,nuhero.Level)
	nuherotype=nuhero.Kind
	nuhero.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nuherotype))
	AssignHeroFuncs(nuhero.Name)
	if nuherotype in ("Dwarf_N","Knight_N"):
		AllyNPCTypes.Sargon_Naglfar_LevelUpFunc(nuheroname)
	elif nuherotype=="Barbarian_N":
		AllyNPCTypes.BarbarianLevelUpFunc(nuheroname)
	elif nuherotype=="Valkyrie_A":
		AllyNPCTypes.ValkyrieLevelUpFunc(nuheroname)
	elif nuherotype=="Amazon_N":
		AllyNPCTypes.ValkyrieLevelUpFunc(nuheroname)
	elif nuherotype=="ProAribeth_A":
		AllyNPCTypes.AribethLevelUpFunc(nuheroname)
	HeroList.remove(nuheroname)
	nuhero.SendTriggerSectorMsgs=1
	darfuncs.HideBadGuy(nuhero.Name)
	nuhero.Alpha=0
	nuhero.CastShadows=0
	PlaceHero(nuheroname)
	
	
	
	
	
def PlaceHero(heroname):
	global herospawnpos
	hero=Bladex.GetEntity(heroname)
	if hero.Alpha>0.9:
		hero.Alpha=0
	positions=herospawnpos
	pos=positions[whrandom.randint(0, len(positions)-1)]
	hero.Position=pos[0], pos[1], pos[2]
	hero.Angle=B3DLib.GetEntity2EntityAngle(hero.Name, "Player1")
	darfuncs.HideBadGuy(heroname)
	if ConcealedAppear(pos,hero.Name)==1:
		darfuncs.UnhideBadGuy(heroname)
		hero.Alpha=1.0
		hero.CastShadows=1
		hero.SetOnFloor()
		Reference.debugprint("All clear - HERO ready to fight")
	else:	
		Bladex.AddScheduledFunc(Bladex.GetTime()+0.2,PlaceHero,(heroname,))
		Reference.debugprint("position not good for hero - next try in a mo.")
	
	
	
	
#########################################################################################################################################################


	

	
	
	
	
	
	
	
	
	
	
	

###########################################################################################################################################################

def IrPosicion1():
	char=Bladex.GetEntity("Player1")
	char.Position=18000, -1100, -2000 # start
	
def IrPosicion2():
	char=Bladex.GetEntity("Player1")
	char.Position=10000, 11000, 240000 
	
	
def IrPosicion3():
	char=Bladex.GetEntity("Player1")
	char.Position=-41474,11108,246917
	
	
def IrPosicion4():
	char=Bladex.GetEntity("Player1")
	char.Position=10000, 11000, 240000 
	
############
	
def IrPosicion5():
	char=Bladex.GetEntity("Player1")
	char.Position=-175000,-10000,8000
	
	
def IrPosicion6():
	char=Bladex.GetEntity("Player1")
	char.Position=18000, -1100, -2000
	
	
def IrPosicion7():
	char=Bladex.GetEntity("Player1")
	char.Position=18000, -1100, -2000
	
	
def IrPosicion8():
	char=Bladex.GetEntity("Player1")
	char.Position=18000, -1100, -2000
	
	
def IrPosicion9():
	char=Bladex.GetEntity("Player1")
	char.Position=18000, -1100, -2000
	
	
	
#############################################################################################################################################################	
#############################################################################################################################################################	


import MenuText

def FlashMsg(Msg):
	if Reference.PYTHON_DEBUG >= 1:
		import GameText
		GameText.AbortText()
		GameText.WriteTextAux(MenuText.GetMenuText(Msg),10.0,255,0,0,[],None,100)


"""

posnum=1

def GetPlayerPos():
	global posnum
	char=Bladex.GetEntity("Player1")
	p=char.Position
	print"Player Position ",p
	posnum=posnum+1
	
	
Bladex.AddInputAction("GetPlayerPos", 0)
Bladex.AddBoundFunc("GetPlayerPos", GetPlayerPos)
Bladex.AssocKey("GetPlayerPos", "Keyboard", "V", 1)


Slomo=0

def ToggleSlomo():
	global Slomo
	if Slomo==0:
		Slomo=1
		Bladex.SetTimeSpeed(0.4)
		Slomo=1
		print"Slomo on"
	else:
		Slomo=0	
		Bladex.SetTimeSpeed(1.0)
		Slomo=0	
		print"Slomo off"

Bladex.AddInputAction("ToggleSlomo", 0)
Bladex.AddBoundFunc("ToggleSlomo", ToggleSlomo)
Bladex.AssocKey("ToggleSlomo", "Keyboard", "N", 1)



def WritePos():
	char=Bladex.GetEntity("Player1")
	x=int(char.Position[0])
	y=int(char.Position[1])
	z=int(char.Position[2])
	file = open("../../BODLoader/Mods/DwarfWarsII/pos.txt","a")
        file.write("("+str(x)+","+str(y)+","+str(z)+")"+"\n")
        
        file.close()
        
        
Bladex.AddInputAction("WritePos", 0)
Bladex.AddBoundFunc("WritePos", WritePos)
Bladex.AssocKey("WritePos", "Keyboard", "I", 1)


def InitEB():
	import EBrowser
	print "EBStart"

Bladex.AddInputAction("InitEB", 0)
Bladex.AddBoundFunc("InitEB", InitEB)
Bladex.AssocKey("InitEB", "Keyboard", "X", 1)




ScOn=1

def ToggleScorer():
	global ScOn
	if ScOn==1:
		Scorer.SetVisible(0)
		ScOn=0
	else:
		Scorer.SetVisible(1)
		ScOn=1
	

Bladex.AddInputAction("ToggleScorer", 0)
Bladex.AddBoundFunc("ToggleScorer", ToggleScorer)
Bladex.AssocKey("ToggleScorer", "Keyboard", "U", 1)



################################################


# g_katar02 ==  g_katar31 == gkatar16
# g_katar06
# g_katar08
# g_katar11
# g_katar17
# g_katar23
# g_katar28
# g_katar32
# g_katar33
# g_katar011
# g_katar111
# g_katar211

def Anm1():
	char=Bladex.GetEntity("BigGuyTest2")
	char.LaunchAnimation("Umb_dth01")
	Actions.ReportMsg("Umb_dth01")
	
	
Bladex.AddInputAction("Anm1", 0)
Bladex.AddBoundFunc("Anm1", Anm1)
Bladex.AssocKey("Anm1", "Keyboard", "1", 1)




def Anm2():
	char=Bladex.GetEntity("BigGuyTest2")
	char.LaunchAnimation("Ank_final_02")
	Actions.ReportMsg("Ank_final_03")
	
	
Bladex.AddInputAction("Anm2", 0)
Bladex.AddBoundFunc("Anm2", Anm2)
Bladex.AssocKey("Anm2", "Keyboard", "2", 1)



def Anm3():
	char=Bladex.GetEntity("BigGuyTest2")
	char.LaunchAnimation("Ank_g_mgc03")
	Actions.ReportMsg("Ank_g_mgc03")
	
Bladex.AddInputAction("Anm3", 0)
Bladex.AddBoundFunc("Anm3", Anm3)
Bladex.AssocKey("Anm3", "Keyboard", "3", 1)





def Anm4():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnimation("Bar_g_axe12")
	Actions.ReportMsg("Bar_g_axe12")
	
Bladex.AddInputAction("Anm4", 0)
Bladex.AddBoundFunc("Anm4", Anm4)
Bladex.AssocKey("Anm4", "Keyboard", "4", 1)




def Anm5():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("g_katar17")
	Actions.ReportMsg("katar17")
	
Bladex.AddInputAction("Anm5", 0)
Bladex.AddBoundFunc("Anm5", Anm5)
Bladex.AssocKey("Anm5", "Keyboard", "5", 1)


def Anm6():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("g_katar211")
	Actions.ReportMsg("katar211")
	
Bladex.AddInputAction("Anm6", 0)
Bladex.AddBoundFunc("Anm6", Anm6)
Bladex.AssocKey("Anm6", "Keyboard", "6", 1)


def Anm7():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Amz_g_katar28")
	Actions.ReportMsg("katar28")
	
Bladex.AddInputAction("Anm7", 0)
Bladex.AddBoundFunc("Anm7", Anm7)
Bladex.AssocKey("Anm7", "Keyboard", "7", 1)



def Anm8():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Amz_g_katar011")
	Actions.ReportMsg("katar011")
	
Bladex.AddInputAction("Anm8", 0)
Bladex.AddBoundFunc("Anm8", Anm8)
Bladex.AssocKey("Anm8", "Keyboard", "8", 1)


def Anm9():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Amz_g_katar111")
	Actions.ReportMsg("katar111")
	
Bladex.AddInputAction("Anm9", 0)
Bladex.AddBoundFunc("Anm9", Anm9)
Bladex.AssocKey("Anm9", "Keyboard", "9", 1)



def Anm0():
	char=Bladex.GetEntity("Player1")
	char.LaunchAnmType("Amz_g_katar211")
	Actions.ReportMsg("katar211")
	
Bladex.AddInputAction("Anm0", 0)
Bladex.AddBoundFunc("Anm0", Anm0)
Bladex.AssocKey("Anm0", "Keyboard", "0", 1)

"""











#####################################################################################################################################################



