import Bladex
import NetSounds
import netgame


# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosAribeth(Personaje):
	from AniSoundAribethX import *

	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:
		per.AddEventSound('shield_block', GolpeArmaEscudoAri)
		per.AddEventSound('weapon_block', GolpeArmaArmaAri)
		per.AddEventSound('impale', TajoEmpalanteAri)
		per.AddEventSound('slash', TajoCortanteAri)
		per.AddEventSound('mutilate', TajoMutilacionAri)
		per.AddEventSound('crush', GolpeContundenteAri)


	# Sonidos de animaciones

	NetSounds.AddAnimSound(per,'Ari_chg_r', EnfundarAri, 0.3599)
	NetSounds.AddAnimSound(per,'Ari_chg_r', EnfundarAri, 0.3599)
	NetSounds.AddAnimSound(per,'Ari_chg_r_l', EnfundarAri, 0.3599)
	NetSounds.AddAnimSound(per,'Ari_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Ari_g_spears1', SesgadoCortoAgudo, 0.6010)
	#NetSounds.AddAnimSound(per,'Ari_g_spears1', EsfuerzoAriMediano, 0.1620)
	NetSounds.AddAnimSound(per,'Ari_g_spears1', AndarAri1, 0.1100)
	NetSounds.AddAnimSound(per,'Ari_g_spears6', SesgadoLargoAgudo, 0.1470)
	#NetSounds.AddAnimSound(per,'Ari_g_spears6', EsfuerzoCortoAri, 0.1400)
	NetSounds.AddAnimSound(per,'Ari_g_spears6', AndarAri2, 0.1000)
	#NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', EsfuerzoAriMediano 0.5060)

	
	NetSounds.AddAnimSound(per,"Ari_dth0", MuerteAri1, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth0", CaidaAri3, 0.5710)
	NetSounds.AddAnimSound(per,"Ari_dth0", CaidaAri4, 0.7700)
	NetSounds.AddAnimSound(per,"Ari_dth0", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth0", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth0", AndarAri1, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", MuerteAri1, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri1, 0.2000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri1, 0.4000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri2, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", CaidaAri3, 0.7000)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", MuerteAri5, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri2, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", CaidaAri4, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", MuerteAri3, 0.1200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", CaidaAri3, 0.7000)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", MuerteAri4, 0.1200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri2, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", CaidaAri4, 0.6550)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", MuerteAri2, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri2, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", CaidaAri3, 0.7600)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", MuerteAri6, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", CaidaAri4, 0.7700)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", MuerteAri7, 0.1200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri1, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", CaidaAri3, 0.6900)
	
	NetSounds.AddAnimSound(per,"Ari_dth_burn", MuerteQuemandoAri1, 0.1100)
	
	NetSounds.AddAnimSound(per,"Ari_dth_rockfront", MuerteAplastamientoAri1, 0.1000)
	NetSounds.AddAnimSound(per,"Ari_dth_rockfront", HeridaAri2, 0.1000)
	
	NetSounds.AddAnimSound(per,"Ari_dth_rock", MuerteAplastamientoAri1, 0.1000)
	NetSounds.AddAnimSound(per,"Ari_dth_rock", HeridaAri2, 0.1000)
	
	NetSounds.AddAnimSound(per,"Ari_pour",SonidoVaciarBotella, 0.1234)

	NetSounds.AddAnimSound(per,'Ari_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Ari_the_r_Key00', CogerEspada, 0.7652)
	NetSounds.AddAnimSound(per,'Ari_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Ari_tke_r_01', CogerEspada, 0.3103) 
	NetSounds.AddAnimSound(per,'Ari_tke_r_02', CogerEspada, 0.2759) 
	NetSounds.AddAnimSound(per,'Ari_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Ari_tke_r_04', CogerEspada, 0.2727) 
	NetSounds.AddAnimSound(per,'Ari_tke_r_05', CogerEspada, 0.2654)    
	
	NetSounds.AddAnimSound(per,'Ari_chg_l', CambiarEscudo, 0.3652)
	

	
	
	
	##################################################################################################
	##################################################################################################
	##################################################################################################
	##################################################################################################
	
	
	#NetSounds.AddAnimSound(per,'Ari_clmb_low_1h', EsfuerzoSubir1, 0.5450)
	NetSounds.AddAnimSound(per,'Ari_clmb_low_1h', AndarAri2, 0.8680)
	#NetSounds.AddAnimSound(per,'Ari_clmb_medlow_1h', EsfuerzoSubir1, 0.4330)
	NetSounds.AddAnimSound(per,'Ari_clmb_medlow_1h', AndarAri2, 0.3000)
	#NetSounds.AddAnimSound(per,'Ari_clmb_medium_1h', EsfuerzoSubir2, 0.2080)
	NetSounds.AddAnimSound(per,'Ari_clmb_medium_1h', AndarAri1, 0.3000)
	#NetSounds.AddAnimSound(per,'Ari_clmb_medium_1h', EsfuerzoSubir3, 0.7800)
	NetSounds.AddAnimSound(per,'Ari_clmb_medium_1h', AndarAri1, 0.6560)
	#NetSounds.AddAnimSound(per,'Ari_clmb_high_1h', EsfuerzoCortoAri, 0.1100)
	#NetSounds.AddAnimSound(per,'Ari_clmb_high_1h', EsfuerzoSubir3, 0.9000)
	#NetSounds.AddAnimSound(per,'Ari_clmb_high_1h', EsfuerzoSubir4, 0.5190)
	NetSounds.AddAnimSound(per,'Ari_clmb_high_1h', AndarAri1, 0.8600)
	NetSounds.AddAnimSound(per,'Ari_clmb_high_1h', AndarAri2, 0.2740)
	#NetSounds.AddAnimSound(per,'Ari_clmb_low', EsfuerzoSubir1, 0.4600)
	NetSounds.AddAnimSound(per,'Ari_clmb_low', AndarAri2, 0.4600)
	#NetSounds.AddAnimSound(per,'Ari_clmb_high', EsfuerzoCortoAri, 0.1100)
	#NetSounds.AddAnimSound(per,'Ari_clmb_high', EsfuerzoSubir3, 0.9000)
	#NetSounds.AddAnimSound(per,'Ari_clmb_high', EsfuerzoSubir4, 0.5190)
	NetSounds.AddAnimSound(per,'Ari_clmb_high', AndarAri1, 0.8600)
	NetSounds.AddAnimSound(per,'Ari_clmb_high', AndarAri2, 0.2740)
	
	
	#NetSounds.AddAnimSound(per,'Ari_jmph0_no', SaltoCortoAri, 0.4120)
	NetSounds.AddAnimSound(per,'Ari_jmph0_no', AndarAri1, 0.2800)
	#NetSounds.AddAnimSound(per,'Ari_jmp_no', SaltoCortoAri, 0.1240)
	NetSounds.AddAnimSound(per,'Ari_jmp_no', AndarAri2, 0.2800)
	#NetSounds.AddAnimSound(per,'Ari_jmp_1h', SaltoCortoAri, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_jmp_1h', AndarAri1, 0.2800)
	
	NetSounds.AddAnimSound(per,'Ari_slip', AndarAri2, 0.1500)
	NetSounds.AddAnimSound(per,'Ari_slip', AndarAri1, 0.3500)
	NetSounds.AddAnimSound(per,'Ari_slip', AndarAri2, 0.5500)
	NetSounds.AddAnimSound(per,'Ari_slip', AndarAri1, 0.7500)
	NetSounds.AddAnimSound(per,'Ari_slip', AndarAri2, 0.9000)
	NetSounds.AddAnimSound(per,'Ari_slip_b', AndarAri2, 0.1500)
	NetSounds.AddAnimSound(per,'Ari_slip_b', AndarAri1, 0.3500)
	NetSounds.AddAnimSound(per,'Ari_slip_b', AndarAri2, 0.5500)
	NetSounds.AddAnimSound(per,'Ari_slip_b', AndarAri1, 0.7500)
	NetSounds.AddAnimSound(per,'Ari_slip_b', AndarAri2, 0.9000)
	NetSounds.AddAnimSound(per,'Ari_derrape', CaidaDerrapeAri1, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_derrape', AndarAri2, 0.3000)
	
	NetSounds.AddAnimSound(per,'Ari_jog_turn', SaltoCortoAri, 0.4810)
	NetSounds.AddAnimSound(per,'Ari_jog_turn', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_wlk_turn', SaltoCortoAri, 0.4550)
	NetSounds.AddAnimSound(per,'Ari_snk_turn', SaltoCortoAri, 0.4550)
	NetSounds.AddAnimSound(per,'Ari_wlk_turn', SaltoCortoAri, 0.4550)
	
	NetSounds.AddAnimSound(per,'Ari_rlx_vt', CansancioAri, 0.1000)
	
	NetSounds.AddAnimSound(per,'Wbk_b_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_b_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_b_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_no_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_no_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_no_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_axe_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_axe_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_axe_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_axe_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Ari_wbk_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_wbk_spear', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_wbk_spear', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Ari_wbk_spear', AndarAri2, 0.9200)
	
	
	NetSounds.AddAnimSound(per,'Wlk_no_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_no_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_no_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_s_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_s_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_s_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_s_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_b_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_b_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_b_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2h_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2h_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2h_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2h_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_axe_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_axe_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_axe_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_axe_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ari', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ari', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Ari', AndarAri2, 0.9200)
	NetSounds.AddAnimSound(per,'Ari_wlk_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_wlk_spear', AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_wlk_spear', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Ari_wlk_spear', AndarAri2, 0.9200)

	NetSounds.AddAnimSound(per,'Jog_2h_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2h_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2h_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2h_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2h_Ari', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_spear_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_spear_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_spear_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_spear_Ari', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_jog_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_jog_spear', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_jog_spear', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_jog_spear', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_jog_spear', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_b_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_b_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_b_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_b_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_b_Ari', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_no_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Ari', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_s_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_s_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_s_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_s_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_s_Ari', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_axe_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_axe_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_axe_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_axe_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_axe_Ari', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_2w_Ari', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Ari', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2w_Ari', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2w_Ari', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2w_Ari', AndarAri2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Ari_jogb_no', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_jogb_no', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_jogb_no', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_jogb_no', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_jogb_no', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_jogb_b', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_jogb_b', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_jogb_b', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_jogb_b', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_jogb_b', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_jogb_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_jogb_spear', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_jogb_spear', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_jogb_spear', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_jogb_spear', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_jogb_2w', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_jogb_2w', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_jogb_2w', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_jogb_2w', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_jogb_2w', AndarAri2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Snk_no_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_no_Ari', AndarAri2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_b_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_b_Ari', AndarAri2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_1h_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_1h_Ari', AndarAri2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_2h_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_2h_Ari', AndarAri2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_2w_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_2w_Ari', AndarAri2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_spear_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_spear_Ari', AndarAri2, 0.5900)
	NetSounds.AddAnimSound(per,'Snk_axe_Ari', AndarAri1, 0.1500)
	NetSounds.AddAnimSound(per,'Snk_axe_Ari', AndarAri2, 0.5900)
	
	NetSounds.AddAnimSound(per,"FallLow_Ari",CaidaAri3, 0.2750)
	NetSounds.AddAnimSound(per,"FallLow_Ari",CaidaAri4, 0.2850)
	#NetSounds.AddAnimSound(per,"FallLow_Ari",EsfuerzoCaida1Ari, 0.2560)
	NetSounds.AddAnimSound(per,"FallLow_Ari",AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"FallMed_Ari",CaidaAri1, 0.1440)
	NetSounds.AddAnimSound(per,"FallMed_Ari",CaidaAri2, 0.1600)
	NetSounds.AddAnimSound(per,"FallMed_Ari",EsfuerzoCaida1Ari, 0.1800)
	NetSounds.AddAnimSound(per,"FallMed_Ari",AndarAri1, 0.1850)
	NetSounds.AddAnimSound(per,"FallHigh_Ari",EsfuerzoCaida1Ari, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Ari",CaidaAri4, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Ari",EsfuerzoCaida1Ari, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Ari",AndarAri1, 0.1800)
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Ari", CaidaAri3, 0.1750)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Ari", MuerteSaltoVacioAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Dth_Fll_Ari", MuerteSaltoVacioAri2, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_attack_f', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_f', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_f', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_f', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_f', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_r', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_r', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_r', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_r', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_r', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_l', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_l', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_l', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_l', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_l', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_l_2w', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_l_2w', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_l_2w', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_2w', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_2w', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_b_2w', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_b_2w', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_b_2w', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_b_2w', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_b_2w', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_r_2w', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_r_2w', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_r_2w', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_2w', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_2w', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_f_2w', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_f_2w', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_f_2w', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_f_2w', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_f_2w', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_f_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_f_spear', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_f_spear', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_f_spear', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_f_spear', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_b_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_b_spear', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_b_spear', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_b_spear', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_b_spear', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_l_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_l_spear', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_l_spear', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_spear', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_spear', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_r_spear', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_r_spear', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_r_spear', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_spear', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_spear', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_f_no', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_f_no', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_f_no', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_f_no', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_f_no', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_b_no', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_b_no', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_b_no', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_b_no', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_b_no', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_r_no', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_r_no', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_r_no', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_no', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_no', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_l_no', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_l_no', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_l_no', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_no', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_no', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_r_s', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_r_s', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_r_s', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_s', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_r_s', AndarAri2, 0.8500)
	NetSounds.AddAnimSound(per,'Ari_attack_l_s', AndarAri1, 0.0534)
	NetSounds.AddAnimSound(per,'Ari_attack_l_s', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_attack_l_s', AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_s', AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,'Ari_attack_l_s', AndarAri2, 0.8500)
	
	#NetSounds.AddAnimSound(per,'Ari_d_l', EsfuerzoCorto2Ari, 0.3770)
	#NetSounds.AddAnimSound(per,'Ari_d_r', EsfuerzoCorto1Ari, 0.2100)
	#NetSounds.AddAnimSound(per,'Ari_d_b', EsfuerzoCorto2Ari, 0.2990)
	
	#NetSounds.AddAnimSound(per,'Ari_parry_spear', EsfuerzoSubir1, 0.3280)
	
	#NetSounds.AddAnimSound(per,'Ari_parry_spear', EsfuerzoSubir1, 0.3280)
	
	#NetSounds.AddAnimSound(per,'Ari_df_01', EsfuerzoSubir1, 0.2680)
	#NetSounds.AddAnimSound(per,'Ari_df_02', EsfuerzoSubir1, 0.2680)
	#NetSounds.AddAnimSound(per,'Ari_df_s_broken', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_df_s_broken', AndarAri1, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_df_01_spear', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_df_01_spear', AndarAri1, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_df_02_spear', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_df_02_spear', AndarAri1, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_df_01_2w', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_df_01_2w', AndarAri1, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_df_02_2w', EsfuerzoSubir1, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_df_02_2w', AndarAri1, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Ari_hurt_f_big', HeridaAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_lite', HeridaAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_head', HeridaAri4, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_breast', HeridaAri2,0.3889)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_back', HeridaAri3, 0.4211)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_r_arm', HeridaAri4, 0.2100)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_l_arm', HeridaAri1, 0.1786)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_r_leg', HeridaAri2, 0.4076)
	NetSounds.AddAnimSound(per,'Ari_hurt_f_l_leg', HeridaAri3, 0.4375)
	NetSounds.AddAnimSound(per,'Ari_hurt_jog', HeridaAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_hurt_head', HeridaAri2, 0.6000)
	NetSounds.AddAnimSound(per,'Ari_hurt_breast', HeridaAri3, 0.3889)
	NetSounds.AddAnimSound(per,'Ari_hurt_back', HeridaAri2, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_hurt_r_arm', HeridaAri4, 0.4076)
	NetSounds.AddAnimSound(per,'Ari_hurt_l_arm', HeridaAri1, 0.5333)
	NetSounds.AddAnimSound(per,'Ari_hurt_r_leg', HeridaAri2, 0.4076)
	NetSounds.AddAnimSound(per,'Ari_hurt_l_leg', HeridaAri3, 0.4375)
	
	#NetSounds.AddAnimSound(per,'Ari_g_01', EsfuerzoCortoAri, 0.3117)
	NetSounds.AddAnimSound(per,'Ari_g_01', AndarAri1, 0.2900)
	NetSounds.AddAnimSound(per,'Ari_g_01', SesgadoCorto, 0.3117)
	#NetSounds.AddAnimSound(per,'Ari_g_02', EsfuerzoCorto1Ari, 0.3026)
	NetSounds.AddAnimSound(per,'Ari_g_02', AndarAri2, 0.2700)
	NetSounds.AddAnimSound(per,'Ari_g_02', SesgadoCortoAgudo, 0.3026)
	#NetSounds.AddAnimSound(per,'Ari_g_05', EsfuerzoCorto2Ari, 0.5000)
	NetSounds.AddAnimSound(per,'Ari_g_05', AndarAri1, 0.4500)
	NetSounds.AddAnimSound(per,'Ari_g_05', SesgadoCortoGrave, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_g_06', EsfuerzoCorto3Ari, 0.4342)
	NetSounds.AddAnimSound(per,'Ari_g_06', AndarAri2, 0.3900)
	NetSounds.AddAnimSound(per,'Ari_g_06', SesgadoCorto, 0.4342)
	#NetSounds.AddAnimSound(per,'Ari_g_08', EsfuerzoCorto5Ari, 0.4030)
	NetSounds.AddAnimSound(per,'Ari_g_08', AndarAri1, 0.3500)
	NetSounds.AddAnimSound(per,'Ari_g_08', SesgadoCortoGrave, 0.4030)
	#NetSounds.AddAnimSound(per,'Ari_g_07', EsfuerzoCorto4Ari, 0.3291)
	NetSounds.AddAnimSound(per,'Ari_g_07', AndarAri2, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_07', SesgadoCortoAgudo, 0.3291)
	#NetSounds.AddAnimSound(per,'Ari_g_09', EsfuerzoCorto6Ari, 0.3291)
	NetSounds.AddAnimSound(per,'Ari_g_09', AndarAri2, 0.3291)
	NetSounds.AddAnimSound(per,'Ari_g_09', SesgadoCorto, 0.3291)
	#NetSounds.AddAnimSound(per,'Ari_g_13', EsfuerzoGolpeFrontalAri, 0.3053)
	NetSounds.AddAnimSound(per,'Ari_g_13', AndarAri2, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_g_13', SesgadoLargoAgudo, 0.3053)
	#NetSounds.AddAnimSound(per,'Ari_g_18', EsfuerzoGolpeArribaAri, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_g_18', AndarAri1, 0.3600)
	NetSounds.AddAnimSound(per,'Ari_g_18', SesgadoLargoGrave, 0.4224)
	#NetSounds.AddAnimSound(per,'Ari_g_11', EsfuerzoGolpeFrontalAri, 0.4600)
	NetSounds.AddAnimSound(per,'Ari_g_11', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_11', SesgadoLargo, 0.4685)
	#NetSounds.AddAnimSound(per,'Ari_g_14', EsfuerzoGolpeLateralAri, 0.1200)
	NetSounds.AddAnimSound(per,'Ari_g_14', AndarAri1, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_g_14', SesgadoLargoGrave, 0.3969)
	#NetSounds.AddAnimSound(per,'Ari_g_16', EsfuerzoCorto4Ari, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_g_16', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_16', SesgadoLargoAgudo, 0.4681)
	#NetSounds.AddAnimSound(per,'Ari_g_12', EsfuerzoGolpeFrontalAri, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_12', AndarAri1, 0.5500)
	NetSounds.AddAnimSound(per,'Ari_g_12', SesgadoLargo, 0.5400)
	#NetSounds.AddAnimSound(per,'Ari_g_17', EsfuerzoCorto1Ari, 0.3500)
	NetSounds.AddAnimSound(per,'Ari_g_17', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_17', SesgadoLargoAgudo, 0.4427)
	#NetSounds.AddAnimSound(per,'Ari_g_15', EsfuerzoGolpeLateralAri, 0.1300)  #no se si se usa
	NetSounds.AddAnimSound(per,'Ari_g_15', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_15', SesgadoLargo, 0.4628)
	#NetSounds.AddAnimSound(per,'Ari_g_21', EsfuerzoGolpeArribaAri, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_g_21', AndarAri1, 0.4600)
	NetSounds.AddAnimSound(per,'Ari_g_21', SesgadoLargoGrave, 0.5410)
	#NetSounds.AddAnimSound(per,'Ari_g_22', EsfuerzoAriMediano, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_g_22', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_22', SesgadoLargo, 0.4698)
	#NetSounds.AddAnimSound(per,'Ari_g_23', EsfuerzoGolpeArribaAri, 0.1750)
	NetSounds.AddAnimSound(per,'Ari_g_23', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_23', SesgadoLargo, 0.5350)
	#NetSounds.AddAnimSound(per,'Ari_g_26', EsfuerzoGolpeCabezaAri, 0.1800)
	NetSounds.AddAnimSound(per,'Ari_g_26', AndarAri1, 0.6800)
	NetSounds.AddAnimSound(per,'Ari_g_26', SesgadoLargoAgudo, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_g_31', EsfuerzoAriMediano, 0.1800)
	NetSounds.AddAnimSound(per,'Ari_g_31', AndarAri1, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_g_31', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Ari_g_31', SesgadoLargoAgudo, 0.2950)
	
	NetSounds.AddAnimSound(per,'Ari_g_28new', SesgadoLargoAgudo, 0.3590)
	NetSounds.AddAnimSound(per,'Ari_g_28new', SesgadoLargo, 0.2950)
	#NetSounds.AddAnimSound(per,'Ari_g_28new', EsfuerzoCorto2Ari, 0.4950)
	
	#NetSounds.AddAnimSound(per,'Ari_g_3s9_6new', EsfuerzoCorto1Ari, 0.2200)
	NetSounds.AddAnimSound(per,'Ari_g_3s9_6new', AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,'Ari_g_3s9_6new', SesgadoCorto, 0.2200)
	NetSounds.AddAnimSound(per,'Ari_g_3s9_6new', SesgadoCortoAgudo, 0.4490)
	#NetSounds.AddAnimSound(per,'Ari_g_12_7_s1new', EsfuerzoCorto1Ari, 0.1000)
	#NetSounds.AddAnimSound(per,'Ari_g_12_7_s1new', EsfuerzoCorto2Ari, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_g_12_7_s1new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_g_12_7_s1new', SesgadoCortoAgudo, 0.2000)
	#NetSounds.AddAnimSound(per,'Ari_g_12_7_s1new', EsfuerzoGolpeLateralAri, 0.3300)
	NetSounds.AddAnimSound(per,'Ari_g_12_7_s1new', AndarAri2, 0.5000)
	NetSounds.AddAnimSound(per,'Ari_g_27kata_new',SesgadoCortoAgudo, 0.1800)
	NetSounds.AddAnimSound(per,'Ari_g_27kata_new',SesgadoLargoAgudo, 0.3200)
	NetSounds.AddAnimSound(per,'Ari_g_27kata_new',SesgadoLargo, 0.5090)
	#NetSounds.AddAnimSound(per,'Ari_g_27kata_new',EsfuerzoCorto6Ari, 0.2200)
	#NetSounds.AddAnimSound(per,'Ari_g_27kata_new',EsfuerzoCorto3Ari, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_27kata_new',AndarAri1, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_27kata_new',AndarAri2, 0.8000)
	NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', SesgadoCorto, 0.1000)
	#NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', EsfuerzoCorto2Ari, 0.1000)
	#NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', EsfuerzoCorto2Ari, 0.2000)
	#NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', EsfuerzoCorto3Ari, 0.4750)
	NetSounds.AddAnimSound(per,'Ari_g_06lowkata_new', AndarAri2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Ari_g_06dwf', SesgadoCorto, 0.4342)
	#NetSounds.AddAnimSound(per,'Ari_g_06dwf', EsfuerzoCorto3Ari, 0.4342)
	NetSounds.AddAnimSound(per,'Ari_g_06dwf', AndarAri2, 0.4342)
	
	NetSounds.AddAnimSound(per,'Ari_g_s3_new', SesgadoLargoAgudo, 0.2860)
	#NetSounds.AddAnimSound(per,'Ari_g_s3_new', EsfuerzoGolpeArribaAri, 0.2225)
	NetSounds.AddAnimSound(per,'Ari_g_s3_new', AndarAri1, 0.3200)
	
	
	#NetSounds.AddAnimSound(per,'Ari_g_punch1', EsfuerzoCorto1Ari, 0.3150)
	#NetSounds.AddAnimSound(per,'Ari_g_punch2', EsfuerzoCorto2Ari, 0.3150)
	#NetSounds.AddAnimSound(per,'Ari_g_kick1', EsfuerzoCorto3Ari, 0.2100)
	#NetSounds.AddAnimSound(per,'Ari_g_kick2', EsfuerzoCorto5Ari, 0.2100)
	#NetSounds.AddAnimSound(per,'Ari_g_kick4', EsfuerzoCorto4Ari, 0.2100)
	#NetSounds.AddAnimSound(per,'Ari_g_kick5', EsfuerzoCorto3Ari, 0.2100)
	NetSounds.AddAnimSound(per,'Ari_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Ari_g_spears1', SesgadoCortoAgudo, 0.6010)
	#NetSounds.AddAnimSound(per,'Ari_g_spears1', EsfuerzoAriMediano, 0.1620)
	NetSounds.AddAnimSound(per,'Ari_g_spears1', AndarAri1, 0.1100)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', SesgadoCorto, 0.1320)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', SesgadoLargoAgudo, 0.2260)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', SesgadoCortoAgudo, 0.3260)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', SesgadoLargo, 0.4680)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', SesgadoCortoAgudo, 0.5460)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', SesgadoLargoAgudo, 0.6070)
	#NetSounds.AddAnimSound(per,'Ari_g_spear26kata', EsfuerzoCorto1Ari, 0.2000)
	#NetSounds.AddAnimSound(per,'Ari_g_spear26kata', EsfuerzoCorto3Ari, 0.5300)
	NetSounds.AddAnimSound(per,'Ari_g_spear26kata', AndarAri2, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_g_spear08', SesgadoCortoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_spear08', SesgadoCorto, 0.5790)
	#NetSounds.AddAnimSound(per,'Ari_g_spear08', EsfuerzoCorto2Ari, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_spear08', AndarAri1, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_spears8', AtaquesEspecialesAri2, 0.265)
	#NetSounds.AddAnimSound(per,'Ari_g_spears8', EsfuerzoGolpeFrontalAri, 0.150)
	NetSounds.AddAnimSound(per,'Ari_g_spears8', AndarAri1, 0.110)
	NetSounds.AddAnimSound(per,'Ari_g_spear12', SesgadoCortoAgudo, 0.2550)
	#NetSounds.AddAnimSound(per,'Ari_g_spear12', EsfuerzoCorto5Ari, 0.2550)
	NetSounds.AddAnimSound(per,'Ari_g_spear12', SesgadoCorto, 0.5500)
	NetSounds.AddAnimSound(per,'Ari_g_spear12', AndarAri2, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_g_spear02', SesgadoCortoAgudo, 0.2600)
	NetSounds.AddAnimSound(per,'Ari_g_spear02', SesgadoCortoGrave, 0.4990)
	#NetSounds.AddAnimSound(per,'Ari_g_spear02', EsfuerzoCorto2Ari, 0.2600)
	NetSounds.AddAnimSound(per,'Ari_g_spear02', AndarAri1, 0.2100)
	NetSounds.AddAnimSound(per,'Ari_g_spears6', SesgadoLargoAgudo, 0.1470)
	#NetSounds.AddAnimSound(per,'Ari_g_spears6', EsfuerzoCortoAri, 0.1400)
	NetSounds.AddAnimSound(per,'Ari_g_spears6', AndarAri2, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_g_spear32kata_b2', SesgadoCorto, 0.110)
	NetSounds.AddAnimSound(per,'Ari_g_spear32kata_b2', AndarAri2, 0.220)
	NetSounds.AddAnimSound(per,'Ari_g_spear32kata_b2', AtaquesEspecialesAri3, 0.256)
	NetSounds.AddAnimSound(per,'Ari_g_spear32kata_b2', AtaquesEspecialesAri1, 0.553)
	#NetSounds.AddAnimSound(per,'Ari_g_spear32kata_b2', EsfuerzoCorto3Ari, 0.246)
	#NetSounds.AddAnimSound(per,'Ari_g_spear32kata_b2', EsfuerzoGolpeFrontalAri, 0.506)
	NetSounds.AddAnimSound(per,'Ari_g_spear16low', SesgadoCorto, 0.1170)
	NetSounds.AddAnimSound(per,'Ari_g_spear16low', SesgadoLargoAgudo, 0.3560)
	#NetSounds.AddAnimSound(per,'Ari_g_spear16low', EsfuerzoGolpeCabezaAri, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_g_spear16low', AndarAri2, 0.1270)
	NetSounds.AddAnimSound(per,'Ari_g_spear02low', SesgadoLargo, 0.2300)
	NetSounds.AddAnimSound(per,'Ari_g_spear02low', SesgadoCortoAgudo, 0.5320)
	#NetSounds.AddAnimSound(per,'Ari_g_spear02low', EsfuerzoCorto1Ari, 0.2300)
	NetSounds.AddAnimSound(per,'Ari_g_spear02low', AndarAri2, 0.1800)
	NetSounds.AddAnimSound(per,'Ari_g_spear_2katab6low', SesgadoCortoAgudo, 0.129)
	NetSounds.AddAnimSound(per,'Ari_g_spear_2katab6low', AtaquesEspecialesAri3, 0.357)
	NetSounds.AddAnimSound(per,'Ari_g_spear_2katab6low', AtaquesEspecialesAri2, 0.424)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_2katab6low', EsfuerzoGolpeFrontalAri, 0.404)
	NetSounds.AddAnimSound(per,'Ari_g_spear_2katab6low', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', SesgadoCortoAgudo, 0.160)
	NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', AtaquesEspecialesAri2, 0.331)
	NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', AtaquesEspecialesAri1, 0.564)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', EsfuerzoCorto3Ari, 0.160)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', EsfuerzoCorto2Ari, 0.320)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', EsfuerzoGolpeFrontalAri, 0.550)
	NetSounds.AddAnimSound(per,'Ari_g_spear_sb11', AndarAri1, 0.300)
	#NetSounds.AddAnimSound(per,'Ari_g_spear17', EsfuerzoGolpeCabezaAri, 0.1100)
	NetSounds.AddAnimSound(per,'Ari_g_spear17', SesgadoLargoAgudo, 0.4700)
	NetSounds.AddAnimSound(per,'Ari_g_spear17', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear17', AndarAri2, 0.7000)
	#NetSounds.AddAnimSound(per,'Ari_g_spear16', EsfuerzoGolpeArribaAri, 0.1100)
	NetSounds.AddAnimSound(per,'Ari_g_spear16', SesgadoLargoAgudo, 0.4590)
	NetSounds.AddAnimSound(per,'Ari_g_spear16', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear16', AndarAri2, 0.7000)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_b6_26', EsfuerzoGolpeArribaAri, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b6_26', SesgadoLargoAgudo, 0.4770)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b6_26', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b6_26', AndarAri2, 0.7000)
	#NetSounds.AddAnimSound(per,'Ari_g_spear19_13', EsfuerzoCorto2Ari, 0.471)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_13', SesgadoCortoAgudo, 0.265)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_13', SesgadoCorto, 0.470)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_13', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_13', AndarAri2, 0.700)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b06', SesgadoCorto, 0.4170)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_b06', EsfuerzoCortoAri, 0.2500)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b06', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b06', AndarAri2, 0.7000)
	NetSounds.AddAnimSound(per,'Ari_g_spear_bs21', SesgadoCorto, 0.4900)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_bs21', EsfuerzoGolpeArribaAri, 0.1500)
	NetSounds.AddAnimSound(per,'Ari_g_spear_bs21', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear_bs21', AndarAri2, 0.7000)
	NetSounds.AddAnimSound(per,'Ari_g_spear111', SesgadoLargo, 0.2200)
	#NetSounds.AddAnimSound(per,'Ari_g_spear111', EsfuerzoCorto2Ari, 0.2150)
	NetSounds.AddAnimSound(per,'Ari_g_spear111', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear111', AndarAri2, 0.7000)
	NetSounds.AddAnimSound(per,'Ari_g_spear13', AtaquesEspecialesAri2, 0.284)
	#NetSounds.AddAnimSound(per,'Ari_g_spear13', EsfuerzoGolpeFrontalAri, 0.215)
	NetSounds.AddAnimSound(per,'Ari_g_spear13', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear13', AndarAri2, 0.700)
	NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', SesgadoCorto, 0.100)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', EsfuerzoCorto3Ari, 0.100)
	NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', AtaquesEspecialesAri3, 0.248)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', EsfuerzoCorto7Ari, 0.238)
	NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', AtaquesEspecialesAri1, 0.416)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', EsfuerzoGolpeFrontalAri, 0.400)
	NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear_kata23', AndarAri2, 0.700)
	NetSounds.AddAnimSound(per,'Ari_g_spear33', AtaquesEspecialesAri1, 0.190)
	#NetSounds.AddAnimSound(per,'Ari_g_spear33', EsfuerzoCorto5Ari, 0.170)
	NetSounds.AddAnimSound(per,'Ari_g_spear33', AtaquesEspecialesAri2, 0.404)
	#NetSounds.AddAnimSound(per,'Ari_g_spear33', EsfuerzoGolpeFrontalAri, 0.390)
	NetSounds.AddAnimSound(per,'Ari_g_spear33', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear33', AndarAri2, 0.700)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_bs1', SesgadoLargo, 0.5000)
	#NetSounds.AddAnimSound(per,'Ari_g_spear19_bs1', EsfuerzoGolpeLateralAri, 0.2000)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_bs1', AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_spear19_bs1', AndarAri2, 0.7000)
	NetSounds.AddAnimSound(per,'Ari_g_spear19', AtaquesEspecialesAri2, 0.162)
	#NetSounds.AddAnimSound(per,'Ari_g_spear19', EsfuerzoGolpeFrontalAri, 0.150)
	NetSounds.AddAnimSound(per,'Ari_g_spear19', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear19', AndarAri2, 0.700)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b29', AtaquesEspecialesAri1, 0.375)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_b29', EsfuerzoGolpeFrontalAri, 0.355)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b29', AndarAri1, 0.300)
	NetSounds.AddAnimSound(per,'Ari_g_spear_b29', AndarAri2, 0.700)
	NetSounds.AddAnimSound(per,'Ari_g_spear09', AtaquesEspecialesAri2, 0.418)
	#NetSounds.AddAnimSound(per,'Ari_g_spear09', EsfuerzoGolpeFrontalAri, 0.408)
	NetSounds.AddAnimSound(per,'Ari_g_spear09', AndarAri1, 0.500)
	NetSounds.AddAnimSound(per,'Ari_g_spear22', AtaquesEspecialesAri2, 0.343)
	#NetSounds.AddAnimSound(per,'Ari_g_spear22', EsfuerzoGolpeFrontalAri, 0.320)
	NetSounds.AddAnimSound(per,'Ari_g_spear22', AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', SesgadoLargo, 0.1980)
	NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', SesgadoLargoAgudo, 0.5470)
	#NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', EsfuerzoCorto4Ari, 0.4800)
	NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', SesgadoCortoAgudo, 0.9100)
	#NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', EsfuerzoCortoAri, 0.1900)
	NetSounds.AddAnimSound(per,'Ari_g_spear2katab2', AndarAri2, 0.6000)
	NetSounds.AddAnimSound(per,'Ari_g_spear3s2', AtaquesEspecialesAri2, 0.560)
	#NetSounds.AddAnimSound(per,'Ari_g_spear3s2', EsfuerzoGolpeFrontalAri, 0.550)
	NetSounds.AddAnimSound(per,'Ari_g_spear3s2', AndarAri1, 0.500)
	NetSounds.AddAnimSound(per,'Ari_g_spear3s2', AndarAri2, 0.600)
	NetSounds.AddAnimSound(per,'Ari_g_spearb2kata', SesgadoLargo, 0.1000)
	NetSounds.AddAnimSound(per,'Ari_g_spearb2kata', SesgadoLargoAgudo, 0.5570)
	#NetSounds.AddAnimSound(per,'Ari_g_spearb2kata', EsfuerzoGolpeLateralAri, 0.1500)
	NetSounds.AddAnimSound(per,'Ari_g_spearb2kata', AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,'Ari_g_spearb2kata', AndarAri2, 0.6000)
	NetSounds.AddAnimSound(per,'Ari_g_spear_21', AtaquesEspecialesAri1, 0.242)
	#NetSounds.AddAnimSound(per,'Ari_g_spear_21', EsfuerzoGolpeFrontalAri, 0.222)
	
	
	#NetSounds.AddAnimSound(per,'Ari_g_spear_back', EsfuerzoCaida1Ari, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_spear_back', SesgadoLargoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_spear_back', AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,'Ari_g_spear_back', AndarAri2, 0.6000)
	
	NetSounds.AddAnimSound(per,'Ari_g_magic', ConcBladeSword1, 0.1300)
	#NetSounds.AddAnimSound(per,'Ari_g_magic', EsfuerzoGolpeCabezaAri, 0.3500)
	NetSounds.AddAnimSound(per,'Ari_g_magic', SesgadoLargoGrave, 0.5530)
	
	NetSounds.AddAnimSound(per,'Ari_g_magic2', ConcBladeSword2, 0.1000)
	#NetSounds.AddAnimSound(per,'Ari_g_magic2', EsfuerzoAriMediano, 0.1300)
	NetSounds.AddAnimSound(per,'Ari_g_magic2', SesgadoLargoGrave, 0.5530)

	##### 2W
	NetSounds.AddAnimSound(per,'Ari_g2h_21_7', SesgadoLargoGrave, 0.143)
	NetSounds.AddAnimSound(per,'Ari_g2h_21_7', SesgadoLargo, 0.316)
	NetSounds.AddAnimSound(per,'Ari_g2h_21_7', SesgadoLargoAgudo, 0.716)
	NetSounds.AddAnimSound(per,'Ari_g2h_21_2', SesgadoLargo, 0.1950)
	NetSounds.AddAnimSound(per,'Ari_g2h_21_2', SesgadoCorto, 0.3150)
	
	
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_02kata', SesgadoLargoGrave, 0.3300)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_08', SesgadoLargo, 0.3000)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_28', SesgadoCortoAgudo, 0.437)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_s8kata', SesgadoCortoAgudo, 0.3020)
	
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_s8', SesgadoCortoAgudo, 0.328)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_12', SesgadoLargoAgudo, 0.2370)
	NetSounds.AddAnimSound(per,'Ari_g2h_12', SesgadoCorto, 0.5100)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_02', SesgadoLargo, 0.2720)
	
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_b6', SesgadoLargo, 0.363)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_11', SesgadoLargoGrave, 0.2960)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_01', SesgadoLargoGrave, 0.2720)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_13', SesgadoLargo, 0.302)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_b6kata', SesgadoCortoAgudo, 0.1970)
	NetSounds.AddAnimSound(per,'Ari_g2h_b6kata', SesgadoLargo, 0.4900)
	
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_s7', SesgadoLargoGrave, 0.4970)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_12low', SesgadoLargoGrave, 0.4300)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_02low', SesgadoLargoGrave, 0.1750)
	NetSounds.AddAnimSound(per,'Ari_g2h_02low', SesgadoLargoGrave, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g2h_02low', SesgadoLargo, 0.5500)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_b6low', SesgadoLargoGrave, 0.340)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_b29', SesgadoLargoGrave, 0.304)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_17', SesgadoLargoGrave, 0.3160)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_26_b6', SesgadoLargoGrave, 0.2600)
	NetSounds.AddAnimSound(per,'Ari_g2h_26_b6', SesgadoLargo, 0.6300)
	
	
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_earthpow', SesgadoLargoAgudo, 0.313)
	NetSounds.AddAnimSound(per,'Ari_g2h_earthpow', SesgadoLargoGrave, 0.713)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_back', SesgadoLargoGrave, 0.2650)
	
	
	NetSounds.AddAnimSound(per,'Ari_g_back', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Ari_g_back', AndarAri2, 0.1500)
	
	NetSounds.AddAnimSound(per,'Ari_g_back', SesgadoLargoAgudo, 0.3800)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_19', SesgadoCorto, 0.2700)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_26', SesgadoCorto, 0.3760)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_31_2', SesgadoCorto, 0.1900)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_b6lowkata', SesgadoCorto, 0.1300)
	NetSounds.AddAnimSound(per,'Ari_g2h_b6lowkata', SesgadoLargoGrave, 0.4500)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_07', SesgadoLargoGrave, 0.3700)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_22kata_6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Ari_g2h_22kata_6', SesgadoCortoAgudo, 0.3700)
	NetSounds.AddAnimSound(per,'Ari_g2h_22kata_6', SesgadoCortoGrave, 0.6200)
	
	NetSounds.AddAnimSound(per,'Ari_g2h_26low_b6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Ari_g2h_26low_b6', SesgadoLargoAgudo, 0.3750)
	NetSounds.AddAnimSound(per,'Ari_g2h_26low_b6', SesgadoCortoGrave, 0.6170)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_26low', SesgadoLargoGrave, 0.3300)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_s1', SesgadoLargoGrave, 0.3910)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_b7', SesgadoLargoGrave, 0.3200)
	
	
	NetSounds.AddAnimSound(per,'Ari_g2h_21_6kata', SesgadoLargoAgudo, 0.6700)
	NetSounds.AddAnimSound(per,'Ari_g2h_21_6kata', SesgadoLargoGrave, 0.3900)
	NetSounds.AddAnimSound(per,'Ari_g2h_21_6kata', SesgadoCortoGrave, 0.1340)

	######
	
	
	#NetSounds.AddAnimSound(per,'Ari_g_bad_axe', EsfuerzoGrandeAri1, 0.2800)
	NetSounds.AddAnimSound(per,'Ari_g_bad_axe', SesgadoLento2, 0.4180)
	NetSounds.AddAnimSound(per,'Ari_g_bad_sword', SesgadoLento, 0.2200)
	#NetSounds.AddAnimSound(per,'Ari_g_bad_sword', EsfuerzoGrandeAri1, 0.2200)
	NetSounds.AddAnimSound(per,'Ari_g_bad_sword2', SesgadoLento, 0.4370)
	#NetSounds.AddAnimSound(per,'Ari_g_bad_sword2', EsfuerzoGrandeAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_g_bad_sword2', AndarAri1, 0.3800)
	NetSounds.AddAnimSound(per,'Ari_g_bad_sword3', SesgadoLento2, 0.3150)
	#NetSounds.AddAnimSound(per,'Ari_g_bad_sword3', EsfuerzoGrandeAri1, 0.2650)
	NetSounds.AddAnimSound(per,'Ari_g_bad_sword3', AndarAri2, 0.2200)
	
	NetSounds.AddAnimSound(per,'Ari_g_bad_1h', SesgadoLento, 0.3060)
	#NetSounds.AddAnimSound(per,'Ari_g_bad_1h', EsfuerzoGrandeAri2, 0.1050)
	NetSounds.AddAnimSound(per,'Ari_g_bad_1h', AndarAri2, 0.4300)
	NetSounds.AddAnimSound(per,'Ari_g_bad_1h', AndarAri1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Ari_g_bad_no', SesgadoCorto, 0.3060)
	#NetSounds.AddAnimSound(per,'Ari_g_bad_no', EsfuerzoGrandeAri1, 0.1100)
	NetSounds.AddAnimSound(per,'Ari_g_bad_no', AndarAri2, 0.4300)
	NetSounds.AddAnimSound(per,'Ari_g_bad_no', AndarAri1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Ari_g_back', SesgadoLargo, 0.3750)
	#NetSounds.AddAnimSound(per,'Ari_g_back', EsfuerzoGolpeLateralAri, 0.1100)
	NetSounds.AddAnimSound(per,'Ari_g_back', AndarAri2, 0.4300)
	NetSounds.AddAnimSound(per,'Ari_g_back', AndarAri1, 0.7000)
	
	NetSounds.AddAnimSound(per,'Ari_g_draw_run', EnfundarAri, 0.1100)
	#NetSounds.AddAnimSound(per,'Ari_g_draw_run', EsfuerzoCorto5Ari, 0.1300)
	NetSounds.AddAnimSound(per,'Ari_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Ari_g_draw_rlx', EnfundarAri, 0.1100)
	#NetSounds.AddAnimSound(per,'Ari_g_draw_rlx', EsfuerzoCorto6Ari, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_g_draw_rlx', SesgadoLargoGrave, 0.3280)
	
	NetSounds.AddAnimSound(per,'Ari_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Ari_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Ari_the_r_Key00', CogerEspada, 0.7652)
	NetSounds.AddAnimSound(per,'Ari_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Ari_tke_r_01', CogerEspada, 0.3103)
	NetSounds.AddAnimSound(per,'Ari_tke_r_02', CogerEspada, 0.2759)
	NetSounds.AddAnimSound(per,'Ari_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Ari_tke_r_04', CogerEspada, 0.2727)
	NetSounds.AddAnimSound(per,'Ari_tke_r_05', CogerEspada, 0.2654)
	
	NetSounds.AddAnimSound(per,'Ari_1tw_h_f',AndarAri2, 0.4000)
	NetSounds.AddAnimSound(per,'Ari_1tw_h_f',EsfuerzoAriMediano, 0.3000)
	NetSounds.AddAnimSound(per,'Ari_1tw_l_f',AndarAri2, 0.4000)
	#NetSounds.AddAnimSound(per,'Ari_1tw_l_f',EsfuerzoCorto2Ari, 0.3000)
	
	NetSounds.AddAnimSound(per,'Ari_attack_chg_r_l', EnfundarAri, 0.3599)
	NetSounds.AddAnimSound(per,'Ari_attack_chg_r', EnfundarAri, 0.3559)
	NetSounds.AddAnimSound(per,'Ari_attack_chg_l', CambiarEscudo, 0.3599)
	
	NetSounds.AddAnimSound(per,'Ari_key',RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Ari_key',RuidoLlave, 0.1300)
	NetSounds.AddAnimSound(per,'Ari_key',Ruidook, 0.2000)
	
	NetSounds.AddAnimSound(per,"Ari_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Ari_lvr_d",SonidoPalanca, 0.3548)
	
	NetSounds.AddAnimSound(per,"Ari_dth_c1", DesangreAri2, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri1, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", AndarAri1, 0.7200)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", CaidaAri4, 0.7800)
	NetSounds.AddAnimSound(per,"Ari_dth_c1", DesangreAri1, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", DesangreAri2, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", DesangreAri1, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", AndarAri1, 0.7200)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", CaidaAri3, 0.7720)
	NetSounds.AddAnimSound(per,"Ari_dth_c2", CaidaAri4, 0.8720)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", DesangreAri1, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", DesangreAri2, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", AndarAri1, 0.7200)
	NetSounds.AddAnimSound(per,"Ari_dth_c3", CaidaAri3, 0.7220)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", DesangreAri1, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", DesangreAri2, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", CaidaAri3, 0.8720)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c4", CaidaAri4, 0.7000)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", DesangreAri1, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", DesangreAri2, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", AndarAri1, 0.7200)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", CaidaAri3, 0.7720)
	NetSounds.AddAnimSound(per,"Ari_dth_c5", CaidaAri4, 0.5500)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", DesangreAri1, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", DesangreAri2, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", AndarAri1, 0.7200)
	NetSounds.AddAnimSound(per,"Ari_dth_c6", CaidaAri3, 0.7700)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", DesangreAri1, 0.1250)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", DesangreAri2, 0.2500)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri1, 0.2250)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri2, 0.3800)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri1, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri2, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", AndarAri1, 0.6300)
	NetSounds.AddAnimSound(per,"Ari_dth_c7", CaidaAri3, 0.6950)
	NetSounds.AddAnimSound(per,"Ari_dth0", MuerteAri1, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth0", CaidaAri3, 0.5710)
	NetSounds.AddAnimSound(per,"Ari_dth0", CaidaAri4, 0.7700)
	NetSounds.AddAnimSound(per,"Ari_dth0", AndarAri1, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth0", AndarAri2, 0.4500)
	NetSounds.AddAnimSound(per,"Ari_dth0", AndarAri1, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", MuerteAri1, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri1, 0.2000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri2, 0.3000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri1, 0.4000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri2, 0.5000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri1, 0.6000)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n00", CaidaAri3, 0.7000)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", MuerteAri5, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri2, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", AndarAri1, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n01", CaidaAri4, 0.6800)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", MuerteAri3, 0.1200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n02", CaidaAri3, 0.7000)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", MuerteAri4, 0.1200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri2, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n03", CaidaAri4, 0.6550)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", MuerteAri2, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri2, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n04", CaidaAri3, 0.7600)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", MuerteAri6, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri2, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri1, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", AndarAri2, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n05", CaidaAri4, 0.7700)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", MuerteAri7, 0.1200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.2200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.3200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.5200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri1, 0.4200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri2, 0.6200)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", AndarAri1, 0.7500)
	NetSounds.AddAnimSound(per,"Ari_dth_n06", CaidaAri3, 0.6900)
	NetSounds.AddAnimSound(per,"Ari_dth_burn", MuerteQuemandoAri1, 0.1100)
	NetSounds.AddAnimSound(per,"Ari_dth_rockfront", MuerteAplastamientoAri1, 0.1000)
	NetSounds.AddAnimSound(per,"Ari_dth_rockfront", HeridaAri2, 0.1000)
	NetSounds.AddAnimSound(per,"Ari_dth_rock", MuerteAplastamientoAri1, 0.1000)
	NetSounds.AddAnimSound(per,"Ari_dth_rock", HeridaAri2, 0.1000)
	
	
	
	
	
	
	
	
	
	
	

	
	
	

	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
