
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ####################
    #                  #
    # Aribeth          #
    #                  #
    ####################
   
    
import Aribethanm_def
Aribethanm_def.InitAribeth()    
 
    
ari=Bladex.GetCharType("ProAribeth_A","Ari")
ari.IntName="Ari" 

ari.TurnSpeed=3.4
ari.Jcost=27000
ari.MaxFall=5000
ari.DieFall=14000
ari.MaxStair=335
ari.Fov=math.pi/1.2
ari.MaxGrab=3500.0
ari.MedGrab=2500.0
ari.Min2Grab=1500.0    
ari.MinTake=-500.0	# Min height above floor barbarian will take
ari.MaxTake1=450.0	# Max height above floor for Take1 Anim
ari.MaxTake2=550.0	# Max height above floor for Take2 Anim
ari.MaxTake3=1300.0	# Max height above floor for Take3 Anim
ari.MaxTake4=1900.0	# Max height above floor for Take4 Anim
ari.MaxTake5=3000.0	# Max height above floor for Take5 Anim
ari.Reach=2000.0	# Max distance from bar centre to obj centre to take
ari.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
ari.MovBkwdSpeedInStrafe=1300  #Idem backwards
ari.MaxCombatDist=20000
ari.MaxSeeDist=30000 # 

ari.NaturalWeapons=1
ari.SetNCDSpheres(2)
ari.SetCDSphere(0,250.0,450.0)  #(numero de la espera, altura mm, radio mm)
ari.SetCDSphere(1,-240.0,450.0)  #(numero de la espera, altura mm, radio mm)

###############################################################################
#

def AribethWhenFirst():
	Bladex.CreateBipedData("Ari","ProAribeth_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Ari.dat")
	#except:
	#		pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Ari.dat")

	import AribethAnimationSet
	AribethAnimationSet.LoadAribethAnimationSet("Ari")
	
	import AribethBAct
	import LinkTables
	LinkTables.LinkMe("Ari")
	import AribethCombos
	import AnmFactAribeth
	AnmFactAribeth.InitAribeth()
	import AribethStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Ari.dat","Ari")
	
	print"New Aribeth Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("ProAribeth_A","Ari")
race.OnFirst=AribethWhenFirst
