import Bladex
import NetSounds
import netgame

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosEnano7(Personaje):
	from AniSoundEnano7X import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:
		pass
	per.AddEventSound('shield_block', GolpeArmaEscudoEnm)
	per.AddEventSound('weapon_block', GolpeArmaArmaEnm)
	per.AddEventSound('impale', TajoEmpalanteEnm)
	per.AddEventSound('slash', TajoCortanteEnm)
	per.AddEventSound('mutilate', TajoMutilacionEnm)
	per.AddEventSound('crush', GolpeContundenteEnm)



	# Sonidos de animaciones

	NetSounds.AddAnimSound(per,'Enm_chg_r', Enfundar, 0.4)
	NetSounds.AddAnimSound(per,'Enm_chg_r_l', Enfundar, 0.3599)
	NetSounds.AddAnimSound(per,'Enm_attack_chg_r_l', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Enm_attack_chg_r', Enfundar, 0.5)
	NetSounds.AddAnimSound(per,'Enm_attack_chg_l', CambiarEscudo, 0.5)
	NetSounds.AddAnimSound(per,'Enm_g_01low_new', SesgadoLargoAgudo, 0.1950)
	NetSounds.AddAnimSound(per,'Enm_g_01low_new', EsfuerzoGolpeLateralEnm, 0.1750)
	NetSounds.AddAnimSound(per,'Enm_g_01low_new', AndarEnm2, 0.1200)
	
	NetSounds.AddAnimSound(per,'Enm_g_bad_axe', EsfuerzoGolpeFrontalEnm, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_g_bad_axe', SesgadoLento, 0.4260)
	NetSounds.AddAnimSound(per,'Enm_g_draw_run', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_g_draw_run', EsfuerzoGolpeLateralEnm, 0.1300)
	NetSounds.AddAnimSound(per,'Enm_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Enm_g_draw_rlx', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_g_draw_rlx', EsfuerzoCorto2Enm, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_g_draw_rlx', SesgadoLargoGrave, 0.3280)

	



	NetSounds.AddAnimSound(per,"Kgt_pour",SonidoVaciarBotella, 0.1234)
	NetSounds.AddAnimSound(per,'Enm_chg_l',CambiarEscudo,0.3652)
	

	
	
	NetSounds.AddAnimSound(per,'Wlk_1h_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_1h_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_1h_Enm', AndarEnm2, 0.9200)
	
	
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wbk_1h_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_1h_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_1h_Enm', AndarEnm2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wbk_2h_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2h_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2h_Enm', AndarEnm2, 0.9200)

	
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm2, 0.9200)

	
	

	NetSounds.AddAnimSound(per,'Jog_2h_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2h_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2h_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2h_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2h_Enm', AndarEnm2, 0.8500)
	

	
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Jog_spear_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_spear_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_spear_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_spear_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_spear_Enm', AndarEnm2, 0.8500)

	
	
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm1, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm2, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm1, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm2, 0.6500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2h', AndarEnm2, 0.9500)
	

	####################################################################################
	####################################################################################
	####################################################################################
	####################################################################################
	
	
	
	
	
	
	NetSounds.AddAnimSound(per,'Enm_clmb_medlow_1h', EsfuerzoSubirEnm1, 0.2400)
	NetSounds.AddAnimSound(per,'Enm_clmb_medium_1h', EsfuerzoSubirEnm1, 0.1250)
	NetSounds.AddAnimSound(per,'Enm_clmb_medium_1h', EsfuerzoSubirFinalEnm1, 0.2400)
	NetSounds.AddAnimSound(per,'Enm_clmb_high_1h', EsfuerzoSubirEnm3, 0.1450)
	NetSounds.AddAnimSound(per,'Enm_clmb_high_1h', EsfuerzoSubirFinalEnm3, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_clmb_low_1h', EsfuerzoSubirEnm1, 0.5940)
	
	NetSounds.AddAnimSound(per,'Enm_jmph0_no', EsfuerzoSubirEnm1, 0.2820)
	NetSounds.AddAnimSound(per,'Enm_jmp_no', EsfuerzoSubirEnm1, 0.2800)
	#NetSounds.AddAnimSound(per,'Enm_jmp_no', EsfuerzoSubirFinalEnm3, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_jmp_1h', EsfuerzoSubirEnm1, 0.4850)
	#NetSounds.AddAnimSound(per,'Enm_jmp_1h', EsfuerzoSubirFinalEnm1, 0.2000)
	
	NetSounds.AddAnimSound(per,'Enm_1tw_h_f',AndarEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_1tw_h_f',EsfuerzoEnmMediano, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_1tw_l_f',AndarEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_1tw_l_f',EsfuerzoCorto2Enm, 0.3000)
	
	NetSounds.AddAnimSound(per,'Enm_jog_turn',AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_jog_turn',EsfuerzoSubirEnm2, 0.3800)
	NetSounds.AddAnimSound(per,'Enm_wlk_turn',AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_wlk_turn',EsfuerzoSubirFinalEnm2, 0.3800)
	NetSounds.AddAnimSound(per,'Enm_snk_turn',AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_rlx_turn',AndarEnm2, 0.4500)
	
	NetSounds.AddAnimSound(per,'Enm_tke_r_key00',CogerLlave, 0.2069)
	NetSounds.AddAnimSound(per,'Enm_tke_r_key01',CogerLlave, 0.3103)
	NetSounds.AddAnimSound(per,'Enm_tke_r_key02',CogerLlave, 0.2759)
	NetSounds.AddAnimSound(per,'Enm_tke_r_key03',CogerLlave, 0.2754)
	NetSounds.AddAnimSound(per,'Enm_tke_r_key04',CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Enm_tke_r_key05',CogerLlave, 0.2654)
	
	NetSounds.AddAnimSound(per,'Enm_tke_r_00', CogerEspada, 0.2069)
	NetSounds.AddAnimSound(per,'Enm_tke_r_01', CogerEspada, 0.3103)
	NetSounds.AddAnimSound(per,'Enm_tke_r_02', CogerEspada, 0.2759)
	NetSounds.AddAnimSound(per,'Enm_tke_r_03', CogerEspada, 0.2754)
	NetSounds.AddAnimSound(per,'Enm_tke_r_04', CogerEspada, 0.2727)
	NetSounds.AddAnimSound(per,'Enm_tke_r_05', CogerEspada, 0.2654)
	
	NetSounds.AddAnimSound(per,"Enm_key",RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,'Enm_key',Ruidook, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_key',Ruidook, 0.1300)
	
	NetSounds.AddAnimSound(per,"Enm_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Enm_lvr_d",SonidoPalanca, 0.3548)
	
	
	NetSounds.AddAnimSound(per,'Enm_attack_f', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_f', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_f', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_f', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_f', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_f_s', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_f_s', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_f_s', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_f_s', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_f_s', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_b', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_b', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_b', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_b', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_b', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_b_s', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_b_s', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_b_s', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_b_s', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_b_s', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_b_spear', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_b_spear', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_b_spear', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_b_spear', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_b_spear', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_l', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_l', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_l', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_l', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_l', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_l_s', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_l_s', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_l_s', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_l_s', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_l_s', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_l_2w', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_l_2w', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_l_2w', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_l_2w', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_l_2w', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_l_spear', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_l_spear', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_l_spear', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_l_spear', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_l_spear', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_r', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_r', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_r', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_r', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_r', AndarEnm2, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Enm_attack_r_s', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_r_s', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_r_s', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_r_s', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_r_s', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_r_2w', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_r_2w', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_r_2w', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_r_2w', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_r_2w', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_attack_r_spear', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_attack_r_spear', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_attack_r_spear', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Enm_attack_r_spear', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Enm_attack_r_spear', AndarEnm2, 0.8500)
	
	
	NetSounds.AddAnimSound(per,'Wbk_no_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_no_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_no_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_no_Enm', AndarEnm2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_b_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_b_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_b_Enm', AndarEnm2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_spear_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_spear_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_spear_Enm', AndarEnm2, 0.9200)
	NetSounds.AddAnimSound(per,'Wbk_2w_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_2w_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wbk_2w_Enm', AndarEnm2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Wlk_no_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_no_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_no_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_no_Enm', AndarEnm2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_b_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_b_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_b_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_b_Enm', AndarEnm2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_2w_Enm', AndarEnm2, 0.9200)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Wlk_spear_Enm', AndarEnm2, 0.9200)
	
	NetSounds.AddAnimSound(per,'Jog_1h_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_1h_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_1h_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_1h_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_1h_Enm', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_no_Enm', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_2w_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_2w_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_2w_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_2w_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_2w_Enm', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Jog_axe_Enm', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Jog_axe_Enm', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Jog_axe_Enm', AndarEnm1, 0.4200)
	NetSounds.AddAnimSound(per,'Jog_axe_Enm', AndarEnm2, 0.6200)
	NetSounds.AddAnimSound(per,'Jog_axe_Enm', AndarEnm2, 0.8500)
	
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm1, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm2, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm1, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm2, 0.6500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_jogb_1h', AndarEnm2, 0.9500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm1, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm2, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm1, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm2, 0.6500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_jogb_no', AndarEnm2, 0.9500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm1, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm2, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm1, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm2, 0.6500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_jogb_2w', AndarEnm2, 0.9500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm1, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm2, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm1, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm2, 0.6500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_jogb_axe', AndarEnm2, 0.9500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm1, 0.0534)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm1, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm2, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm1, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm2, 0.6500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm2, 0.8500)
	NetSounds.AddAnimSound(per,'Enm_jogb_spear', AndarEnm2, 0.9500)
	
	
	NetSounds.AddAnimSound(per,'Snk_b_Enm',AndarEnm1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_b_Enm',AndarEnm2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_1h_Enm',AndarEnm1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_1h_Enm',AndarEnm2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_spear_Enm',AndarEnm1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_spear_Enm',AndarEnm2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_2w_Enm',AndarEnm1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_2w_Enm',AndarEnm2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_no_Enm',AndarEnm1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_no_Enm',AndarEnm2, 0.5000)
	
	NetSounds.AddAnimSound(per,"FallHigh_Enm",CaidaEnm1, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Enm",CaidaEnm2, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Enm",HeridaEnm3, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Enm",AndarEnm1, 0.1800)
	NetSounds.AddAnimSound(per,"FallLow_Enm",CaidaEnm1, 0.1180)
	NetSounds.AddAnimSound(per,"FallLow_Enm",CaidaEnm2, 0.1300)
	NetSounds.AddAnimSound(per,"FallLow_Enm",HeridaEnm3, 0.1280)
	NetSounds.AddAnimSound(per,"FallLow_Enm",AndarEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"FallMed_Enm",CaidaEnm1, 0.1180)
	NetSounds.AddAnimSound(per,"FallMed_Enm",CaidaEnm2, 0.1300)
	NetSounds.AddAnimSound(per,"FallMed_Enm",HeridaEnm3, 0.1280)
	NetSounds.AddAnimSound(per,"FallMed_Enm",AndarEnm1, 0.1250)
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Enm", CaidaEnm1, 0.1750)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Enm", MuerteSaltoVacioEnm1, 0.2000)

	NetSounds.AddAnimSound(per,"Dth_Fll_Enm", Grito_Salto_VacioEnm, 0.1100)
	
	NetSounds.AddAnimSound(per,"Enm_g_d_r",EsfuerzoCorto1Enm, 0.1500)
	NetSounds.AddAnimSound(per,"Enm_g_d_l",EsfuerzoCorto2Enm, 0.1300)
	NetSounds.AddAnimSound(per,"Enm_d_b",EsfuerzoCorto3Enm, 0.1500)
	
	
	NetSounds.AddAnimSound(per,'Enm_parryspear', EsfuerzoSubirEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_parryspear', AndarEnm2, 0.6000)
	
	NetSounds.AddAnimSound(per,'Enm_parry2w', EsfuerzoSubirFinalEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_parry2w', AndarEnm2, 0.5000)
	
	NetSounds.AddAnimSound(per,'Enm_df_01', EsfuerzoSubirFinalEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_01', AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_df_02', EsfuerzoSubirEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_02', AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_df_s_broken', EsfuerzoSubirFinalEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_s_broken', AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_df_01_spear', EsfuerzoSubirEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_01_spear', AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_df_02_spear', EsfuerzoSubirFinalEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_02_spear', AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_df_01_2w', EsfuerzoSubirEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_01_2w', AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_df_02_2w', EsfuerzoSubirFinalEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_df_02_2w', AndarEnm1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Enm_hurt_f_lite', HeridaEnm2, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_big', HeridaEnm3, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_head', HeridaEnm2, 0.3889)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_breast', HeridaEnm3,0.3889)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_back', HeridaEnm2, 0.4211)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_r_arm', HeridaEnm3, 0.2100)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_l_arm', HeridaEnm2, 0.5333)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_r_leg', HeridaEnm3, 0.4076)
	NetSounds.AddAnimSound(per,'Enm_hurt_f_l_leg', HeridaEnm2, 0.4375)
	NetSounds.AddAnimSound(per,'Enm_hurt_jog', HeridaEnm3, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_hurt_head', HeridaEnm2, 0.6000)
	NetSounds.AddAnimSound(per,'Enm_hurt_breast', HeridaEnm3, 0.3889)
	NetSounds.AddAnimSound(per,'Enm_hurt_back', HeridaEnm3, 0.4211)
	NetSounds.AddAnimSound(per,'Enm_hurt_r_arm', HeridaEnm2,0.4076)
	NetSounds.AddAnimSound(per,'Enm_hurt_l_arm', HeridaEnm3, 0.5333)
	NetSounds.AddAnimSound(per,'Enm_hurt_r_leg', HeridaEnm2, 0.4076)
	NetSounds.AddAnimSound(per,'Enm_hurt_l_leg', HeridaEnm3, 0.4375)
	
	
	NetSounds.AddAnimSound(per,'Enm_dth_i1', MuerteEnm1, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_dth_i2', MuerteEnm1, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_dth_bl1', MuerteEnm1, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_dth_bl2', MuerteEnm1, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_dth_rock', MuerteAplastamientoEnm1, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_dth_rock', HeridaEnm2, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_dth0', MuerteEnm1, 0.1300)
	NetSounds.AddAnimSound(per,"Enm_dth0", CaidaEnm1, 0.5710)
	NetSounds.AddAnimSound(per,"Enm_dth0", CaidaEnm2, 0.7700)
	NetSounds.AddAnimSound(per,"Enm_dth0", AndarEnm1, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth0", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth0", AndarEnm1, 0.6800)
	
	NetSounds.AddAnimSound(per,"Enm_dth_n00", MuerteEnm1, 0.1100)
	NetSounds.AddAnimSound(per,"Enm_dth_n00", AndarEnm1, 0.2000)
	NetSounds.AddAnimSound(per,"Enm_dth_n00", AndarEnm2, 0.4000)
	NetSounds.AddAnimSound(per,"Enm_dth_n00", AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_n00", AndarEnm2, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n00", CaidaEnm1, 0.7000)
	NetSounds.AddAnimSound(per,"Enm_dth_n01", MuerteEnm2, 0.1100)
	NetSounds.AddAnimSound(per,"Enm_dth_n01", AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,"Enm_dth_n01", AndarEnm2, 0.4200)
	NetSounds.AddAnimSound(per,"Enm_dth_n01", AndarEnm1, 0.6200)
	NetSounds.AddAnimSound(per,"Enm_dth_n01", AndarEnm2, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n01", CaidaEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_n02", MuerteEnm3, 0.1200)
	NetSounds.AddAnimSound(per,"Enm_dth_n02", AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,"Enm_dth_n02", AndarEnm2, 0.4200)
	NetSounds.AddAnimSound(per,"Enm_dth_n02", AndarEnm1, 0.6200)
	NetSounds.AddAnimSound(per,"Enm_dth_n02", AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n02", CaidaEnm1, 0.7000)
	NetSounds.AddAnimSound(per,"Enm_dth_n03", MuerteEnm4, 0.1200)
	NetSounds.AddAnimSound(per,"Enm_dth_n03", AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,"Enm_dth_n03", AndarEnm2, 0.4200)
	NetSounds.AddAnimSound(per,"Enm_dth_n03", AndarEnm1, 0.6200)
	NetSounds.AddAnimSound(per,"Enm_dth_n03", AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n03", CaidaEnm1, 0.6550)
	NetSounds.AddAnimSound(per,"Enm_dth_n04", MuerteEnm4, 0.1100)
	NetSounds.AddAnimSound(per,"Enm_dth_n04", AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,"Enm_dth_n04", AndarEnm2, 0.4200)
	NetSounds.AddAnimSound(per,"Enm_dth_n04", AndarEnm1, 0.6200)
	NetSounds.AddAnimSound(per,"Enm_dth_n04", AndarEnm2, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n04", CaidaEnm1, 0.7600)
	NetSounds.AddAnimSound(per,"Enm_dth_n05", MuerteEnm4, 0.1100)
	NetSounds.AddAnimSound(per,"Enm_dth_n05", AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,"Enm_dth_n05", AndarEnm2, 0.4200)
	NetSounds.AddAnimSound(per,"Enm_dth_n05", AndarEnm1, 0.6200)
	NetSounds.AddAnimSound(per,"Enm_dth_n05", AndarEnm1, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n05", CaidaEnm1, 0.7700)
	NetSounds.AddAnimSound(per,"Enm_dth_n06", MuerteEnm2, 0.1200)
	NetSounds.AddAnimSound(per,"Enm_dth_n06", AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,"Enm_dth_n06", AndarEnm2, 0.4200)
	NetSounds.AddAnimSound(per,"Enm_dth_n06", AndarEnm1, 0.6200)
	NetSounds.AddAnimSound(per,"Enm_dth_n06", AndarEnm2, 0.7500)
	NetSounds.AddAnimSound(per,"Enm_dth_n06", CaidaEnm1, 0.6900)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm2, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", AndarEnm2, 0.7200)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", CaidaEnm1, 0.7800)
	NetSounds.AddAnimSound(per,"Enm_dth_c1", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm2, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", AndarEnm2, 0.7200)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", CaidaEnm1, 0.7720)
	NetSounds.AddAnimSound(per,"Enm_dth_c2", CaidaEnm2, 0.8720)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm2, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", AndarEnm1, 0.7200)
	NetSounds.AddAnimSound(per,"Enm_dth_c3", CaidaEnm1, 0.7220)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm2, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", AndarEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", CaidaEnm1, 0.7000)
	NetSounds.AddAnimSound(per,"Enm_dth_c4", CaidaEnm2, 0.8720)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm2, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", AndarEnm2, 0.7200)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", CaidaEnm1, 0.7720)
	NetSounds.AddAnimSound(per,"Enm_dth_c5", CaidaEnm2, 0.5500)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm2, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm2, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm1, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", AndarEnm2, 0.7200)
	NetSounds.AddAnimSound(per,"Enm_dth_c6", CaidaEnm1, 0.7700)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", DesangreEnm1, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", DesangreEnm2, 0.2500)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm1, 0.2250)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm1, 0.3000)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm2, 0.3800)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm2, 0.4500)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm1, 0.5000)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm2, 0.6800)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", AndarEnm1, 0.7200)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", CaidaEnm1, 0.6300)
	NetSounds.AddAnimSound(per,"Enm_dth_c7", CaidaEnm2, 0.6900)
	
	NetSounds.AddAnimSound(per,"Enm_dth_burn", MuerteQuemandoEnm, 0.1100)
	
	NetSounds.AddAnimSound(per,"Enm_dth_rockfront", MuerteAplastamientoEnm1, 0.1000)
	NetSounds.AddAnimSound(per,"Enm_dth_rockfront", HeridaEnm2, 0.1000)
	
	NetSounds.AddAnimSound(per,'Enm_g_08', EsfuerzoCorto2Enm, 0.4030)
	NetSounds.AddAnimSound(per,'Enm_g_08', AndarEnm2, 0.3700)
	NetSounds.AddAnimSound(per,'Enm_g_08', SesgadoCortoGrave, 0.4030)
	NetSounds.AddAnimSound(per,'Enm_g_01', EsfuerzoCorto6Enm, 0.1000)
	NetSounds.AddAnimSound(per,'Enm_g_01', AndarEnm1, 0.2800)
	NetSounds.AddAnimSound(per,'Enm_g_01', SesgadoCorto, 0.3117)
	NetSounds.AddAnimSound(per,'Enm_g_02', EsfuerzoCorto5Enm, 0.3026)
	NetSounds.AddAnimSound(per,'Enm_g_02', AndarEnm2, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_g_02', SesgadoCortoAgudo, 0.3026)
	NetSounds.AddAnimSound(per,'Enm_g_05', EsfuerzoCorto2Enm, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_g_05', AndarEnm1, 0.4600)
	NetSounds.AddAnimSound(per,'Enm_g_05', SesgadoEspecialLargo1, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_g_06', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Enm_g_06', EsfuerzoCorto3Enm, 0.4342)
	NetSounds.AddAnimSound(per,'Enm_g_06', AndarEnm2, 0.4342)
	NetSounds.AddAnimSound(per,'Enm_g_07', EsfuerzoCorto4Enm, 0.3291)
	NetSounds.AddAnimSound(per,'Enm_g_07', AndarEnm1, 0.2800)
	NetSounds.AddAnimSound(per,'Enm_g_07', SesgadoEspecialLargo1, 0.3291)
	NetSounds.AddAnimSound(per,'Enm_g_09', EsfuerzoCorto4Enm, 0.3291)
	NetSounds.AddAnimSound(per,'Enm_g_09', AndarEnm1, 0.2800)
	NetSounds.AddAnimSound(per,'Enm_g_09', SesgadoCorto, 0.3291)
	NetSounds.AddAnimSound(per,'Enm_g_01a', EsfuerzoCorto4Enm, 0.3220)
	NetSounds.AddAnimSound(per,'Enm_g_01a', AndarEnm1, 0.6000)
	NetSounds.AddAnimSound(per,'Enm_g_01a', SesgadoCorto, 0.3220)
	NetSounds.AddAnimSound(per,'Enm_g_02a', EsfuerzoCorto2Enm, 0.2750)
	NetSounds.AddAnimSound(per,'Enm_g_02a', AndarEnm1, 0.2200)
	NetSounds.AddAnimSound(per,'Enm_g_02a', SesgadoCorto, 0.2830)
	NetSounds.AddAnimSound(per,'Enm_g_05a', EsfuerzoCorto6Enm, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_g_05a', AndarEnm1, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_05a', SesgadoCorto, 0.2630)
	NetSounds.AddAnimSound(per,'Enm_g_06a', EsfuerzoCorto1Enm, 0.4360)
	NetSounds.AddAnimSound(per,'Enm_g_06a', AndarEnm1, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_g_06a', SesgadoCorto, 0.4630)
	NetSounds.AddAnimSound(per,'Enm_g_06a', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_07a', EsfuerzoCorto1Enm, 0.1050)
	NetSounds.AddAnimSound(per,'Enm_g_07a', SesgadoCortoGrave, 0.3410)
	NetSounds.AddAnimSound(per,'Enm_g_07a', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_07a', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_g_09a', EsfuerzoCorto5Enm, 0.3220)
	NetSounds.AddAnimSound(per,'Enm_g_09a', SesgadoCortoGrave, 0.3220)
	NetSounds.AddAnimSound(per,'Enm_g_09a', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_09a', AndarEnm2, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_g_11', EsfuerzoGolpeFrontalEnm, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_g_11', AndarEnm1, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_11', SesgadoEspecialLargo1, 0.4685)
	NetSounds.AddAnimSound(per,'Enm_g_12', EsfuerzoGolpeFrontalEnm, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_g_12', AndarEnm2, 0.5500)
	NetSounds.AddAnimSound(per,'Enm_g_12', SesgadoEspecialLargo1, 0.5954)
	
	NetSounds.AddAnimSound(per,'Enm_g_13', EsfuerzoGolpeFrontalEnm, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_g_13', AndarEnm1, 0.2750)
	NetSounds.AddAnimSound(per,'Enm_g_13', SesgadoEspecialLargo1, 0.3053)
	NetSounds.AddAnimSound(per,'Enm_g_14', EsfuerzoGolpeLateralEnm, 0.3969)
	NetSounds.AddAnimSound(per,'Enm_g_14', AndarEnm1, 0.3500)
	NetSounds.AddAnimSound(per,'Enm_g_14', SesgadoEspecialLargo1, 0.3969)
	NetSounds.AddAnimSound(per,'Enm_g_16', EsfuerzoCorto1Enm, 0.4400)
	NetSounds.AddAnimSound(per,'Enm_g_16', AndarEnm1, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_16', SesgadoEspecialLargo1, 0.4681)
	NetSounds.AddAnimSound(per,'Enm_g_15', EsfuerzoGolpeLateralEnm, 0.4628)  #no se si se usa
	NetSounds.AddAnimSound(per,'Enm_g_15', AndarEnm2, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_15', SesgadoEspecialLargo1, 0.4628)
	NetSounds.AddAnimSound(per,'Enm_g_17', SesgadoEspecialLargo1, 0.4427)
	NetSounds.AddAnimSound(per,'Enm_g_17', EsfuerzoCorto1Enm, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_17', AndarEnm2, 0.3600)
	NetSounds.AddAnimSound(per,'Enm_g_18', EsfuerzoGolpeArribaEnm, 0.4224)
	NetSounds.AddAnimSound(per,'Enm_g_18', AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,'Enm_g_18', SesgadoEspecialLargo1, 0.4224)
	
	NetSounds.AddAnimSound(per,'Enm_g_21', EsfuerzoGolpeArribaEnm, 0.5300)
	NetSounds.AddAnimSound(per,'Enm_g_21', AndarEnm1, 0.4600)
	NetSounds.AddAnimSound(per,'Enm_g_21', SesgadoEspecialLargo1, 0.5410)
	NetSounds.AddAnimSound(per,'Enm_g_22', EsfuerzoGolpeAtrasEnm, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_22', AndarEnm1, 0.4100)
	NetSounds.AddAnimSound(per,'Enm_g_22', SesgadoLargo, 0.4698)
	NetSounds.AddAnimSound(per,'Enm_g_23', EsfuerzoGolpeArribaEnm, 0.4800)
	NetSounds.AddAnimSound(per,'Enm_g_23', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_g_23', AndarEnm1, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_g_26', EsfuerzoGolpeCabezaEnm, 0.4480)
	NetSounds.AddAnimSound(per,'Enm_g_26', AndarEnm2, 0.2400)
	NetSounds.AddAnimSound(per,'Enm_g_26', SesgadoLargoAgudo, 0.4480)
	NetSounds.AddAnimSound(per,'Enm_g_27', EsfuerzoCorto6Enm, 0.3800)
	NetSounds.AddAnimSound(per,'Enm_g_27', SesgadoLargoAgudo, 0.6210)
	NetSounds.AddAnimSound(per,'Enm_g_27', SesgadoLargoGrave, 0.8100)
	
	NetSounds.AddAnimSound(per,'Enm_g_27kata', EsfuerzoCorto1Enm, 0.4870)
	NetSounds.AddAnimSound(per,'Enm_g_27kata', SesgadoLargo, 0.4870)
	NetSounds.AddAnimSound(per,'Enm_g_27kata', SesgadoCortoAgudo, 0.1050)
	NetSounds.AddAnimSound(per,'Enm_g_27kata', SesgadoCortoGrave, 0.2170)
	NetSounds.AddAnimSound(per,'Enm_g_31', EsfuerzoGolpeAtrasEnm, 0.2950)
	NetSounds.AddAnimSound(per,'Enm_g_31', AndarEnm2, 0.2500)
	NetSounds.AddAnimSound(per,'Enm_g_31', SesgadoEspecialLargo2, 0.2950)
	NetSounds.AddAnimSound(per,'Enm_g_31', SesgadoEspecialLargo1, 0.4300)
	NetSounds.AddAnimSound(per,'Enm_g_s18', EsfuerzoGolpeFrontalEnm, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_g_s18', AndarEnm1, 0.2750)
	NetSounds.AddAnimSound(per,'Enm_g_s18', SesgadoCorto, 0.6140)
	NetSounds.AddAnimSound(per,'Enm_g_s18', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_s18_2h', EsfuerzoGolpeFrontalEnm, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_g_s18_2h', AndarEnm1, 0.2750)
	NetSounds.AddAnimSound(per,'Enm_g_s18_2h', SesgadoCorto, 0.6100)
	NetSounds.AddAnimSound(per,'Enm_g_s18_2h', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', SesgadoCorto, 0.2270)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', EsfuerzoCorto2Enm, 0.1000)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', EsfuerzoCorto2Enm, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', EsfuerzoCorto3Enm, 0.4750)
	NetSounds.AddAnimSound(per,'Enm_g_06lowkata_new', AndarEnm2, 0.5000)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', EsfuerzoGolpeAtrasEnm, 0.1850)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', SesgadoCortoAgudo, 0.1850)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', EsfuerzoEnmMediano, 0.3100)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', SesgadoCorto, 0.3100)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', EsfuerzoCortoEnm, 0.5300)
	NetSounds.AddAnimSound(per,'Enm_g_32_5_3new', SesgadoLargo, 0.5300)
	NetSounds.AddAnimSound(per,'Enm_g_12low', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_12low', EsfuerzoCortoEnm, 0.3240)
	NetSounds.AddAnimSound(per,'Enm_g_12low', SesgadoLargo, 0.3240)
	NetSounds.AddAnimSound(per,'Enm_g_s11', AndarEnm2, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_s11', EsfuerzoCortoEnm, 0.2950)
	NetSounds.AddAnimSound(per,'Enm_g_s11', SesgadoLargo, 0.3000)
	NetSounds.AddAnimSound(per,'Enm_g_s3_new', SesgadoEspecialLargo1, 0.2860)
	NetSounds.AddAnimSound(per,'Enm_g_s3_new', EsfuerzoGolpeArribaEnm, 0.2600)
	NetSounds.AddAnimSound(per,'Enm_g_s3_new', AndarEnm1, 0.3200)
	NetSounds.AddAnimSound(per,'Enm_g_s22low_new',SesgadoLargo, 0.3970)
	NetSounds.AddAnimSound(per,'Enm_g_s22low_new',EsfuerzoGolpeArribaEnm, 0.2000)
	NetSounds.AddAnimSound(per,'Enm_g_s22low_new',AndarEnm1, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_s22low_new',AndarEnm2, 0.8000)
	NetSounds.AddAnimSound(per,"Enm_g_punch1",EsfuerzoCorto4Enm, 0.4000)
	NetSounds.AddAnimSound(per,"Enm_g_punch2",EsfuerzoCorto1Enm, 0.4000)
	NetSounds.AddAnimSound(per,"Enm_g_punch3",EsfuerzoCorto2Enm, 0.1250)
	NetSounds.AddAnimSound(per,"Enm_g_kick",EsfuerzoCorto2Enm, 0.1250)
	
	NetSounds.AddAnimSound(per,'Enm_g_back', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_g_back', EsfuerzoCorto1Enm, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_g_back', AndarEnm2, 0.1500)
	NetSounds.AddAnimSound(per,'Enm_g_back', EsfuerzoCorto2Enm, 0.3800)
	NetSounds.AddAnimSound(per,'Enm_g_back', SesgadoLargoAgudo, 0.3800)
	
	NetSounds.AddAnimSound(per,'Enm_g_bad_axe', EsfuerzoGolpeFrontalEnm, 0.1200)
	NetSounds.AddAnimSound(per,'Enm_g_bad_axe', SesgadoLento, 0.4260)
	NetSounds.AddAnimSound(per,'Enm_g_bad_1h', SesgadoLento, 0.3060)
	NetSounds.AddAnimSound(per,'Enm_g_bad_1h', EsfuerzoGolpeFrontalEnm, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_g_bad_1h', AndarEnm2, 0.4300)
	NetSounds.AddAnimSound(per,'Enm_g_bad_1h', AndarEnm1, 0.7000)	
	NetSounds.AddAnimSound(per,'Enm_g_bad_no', SesgadoCorto, 0.3060)
	NetSounds.AddAnimSound(per,'Enm_g_bad_no', EsfuerzoGolpeFrontalEnm, 0.1100)
	NetSounds.AddAnimSound(per,'Enm_g_bad_no', AndarEnm2, 0.4300)
	NetSounds.AddAnimSound(per,'Enm_g_bad_no', AndarEnm1, 0.7000)
	NetSounds.AddAnimSound(per,'Enm_g_bad_sword2', SesgadoLento, 0.4370)
	NetSounds.AddAnimSound(per,'Enm_g_bad_sword2', EsfuerzoGolpeAtrasEnm, 0.4000)
	NetSounds.AddAnimSound(per,'Enm_g_bad_sword2', AndarEnm1, 0.3800)
	NetSounds.AddAnimSound(per,'Enm_g_bad_sword3', SesgadoLento, 0.3150)
	NetSounds.AddAnimSound(per,'Enm_g_bad_sword3', EsfuerzoGolpeFrontalEnm, 0.2650)
	NetSounds.AddAnimSound(per,'Enm_g_bad_sword3', AndarEnm2, 0.2200)
	NetSounds.AddAnimSound(per,'Enm_g_bad_spear', SesgadoCorto, 0.2600)
	NetSounds.AddAnimSound(per,'Enm_g_bad_spear', EsfuerzoGolpeFrontalEnm, 0.1900)
	NetSounds.AddAnimSound(per,'Enm_g_bad_spear', AndarEnm2, 0.2200)
	NetSounds.AddAnimSound(per,'Enm_g_bad_spear2', SesgadoLargo, 0.4520)
	NetSounds.AddAnimSound(per,'Enm_g_bad_spear2', EsfuerzoGolpeCabezaEnm, 0.3350)
	NetSounds.AddAnimSound(per,'Enm_g_bad_spear2', AndarEnm2, 0.4700)
	NetSounds.AddAnimSound(per,'Enm_g_magic', ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,'Enm_g_magic', EsfuerzoGolpeLateralEnm, 0.5400)
	NetSounds.AddAnimSound(per,'Enm_g_magic', SesgadoLargoGrave, 0.5530)
	NetSounds.AddAnimSound(per,'Enm_g_magic2', ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,'Enm_g_magic2', EsfuerzoGolpeLateralEnm, 0.3250)
	NetSounds.AddAnimSound(per,'Enm_g_magic2', SesgadoLargoGrave, 0.5530)
	











	
	
	
	
	
	
	
	

	

	
