######################################################
#
# Create sets of attacks
#
#        - Ett -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Ett","disappear","ATTACKING")
Bladex.SetActionEventTable("Ett","g_01","ATTACKING")
Bladex.SetActionEventTable("Ett","g_06","ATTACKING")
Bladex.SetActionEventTable("Ett","g_07","ATTACKING")
Bladex.SetActionEventTable("Ett","g_26","ATTACKING")


ett=Bladex.GetCharType("Ettercap_1","Ett")


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#SP1 group
ett.AddAttack("disappear","Ett_disappear")
ett.AddLevels("Ett_disappears",0,0)


ett.AddAttack("GI_1H","Ett_g_01")
ett.AttackWindow("Ett_g_01",0.001,0.999,"GI_1H_Window")


ett.AddAttack("GM6_1H","Ett_g_06")
ett.AttackWindow("Ett_g_06",0.408,0.725,"GM6_1H_Window")


ett.AddAttack("GM7_1H","Ett_g_07")
ett.AttackWindow("Ett_g_07",0.408,0.725,"GM7_1H_Window")

ett.AddAttack("GM26_1H","Ett_g_26")
ett.AttackWindow("Ett_g_26",0.408,0.725,"GM26_1H_Window")



ett.MetaAttack("GIM_1H","GI_1H")
ett.MetaAttack("GIM_1H","GM6_1H")
ett.MetaAttack("GIM_1H","GM7_1H")
ett.MetaAttack("GIM_1H","GM26_1H")


ett.MetaAttack("COMBO1","GM6_1H")
ett.MetaAttack("COMBO1","GM7_1H")
ett.MetaAttack("COMBO1","GM26_1H")



ett.AllowAttack("GI_1H","A","","GIM_1H","GI_1H_Window","1H")

# right

ett.AllowAttack("GM6_1H","A+R","","GM6_1H","","1H")
ett.AllowAttack("GM6_1H","&A+R","","GM6_1H","","1H")

# left

ett.AllowAttack("GM7_1H","A+L","","GM7_1H","","1H")
ett.AllowAttack("GM7_1H","&A+L","","GM7_1H","","1H")

# low

ett.AllowAttack("GM26_1H","A+B","","GM26_1H","","1H")
ett.AllowAttack("GM26_1H","&A+B","","GM26_1H","","1H")

