import Bladex
import ItemTypes
import GameStateAux
import Combat
import BCopy
import Reference
import InitDataField
import Sounds
import Actions
import MenuText
import Basic_Funcs
import GenFX
import ObjStore
import AuxFuncs
import Interpolator
import ObjStore
import CharStats
import whrandom
import Combat
import Enm_Def
import Auras
import math
import AniSoundEttercap




TRUE = 1==1
FALSE = not TRUE


PI = math.pi
TWOPI = PI*2

CHOOSE_FIRST  = -1
CHOOSE_SECOND =  1
CHOOSE_EITHER =  0

ROUTE_WATCH=0  #Watch mode
ROUTE_BAY=1    #Performing a bay route
ROUTE_CHASE=2  #Chase a character
ROUTE_SINGLE=3 #Following a single route (going to just a point)
ROUTE_BOWING=4 #Bowing (OR trying to bow) an enemy



def CheckIfEnemy (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:		
		try:
	           	enemyName=me.Data.EnemyName
	           	return TRUE                       
	        except AttributeError:  
	 	   	return FALSE   
	 	   	
	 	   	
Bladex.AddParticleGType("FastGreenEnergyConc","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 #va de 0 a 1
	else:
		traux=i/5.0 #va de 1 a 0
	r=100
	g=255
	b=130
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("FastGreenEnergyConc",i,r,g,b,a,size)	 	   	
	 	   	
	 	   	


def ChangeRasterMode(ent_name, mode):
	Bladex.GetEntity(ent_name).RasterMode=mode

def EttercapMagicallyAppearing(entity):
	print "Ettercap fading in"
	TimeEffect=2.0
	time=Bladex.GetTime()
	ett=Bladex.GetEntity(entity)
	ett.Alpha=0.01
	ett.RasterMode="Read"
	Bladex.AddScheduledFunc(time+TimeEffect, ChangeRasterMode, (entity, "Full"))
	AuxFuncs.FadeObject(entity, 0.01, 1.0, 2.0)
	AuraParams0=(240, 0.01, 1.0, 0, 1, 1)
	AuraParams1=(50 , 1.0 , 1.0, 0, 1, 1)
	AuraParams2=(50 , 0.01, 1.0, 0, 1, 1)
	AuraGradient0=(2,  0.2, 0.8, 0.4, 1.0, 0.2  ,  0.0, 0.2, 0.8, 0.0, 0.7)
	AuraGradient1=(2,  0.8, 0.9, 1.0, 1.0, 0.2  ,  0.0, 0.2, 0.9, 0.1, 1.0)
	aura=Auras.MakeAura(entity, TimeEffect, AuraParams0, (), (), AuraGradient0)
	aura.Data.AddEvent (time+TimeEffect/2.0, AuraParams1, (), (), AuraGradient1)
	aura.Data.AddEvent (time+TimeEffect, AuraParams2, (), (), AuraGradient0)
	ps=Bladex.CreateEntity("PSPersonMagicallyAppearing", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
	ps.PersonName=entity
	ps.ParticleType="FastGreenEnergyConc"
	ps.PPS=200
	ps.YGravity=0.0
	ps.Friction=0.0
	ps.Velocity=0.0, 0.0, 0.0
	ps.RandomVelocity=0.5
	ps.NormalVelocity=-2.0
	ps.Time2Live=30
	ps.DeathTime=time+TimeEffect/2.0


def EttercapMagicallyDisappearing(entity):
	print "Ettercap fading out"
	TimeEffect=3.0
	time=Bladex.GetTime()
	ett=Bladex.GetEntity(entity)
	ett.Alpha=1.0
	ett.RasterMode="Read"
	AuxFuncs.FadeObject(entity, 1.0, 0.01, TimeEffect)
	AuraParams0=(240, 0.01, 1.0, 0, 1, 1)
	AuraParams1=(50 , 1.0 , 1.0, 0, 1, 1)
	AuraParams2=(50 , 0.01, 1.0, 0, 1, 1)
	AuraGradient0=(2,  0.2, 0.4, 0.8, 1.0, 0.2  ,  0.0, 0.2, 0.8, 0.0, 0.7)
	AuraGradient1=(2,  0.8, 0.9, 1.0, 1.0, 0.2  ,  0.0, 0.2, 0.9, 0.1, 1.0)
	aura=Auras.MakeAura(entity, TimeEffect, AuraParams2, (), (), AuraGradient0)
	aura.Data.AddEvent (time+TimeEffect/2.0, AuraParams1, (), (), AuraGradient1)
	aura.Data.AddEvent (time+TimeEffect, AuraParams0, (), (), AuraGradient0)
	ps=Bladex.CreateEntity("PSPersonMagicallyAppearing", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
	ps.PersonName=entity
	ps.ParticleType="EnergyDissip"
	ps.PPS=200
	ps.YGravity=0.0
	ps.Friction=0.0
	ps.Velocity=0.0, 0.0, 0.0
	ps.RandomVelocity=0.5
	ps.NormalVelocity=2.0
	ps.Time2Live=60
	ps.DeathTime=time+TimeEffect/3.0

	 	   	
	 	
def RestoreDamage(entity):   	   	
	per=Bladex.GetEntity(entity)
	per.Data.Invincibility=0
	print per.Name,": damage restored"
	
	

def MakeReplacement(entity,level,pos,ang):
	actuallvl=level+1
	MESH="Ettercap_"+str(actuallvl)
	oldper=Bladex.GetEntity(entity)
	newper=Bladex.CreateEntity(entity+"_level_"+str(actuallvl),"Ettercap_1",0,30000,0,"Person",MESH)
	newper.Level=level
	newper.Life = CharStats.GetCharMaxLife(newper.Kind, level)
	newper.Angle=ang
	newper.Alpha=0.01
	print "Ettercap replacement made: Level ",actuallvl
	newper.Data=Ettercap(newper)
	if oldper.Data.DeathFunc:
		newper.Data.DeathFunc=oldper.Data.DeathFunc
		newper.Data.DeathArgs=(newper.Name,)
		print "Ettercap deathfunc transfered to replacement: ",newper.Name
	newper.Position=pos[0],pos[1]-200,pos[2]
	newper.Angle=ang
	newper.Wuea=Reference.WUEA_ENDED
	newper.InterruptCombat()	
	newper.LaunchAnmType("disappear")	
	EttercapMagicallyAppearing(newper.Name)
	Bladex.AddScheduledFunc(Bladex.GetTime()+3.1,RestoreDamage,(newper.Name,))
	 	   	
	 	   	
	 	   	


class Ettercap (Enm_Def.NPCPerson):

	clawname=""
	DeathFunc=None
	DeathArgs=()
	AGE_Number=0
	NameOfEnemy=None
	
	

	def __init__(self, me):
		Enm_Def.NPCPerson.__init__(self, me)

		# Set up traitor knight specific sound priorities
		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0
		
		self.clawname=""
		self.DeathFunc=None
		self.DeathArgs=()
		self.AGE_Number=0
		
		
		me.ImDeadFunc=self.NUImDeadFunc
		
				
		self.dissapsound1=Bladex.CreateSound("..\\..\\Sounds\\Stone-gargoyle-animate.wav", "DissappearSound1")
		self.dissapsound1.Volume=1.0
		self.dissapsound1.MinDistance=10000
		self.dissapsound1.MaxDistance=20000
		
				
		self.dissapsound2=Bladex.CreateSound("..\\..\\Sounds\\luz.wav", "DissappearSound2")
		self.dissapsound2.Volume=1.0
		self.dissapsound2.MinDistance=10000
		self.dissapsound2.MaxDistance=20000
		
				
		self.GrowClaw()

	
	def ResetSounds(self, EntityName):
		AniSoundEttercap.AsignarSonidosEttercap(EntityName)
		Bladex.ReadBitMap("../../Maps/DwarfWarsII/NUFiles/NUEttercapStuff/EttercapIcon.bmp","EttercapIcon")
		Reference.EnemiesScorerData[self.Name]=("EttercapIcon","Ett")
		
		
		

	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me= Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind= FALSE
			self.AttackNPCTime= 20.0
			me.AttackList= BCopy.deepcopy(EttercapAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath= 0.0


	def UpgradeMyClaw(self):
		me = Bladex.GetEntity(self.Name)
		reallvl=me.Level+7
		clwdam=reallvl*reallvl
		vdam=reallvl*2
		fdam=clwdam*reallvl
		xdam=clwdam*2
		if self.clawname:
			Reference.EntitiesObjectData[self.clawname][1]=clwdam
				
				
			
			
		
	def GrowClaw(self):
		me = Bladex.GetEntity(self.Name)
		inv=me.GetInventory()
		dclaw=Bladex.CreateEntity(self.Name+"_Claw","EttercapClaw",0,0,0, "Weapon")
		if me.Level>=3:
			dclaw.Scale=2.5
		else:
			dclaw.Scale=3.0
		dclaw.Alpha=0.0
		dclaw.RasterMode  ="AdditiveAlpha"
		dclaw.RasterMode="Read"
		dclaw.CastShadows=0
		inv.AddWeapon(dclaw.Name)
		inv.LinkRightHand(dclaw.Name)
		self.clawname=dclaw.Name
		Reference.EntitiesObjectData[self.clawname]=[Reference.OBJ_WEAPON, 1, 0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
		self.UpgradeMyClaw()
		lvl=me.Level+1
		print "Made Claw for Ettercap at Level ",lvl
			
	
	
	def MyGetEnemyName (self):
		me=Bladex.GetEntity(self.Name)
	        if not self.NameOfEnemy or Bladex.GetEntity(self.NameOfEnemy).Life <=0:
                   	pjp = me.Position
		   	enemyList=[]
		   	pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
			pjp=me.Position
			for ename in Bladex.GetEnemiesVisibleFrom(pjp,50000,pj_dir,0.0):
                       		ene=Bladex.GetEntity(ename)
                       		if self.IsValidEnemy(ene):
                         		enemyList.append(ene.Name)
                   	if len (enemyList) == 0: 
                   		char=Bladex.GetEntity("Player1")
                   		if me.CanISee(char):
	  				self.NameOfEnemy="Player1"
                   			enemy=Bladex.GetEntity(self.NameOfEnemy)
                			me.SetEnemy(enemy)
					return self.NameOfEnemy			
                   		else:
                   			return None
                   	enemyList.sort(self.ChooseNearest)
                   	self.NameOfEnemy=enemyList[0]
		enemy=Bladex.GetEntity(self.NameOfEnemy)
                me.SetEnemy(enemy)
                
		return self.NameOfEnemy			
				
				
		
	def IsValidEnemy (self, entity):
		me=Bladex.GetEntity(self.Name)
		if not entity.Person: 
			return FALSE
		if not entity.Life > 0:
			return FALSE
		if entity.Alpha<0.9:
			return FALSE
		if entity.Name == self.Name:
			return FALSE
		if entity.Kind==me.Kind:
			return FALSE
		if  CheckIfEnemy(entity.Name): 
			return TRUE
		else:
			return FALSE
			

	def ChooseNearest (self,entity1name, entity2name):
		p1 = Bladex.GetEntity(entity1name)
		p2 = Bladex.GetEntity(entity2name)
		if not p1 and not p2:
			return CHOOSE_EITHER
		elif not p1:
			return CHOOSE_SECOND
		elif not p2:
			return CHOOSE_FIRST
		me=Bladex.GetEntity(self.Name)
		val = me.SQDistance2(p1) - me.SQDistance2(p2)
		if val < 0:
			return CHOOSE_FIRST
		elif val > 0:
			return CHOOSE_SECOND
		else:
			return CHOOSE_EITHER


	def StdSeeTheEnemy(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		life = me.Life
		if life > 0.0:		
			if not self.MyGetEnemyName(): 
				return
			Reference.debugprint (EntityName + ": I spy a GOOD guy")
			ene=Bladex.GetEntity(self.MyGetEnemyName())
			if ene:
				if self.IsValidEnemy(ene):
					Reference.debugprint (EntityName + ": Your Name is "+ene.Name+ " I will do you over")
					if self.Asleep:
						self.WakeMeUp(EntityName)
				me.LookAtEntity(ene.Name)
				#Just in case we were doing a wait animation
				if me.GetActionMode() == Enm_Def.ROUTE_BAY:	
					me.Wuea=Reference.WUEA_ENDED

				#self.CheckToJoin(EntityName)
				if me.GetActionMode()!=Enm_Def.ROUTE_CHASE:
					self.StdStartChase(EntityName)
				
				if me.GetActionMode()==Enm_Def.ROUTE_BOWING: 
					if self.AimPressed:
						angle= Reference.TARGET_ANGLE_MAX- me.Accuracy*(Reference.TARGET_ANGLE_MAX-Reference.TARGET_ANGLE_MIN)
						if me.AimOffTarget<angle:
							print "Releasing Arrow"
							Actions.TestReleaseArrow(EntityName)
					else: 
						if me.Wuea!=Reference.WUEA_WAIT:
							#print "Drawing Bow"
							Actions.TestDrawBow (EntityName)
				elif me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()



	def StdDelayNoSeen(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life > 0:
			if (not self.Asleep) and (not me.Blind):
				
				me.StopLooking()
				self.PutMeToSleep(EntityName)
				if not self.NameOfEnemy:
					self.LookForAnotherOpponent(EntityName)
				Reference.debugprint(EntityName+": I have got bored and dropped to sleep")
				
							
				
				
	def LookForAnotherOpponent(self,EntityName):
		Reference.debugprint(EntityName+": I am looking for another opponent")
		me = Bladex.GetEntity(EntityName)
		if me.InCombat:
			return
		mep=me.Position
		enelist=[]
		ents=Bladex.GetEntitiesAt(mep[0],mep[1],mep[2], 30000)
		for ename in ents:
			en=Bladex.GetEntity(ename)
			if en.Person:
				if self.IsValidEnemy(en) and en.Name != me.Name:
					enelist.append(en.Name)
		if len (enelist) == 0: 
                   	return 
                enelist.sort(self.ChooseNearest)
                nearest=Bladex.GetEntity(enelist[0])
                if nearest:
			me.GoToJogging=0
			me.GoTo(nearest.Position[0],nearest.Position[1],nearest.Position[2])
			me.RouteEndedFunc=self.LaunchMyWatch
			print EntityName+" I have found a new enemy and I am going to sort the bugger out "
					

	def PutMeToSleep(self,EntityName):
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			me.Deaf=1
			self.Asleep = TRUE


	def WakeMeUp(self,EntityName):
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0  
			me.Deaf=0
			self.Asleep = FALSE
			
	def MoveMeAway(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.Position=0,30000,0
				
			
	def NUImDeadFunc (self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.UnlinkChildren()
		inv=me.GetInventory()
		wps=Bladex.CreateEntity(EntityName+"WPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
		wps.PersonName=EntityName
		wps.ParticleType="DeathCloud"
		wps.Time2Live=16
		wps.RandomVelocity=2.0
		wps.Velocity=0,0,0
		wps.NormalVelocity=2
		wps.YGravity=0
		wps.DeathTime=Bladex.GetTime()+5.50
		wps.PPS=1024
		me.Alpha=1.0
		me.RasterMode="Read"
		me.CastShadows=0
		AuxFuncs.FadeObject(me.Name, 1.00, 0.0, 3.0)
		#Bladex.AddScheduledFunc(Bladex.GetTime()+3.1,me.SubscribeToList,("Pin",))# If removed completely, creates errors in ally funcs
		Bladex.AddScheduledFunc(Bladex.GetTime()+3.1,self.MoveMeAway,(EntityName,))
		#self.dissapsound1.Play(me.Position[0], me.Position[1], me.Position[2], 0)
		self.dissapsound2.Play(me.Position[0], me.Position[1], me.Position[2], 0)
		if self.clawname:
			dclaw=Bladex.GetEntity(self.clawname)
			Actions.RemoveFromInventory(me, dclaw,"DropRightEvent")
			dclaw.Alpha=0.0
			dclaw.Position=0,50000,0
		if(self.DeathFunc):
			apply(self.DeathFunc,self.DeathArgs)
		Enm_Def.NPCPerson.StdImDead(self,EntityName)
		
	
	
	
	def OnKilledEnemy(self,KilledEntityName):
		print "Ettercap Leveling up"
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		me=Bladex.GetEntity(self.Name)
		me.Level=me.Level+1
		if me.Level>=6:	
			me.ResetWounds()
			me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			aura= Auras.MakeAura (me.Name, 1.8,(55,1.0,1.0,1,0,0), (),(),(2,  0.4,0.0,0.8, 0.5, 0.0  , 0.4,0.0,0.6, 0.1, 0.1))
			aura.Data.AddEvent(time+1.2,      (55,0.8,1.0,1,0,0), (),(),(2,  0.4,0.0,0.8, 0.5, 0.0  , 0.4,0.0,0.6, 0.1, 1.0))
			aura.Data.AddEvent(time+1.8,      (255,0.0,1.0,1,0,0), (),(),(2,  0.4,0.0,0.9, 0.5, 0.0  , 0.4,0.0,0.6, 0.1, 1.0))
			print me.Name+": I am at max level"
		else:
			me.Wuea=Reference.WUEA_ENDED
			me.InterruptCombat()
			me.Freeze()	
			MakeReplacement(me.Name,me.Level,me.Position,me.Angle)
			Bladex.AddScheduledFunc(Bladex.GetTime()+0.1,self.ShiftMeAway,(self.Name,))
			self.dissapsound1.Play(me.Position[0], me.Position[1], me.Position[2], 0)
			print self.Name," I going to next skin"
			
		
		
			
			
						
	def ShiftMeAway2(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		me.Position=0,30000,0
			
	def ShiftMeAway(self, EntityName):
		me = Bladex.GetEntity(EntityName)
		me.Life=0
		AuxFuncs.FadeObject(EntityName,1.0,0.0,1.1)
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0,self.ShiftMeAway2,(EntityName,))
		
		
				

	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=Enm_Def.NPCPerson.__getstate__(self)
		if(NPCPerson_state[0]!=1):	
			return NPCPerson_state
		NPCPerson_state[1]["Ettercap"]=(self.clawname,
						GameStateAux.SaveFunctionAux(self.DeathFunc),
						self.DeathArgs,
						self.AGE_Number,
						self.NameOfEnemy)
		return NPCPerson_state		

	def __setstate__(self,parm):
		Enm_Def.NPCPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["Ettercap"]
			self.clawname=parms[0]
			GameStateAux.LoadFunctionAux(parms[1],self,"DeathFunc")
			self.DeathArgs=parms[2]
			self.AGE_Number=parms[3]
			self.NameOfEnemy=parms[4]
			
		me=Bladex.GetEntity(self.Name)
		me.ImDeadFunc=self.NUImDeadFunc
		self.dissapsound1=Bladex.CreateSound("..\\..\\Sounds\\Stone-gargoyle-animate.wav", "DissappearSound1")
		self.dissapsound1.Volume=1.0
		self.dissapsound1.MinDistance=10000
		self.dissapsound1.MaxDistance=20000
			
		self.dissapsound2=Bladex.CreateSound("..\\..\\Sounds\\luz.wav", "DissappearSound2")
		self.dissapsound2.Volume=1.0
		self.dissapsound2.MinDistance=10000
		self.dissapsound2.MaxDistance=20000
		
		
		
		

	
EttercapAttackData =	[ 
           # inner zone blocks:
            [Combat.BLOCK,  1.32, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.32, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.10, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.14, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.19, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # dodges:  sometimes the best form of defence is to attack...
            [Combat.DODGE,  0.90, ("GM26_1H",),            500.0, 1800.0, 2930.0, 0.35],
            

           # attacks:
            [Combat.ATTACK, 0.25, ("GI_1H",),            100.0,  900.0, 1500.0, 0.35],
            [Combat.ATTACK, 0.12, ("GM6_1H",),           100.0,  900.0, 1500.0, 0.35],
            [Combat.ATTACK, 0.12, ("GM7_1H",),           100.0,  900.0, 1500.0, 0.35],
            [Combat.ATTACK, 0.12, ("GM26_1H",),          100.0,  900.0, 1500.0, 0.35],
            
            #[Combat.ATTACK, 0.10, ("COMBO1",),         1100.0, 2400.0, 2820.0, 0.35],
            #[Combat.ATTACK, 0.10, ("COMBO2",),          800.0, 2421.0, 2978.0, 0.35],
            
            
           # inner zone moves:
            [Combat.MOVE,   0.025, "tr",                750.0, 1500.0, 3000.0, 0.35],
            [Combat.MOVE,   0.025, "tl",                750.0, 1500.0, 3000.0, 0.35],
            [Combat.MOVE,   0.0625,"tb",                750.0, 1500.0, 3000.0, 0.35],
            [Combat.MOVE,   0.0375,"tf",                750.0, 1500.0, 3000.0, 0.35],
            
           # outer zone moves:
            [Combat.MOVE,   0.002, Combat.Insult,             5000.0, 7000.0, 9000.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             6000.0, 6250.0, 6500.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             7000.0, 7250.0, 7500.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             8000.0, 8250.0, 8500.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             9000.0, 9250.0, 9500.0, 0.50,1],
            
            [Combat.MOVE,   0.025,  "tr",              3000.0, 3500.0, 4500.0, 0.35,1],
            [Combat.MOVE,   0.025,  "tl",              3000.0, 3500.0, 4500.0, 0.35,1],
            [Combat.MOVE,   0.0625,"tb",               3000.0, 3500.0, 4500.0, 0.35,1],
            [Combat.MOVE,   0.0375,"tf",               3000.0, 3500.0, 4500.0, 0.35,1],

            [Combat.MOVE,   0.80,  Combat.KeepDistance,       2800.0, 6250.0, 9500.0, 0.35,1],

]
	
	

	
	
	


	
	


	