
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ####################
    #                  #
    # Generic Female   #
    #                  #
    ####################
   
    
import FemaleAnm_def
FemaleAnm_def.InitFemale()    
 
    
fma=Bladex.GetCharType("Fem1","Fma")
fma.IntName="Fma" 

fma.TurnSpeed=3.4
fma.Jcost=27000
fma.MaxFall=5000
fma.DieFall=14000
fma.MaxStair=335
fma.Fov=math.pi
fma.MaxGrab=3500.0
fma.MedGrab=2500.0
fma.Min2Grab=1500.0    
fma.MinTake=-500.0	# Min height above floor barbarian will take
fma.MaxTake1=450.0	# Max height above floor for Take1 Anim
fma.MaxTake2=550.0	# Max height above floor for Take2 Anim
fma.MaxTake3=1300.0	# Max height above floor for Take3 Anim
fma.MaxTake4=1900.0	# Max height above floor for Take4 Anim
fma.MaxTake5=3000.0	# Max height above floor for Take5 Anim
fma.Reach=2000.0	# Max distance from bar centre to obj centre to take
fma.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
fma.MovBkwdSpeedInStrafe=1300  #Idem backwards
fma.MaxCombatDist=120000 #######################
fma.MaxSeeDist=50000

fma.NaturalWeapons=1
fma.SetNCDSpheres(2)
fma.SetCDSphere(0,250.0,450.0)  #(numero de la espera, altura mm, radio mm)
fma.SetCDSphere(1,-240.0,450.0)  #(numero de la espera, altura mm, radio mm)

###############################################################################
#

def Fem1WhenFirst():
	Bladex.CreateBipedData("Fma","Fem1")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Fma.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Fma.dat")

	import FemaleAnimationSet
	FemaleAnimationSet.LoadFemaleAnimationSet("Fma")
	
	import FemaleBAct
	import LinkTables
	LinkTables.LinkMe("Fma")
	import FemaleCombos
	import AnmFactFemale
	AnmFactFemale.AnmFactFemale()
	import FemaleStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Fma.dat","Fma")
	
	print"New Female Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Fem1","Fma")
race.OnFirst=Fem1WhenFirst
