import Bladex

# ***********************************
# *      Asignacion de sonidos      *
# ***********************************

AsignarSonidosGobCalled=0
def AsignarSonidosGoblin(Personaje):

	from AniSoundGoblinX import *

	per=Bladex.GetEntity(Personaje)
	

	# Sonidos de eventos

	per.AddEventSound('shield_block', GolpeArmaEscudoGob)
	per.AddEventSound('weapon_block', GolpeArmaArmaGob)
	per.AddEventSound('impale', TajoEmpalanteGob)
	per.AddEventSound('slash', TajoCortanteGob)
	per.AddEventSound('mutilate', TajoMutilacionGob)
	per.AddEventSound('crush', GolpeContundenteGob)
	
	
	global AsignarSonidosGobCalled
	if AsignarSonidosGobCalled:
		return
	AsignarSonidosGobCalled=1


	# Sonidos de animaciones

	# Animation Alarm (We want a selection of sounds, so better link a function)
	per.AddAnimSound('Gob_alarm01', Insulto, 0.3000)
	
	per.AddAnimSound('Gob_order', Insulto, 0.6610)
	per.AddAnimSound('Gob_order', GritoGob1, 0.1450)
	per.AddAnimSound('Gob_order', GritoGob2, 0.3920)
	
	#per.AddAnimSound('Gob_fury', Insulto, 0.6610)
	per.AddAnimSound('Gob_fury', GritoGob2, 0.3000)
	
	per.AddAnimSound('Gob_g_01', EsfuerzoCortoGob, 0.1883)
	per.AddAnimSound('Gob_g_02', EsfuerzoCorto1Gob, 0.2840)
	per.AddAnimSound('Gob_g_06', EsfuerzoCorto3Gob, 0.4583)
	per.AddAnimSound('Gob_g_01', SesgadoCorto, 0.1883)
	per.AddAnimSound('Gob_g_02', SesgadoCortoAgudo, 0.2840)
	per.AddAnimSound('Gob_g_06', SesgadoCorto, 0.4583)
	per.AddAnimSound('Gob_g_15', EsfuerzoGolpeLateralGob, 0.3651)
	per.AddAnimSound('Gob_g_16', EsfuerzoGolpeLateralGob, 0.4054)
	per.AddAnimSound('Gob_g_18', EsfuerzoGolpeArribaGob, 0.4634)
	per.AddAnimSound('Gob_g_15', SesgadoLargo, 0.3730)
	per.AddAnimSound('Gob_g_16', SesgadoLargoAgudo, 0.4054)
	per.AddAnimSound('Gob_g_18', SesgadoLargoGrave, 0.4878)

	per.AddAnimSound('Gob_clmb_medlow_1h', EsfuerzoCorto2Gob, 0.2400)
	per.AddAnimSound('Gob_clmb_medium_1h', EsfuerzoCorto2Gob, 0.1389)
	per.AddAnimSound('Gob_clmb_high_1h', EsfuerzoCorto1Gob, 0.0862)
	per.AddAnimSound('Gob_clmb_medlow_no', EsfuerzoCorto2Gob, 0.4000)
	per.AddAnimSound('Gob_clmb_medium_no', EsfuerzoCorto2Gob, 0.1944)
	per.AddAnimSound('Gob_clmb_high_no', EsfuerzoCorto1Gob, 0.1552)
	per.AddAnimSound('Gob_clmb_medium_1h', EsfuerzoCortoGob, 0.2400)
	per.AddAnimSound('Gob_clmb_high_1h', EsfuerzoCorto3Gob, 0.1389)
	per.AddAnimSound('Gob_clmb_high_1h', EsfuerzoCortoGob, 0.0862)
	per.AddAnimSound('Gob_clmb_medium_no', EsfuerzoCortoGob, 0.4000)
	per.AddAnimSound('Gob_clmb_high_no', EsfuerzoCorto3Gob, 0.1944)
	per.AddAnimSound('Gob_clmb_high_no', EsfuerzoCortoGob, 0.1552)

	per.AddAnimSound("Gob_dth0", MuerteGob1, 0.1130)
	per.AddAnimSound("Gob_dth0", AndarGob1, 0.2000)
	per.AddAnimSound("Gob_dth0", AndarGob2, 0.4000)
	per.AddAnimSound("Gob_dth0", AndarGob1, 0.6000)
	per.AddAnimSound("Gob_dth0", AndarGob2, 0.7200)
	per.AddAnimSound("Gob_dth0", CaidaGob1, 0.8900)
	per.AddAnimSound("Gob_dth_i1", MuerteGob1, 0.1130)
	per.AddAnimSound("Gob_dth_i2", MuerteGob4, 0.1130)
	per.AddAnimSound("Gob_dth_bl1", MuerteGob2, 0.1130)
	per.AddAnimSound("Gob_dth_bl2", MuerteGob1, 0.1130)
	per.AddAnimSound("Gob_dth_rock", MuerteGob3, 0.1130)
	per.AddAnimSound("Gob_dth_n00", MuerteGob1, 0.1100)
	per.AddAnimSound("Gob_dth_n00", CaidaGob1, 0.8000)
	per.AddAnimSound("Gob_dth_n01", MuerteGob2, 0.1100)
	per.AddAnimSound("Gob_dth_n01", CaidaGob1, 0.7800)
	per.AddAnimSound("Gob_dth_n02", MuerteGob3, 0.1200)
	per.AddAnimSound("Gob_dth_n02", CaidaGob1, 0.8000)
	per.AddAnimSound("Gob_dth_n03", MuerteGob4, 0.1200)
	per.AddAnimSound("Gob_dth_n03", CaidaGob1, 0.7550)
	per.AddAnimSound("Gob_dth_n04", MuerteGob4, 0.1100)
	per.AddAnimSound("Gob_dth_n04", CaidaGob1, 0.7600)
	per.AddAnimSound("Gob_dth_n05", MuerteGob4, 0.1100)
	per.AddAnimSound("Gob_dth_n05", CaidaGob1, 0.7700)
	per.AddAnimSound("Gob_dth_n06", MuerteGob2, 0.1200)
	per.AddAnimSound("Gob_dth_n06", CaidaGob1, 0.7900)
	per.AddAnimSound("Gob_dth_c1", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c1", CaidaGob1, 0.7800)
	per.AddAnimSound("Gob_dth_c1", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c2", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c2", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c2", CaidaGob1, 0.7720)
	per.AddAnimSound("Gob_dth_c2", CaidaGob2, 0.8720)
	per.AddAnimSound("Gob_dth_c3", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c3", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c3", CaidaGob1, 0.7220)
	per.AddAnimSound("Gob_dth_c4", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c4", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c4", CaidaGob1, 0.7000)
	per.AddAnimSound("Gob_dth_c4", CaidaGob2, 0.8720)
	per.AddAnimSound("Gob_dth_c5", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c5", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c5", CaidaGob1, 0.7720)
	per.AddAnimSound("Gob_dth_c5", CaidaGob2, 0.5500)
	per.AddAnimSound("Gob_dth_c6", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c6", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c6", CaidaGob1, 0.7700)
	per.AddAnimSound("Gob_dth_c7", DesangreGob1, 0.1250)
	per.AddAnimSound("Gob_dth_c7", DesangreGob1, 0.2500)
	per.AddAnimSound("Gob_dth_c7", CaidaGob1, 0.6300)
	per.AddAnimSound("Gob_dth_c7", CaidaGob2, 0.6900)

	per.AddAnimSound("Gob_hurt_jog", HeridaGob1, 0.5714)
	per.AddAnimSound("Gob_hurt_neck", HeridaGob2, 0.3158)
	per.AddAnimSound("Gob_hurt_breast", HeridaGob2, 0.3889)
	per.AddAnimSound("Gob_hurt_back", HeridaGob2, 0.1282)
	per.AddAnimSound("Gob_hurt_r_arm", HeridaGob2, 0.4706)
	per.AddAnimSound("Gob_hurt_l_arm", HeridaGob3, 0.5333)
	per.AddAnimSound("Gob_hurt_r_leg", HeridaGob1, 0.4706)
	per.AddAnimSound("Gob_hurt_l_leg", HeridaGob2, 0.4375)
	per.AddAnimSound("Gob_hurt_f_head", HeridaGob3, 0.3333)
	per.AddAnimSound("Gob_hurt_f_neck", HeridaGob2, 0.3158)
	per.AddAnimSound("Gob_hurt_f_breast", HeridaGob2, 0.3889)
	per.AddAnimSound("Gob_hurt_f_back", HeridaGob2, 0.4211)
	per.AddAnimSound("Gob_hurt_f_r_arm", HeridaGob1, 0.2000)
	per.AddAnimSound("Gob_hurt_f_l_arm", HeridaGob3, 0.1786)
	per.AddAnimSound("Gob_hurt_f_r_leg", HeridaGob2, 0.4706)
	per.AddAnimSound("Gob_hurt_f_l_leg", HeridaGob2, 0.4375)
	per.AddAnimSound("Gob_hurt_f_lite", HeridaGob1, 0.4615)
	per.AddAnimSound("Gob_hurt_f_big", HeridaGob3, 0.5000)
	per.AddAnimSound("Gob_hurt_head", HeridaGob2, 0.6000)

	per.AddAnimSound("Gob_Rlx_1h_00", Relax1, 0.3000)
	per.AddAnimSound("Gob_Rlx_1h_00", Relax2, 0.6000)
	per.AddAnimSound("Gob_Rlx_b_00", Relax1, 0.3000)
	per.AddAnimSound("Gob_Rlx_b_00", Relax2, 0.6000)
	per.AddAnimSound("Gob_Rlx_cold_00", Relax1, 0.3000)
	per.AddAnimSound("Gob_Rlx_cold_00", Relax2, 0.6000)
	per.AddAnimSound("Rlx_no_Gob", Relax1, 0.1500)
	per.AddAnimSound("Rlx_no_Gob", Relax2, 0.3000)
	per.AddAnimSound("Rlx_no_Gob", Relax1, 0.6000)
	per.AddAnimSound("Rlx_no_Gob", Relax2, 0.9000)
	per.AddAnimSound("Gob_Rlx_fatigue_00", Relax1, 0.3000)
	per.AddAnimSound("Gob_Rlx_fatigue_00", Relax2, 0.6000)
	per.AddAnimSound("Rlx_1h_Gob", Relax1, 0.3000)
	per.AddAnimSound("Rlx_1h_Gob", Relax2, 0.6000)


	per.AddAnimSound("Gob_attack_f", GritoGob1, 0.1200)
	per.AddAnimSound("Gob_attack_f_s", GritoGob2, 0.1200)
	per.AddAnimSound("Gob_attack_b", GritoGob1, 0.1200)
	per.AddAnimSound("Gob_attack_b_s", GritoGob2, 0.1200)
	per.AddAnimSound("Gob_attack_r", GritoGob1, 0.1200)
	per.AddAnimSound("Gob_attack_r_s", GritoGob2, 0.1200)
	per.AddAnimSound("Gob_attack_d_b", GritoGob1, 0.1200)
	per.AddAnimSound("Gob_attack_d_r", GritoGob2, 0.1200)
	per.AddAnimSound("Gob_attack_d_l", GritoGob1, 0.1200)
	per.AddAnimSound("Gob_attack_l", GritoGob2, 0.1200)
	per.AddAnimSound("Gob_attack_l_s", GritoGob1, 0.1200)
	per.AddAnimSound("Gob_attack_rlx", GritoGob2, 0.1200)
	per.AddAnimSound("Gob_attack_rlx_s", GritoGob1, 0.1200)


	per.AddAnimSound("Gob_insult", Insulto, 0.1590)
	per.AddAnimSound("Gob_insult", Relax2, 0.8000)


	per.AddAnimSound("Jog_1h_Gob", GritoGob2, 0.1100)
	per.AddAnimSound("Jog_1h_Gob", GritoGob2, 0.6000)

	per.AddAnimSound("Wlk_1h_Gob", Relax1, 0.0534)
	per.AddAnimSound("Wlk_1h_Gob", Relax2, 0.3000)
	per.AddAnimSound("Wlk_1h_Gob", Relax1, 0.6000)
	per.AddAnimSound("Wlk_1h_Gob", Relax2, 0.9000)
	
	per.AddAnimSound("Wlk_b_Gob", Relax1, 0.0534)
	per.AddAnimSound("Wlk_b_Gob", Relax2, 0.3000)
	per.AddAnimSound("Wlk_b_Gob", Relax1, 0.6000)
	per.AddAnimSound("Wlk_b_Gob", Relax2, 0.9000)
	
	per.AddAnimSound("Wbk_b_Gob", Relax1, 0.0534)
	per.AddAnimSound("Wbk_b_Gob", Relax2, 0.3000)
	per.AddAnimSound("Wbk_b_Gob", Relax1, 0.6000)
	per.AddAnimSound("Wbk_b_Gob", Relax2, 0.9000)
	
	per.AddAnimSound("Gob_patrol1", Relax1, 0.0534)
	per.AddAnimSound("Gob_patrol1", Relax2, 0.3000)
	per.AddAnimSound("Gob_patrol1", Relax1, 0.6000)
	per.AddAnimSound("Gob_patrol1", Relax2, 0.9000)
	
	per.AddAnimSound("Gob_patrol2", Relax1, 0.0534)
	per.AddAnimSound("Gob_patrol2", Relax2, 0.3000)
	per.AddAnimSound("Gob_patrol2", Relax1, 0.6000)
	per.AddAnimSound("Gob_patrol2", Relax2, 0.9000)
	
	per.AddAnimSound("Gob_attack_b", Relax1, 0.0534)
	per.AddAnimSound("Gob_attack_b", Relax2, 0.3000)
	per.AddAnimSound("Gob_attack_b", Relax1, 0.6000)
	per.AddAnimSound("Gob_attack_b", Relax2, 0.9000)



