import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Goblin               #
    #                      #
    ########################
    

  
    
    
import GoblinAnm_def
GoblinAnm_def.InitGoblin()    
 
    
gob=Bladex.GetCharType("Goblin_A","Gob")
gob.IntName="Gob" 

gob.TurnSpeed=3.4
gob.Jcost=27000
gob.MaxFall=15000
gob.DieFall=30000
gob.MaxStair=335
gob.Fov=math.pi/1.2
gob.MaxGrab=3500.0
gob.MedGrab=2500.0
gob.Min2Grab=1500.0    
gob.MinTake=-500.0	# Min height above floor barbarian will take
gob.MaxTake1=450.0	# Max height above floor for Take1 Anim
gob.MaxTake2=550.0	# Max height above floor for Take2 Anim
gob.MaxTake3=1300.0	# Max height above floor for Take3 Anim
gob.MaxTake4=1900.0	# Max height above floor for Take4 Anim
gob.MaxTake5=3000.0	# Max height above floor for Take5 Anim
gob.Reach=2000.0	# Max distance from bar centre to obj centre to take
gob.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
gob.MovBkwdSpeedInStrafe=1000  #Idem backwards
gob.MaxCombatDist=8000
gob.MaxSeeDist=30000


gob.AddRouteAnim="Tkn_wai_01"
gob.AddRouteAnim="Tkn_wai_02"

gob.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
gob.SetCDSphere(0,170.0,350.0)  #(numero de la espera, altura mm, radio mm)
gob.SetCDSphere(1,-150.0,500.0)  #(numero de la espera, altura mm, radio mm)

gob.NaturalWeapons=1

###############################################################################
#

def GoblinWhenFirst():
	Bladex.CreateBipedData("Gob","Goblin_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Gob.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Gob.dat")

	import GoblinAnimationSet
	GoblinAnimationSet.LoadGoblinAnimationSet("Gob")
	
	import GoblinBAct
	import LinkTables
	LinkTables.LinkMe("Gob")
	
	import GoblinCombos
	
	import AnmFactGoblin
	AnmFactGoblin.InitAnmFactGoblin()
	import GoblinStats
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Gob.dat","Gob")
	
	print"New Goblin Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Goblin_A","Gob")
race.OnFirst=GoblinWhenFirst
