from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy



CharMaxLifeValue['Goblin_A']=     [     25,     40,     55,     65,    80,    120,    180,    300,    440,    650,   900,   1200,   1500,   1700,   1900,   2100,   2200,   2400,   2600,   2800]
CharDamageData['Goblin_A']=       [     1,      5,     10,     15,     20,     25,     40,     45,     50,     55,     60,     65,     70,     75,     80,     85,     90,     95,    100,    110]
CharDefenseData['Goblin_A']  =    [     1,      4,      8,     12,     16,     20,     24,     28,     32,     36,     40,     44,     48,     52,     56,     60,     64,     68,     72,     76]
CharExperienceCost['Goblin_A']=   [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['Goblin_A']= [    10,     20,     30,     40,     60,    100,    180,    360,    720,   1440,   2880,   5760,  11520,  23040,  46080,  66000,  90000, 120000, 150000, 170000]
CharResistances['Goblin_A']=      {'Impale': 0.00, 'Venom': 0.70, 'Slash': 0.10, 'Crush': -0.10, 'Ice': 0.40, 'Fire': 0.30, 'Light': -1.00, 'Drain': 0.00,'Electric': -0.3}
CharAccuracy['Goblin_A']=         [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]



import Reference
Reference.DefaultObjectData['Goblin_A']= [Reference.OBJ_WEAPON,   5,  0, 1.0,  Reference.THR_SPINNING, []]


# Goblin specific kit

Reference.DefaultObjectData['GoblinCatapult']=[Reference.OBJ_BOW,     5, -5, 1.0,  Reference.THR_STRAIGHT, []]

Reference.DefaultObjectData['FlechaGoblin']=   [Reference.OBJ_ARROW,  10, -5, 1.0,  Reference.THR_STRAIGHT, []]

Reference.DefaultObjectData['GoblinQuiver']=  [Reference.OBJ_QUIVER, 10, "GoblinStone"]

import Damage


Damage.AnimationData['Gob_g_01']=   1.0
Damage.AnimationData['Gob_g_02']=   1.2
Damage.AnimationData['Gob_g_06']=   1.3
Damage.AnimationData['Gob_g_15']=   2.0
Damage.AnimationData['Gob_g_16']=   2.5
Damage.AnimationData['Gob_g_18']=   3.0





