import Bladex
import NetSounds
import netgame



# ***********************************
# *      Asignacion de sonidos      *
# ***********************************


def AsignarSonidosMorag(Personaje):
	from AniSoundMoragX import *
	
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos
	if netgame.GetNetState() !=2:	
		per.AddEventSound('shield_block', GolpeArmaEscudoMrg)
		per.AddEventSound('weapon_block', GolpeArmaArmaMrg)
		per.AddEventSound('impale', TajoEmpalanteMrg)
		per.AddEventSound('slash', TajoCortanteMrg)
		per.AddEventSound('mutilate', TajoMutilacionMrg)
		per.AddEventSound('crush', GolpeContundenteMrg)


	# Sonidos de animaciones


	NetSounds.AddAnimSound(per,"Mrg_key",RuidoLlaveCerradura, 0.4100)
	NetSounds.AddAnimSound(per,"Mrg_key",Ruidook, 0.1700)
	NetSounds.AddAnimSound(per,"Mrg_lvr_u",SonidoPalanca, 0.3889)
	NetSounds.AddAnimSound(per,"Mrg_lvr_d",SonidoPalanca, 0.3548)
	NetSounds.AddAnimSound(per,"Mrg_pour",SonidoVaciarBotella, 0.1234)
	NetSounds.AddAnimSound(per,"FallHigh_Mrg",Saltovacio, 0.1041)

	
	NetSounds.AddAnimSound(per,"Mrg_rlx_vt",CansancioMrg, 0.0500)

	NetSounds.AddAnimSound(per,'Mrg_g_bad_axe', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_axe', SesgadoLentoMrg, 0.4230)
	
	NetSounds.AddAnimSound(per,'Mrg_g_bad_spear', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_spear', SesgadoLentoMrg, 0.4230)

	###########################################################################################
	###########################################################################################
	###########################################################################################
	###########################################################################################
	
	NetSounds.AddAnimSound(per,'Mrg_g_29_3new', EsfuerzoCorto2Mrg, 0.390)
	NetSounds.AddAnimSound(per,'Mrg_g_29_3new', SesgadoCorto, 0.400)
	NetSounds.AddAnimSound(per,'Mrg_g_29_3new', SesgadoLargoAgudo, 0.173)
	
	NetSounds.AddAnimSound(per,'Mrg_g_08dwf', EsfuerzoCorto2Mrg, 0.4030)
	NetSounds.AddAnimSound(per,'Mrg_g_08dwf', SesgadoCortoGrave, 0.4030)
	
	NetSounds.AddAnimSound(per,'Mrg_g_01dwf', EsfuerzoCorto6Mrg, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_01dwf', SesgadoCorto, 0.3117)
	
	NetSounds.AddAnimSound(per,'Mrg_g_02dwf', EsfuerzoCorto5Mrg, 0.3026)
	NetSounds.AddAnimSound(per,'Mrg_g_02dwf', SesgadoCortoAgudo, 0.3026)
	
	NetSounds.AddAnimSound(per,'Mrg_g_06dwf', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Mrg_g_06dwf', EsfuerzoCorto3Mrg, 0.4342)
	
	NetSounds.AddAnimSound(per,'Mrg_g_01low_new', SesgadoLargoAgudo, 0.1950)
	NetSounds.AddAnimSound(per,'Mrg_g_01low_new', EsfuerzoCorto3Mrg, 0.1750)
	
	NetSounds.AddAnimSound(per,"Mrg_g_d_r_1H",EsfuerzoCorto4Mrg, 0.1500)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_1H",EsfuerzoCorto5Mrg, 0.1300)
	
	
	NetSounds.AddAnimSound(per,'Mrg_g_backkgt', SesgadoCortoAgudo, 0.1200)
	NetSounds.AddAnimSound(per,'Mrg_g_backkgt', EsfuerzoCorto3Mrg, 0.1200)
	NetSounds.AddAnimSound(per,'Mrg_g_backkgt', SesgadoLargoAgudo, 0.3800)
	
	NetSounds.AddAnimSound(per,'Mrg_g_s3_new', SesgadoCortoGrave, 0.2860)
	NetSounds.AddAnimSound(per,'Mrg_g_s3_new', GritoHerida, 0.3860)
	
	NetSounds.AddAnimSound(per,'Mrg_g_15dwf', EsfuerzoMrgMediano, 0.4628)  
	NetSounds.AddAnimSound(per,'Mrg_g_15dwf', SesgadoLargoAgudo, 0.4628)
	
	NetSounds.AddAnimSound(per,'Mrg_g_12dwf', EsfuerzoCorto3Mrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_12dwf', SesgadoCorto, 0.5954)
	
	NetSounds.AddAnimSound(per,'Mrg_g_18dwf', EsfuerzoGolpeArribaMrg, 0.4224)
	NetSounds.AddAnimSound(per,'Mrg_g_18dwf', SesgadoCortoGrave, 0.4224)
	
	
	NetSounds.AddAnimSound(per,'Mrg_clmb_low_1h', EsfuerzoSubir2, 0.5450)
	NetSounds.AddAnimSound(per,'Mrg_clmb_low_1h', Roce1, 0.8680)
	NetSounds.AddAnimSound(per,'Mrg_clmb_medlow_1h', EsfuerzoSubir, 0.4330)
	NetSounds.AddAnimSound(per,'Mrg_clmb_medium_1h', EsfuerzoSubir, 0.2080)
	NetSounds.AddAnimSound(per,'Mrg_clmb_medium_1h', EsfuerzoSubir2, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_clmb_medium_1h', Roce2, 0.6560)
	NetSounds.AddAnimSound(per,'Mrg_clmb_high_1h', EsfuerzoSubir, 0.1552)
	NetSounds.AddAnimSound(per,'Mrg_clmb_high_1h', EsfuerzoSubir2, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_clmb_high_1h', Roce1, 0.8600)
	NetSounds.AddAnimSound(per,'Mrg_clmb_high_1h', Roce2, 0.2740)
	#NetSounds.AddAnimSound(per,'Mrg_jmp_no', GritoHerida, 0.1620)
	NetSounds.AddAnimSound(per,'Mrg_jmp_no', Roce1, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_jmp_no', Roce1, 0.1500)
	#NetSounds.AddAnimSound(per,'Mrg_jmp_1h', GritoHerida, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_jmp_1h', Roce1, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_jmp_1h', Roce2, 0.3000)
	#NetSounds.AddAnimSound(per,'Mrg_jmph0_no', EsfuerzoSubir, 0.4120)
	
	
	NetSounds.AddAnimSound(per,'Mrg_1tw_h_f',Roce1, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_1tw_h_f',EsfuerzoMrgMediano, 0.3000)
	
	NetSounds.AddAnimSound(per,'Mrg_1tw_l_f',Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_1tw_l_f',EsfuerzoMrgMediano, 0.3000)
	
	NetSounds.AddAnimSound(per,'Mrg_jog_turn',Roce1, 0.4500)
	NetSounds.AddAnimSound(per,'Mrg_jog_turn',EsfuerzoSubir, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_wlk_turn',Roce2, 0.4500)
	NetSounds.AddAnimSound(per,'Mrg_wlk_turn',EsfuerzoSubir2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_snk_turn',Roce1, 0.4500)
	NetSounds.AddAnimSound(per,'Mrg_rlx_turn',Roce2, 0.4500)
	
	
	NetSounds.AddAnimSound(per,"Wbk_1h_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_1h_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Wbk_b_Mrg',Roce1, 0.0534)
	NetSounds.AddAnimSound(per,'Wbk_b_Mrg',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wbk_2w_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_2w_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wbk_no_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_no_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wbk_axe_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wbk_axe_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Jog_1h_Mrg",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_1h_Mrg",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_1h_Mrg",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_1h_Mrg",Roce8, 0.9000)
	#NetSounds.AddAnimSound(per,"Jog_1h_Mrg",Roce7, 0.9200)
	NetSounds.AddAnimSound(per,"Jog_b_Mrg",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_b_Mrg",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_b_Mrg",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_b_Mrg",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Jog_2w_Mrg",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_2w_Mrg",Roce8, 0.5000)
	NetSounds.AddAnimSound(per,"Jog_2w_Mrg",Roce7, 0.8500)
	NetSounds.AddAnimSound(per,"Jog_2h_Mrg",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_2h_Mrg",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_2h_Mrg",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_2h_Mrg",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Jog_no_Mrg",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_no_Mrg",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Jog_no_Mrg",Roce7, 0.6000)
	NetSounds.AddAnimSound(per,"Jog_no_Mrg",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Jog_axe_Mrg",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Jog_axe_Mrg",Roce8, 0.2500)
	NetSounds.AddAnimSound(per,"Jog_axe_Mrg",Roce7, 0.5000)
	NetSounds.AddAnimSound(per,"Jog_axe_Mrg",Roce8, 0.7000)
	NetSounds.AddAnimSound(per,"Jog_axe_Mrg",Roce7, 0.8700)
	#NetSounds.AddAnimSound(per,"Jog_axe_Mrg",Roce8, 0.9000)
	NetSounds.AddAnimSound(per,"Wlk_1h_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_1h_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_s_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_s_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_b_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_b_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_2w_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_2w_Mrg",Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_2h_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_2h_Mrg",Roce3, 0.5000)
	NetSounds.AddAnimSound(per,"Wlk_no_Mrg",Roce4, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_no_Mrg",Roce5, 0.3000)
	NetSounds.AddAnimSound(per,"Wlk_no_Mrg",Roce6, 0.6500)
	NetSounds.AddAnimSound(per,"Wlk_axe_Mrg",Roce1, 0.0534)
	NetSounds.AddAnimSound(per,"Wlk_axe_Mrg",Roce2, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_jogb_b",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Mrg_jogb_b",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_jogb_2w",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Mrg_jogb_2w",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_jogb_2w",Roce7, 0.5500)
	NetSounds.AddAnimSound(per,"Mrg_jogb_2w",Roce8, 0.7500)
	
	NetSounds.AddAnimSound(per,"Mrg_jogb_no",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Mrg_jogb_no",Roce8, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_jogb_no",Roce7, 0.5500)
	NetSounds.AddAnimSound(per,"Mrg_jogb_no",Roce8, 0.7500)
	
	
	NetSounds.AddAnimSound(per,"Mrg_jogb_axe",Roce7, 0.0534)
	NetSounds.AddAnimSound(per,"Mrg_jogb_axe",Roce8, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_b_Mrg',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_b_Mrg',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_1h_Mrg',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_1h_Mrg',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_2w_Mrg',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_2w_Mrg',Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Snk_axe_Mrg',Roce1, 0.0540)
	NetSounds.AddAnimSound(per,'Snk_axe_Mrg',Roce2, 0.5000)
	
	NetSounds.AddAnimSound(per,"FallHigh_Mrg",Caida1, 0.1000)
	NetSounds.AddAnimSound(per,"FallHigh_Mrg",Caida2, 0.1700)
	NetSounds.AddAnimSound(per,"FallHigh_Mrg",EsfuerzoCorto4Mrg, 0.2000)
	NetSounds.AddAnimSound(per,"FallHigh_Mrg",Roce1, 0.1800)
	NetSounds.AddAnimSound(per,"FallLow_Mrg",Caida3, 0.1180)
	NetSounds.AddAnimSound(per,"FallLow_Mrg",Caida4, 0.1300)
	NetSounds.AddAnimSound(per,"FallLow_Mrg",EsfuerzoEsquiva1, 0.1280)
	NetSounds.AddAnimSound(per,"FallLow_Mrg",Roce1, 0.1250)
	NetSounds.AddAnimSound(per,"FallMed_Mrg",Caida3, 0.1180)
	NetSounds.AddAnimSound(per,"FallMed_Mrg",Caida4, 0.1300)
	NetSounds.AddAnimSound(per,"FallMed_Mrg",EsfuerzoCorto4Mrg, 0.1280)
	NetSounds.AddAnimSound(per,"FallMed_Mrg",Roce1, 0.1250)
	
	
	NetSounds.AddAnimSound(per,"Dth_Fll2_Mrg", MuerteSaltoVacioMrg2, 0.1900)
	NetSounds.AddAnimSound(per,"Dth_Fll2_Mrg", Caida3, 0.1100)
	
	NetSounds.AddAnimSound(per,"Dth_Fll_Mrg", MuerteSaltoVacioMrg1, 0.1000)
	
	NetSounds.AddAnimSound(per,'Mrg_attack_f_s',Roce1, 0.9000)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_s',EsfuerzoSubir, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_s',EsfuerzoSubir, 0.3800)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_s',Roce2, 0.3600)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_s',Roce1, 0.9000)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_s',EsfuerzoSubir, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_s',EsfuerzoSubir, 0.3800)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_s',Roce2, 0.3600)
	
	
	NetSounds.AddAnimSound(per,'Mrg_attack_b_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_axe', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_axe', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_axe', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_axe', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_axe', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_b_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_f_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_l_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_2w', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_2w', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_2w', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_2w', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_r_2w', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_b', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_b', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_b', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_b', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_b', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_f', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_f', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_f', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_f', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_f', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_l', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_l', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_l', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_l', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_l', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,'Mrg_attack_r', Roce7, 0.0534)
	NetSounds.AddAnimSound(per,'Mrg_attack_r', Roce8, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_attack_r', Roce7, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_attack_r', Roce8, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_attack_r', Roce7, 0.8500)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_2w",EsfuerzoCorto5Mrg, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_2w",EsfuerzoCorto2Mrg, 0.4300)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_2w",SesgadoCortoGrave, 0.4300)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_2w",EsfuerzoCorto5Mrg, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_2w",EsfuerzoCorto3Mrg, 0.4960)
	NetSounds.AddAnimSound(per,"Mrg_g_d_l_2w",SesgadoCorto, 0.4960)
	NetSounds.AddAnimSound(per,'Mrg_g_d_r_axe', EsfuerzoCorto5Mrg, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g_d_r_axe', SesgadoLargoGrave, 0.2230)
	NetSounds.AddAnimSound(per,'Mrg_g_d_r_axe', EsfuerzoGolpeAtrasMrg, 0.2200)
	NetSounds.AddAnimSound(per,'Mrg_g_d_l_axe', EsfuerzoCorto5Mrg, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g_d_l_axe', SesgadoLargo, 0.4800)
	NetSounds.AddAnimSound(per,'Mrg_g_d_l_axe', EsfuerzoGolpeAtrasMrg, 0.4640)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spears6', SesgadoLargoGrave, 0.1470)
	NetSounds.AddAnimSound(per,'Mrg_g_spears6', EsfuerzoCorto5Mrg, 0.1400)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spear16low', SesgadoCorto, 0.1170)
	NetSounds.AddAnimSound(per,'Mrg_g_spear16low', SesgadoLargoAgudo, 0.3560)
	NetSounds.AddAnimSound(per,'Mrg_g_spear16low', EsfuerzoGolpeAtrasMrg, 0.1000)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Mrg_g_spears1', SesgadoCortoAgudo, 0.6010)
	NetSounds.AddAnimSound(per,'Mrg_g_spears1', HeridaMrg1, 0.1620)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spear08', SesgadoCortoAgudo, 0.2800)
	NetSounds.AddAnimSound(per,'Mrg_g_spear08', SesgadoCorto, 0.5790)
	NetSounds.AddAnimSound(per,'Mrg_g_spear08', EsfuerzoCorto3Mrg, 0.2800)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spear12', SesgadoCortoAgudo, 0.2550)
	NetSounds.AddAnimSound(per,'Mrg_g_spear12', EsfuerzoCorto2Mrg, 0.2550)
	NetSounds.AddAnimSound(per,'Mrg_g_spear12', SesgadoCorto, 0.5500)

	NetSounds.AddAnimSound(per,'Mrg_d_b_2w', EsfuerzoCorto5Mrg, 0.2800)
	
	NetSounds.AddAnimSound(per,'Mrg_parry_2w', EsfuerzoSubir, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_parry_2w', Roce1, 0.5000)
	
	NetSounds.AddAnimSound(per,'Mrg_parry_axe', EsfuerzoSubir2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_parry_axe', Roce1, 0.5000)
	
	
	NetSounds.AddAnimSound(per,'Mrg_df_01', EsfuerzoEsquiva1, 0.2500)
	NetSounds.AddAnimSound(per,'Mrg_df_01', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_df_02', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_df_02', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_df_s_broken', EsfuerzoEsquiva1, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_df_s_broken', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_df_01_axe', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_df_01_axe', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_df_02_axe', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_df_02_axe', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_df_01_2w', EsfuerzoEsquiva1, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_df_01_2w', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_df_02_2w', EsfuerzoEsquiva2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_df_02_2w', Roce1, 0.5000)

	NetSounds.AddAnimSound(per,"Mrg_hurt_f_big", HeridaMrg1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_lite", HeridaMrg2, 0.4615)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_head", HeridaMrg2, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_breast", HeridaMrg2, 0.3889)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_back", HeridaMrg1, 0.4211)
	NetSounds.AddAnimSound(per,"Mrg_hurt_back", HeridaMrg1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_r_arm", HeridaMrg1, 0.2100)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_l_arm", HeridaMrg2, 0.2100)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_r_leg", HeridaMrg2, 0.4706)
	NetSounds.AddAnimSound(per,"Mrg_hurt_f_l_leg", HeridaMrg1, 0.4375)
	NetSounds.AddAnimSound(per,"Mrg_hurt_jog", HeridaMrg1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_hurt_head", HeridaMrg1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_hurt_breast", HeridaMrg2, 0.3889)
	NetSounds.AddAnimSound(per,"Mrg_hurt_r_arm", HeridaMrg2, 0.4706)
	NetSounds.AddAnimSound(per,"Mrg_hurt_l_arm", HeridaMrg1, 0.5333)
	NetSounds.AddAnimSound(per,"Mrg_hurt_r_leg", HeridaMrg1, 0.4706)
	NetSounds.AddAnimSound(per,"Mrg_hurt_l_leg", HeridaMrg2, 0.4375)
	
	NetSounds.AddAnimSound(per,'Mrg_attack_chg_r_l', Enfundar, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_attack_chg_r_l', Roce2, 0.5300)
	NetSounds.AddAnimSound(per,'Mrg_attack_chg_r', Enfundar, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_attack_chg_r', Roce1, 0.5300)
	NetSounds.AddAnimSound(per,'Mrg_attack_chg_l', CambiarEscudo, 0.500)
	NetSounds.AddAnimSound(per,'Mrg_attack_chg_l', Roce2, 0.5300)
	
	NetSounds.AddAnimSound(per,'Mrg_fire0', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_fire1', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_fire2', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_fire3', Roce2, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_fire_g', Roce1, 0.1500)
	
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key04', CogerLlave, 0.2727)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key05', CogerLlave, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key00', CogerEspada, 0.3652)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key00', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key01', CogerEspada, 0.3652)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key01', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key02', CogerEspada, 0.3846)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key02', Roce1, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key03', CogerEspada, 0.4231)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_key03', Roce1, 0.4231)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_00', CogerArma, 0.9952)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_01', CogerArma, 0.3103)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_01', Roce1, 0.3400)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_02', CogerArma, 0.2759)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_02', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_03', CogerArma, 0.2754)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_03', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_04', CogerArma, 0.2727)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_04', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_05', CogerArma, 0.2654)
	NetSounds.AddAnimSound(per,'Mrg_tke_r_05', Roce1, 0.3000)
	
	
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", MuerteMrg1, 0.1100)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Roce1, 0.2000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Roce2, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Roce1, 0.4000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Roce2, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n00", Caida1, 0.7000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", MuerteMrg2, 0.1100)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Roce2, 0.3200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Roce1, 0.4200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Roce1, 0.5200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Roce2, 0.6200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Roce1, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n01", Caida1, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", MuerteMrg3, 0.1200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Roce1, 0.5200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", MuerteMrg1, 0.1200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n02", Caida1, 0.7000)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Roce2, 0.5200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n03", Caida1, 0.6550)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", MuerteMrg1, 0.1100)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Roce2, 0.5200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n04", Caida1, 0.7600)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", MuerteMrg3, 0.1100)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Roce1, 0.2200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Roce1, 0.3200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Roce1, 0.5200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Roce2, 0.4200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Roce1, 0.6200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Roce2, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n05", Caida1, 0.7700)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", MuerteMrg2, 0.1200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Roce2, 0.2200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Roce2, 0.3200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Roce2, 0.5200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Roce1, 0.4200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Roce2, 0.6200)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Roce1, 0.7500)
	NetSounds.AddAnimSound(per,"Mrg_dth_n06", Caida1, 0.6900)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", DesangreMrg2, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce1, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", Caida1, 0.7800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c1", DesangreMrg1, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", DesangreMrg2, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", DesangreMrg1, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Caida1, 0.7720)
	NetSounds.AddAnimSound(per,"Mrg_dth_c2", Caida2, 0.8720)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", DesangreMrg1, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", DesangreMrg2, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Mrg_dth_c3", Caida1, 0.7220)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", DesangreMrg1, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", DesangreMrg2, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Caida1, 0.7000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c4", Caida2, 0.8720)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", DesangreMrg1, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", DesangreMrg2, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Caida1, 0.7720)
	NetSounds.AddAnimSound(per,"Mrg_dth_c5", Caida2, 0.5500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", DesangreMrg1, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", DesangreMrg2, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce2, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce1, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce2, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Roce1, 0.7200)
	NetSounds.AddAnimSound(per,"Mrg_dth_c6", Caida1, 0.7700)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", DesangreMrg1, 0.1250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", DesangreMrg2, 0.2500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce1, 0.2250)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce2, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce1, 0.3800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce2, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce1, 0.5000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce2, 0.6000)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce1, 0.6800)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Roce2, 0.7200)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Caida1, 0.6300)
	NetSounds.AddAnimSound(per,"Mrg_dth_c7", Caida2, 0.6900)
	NetSounds.AddAnimSound(per,"Mrg_dth0", MuerteMrg2, 0.1100)
	NetSounds.AddAnimSound(per,"Mrg_dth0", Caida1, 0.5710)
	NetSounds.AddAnimSound(per,"Mrg_dth0", Caida2, 0.7700)
	NetSounds.AddAnimSound(per,"Mrg_dth0", MuerteMrg1, 0.1100)
	NetSounds.AddAnimSound(per,"Mrg_dth0", Roce1, 0.3000)
	NetSounds.AddAnimSound(per,"Mrg_dth0", Roce1, 0.4500)
	NetSounds.AddAnimSound(per,"Mrg_dth0", Roce1, 0.6800)
	
	NetSounds.AddAnimSound(per,"Mrg_dth_burn", MuerteQuemandoMrg1, 0.1100)
	
	NetSounds.AddAnimSound(per,"Mrg_dth_rockfront", MuerteAplastamientoMrg1, 0.1000)
	NetSounds.AddAnimSound(per,"Mrg_dth_rockfront", HeridaMrg2, 0.1000)
	
	NetSounds.AddAnimSound(per,"Mrg_dth_rock", MuerteAplastamientoMrg1, 0.1000)
	NetSounds.AddAnimSound(per,"Mrg_dth_rock", HeridaMrg2, 0.1000)
	
	
	
	
	NetSounds.AddAnimSound(per,'Mrg_g_08', EsfuerzoCorto2Mrg, 0.3030)
	NetSounds.AddAnimSound(per,'Mrg_g_08', Roce2, 0.3600)
	NetSounds.AddAnimSound(per,'Mrg_g_08', SesgadoCortoGrave, 0.4030)
	NetSounds.AddAnimSound(per,'Mrg_g_01', EsfuerzoCorto6Mrg, 0.3117)
	NetSounds.AddAnimSound(per,'Mrg_g_01', Roce1, 0.3500)
	NetSounds.AddAnimSound(per,'Mrg_g_01', SesgadoCorto, 0.3117)
	NetSounds.AddAnimSound(per,'Mrg_g_02', EsfuerzoCorto5Mrg, 0.3026)
	NetSounds.AddAnimSound(per,'Mrg_g_02', Roce2, 0.3500)
	NetSounds.AddAnimSound(per,'Mrg_g_02', SesgadoCortoAgudo, 0.3026)
	NetSounds.AddAnimSound(per,'Mrg_g_06', EsfuerzoCorto3Mrg, 0.4342)
	NetSounds.AddAnimSound(per,'Mrg_g_06', Roce2, 0.4342)
	NetSounds.AddAnimSound(per,'Mrg_g_06', SesgadoCorto, 0.4342)
	NetSounds.AddAnimSound(per,'Mrg_g_05', EsfuerzoCorto2Mrg, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g_05', Roce1, 0.5300)
	NetSounds.AddAnimSound(per,'Mrg_g_05', SesgadoCortoGrave, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g_07', EsfuerzoCorto4Mrg, 0.3291)
	NetSounds.AddAnimSound(per,'Mrg_g_07', Roce1, 0.3600)
	NetSounds.AddAnimSound(per,'Mrg_g_07', SesgadoCortoAgudo, 0.3291)
	NetSounds.AddAnimSound(per,'Mrg_g_09', EsfuerzoCorto6Mrg, 0.4030)
	NetSounds.AddAnimSound(per,'Mrg_g_09', Roce1, 0.4400)
	NetSounds.AddAnimSound(per,'Mrg_g_09', SesgadoCorto, 0.4030)
	NetSounds.AddAnimSound(per,'Mrg_g_11', EsfuerzoGolpeFrontalMrg, 0.4685)
	NetSounds.AddAnimSound(per,'Mrg_g_11', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g_11', SesgadoLargo, 0.4685)
	NetSounds.AddAnimSound(per,'Mrg_g_12', Roce2, 0.4351)
	NetSounds.AddAnimSound(per,'Mrg_g_12', SesgadoLargo, 0.4351)
	NetSounds.AddAnimSound(per,'Mrg_g_12', EsfuerzoCorto4Mrg, 0.4351)
	NetSounds.AddAnimSound(per,'Mrg_g_13', EsfuerzoGolpeFrontalMrg, 0.1053)
	NetSounds.AddAnimSound(per,'Mrg_g_13', Roce2, 0.3500)
	NetSounds.AddAnimSound(per,'Mrg_g_13', SesgadoLargoAgudo, 0.3053)
	NetSounds.AddAnimSound(per,'Mrg_g_18', EsfuerzoCorto6Mrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_18', Roce2, 0.4620)
	NetSounds.AddAnimSound(per,'Mrg_g_18', SesgadoLargoGrave, 0.4224)
	NetSounds.AddAnimSound(per,'Mrg_g_14', EsfuerzoMrgMediano, 0.4298)
	NetSounds.AddAnimSound(per,'Mrg_g_14', Roce1, 0.4600)
	NetSounds.AddAnimSound(per,'Mrg_g_14', SesgadoLargoGrave, 0.4298)
	NetSounds.AddAnimSound(per,'Mrg_g_16', EsfuerzoGolpeLateralMrg, 0.2455)
	NetSounds.AddAnimSound(per,'Mrg_g_16', Roce1, 0.6000)
	NetSounds.AddAnimSound(per,'Mrg_g_16', SesgadoLargoAgudo, 0.5455)
	NetSounds.AddAnimSound(per,'Mrg_g_17', EsfuerzoGolpeCabezaMrg, 0.2427)
	NetSounds.AddAnimSound(per,'Mrg_g_17', Roce2, 0.4900)
	NetSounds.AddAnimSound(per,'Mrg_g_17', SesgadoLargoAgudo, 0.4427)
	NetSounds.AddAnimSound(per,'Mrg_g_15', EsfuerzoCorto4Mrg, 0.5045)
	NetSounds.AddAnimSound(per,'Mrg_g_15', Roce2, 0.5500)
	NetSounds.AddAnimSound(per,'Mrg_g_15', SesgadoLargo, 0.5045)
	NetSounds.AddAnimSound(per,'Mrg_g_21', EsfuerzoGolpeCabezaMrg, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g_21', Roce2, 0.4600)
	NetSounds.AddAnimSound(per,'Mrg_g_21', SesgadoLargoGrave, 0.5410)
	NetSounds.AddAnimSound(per,'Mrg_g_22', EsfuerzoGolpeAtrasMrg, 0.4698)
	NetSounds.AddAnimSound(per,'Mrg_g_22', SesgadoLargo, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g_22', Roce2, 0.4698)
	NetSounds.AddAnimSound(per,'Mrg_g_23', EsfuerzoGolpeArribaMrg, 0.4800)
	NetSounds.AddAnimSound(per,'Mrg_g_23', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g_23', SesgadoLargoAgudo, 0.5220)
	NetSounds.AddAnimSound(per,'Mrg_g_26', EsfuerzoGolpeCabezaMrg, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g_26', Roce2, 2000)
	NetSounds.AddAnimSound(per,'Mrg_g_26', SesgadoLargoGrave, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g_26', EsfuerzoEsquiva1, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_27', EsfuerzoGolpeArribaMrg, 0.5500)
	NetSounds.AddAnimSound(per,'Mrg_g_27', SesgadoLargoAgudo, 0.6210)
	NetSounds.AddAnimSound(per,'Mrg_g_27', SesgadoLargoGrave, 0.8100)
	NetSounds.AddAnimSound(per,'Mrg_g_31', EsfuerzoGolpeAtrasMrg, 0.2950)
	NetSounds.AddAnimSound(per,'Mrg_g_31', SesgadoLargo, 0.2950)
	NetSounds.AddAnimSound(per,'Mrg_g_31', SesgadoCorto, 0.4480)
	NetSounds.AddAnimSound(per,'Mrg_g_31', Roce2, 0.2950)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', SesgadoCorto, 0.2900)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', SesgadoCortoAgudo, 0.4750)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', SesgadoCorto, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', EsfuerzoCorto2Mrg, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', EsfuerzoCorto2Mrg, 0.2800)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', EsfuerzoCorto3Mrg, 0.4750)
	NetSounds.AddAnimSound(per,'Mrg_g_06lowkata_new', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_7', AtaquesEspeciales3, 0.143)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_7', AtaquesEspeciales3, 0.316)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_7', EsfuerzosEspeciales2, 0.532)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_7', AtaquesEspeciales2, 0.532)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_7', EsfuerzosEspeciales1, 0.700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_7', AtaquesEspeciales1, 0.716)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_2', EsfuerzoCorto2Mrg, 0.1700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_2', SesgadoLargoAgudo, 0.1950)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_2', SesgadoCorto, 0.3150)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_2', SesgadoLargoGrave, 0.5290)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_2', EsfuerzoGolpeAtrasMrg, 0.5290)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02kata', EsfuerzoCorto5Mrg, 0.1540)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02kata', EsfuerzoGolpeCabezaMrg, 0.3100)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02kata', SesgadoLargoGrave, 0.3300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_08', SesgadoLargo, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_08', EsfuerzoGolpeAtrasMrg, 0.2200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_08', Roce1, 0.2200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_28', AtaquesEspeciales1, 0.437)
	NetSounds.AddAnimSound(per,'Mrg_g2h_28', EsfuerzosEspeciales1, 0.350)
	NetSounds.AddAnimSound(per,'Mrg_g2h_28', Roce1, 0.400)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s8kata', SesgadoCortoAgudo, 0.3020)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s8kata', EsfuerzoCorto3Mrg, 0.2300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s8kata', Roce1, 0.7000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s8', EsfuerzosEspeciales1, 0.150)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s8', AtaquesEspeciales1, 0.328)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12', SesgadoLargoAgudo, 0.2370)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12', SesgadoCorto, 0.5100)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12', EsfuerzoCorto2Mrg, 0.2300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12', Roce2, 0.5300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02', SesgadoLargo, 0.2720)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02', EsfuerzoGolpeArribaMrg, 0.1900)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02', Roce2, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6', EsfuerzosEspeciales1, 0.310)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6', AtaquesEspeciales2, 0.363)
	NetSounds.AddAnimSound(per,'Mrg_g2h_11', SesgadoLargoGrave, 0.2960)
	NetSounds.AddAnimSound(per,'Mrg_g2h_11', EsfuerzoCorto1Mrg, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_11', Roce1, 0.3200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_01', SesgadoLargoGrave, 0.2720)
	NetSounds.AddAnimSound(per,'Mrg_g2h_01', EsfuerzoCorto2Mrg, 0.2720)
	NetSounds.AddAnimSound(per,'Mrg_g2h_01', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_13', AtaquesEspeciales2, 0.302)
	NetSounds.AddAnimSound(per,'Mrg_g2h_13', EsfuerzosEspeciales1, 0.221)
	NetSounds.AddAnimSound(per,'Mrg_g2h_13', Roce1, 0.6300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6kata', SesgadoCortoAgudo, 0.1970)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6kata', SesgadoLargo, 0.4900)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6kata', EsfuerzoCorto1Mrg, 0.1900)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6kata', EsfuerzoGolpeFrontalMrg, 0.4850)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s7', EsfuerzoCorto2Mrg, 0.4850)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s7', SesgadoLargoGrave, 0.4970)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12low', SesgadoLargoGrave, 0.4300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12low', EsfuerzoMrgMediano, 0.2970)
	NetSounds.AddAnimSound(per,'Mrg_g2h_12low', Roce1, 0.4600)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02low', SesgadoLargoGrave, 0.1750)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02low', EsfuerzoGolpeFrontalMrg, 0.1750)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02low', SesgadoLargoGrave, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_02low', SesgadoLargo, 0.5500)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6low', EsfuerzosEspeciales2, 0.350)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6low', AtaquesEspeciales1, 0.340)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6low', Roce1, 0.6500)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6low', Roce2, 0.1800)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b29', EsfuerzosEspeciales1, 0.230)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b29', AtaquesEspeciales1, 0.304)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b29', Roce1, 0.600)
	NetSounds.AddAnimSound(per,'Mrg_g2h_17', EsfuerzoCorto5Mrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_17', SesgadoLargoGrave, 0.3160)
	NetSounds.AddAnimSound(per,'Mrg_g2h_17', Roce2, 0.6000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26_b6', SesgadoLargoGrave, 0.3600)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26_b6', SesgadoCortoGrave, 0.6300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26_b6', EsfuerzoGolpeFrontalMrg, 0.1880)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26_b6', EsfuerzoCorto4Mrg, 0.6300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26_b6', Roce2, 0.6800)
	NetSounds.AddAnimSound(per,'Mrg_g2h_earthpow', EsfuerzosEspeciales1, 0.630)
	NetSounds.AddAnimSound(per,'Mrg_g2h_earthpow', AtaqueFuego4, 0.313)
	NetSounds.AddAnimSound(per,'Mrg_g2h_earthpow', AtaqueFuego2, 0.600)
	NetSounds.AddAnimSound(per,'Mrg_g2h_back', EsfuerzoGolpeLateralMrg, 0.1270)
	NetSounds.AddAnimSound(per,'Mrg_g2h_back', SesgadoLargoGrave, 0.2650)
	NetSounds.AddAnimSound(per,'Mrg_g2h_19', EsfuerzoCortoMrg, 0.2700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_19', SesgadoCorto, 0.2700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_19', Roce1, 0.6000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26', EsfuerzoGolpeFrontalMrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26', SesgadoCorto, 0.3760)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26', Roce1, 0.6000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_31_2', EsfuerzoGolpeLateralMrg, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_31_2', SesgadoCorto, 0.1900)
	NetSounds.AddAnimSound(per,'Mrg_g2h_31_2', Roce1, 0.5000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6lowkata', EsfuerzoGolpeLateralMrg, 0.4360)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6lowkata', SesgadoCorto, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6lowkata', SesgadoLargoGrave, 0.4500)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b6lowkata', Roce1, 0.6500)
	NetSounds.AddAnimSound(per,'Mrg_g2h_07', EsfuerzoCorto3Mrg, 0.3600)
	NetSounds.AddAnimSound(per,'Mrg_g2h_07', SesgadoLargoGrave, 0.3700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_07', Roce1, 0.6500)
	NetSounds.AddAnimSound(per,'Mrg_g2h_07', Roce2, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', SesgadoCortoAgudo, 0.3700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', EsfuerzoCorto2Mrg, 0.3400)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', EsfuerzoCorto3Mrg, 0.6000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', SesgadoCortoGrave, 0.6200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_22kata_6', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low_b6', SesgadoCorto, 0.1180)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low_b6', SesgadoLargoAgudo, 0.3750)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low_b6', EsfuerzoGolpeAtrasMrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low_b6', SesgadoCortoGrave, 0.6170)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low_b6', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low_b6', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low', EsfuerzoGolpeAtrasMrg, 0.2800)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low', SesgadoLargoGrave, 0.3300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_26low', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s1', EsfuerzoEsquiva1, 0.1370)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s1', EsfuerzoCorto2Mrg, 0.3800)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s1', SesgadoLargoGrave, 0.3910)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s1', Roce1, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_s1', Roce2, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b7', EsfuerzoEsquiva1, 0.1720)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b7', EsfuerzoCorto2Mrg, 0.3120)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b7', SesgadoLargoGrave, 0.3200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b7', Roce1, 0.2200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_b7', Roce2, 0.8000)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', EsfuerzoEsquiva1, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', EsfuerzoCorto2Mrg, 0.4020)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', EsfuerzoCorto3Mrg, 0.6700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', SesgadoLargoAgudo, 0.6700)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', SesgadoLargoGrave, 0.3900)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', SesgadoCortoGrave, 0.1340)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', Roce1, 0.2200)
	NetSounds.AddAnimSound(per,'Mrg_g2h_21_6kata', Roce2, 0.8000)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spears1', SesgadoLargoAgudo, 0.2610)
	NetSounds.AddAnimSound(per,'Mrg_g_spears1', SesgadoLargo, 0.6010)
	NetSounds.AddAnimSound(per,'Mrg_g_spears1', EsfuerzoCorto4Mrg, 0.1620)
	
	NetSounds.AddAnimSound(per,'Mrg_g_spear_kata23', SesgadoCorto, 0.100)
	NetSounds.AddAnimSound(per,'Mrg_g_spear_kata23', EsfuerzoCorto3Mrg, 0.100)
	NetSounds.AddAnimSound(per,'Mrg_g_spear_kata23', SesgadoLargoAgudo, 0.248)
	NetSounds.AddAnimSound(per,'Mrg_g_spear_kata23', SesgadoLargo, 0.416)
	
	
	
	NetSounds.AddAnimSound(per,'Mrg_g_axe33', AtaquesEspeciales3, 0.137)
	NetSounds.AddAnimSound(per,'Mrg_g_axe33', AtaquesEspeciales1, 0.315)
	NetSounds.AddAnimSound(per,'Mrg_g_axe33', EsfuerzosEspeciales2, 0.130)
	NetSounds.AddAnimSound(per,'Mrg_g_axe33', EsfuerzosEspeciales1, 0.340)
	NetSounds.AddAnimSound(per,'Mrg_g_axe33', Roce1, 0.400)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08', SesgadoCortoGrave, 0.2500)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08', EsfuerzoCorto4Mrg, 0.1190)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08', Roce1, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe18', SesgadoLargoGrave, 0.3480)
	NetSounds.AddAnimSound(per,'Mrg_g_axe18', SesgadoCortoGrave, 0.5200)
	NetSounds.AddAnimSound(per,'Mrg_g_axe18', EsfuerzoCorto4Mrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe18', Roce1, 0.5500)
	NetSounds.AddAnimSound(per,'Mrg_g_axe28', SesgadoCortoGrave, 0.3730)
	NetSounds.AddAnimSound(per,'Mrg_g_axe28', EsfuerzoGolpeArribaMrg, 0.1510)
	NetSounds.AddAnimSound(per,'Mrg_g_axe28', Roce1, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe01', SesgadoLargoGrave, 0.2650)
	NetSounds.AddAnimSound(per,'Mrg_g_axe01', EsfuerzoMrgMediano, 0.2550)
	NetSounds.AddAnimSound(per,'Mrg_g_axe02', SesgadoLargo, 0.2500)
	NetSounds.AddAnimSound(per,'Mrg_g_axe02', EsfuerzoCortoMrg, 0.2450)
	NetSounds.AddAnimSound(per,'Mrg_g_axe12', AtaquesEspeciales1, 0.236)
	NetSounds.AddAnimSound(per,'Mrg_g_axe12', EsfuerzosEspeciales1, 0.250)
	NetSounds.AddAnimSound(per,'Mrg_g_axe12', Roce2, 0.330)
	NetSounds.AddAnimSound(per,'Mrg_g_axe13', SesgadoLargoGrave, 0.3310)
	NetSounds.AddAnimSound(per,'Mrg_g_axe13', EsfuerzoGolpeArribaMrg, 0.1100)
	NetSounds.AddAnimSound(per,'Mrg_g_axe13', Roce2, 0.3600)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', AtaquesEspeciales2, 0.130)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', AtaquesEspeciales3, 0.270)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', AtaquesEspeciales1, 0.449)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', EsfuerzosEspeciales2, 0.120)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', EsfuerzosEspeciales2, 0.260)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', EsfuerzosEspeciales1, 0.410)
	NetSounds.AddAnimSound(per,'Mrg_g_axe32', Roce2, 0.500)
	NetSounds.AddAnimSound(per,'Mrg_g_axe21', SesgadoLargo, 0.3400)
	NetSounds.AddAnimSound(per,'Mrg_g_axe21', Roce2, 0.3900)
	NetSounds.AddAnimSound(per,'Mrg_g_axe21', EsfuerzoGolpeFrontalMrg, 0.3900)
	NetSounds.AddAnimSound(per,'Mrg_g_axe34', AtaquesEspeciales1, 0.242)
	NetSounds.AddAnimSound(per,'Mrg_g_axe34', AtaquesEspeciales2, 0.413)
	NetSounds.AddAnimSound(per,'Mrg_g_axe34', AtaquesEspeciales3, 0.090)
	NetSounds.AddAnimSound(per,'Mrg_g_axe34', EsfuerzosEspeciales2, 0.100)
	NetSounds.AddAnimSound(per,'Mrg_g_axe34', EsfuerzosEspeciales1, 0.400)
	NetSounds.AddAnimSound(per,'Mrg_g_axe34', Roce2, 0.480)
	NetSounds.AddAnimSound(per,'Mrg_g_axe111', SesgadoLargoGrave, 0.2870)
	NetSounds.AddAnimSound(per,'Mrg_g_axe111', EsfuerzoGolpeArribaMrg, 0.2500)
	NetSounds.AddAnimSound(per,'Mrg_g_axe111', Roce1, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe211', AtaquesEspeciales1, 0.312)
	NetSounds.AddAnimSound(per,'Mrg_g_axe211', EsfuerzosEspeciales1, 0.380)
	NetSounds.AddAnimSound(per,'Mrg_g_axe211', Roce1, 0.420)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_2katab6low', SesgadoCortoAgudo, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_2katab6low', SesgadoLargoGrave, 0.4240)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_2katab6low', SesgadoCortoGrave, 0.6600)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_2katab6low', EsfuerzoCortoMrg, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_2katab6low', Roce2, 0.7000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', SesgadoLargo, 0.1150)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', SesgadoCortoGrave, 0.2700)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', SesgadoLargoGrave, 0.6800)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', EsfuerzoCorto1Mrg, 0.1100)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', EsfuerzoCorto4Mrg, 0.2600)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', EsfuerzoGolpeLateralMrg, 0.6020)
	NetSounds.AddAnimSound(per,'Mrg_g_axe31', Roce1, 0.7100)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', SesgadoLargoGrave, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', SesgadoCortoGrave, 0.2810)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', SesgadoLargoGrave, 0.4810)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', EsfuerzoCorto4Mrg, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', EsfuerzoCorto3Mrg, 0.2800)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', EsfuerzoMrgMediano, 0.4300)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_26kata', Roce1, 0.5200)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_3s2', SesgadoCortoGrave, 0.1000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_3s2', EsfuerzoCorto2Mrg, 0.4070)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_3s2', SesgadoLargo, 0.6670)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_3s2', EsfuerzoCorto4Mrg, 0.6670)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_3s2', Roce3, 0.7000)
	
	
	NetSounds.AddAnimSound(per,'Mrg_g_axe_b2kata', SesgadoCortoGrave, 0.1080)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_b2kata', EsfuerzoGolpeLateralMrg, 0.3700)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_b2kata', SesgadoLargo, 0.5540)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_b2kata', Roce3, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_b2kata', Roce3, 0.7000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', SesgadoLargo, 0.1470)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', SesgadoCortoGrave, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', SesgadoCortoAgudo, 0.4400)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', SesgadoLargoGrave, 0.5400)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', SesgadoLargo, 0.6650)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', EsfuerzoCortoMrg, 0.1460)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', EsfuerzoCorto2Mrg, 0.6600)
	NetSounds.AddAnimSound(per,'Mrg_g_axe30', Roce1, 0.7000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_32kata_b2', SesgadoCortoAgudo, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_32kata_b2', SesgadoCortoGrave, 0.3200)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_32kata_b2', SesgadoLargoGrave, 0.4200)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_32kata_b2', EsfuerzoGolpeArribaMrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe_32kata_b2', Roce1, 0.4600)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08strong', SesgadoLargoGrave, 0.4000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08strong', EsfuerzoGolpeCabezaMrg, 0.2000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08strong', Roce1, 0.7000)
	NetSounds.AddAnimSound(per,'Mrg_g_axe08strong', Roce2, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_magic',ConcBladeSword1, 0.1300)
	NetSounds.AddAnimSound(per,"Mrg_g_magic",EsfuerzoGolpeLateralMrg, 0.4000)
	NetSounds.AddAnimSound(per,"Mrg_g_magic",SesgadoLargoGrave, 0.5500)
	NetSounds.AddAnimSound(per,'Mrg_g_magic2',ConcBladeSword2, 0.1000)
	NetSounds.AddAnimSound(per,"Mrg_g_magic2",EsfuerzoMrgMediano, 0.1700)
	NetSounds.AddAnimSound(per,"Mrg_g_magic2",SesgadoLargoGrave, 0.5500)
	
	
	NetSounds.AddAnimSound(per,"Mrg_g_back",SesgadoCortoGrave, 0.1290)
	NetSounds.AddAnimSound(per,"Mrg_g_back",EsfuerzoCorto4Mrg, 0.3300)
	NetSounds.AddAnimSound(per,"Mrg_g_back",EsfuerzoCorto4Mrg, 0.3480)

	NetSounds.AddAnimSound(per,"Mrg_g_punch1",EsfuerzoCorto2Mrg,0.4130)
	NetSounds.AddAnimSound(per,"Mrg_g_punch4",EsfuerzoCorto3Mrg,0.2999)
	NetSounds.AddAnimSound(per,"Mrg_g_punch2",EsfuerzoCorto4Mrg,0.3480)
	NetSounds.AddAnimSound(per,"Mrg_g_punch3",EsfuerzoCorto1Mrg,0.3500)
	NetSounds.AddAnimSound(per,'Mrg_g_draw_run', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Mrg_g_draw_run', EsfuerzoGolpeLateralMrg, 0.1300)
	NetSounds.AddAnimSound(per,'Mrg_g_draw_run', SesgadoLargoAgudo, 0.3470)
	NetSounds.AddAnimSound(per,'Mrg_g_draw_rlx', Enfundar, 0.1100)
	NetSounds.AddAnimSound(per,'Mrg_g_draw_rlx', EsfuerzoCorto6Mrg, 0.3000)
	NetSounds.AddAnimSound(per,'Mrg_g_draw_rlx', SesgadoLargoGrave, 0.3280)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_1h', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_1h', SesgadoLentoMrg, 0.3100)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_no', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_spear2', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_spear2', SesgadoLentoMrg, 0.3270)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_sword', EsfuerzoTonto, 0.1500)
	NetSounds.AddAnimSound(per,'Mrg_g_bad_sword', SesgadoLentoMrg, 0.4130)
	
	
	
	
	

	






	
	
	
	
	
	
	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
