######################################################
#
# Create sets of attacks
#
#        - Hdr -
#
######################################################



import Bladex
import netgame

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Hdr","g_01","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_02","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_05","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_06","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_07","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_08","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_09","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_18","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_15","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_14","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_13","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_16","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_11","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_12","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_17","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_21","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_22","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_23","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_26","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_27","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_31","ATTACKING")

#Idem 2 handed weapons attacks
Bladex.SetActionEventTable("Hdr","g2h_21_7","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_21_2","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_02kata","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_21_6kata","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_08","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_28","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_s8kata","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_b6kata","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_s8","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_12","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_02","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_b6","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_11","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_13","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_12low","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_02low","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_b6low","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_b29","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_17","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_s7","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_19","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_26_b6","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_26","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_earthpow","ATTACKING")
Bladex.SetActionEventTable("Hdr","g2h_back","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe08","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe18","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe28","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe01","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe02","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe12","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe13","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe08strong","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe32","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe21","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe34","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe111","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe211","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe_2katab6low","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe31","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe_26kata","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe_3s2","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe_b2kata","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe_32kata_b2","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe30","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_axe33","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_punch1","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_punch3","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_punch4","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_06lowkata_new","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_kick","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_magic","ATTACKING")

Bladex.SetActionEventTable("Hdr","g_spears1","ATTACKING")

Bladex.SetActionEventTable("Hdr","g_spear08","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_spear12","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_spears6","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_spear16low","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_spear_kata23","ATTACKING")



Bladex.SetActionEventTable("Hdr","g_01dwf","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_02dwf","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_06dwf","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_08dwf","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_01low_new","ATTACKING")

Bladex.SetActionEventTable("Hdr","g_backkgt","ATTACKING")

Bladex.SetActionEventTable("Hdr","g_s3_new","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_15dwf","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_12dwf","ATTACKING")
Bladex.SetActionEventTable("Hdr","g_18dwf","ATTACKING")

Bladex.SetActionEventTable("Hdr","g_29_3new","ATTACKING")

# clumsy attacks
Bladex.SetActionEventTable("Hdr","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Hdr","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Hdr","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Hdr","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Hdr","g_bad_1h", "ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Hdr","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Hdr","g_draw_run", "ATTACKING")


#Dodge->attacks
Bladex.SetActionEventTable("Hdr","g_d_r_2w", "ATTACKING")
Bladex.SetActionEventTable("Hdr","g_d_l_2w", "ATTACKING")
Bladex.SetActionEventTable("Hdr","g_d_r_axe", "ATTACKING")
Bladex.SetActionEventTable("Hdr","g_d_l_axe", "ATTACKING")
Bladex.SetActionEventTable("Hdr","g_d_r_1h", "ATTACKING")
Bladex.SetActionEventTable("Hdr","g_d_l_1h", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Hdr","D_r", "DODGING")
Bladex.SetActionEventTable("Hdr","D_l", "DODGING")
Bladex.SetActionEventTable("Hdr","D_b", "DODGING")


mrg=Bladex.GetCharType("Morag_A","Hdr")

#
#Dodge groups
#

#Dodges themselves
mrg.AddAttack("DR","D_r")
mrg.AttackTypeFlag("DR",ATK_UNIQUE) 

mrg.AddAttack("DL","D_l")
mrg.AttackTypeFlag("DL",ATK_UNIQUE) 

mrg.AddAttack("DB","D_b")
mrg.AttackTypeFlag("DB",ATK_UNIQUE) 

#Dodge attacks
mrg.AddAttack("DR_G_2H","g_d_r_2w")
mrg.AssignTrail("DR_G_2H","","EstelaAzul5")
mrg.AddLevels("g_d_r_2w",0,40)
mrg.AttackTypeFlag("DR",ATK_UNIQUE) 

mrg.AddAttack("DL_G_2H","g_d_l_2w")
mrg.AssignTrail("DL_G_2H","","EstelaAzul5")
mrg.AddLevels("g_d_l_2w",0,40)
mrg.AttackTypeFlag("DL",ATK_UNIQUE) 


mrg.AddAttack("DR_G_AXE","g_d_r_axe")
mrg.AssignTrail("DR_G_AXE","","EstelaAzul5")
mrg.AddLevels("g_d_r_axe",0,40)
mrg.AttackTypeFlag("DR",ATK_UNIQUE) 

mrg.AddAttack("DL_G_AXE","g_d_l_axe")
mrg.AssignTrail("DL_G_AXE","","EstelaAzul5")
mrg.AddLevels("g_d_l_axe",0,40)
mrg.AttackTypeFlag("DL",ATK_UNIQUE) 







#############################################

###########################################
#COMBOATAQUE180 1H "group"
mrg.AddAttack("GM50_1H","Hdr_g_backkgt")
mrg.AssignTrail("GM50_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_backkgt",0,40)

#######################################################################################
#### Spears

mrg.AddAttack("GI_SP","Hdr_g_spears1")
mrg.AttackWindow("Hdr_g_spears1",0.334,0.642,"GI_SP_Window")


#High
mrg.AddAttack("GM1_SP","Hdr_g_spear08")
mrg.AttackWindow("Hdr_g_spear08",0.121,0.496,"GM1_SP_Window")
mrg.AddLevels("Hdr_g_spear08",0,40)


#Right
mrg.AddAttack("GM3_SP","Hdr_g_spear12")
mrg.AttackWindow("Hdr_g_spears12",0.183,0.448,"GM3_SP_Window")
mrg.AddLevels("Hdr_g_spears12",0,40)


#Left
mrg.AddAttack("GM6_SP","Hdr_g_spears6")
mrg.AttackWindow("Hdr_g_spears6",0.345,0.454,"GM6_SP_Window")
mrg.AddLevels("Hdr_g_spears6",0,40)


#Low
mrg.AddAttack("GM8_SP","Hdr_g_spear16low")
mrg.AttackWindow("Hdr_g_spear16low",0.341,0.475,"GM8_SP_Window")
mrg.AddLevels("Hdr_g_spear16low",0,40)

# 
mrg.AddAttack("GM15_SP","Hdr_g_spear_kata23")
mrg.AttackWindow("Hdr_g_spear_kata23",0.426,0.613,"GM15_SP_Window")
mrg.AssignTrail("GM15_SP","","EstelaAzul5")
mrg.AddLevels("Hdr_g_spear_kata23",2,40)




######################################################################################
########## 1-Handed


#GI "group"
mrg.AddAttack("GI_1H","Hdr_g_01dwf")
mrg.AttackWindow("Hdr_g_01dwf",0.010,0.900,"GI_1H_Window")
mrg.AssignTrail("GI_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_01dwf",0,40)



###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#GM1 group HIGH
mrg.AddAttack("GM1_1H","Hdr_g_08dwf")
mrg.AttackWindow("Hdr_g_08dwf",0.001,0.731,"GM1_1H_Window")
mrg.AssignTrail("GM1_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_08dwf",0,40)

#GM2 group RIGHT
mrg.AddAttack("GM2_1H","Hdr_g_02dwf")
mrg.AttackWindow("Hdr_g_02dwf",0.001,0.731,"GM2_1H_Window")
mrg.AssignTrail("GM2_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_02dwf",0,40)

#GM3 group LEFT
mrg.AddAttack("GM3_1H","Hdr_g_06dwf")
mrg.AttackWindow("Hdr_g_06dwf",0.001,0.700,"GM3_1H_Window")
mrg.AssignTrail("GM3_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_06dwf",0,40)

#GM4 group LOW
mrg.AddAttack("GM4_1H","Hdr_g_01low_new")
mrg.AttackWindow("Hdr_g_01low_new",0.001,0.731,"GM4_1H_Window")
mrg.AssignTrail("GM4_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_01low_new",0,40)



## 1H Dodge attacks 

mrg.AddAttack("DR_G_1H","g_d_r_1h")
mrg.AssignTrail("DR_G_1H","","EstelaAzul5")
mrg.AddLevels("g_d_r_1h",0,40)

mrg.AddAttack("DR_G_1H","g_d_l_1h")
mrg.AssignTrail("DR_G_1H","","EstelaAzul5")
mrg.AddLevels("g_d_l_1h",0,40)

##########################################


### Dwf Eagles Eye - sec right
mrg.AddAttack("GM53_1H","Hdr_g_s3_new")
mrg.AttackWindow("Hdr_g_s3_new",0.001,0.700,"GM53_1H_Window")
mrg.AssignTrail("GM53_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_s3_new",0,40)

### Dwf Morning Star - sec left
mrg.AddAttack("GM54_1H","Hdr_g_15dwf")
mrg.AttackWindow("Hdr_g_15dwf",0.001,0.700,"GM54_1H_Window")
mrg.AssignTrail("GM54_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_15dwf",0,40)

### Dwf Bonebreaker - sec low
mrg.AddAttack("GM55_1H","Hdr_g_12dwf")
mrg.AttackWindow("Hdr_g_12dwf",0.001,0.700,"GM55_1H_Window")
mrg.AssignTrail("GM55_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_12dwf",0,40)

### Dwf Earthquake sec high
mrg.AddAttack("GM56_1H","Hdr_g_18dwf")
mrg.AttackWindow("Hdr_g_18dwf",0.001,0.700,"GM56_1H_Window")
mrg.AssignTrail("GM56_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_18dwf",0,40)


## Kgt Majestic Sweep
mrg.AddAttack("GM57_1H","Hdr_g_29_3new")
mrg.AttackWindow("Hdr_g_29_3new",0.484,0.674,"GM57_1H_Window")
mrg.AssignTrail("GM57_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_29_3new",0,40)
mrg.AddEnergyLevel("Hdr_g_29_3new", 0)




#COMBO QUEENSWORD
mrg.AddAttack("GM5_1H","Hdr_g_06lowkata_new")
mrg.AttackWindow("Hdr_g_06lowkata_new",0.001,0.900,"GM5_1H_Window")
mrg.AssignTrail("GM5_1H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_06lowkata_new",10,40)


#GI meta-group
mrg.MetaAttack("GIM_1H","GI_1H")
mrg.MetaAttack("GIM_1H","GM1_1H")
mrg.MetaAttack("GIM_1H","GM2_1H")
mrg.MetaAttack("GIM_1H","GM3_1H")
mrg.MetaAttack("GIM_1H","GM4_1H")
mrg.MetaAttack("GIM_1H","GM5_1H")
mrg.MetaAttack("GIM_1H","GM50_1H")
mrg.MetaAttack("GIM_1H","GM53_1H")
mrg.MetaAttack("GIM_1H","GM54_1H")
mrg.MetaAttack("GIM_1H","GM55_1H")
mrg.MetaAttack("GIM_1H","GM56_1H")
mrg.MetaAttack("GIM_1H","GM57_1H")

#GM meta-group
mrg.MetaAttack("GM","GM1_1H")
mrg.MetaAttack("GM","GM2_1H")
mrg.MetaAttack("GM","GM3_1H")
mrg.MetaAttack("GM","GM4_1H")
mrg.MetaAttack("GM","GM5_1H")
mrg.MetaAttack("GM","GM50_1H")
mrg.MetaAttack("GM","GM53_1H")
mrg.MetaAttack("GM","GM54_1H")
mrg.MetaAttack("GM","GM55_1H")
mrg.MetaAttack("GM","GM56_1H")
mrg.MetaAttack("GM","GM57_1H")



######################################################
#
#        - Attacks themselves -
#
######################################################

# *Name of NEW attack (anm name itself , group name or metagroup)
# *Keys
#       R , L , F , B -> Control keys
#       A -> Attack 
#       D -> Defense(block)
#     
# -->Keys Modifiers
#       a+b . Simultaneous press
#       !c . Should not be pressed
#       &d . Should be already pressed
# *Previous Historial
#       "GA,GA,GM,GGF"
# *Previous NEGATIVE historial
#       +/- idem b4
#
#

#####################
# GOLPES SELECTIVOS #
#####################

#GM1
mrg.AllowAttack("GM1_1H","A+F","","GM","","1H")
mrg.AllowAttack("GM1_1H","&A+F","","GM","","1H")

#GM2
mrg.AllowAttack("GM2_1H","A+R","","GM","","1H")
mrg.AllowAttack("GM2_1H","&A+R","","GM","","1H")					

#GM3
mrg.AllowAttack("GM3_1H","A+L","","GM","","1H")
mrg.AllowAttack("GM3_1H","&A+L","","GM","","1H")	

#GM4
mrg.AllowAttack("GM4_1H","A+B","","GM","","1H")
mrg.AllowAttack("GM4_1H","&A+B","","GM","","1H")


#GI
mrg.AllowAttack("GI_1H","A","","GIM_1H","GIM_1H_Window","1H")

#COMBO QUEENSWORD
mrg.AllowAttack("GM5_1H","R+B","GM3_1H","","","QueenSword")	

mrg.AllowAttack("GM50_1H","L+B+R","","","","1H")	


mrg.AllowAttack("DR_G_1H","A","DR","","","1H")

mrg.AllowAttack("DL_G_1H","A","DL","","","1H")



# secondary Right ok
mrg.AllowAttack("GM53_1H","A+R","GM2_1H","","GM53_1H_Window","1H")
mrg.AllowAttack("GM53_1H","&A+R","GM2_1H","","GM53_1H_Window","1H")

#secondary Left
mrg.AllowAttack("GM54_1H","A+L","GM3_1H","","GM54_1H_Window","1H")
mrg.AllowAttack("GM54_1H","&A+L","GM3_1H","","GM54_1H_Window","1H")

#secondary LOW
mrg.AllowAttack("GM55_1H","A+B","GM4_1H","","GM55_1H_Window","1H")
mrg.AllowAttack("GM55_1H","&A+B","GM4_1H","","GM5_1H_Window","1H")

#secondary HIGH
mrg.AllowAttack("GM56_1H","A+F","GM1_1H","","GM56_1H_Window","1H")
mrg.AllowAttack("GM56_1H","&A+F","GM1_1H","","GM56_1H_Window","1H")


## Majestic Sweep
mrg.AllowAttack("GM57_1H","F+B","GIM_1H","GM,GM","GIM_1H_Window","1H")

#################################################################################################
#################################################################################################
#################################################################################################
#
#
#
#  2 handed weapons attacks
#
#
#
#################################################################################################
#################################################################################################
#################################################################################################

#GI "group"
mrg.AddAttack("GI_2H","Hdr_g2h_08")
mrg.AttackWindow("Hdr_g2h_08",0.400,0.535,"GI_2H_Window")
mrg.AddLevels("Hdr_g2h_08",0,40)

#COMBO1 "group"
mrg.AddAttack("GM1_2H","Hdr_g2h_b6kata")
mrg.AttackWindow("Hdr_g2h_b6kata",0.443,0.569,"GM1_2H_Window")
mrg.AddLevels("Hdr_g2h_b6kata",0,40)

#COMBO1 "group"
mrg.AddAttack("GM2_2H","Hdr_g2h_b7")
mrg.AttackWindow("Hdr_g2h_b7",0.297,0.418,"GM2_2H_Window")
mrg.AssignTrail("GM2_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_b7",0,40)


#COMBO2 "group"
mrg.AddAttack("GM7_2H","Hdr_g2h_s7")
mrg.AttackWindow("Hdr_g2h_s7",0.402,0.662,"GM7_2H_Window")
mrg.AddLevels("Hdr_g2h_s7",0,40)

#COMBO2 "group"
mrg.AddAttack("GM5_2H","Hdr_g2h_02kata")
mrg.AttackWindow("Hdr_g2h_02kata",0.373,0.548,"GM5_2H_Window")
mrg.AssignTrail("GM5_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_02kata",0,40)


#COMBO3 "group"
mrg.AddAttack("GM4_2H","Hdr_g2h_11")
mrg.AttackWindow("Hdr_g2h_11",0.272,0.502,"GM4_2H_Window")
mrg.AddLevels("Hdr_g2h_11",0,40)

#COMBO3 "group"
mrg.AddAttack("GM8_2H","Hdr_g2h_01")
mrg.AttackWindow("Hdr_g2h_01",0.195,0.427,"GM8_2H_Window")
mrg.AssignTrail("GM8_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_01",0,40)


#COMBO4 "group"
mrg.AddAttack("GM10_2H","Hdr_g2h_12low")
mrg.AttackWindow("Hdr_g2h_12low",0.312,0.595,"GM10_2H_Window")
mrg.AddLevels("Hdr_g2h_12low",0,40)

#COMBO4 "group"
mrg.AddAttack("GM11_2H","Hdr_g2h_02low")
mrg.AttackWindow("Hdr_g2h_02low",0.280,0.525,"GM11_2H_Window")
mrg.AssignTrail("GM11_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_02low",0,40)


#COMBO CHAOSWORD
mrg.AddAttack("GM6_2H","Hdr_g2h_b6")
mrg.AttackWindow("Hdr_g2h_b6",0.363,0.508,"GM6_2H_Window")
mrg.AssignTrail("GM6_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_b6",4,40)

#COMBO4 DEATHSWORD
mrg.AddAttack("GM12_2H","Hdr_g2h_b6low")
mrg.AttackWindow("Hdr_g2h_b6low",0.338,0.470,"GM12_2H_Window")
mrg.AssignTrail("GM12_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_b6low",7,40)

#COMBO BIGSWORD2 "group"
mrg.AddAttack("GM9_2H","Hdr_g2h_b29")
mrg.AttackWindow("Hdr_g2h_b29",0.304,0.557,"GM9_2H_Window")
mrg.AssignTrail("GM9_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_b29",14,40)

#COMBO LONGSWORD "group"
mrg.AddAttack("GM41_2H","Hdr_g2h_13")
mrg.AttackWindow("Hdr_g2h_13",0.366,0.572,"GM41_2H_Window")
mrg.AssignTrail("GM41_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_13",9,40)

#COMBOFLATSWORD "group"
mrg.AddAttack("GM42_2H","Hdr_g2h_28")
mrg.AttackWindow("Hdr_g2h_28",0.427,0.512,"GM42_2H_Window")
mrg.AssignTrail("GM42_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_28",13,40)

#COMBOALFANJE "group"
mrg.AddAttack("GM15_2H","Hdr_g2h_s8")
mrg.AttackWindow("Hdr_g2h_s8",0.345,0.567,"GM15_2H_Window")
mrg.AssignTrail("GM15_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_s8",10,40)

#COMBOFIREBIGSWORD1 "group"
mrg.AddAttack("GM44_2H","Hdr_g2h_21_2")
mrg.AttackWindow("Hdr_g2h_21_2",0.186,0.610,"GM44_2H_Window")
mrg.AssignTrail("GM44_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_21_2",12,40)

#######
#COMBOFIREBIGSWORD2 "group"
mrg.AddAttack("GM45_2H","Hdr_g2h_earthpow")
mrg.AttackWindow("Hdr_g2h_earthpow",0.620,0.732,"GM45_2H_Window")
mrg.AssignTrail("GM45_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_earthpow",17,40)

#COMBOSAWSWORD "group"
mrg.AddAttack("GM40_2H","Hdr_g2h_21_7")
mrg.AttackWindow("Hdr_g2h_21_7",0.534,0.772,"GM40_2H_Window")
mrg.AssignTrail("GM40_2H","","EstelaAzul5")

if netgame.GetNetState() == 1:
	mrg.AddLevels("Hdr_g2h_21_7",18,18)
else:
	mrg.AddLevels("Hdr_g2h_21_7",18,40)







#COMBORAPIDOEXTRA1 "group"
mrg.AddAttack("GM23_2H","Hdr_g2h_21_6kata")
mrg.AttackWindow("Hdr_g2h_21_6kata",0.328,0.731,"GM23_2H_Window")
mrg.AssignTrail("GM23_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_21_6kata",8,40)

#COMBORAPIDOEXTRA2 "group"
mrg.AddAttack("GM24_2H","Hdr_g2h_26_b6")
mrg.AttackWindow("Hdr_g2h_26_b6",0.329,0.713,"GM24_2H_Window")
mrg.AssignTrail("GM24_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_26_b6",11,40)

#COMBOATAQUE180 "group"
mrg.AddAttack("GM46_2H","Hdr_g2h_back")
mrg.AssignTrail("GM46_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g2h_back",0,40)





#GOLPEINICIOHACHA "group"
mrg.AddAttack("GI_AXE","Hdr_g_axe08")
mrg.AttackWindow("Hdr_g_axe08",0.218,0.435,"GI_AXE_Window")
mrg.AddLevels("Hdr_g_axe08",0,40)


#COMBOHACHA1 "group"
mrg.AddAttack("GM17_AXE","Hdr_g_axe18")
mrg.AttackWindow("Hdr_g_axe18",0.350,0.537,"GM17_AXE_Window")
mrg.AddLevels("Hdr_g_axe18",0,40)

#COMBOHACHA1 "group"
mrg.AddAttack("GM18_AXE","Hdr_g_axe01")
mrg.AttackWindow("Hdr_g_axe01",0.194,0.439,"GM18_AXE_Window")
mrg.AssignTrail("GM18_AXE","","EstelaAzul5")
mrg.AddLevels("Hdr_g_axe01",7,40)


#COMBOHACHA2 "group"
mrg.AddAttack("GM19_AXE","Hdr_g_axe02")
mrg.AttackWindow("Hdr_g_axe02",0.183,0.483,"GM19_AXE_Window")
mrg.AddLevels("Hdr_g_axe02",0,40)


#COMBOHACHA3 "group"
mrg.AddAttack("GM21_AXE","Hdr_g_axe13")
mrg.AttackWindow("Hdr_g_axe13",0.348,0.600,"GM21_AXE_Window")
mrg.AddLevels("Hdr_g_axe13",0,40)


#COMBOHACHA4 "group"
mrg.AddAttack("GM28_AXE","Hdr_g_axe111")
mrg.AttackWindow("Hdr_g_axe111",0.299,0.604,"GM28_AXE_Window")
mrg.AddLevels("Hdr_g_axe111",0,40)


#COMBOALEATORIOEXTRA "group"
mrg.AddAttack("GM31_AXE","Hdr_g_axe31")
mrg.AttackWindow("Hdr_g_axe31",0.690,0.884,"GM31_AXE_Window")
mrg.AssignTrail("GM31_AXE","","EstelaAzul5")
mrg.AddLevels("Hdr_g_axe31",10,40)


#COMBO ECLIPSE
mrg.AddAttack("GM29_AXE","Hdr_g_axe211")
mrg.AttackWindow("Hdr_g_axe211",0.411,0.703,"GM29_AXE_Window")
mrg.AssignTrail("GM29_AXE","","EstelaAzul5")
mrg.AddLevels("Hdr_g_axe211",6,40)

#COMBO GUADANYA
mrg.AddAttack("GM32_AXE","Hdr_g_axe33")
mrg.AttackWindow("Hdr_g_axe33",0.001,0.900,"GM32_AXE_Window")
mrg.AssignTrail("GM32_AXE","","EstelaAzul5")
mrg.AddLevels("Hdr_g_axe33",8,40)

#COMBO HACHA2HOJAS
mrg.AddAttack("GM26_AXE","Hdr_g_axe34")
mrg.AttackWindow("Hdr_g_axe34",0.414,0.607,"GM26_AXE_Window")
mrg.AssignTrail("GM26_AXE","","EstelaAzul5")
mrg.AddLevels("Hdr_g_axe34",11,40)

#COMBO RHINOCLUB
mrg.AddAttack("GM20_AXE","Hdr_g_axe12")
mrg.AttackWindow("Hdr_g_axe12",0.235,0.564,"GM20_AXE_Window")
mrg.AssignTrail("GM20_AXE","","EstelaAzul5")
if netgame.GetNetState() == 1:
	mrg.AddLevels("Hdr_g_axe12",15,15)
else:
	mrg.AddLevels("Hdr_g_axe12",15,40)

#COMBO HACHARRAJADA
mrg.AddAttack("GM27_AXE","Hdr_g_axe32")
mrg.AttackWindow("Hdr_g_axe32",0.452,0.614,"GM27_AXE_Window")
mrg.AssignTrail("GM27_AXE","","EstelaAzul5")
if netgame.GetNetState() == 1:
	mrg.AddLevels("Hdr_g_axe32",17,17)
else:
	mrg.AddLevels("Hdr_g_axe32",17,40)

#COMBOICEAXE1 "group"
mrg.AddAttack("GM36_AXE","Hdr_g_axe30")
mrg.AttackWindow("Hdr_g_axe30",0.650,0.859,"GM36_AXE_Window")
mrg.AssignTrail("GM36_AXE","","EstelaAzul1")
mrg.AddLevels("Hdr_g_axe30",12,40)




#GOLPESINARMA1 "group"
mrg.AddAttack("GM37_NO","Hdr_g_punch4")
mrg.AddLevels("Hdr_g_punch4",0,40)

#GOLPESINARMA2 "group"
mrg.AddAttack("GM38_NO","Hdr_g_punch2")
mrg.AddLevels("Hdr_g_punch2",0,40)

#GOLPESINARMA3 "group"
mrg.AddAttack("GM39_NO","Hdr_g_punch3")
mrg.AddLevels("Hdr_g_punch3",0,40)


#GOLPE Torpe Lanza
mrg.AddAttack("GM47_SP","Hdr_g_bad_spear")
mrg.AddLevels("Hdr_g_bad_spear",0,40)


#COMBO BLADEESTELA
mrg.AddAttack("GM60_2H","Hdr_g_magic2")
mrg.AssignTrail("GM60_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_magic2",18,40)

#COMBO BLADECONCENTRACION
mrg.AddAttack("GM61_2H","Hdr_g_magic")
mrg.AssignTrail("GM61_2H","","EstelaAzul5")
mrg.AddLevels("Hdr_g_magic",19,40)

############################################################

#GAI meta-group
mrg.MetaAttack("GIM_2H","GI_2H")
mrg.MetaAttack("GIM_AXE","GI_AXE")
mrg.MetaAttack("GIM_2H","GM1_2H")
mrg.MetaAttack("GIM_2H","GM2_2H")
mrg.MetaAttack("GIM_2H","GM4_2H")
mrg.MetaAttack("GIM_2H","GM5_2H")
mrg.MetaAttack("GIM_2H","GM6_2H")
mrg.MetaAttack("GIM_2H","GM7_2H")
mrg.MetaAttack("GIM_2H","GM8_2H")
mrg.MetaAttack("GIM_2H","GM9_2H")
mrg.MetaAttack("GIM_2H","GM10_2H")
mrg.MetaAttack("GIM_2H","GM11_2H")
mrg.MetaAttack("GIM_2H","GM12_2H")
mrg.MetaAttack("GIM_2H","GM15_2H")
mrg.MetaAttack("GIM_AXE","GM17_AXE")
mrg.MetaAttack("GIM_AXE","GM18_AXE")
mrg.MetaAttack("GIM_AXE","GM19_AXE")
mrg.MetaAttack("GIM_AXE","GM20_AXE")
mrg.MetaAttack("GIM_AXE","GM21_AXE")
mrg.MetaAttack("GIM_2H","GM23_2H")
mrg.MetaAttack("GIM_2H","GM24_2H")
mrg.MetaAttack("GIM_AXE","GM26_AXE")
mrg.MetaAttack("GIM_AXE","GM27_AXE")
mrg.MetaAttack("GIM_AXE","GM28_AXE")
mrg.MetaAttack("GIM_AXE","GM29_AXE")
mrg.MetaAttack("GIM_AXE","GM31_AXE")
mrg.MetaAttack("GIM_AXE","GM32_AXE")
mrg.MetaAttack("GIM_AXE","GM36_AXE")
mrg.MetaAttack("GIM_NO","GM37_NO")
mrg.MetaAttack("GIM_NO","GM38_NO")
mrg.MetaAttack("GIM_NO","GM39_NO")
mrg.MetaAttack("GIM_2H","GM40_2H")
mrg.MetaAttack("GIM_2H","GM41_2H")
mrg.MetaAttack("GIM_2H","GM42_2H")
mrg.MetaAttack("GIM_2H","GM44_2H")
mrg.MetaAttack("GIM_2H","GM45_2H")
mrg.MetaAttack("GIM_2H","GM46_2H")
#mrg.MetaAttack("GIM_SP","GM47_SP")
mrg.MetaAttack("GIM_2H","GM60_2H")
mrg.MetaAttack("GIM_2H","GM61_2H")
mrg.MetaAttack("GIM_SP","GI_SP")
mrg.MetaAttack("GIM_SP","GM1_SP")
mrg.MetaAttack("GIM_SP","GM3_SP")
mrg.MetaAttack("GIM_SP","GM6_SP")
mrg.MetaAttack("GIM_SP","GM8_SP")
mrg.MetaAttack("GIM_SP","GM15_SP")


mrg.MetaAttack("GOLPEINICIAL","GI_2H")
mrg.MetaAttack("GOLPEINICIALHACHA","GI_AXE")

mrg.MetaAttack("GOLPEINICIALLANZA","GI_SP")



mrg.MetaAttack("COMBO1","GM1_2H")
mrg.MetaAttack("COMBO1","GM2_2H")

mrg.MetaAttack("COMBO1","GM4_2H")
mrg.MetaAttack("COMBO1","GM5_2H")
mrg.MetaAttack("COMBO1","GM6_2H")

mrg.MetaAttack("COMBO1","GM7_2H")
mrg.MetaAttack("COMBO1","GM8_2H")
mrg.MetaAttack("COMBO1","GM9_2H")

mrg.MetaAttack("COMBO1","GM10_2H")
mrg.MetaAttack("COMBO1","GM11_2H")
mrg.MetaAttack("COMBO1","GM12_2H")

mrg.MetaAttack("COMBO1","GM17_AXE")
mrg.MetaAttack("COMBO1","GM18_AXE")

mrg.MetaAttack("COMBO1","GM19_AXE")
mrg.MetaAttack("COMBO1","GM20_AXE")

mrg.MetaAttack("COMBO1","GM21_AXE")
mrg.MetaAttack("COMBO1","GM26_AXE")
mrg.MetaAttack("COMBO1","GM27_AXE")
mrg.MetaAttack("COMBO1","GM28_AXE")
mrg.MetaAttack("COMBO1","GM29_AXE")
mrg.MetaAttack("COMBO1","GM31_AXE")
mrg.MetaAttack("COMBO1","GM32_AXE")
mrg.MetaAttack("COMBO1","GM36_AXE")
mrg.MetaAttack("COMBO1","GM37_NO")
mrg.MetaAttack("COMBO1","GM38_NO")
mrg.MetaAttack("COMBO1","GM39_NO")

mrg.MetaAttack("COMBOLONGSWORD","GM41_2H")
mrg.MetaAttack("COMBOFLATSWORD","GM42_2H")
mrg.MetaAttack("COMBOALFANJE","GM15_2H")
mrg.MetaAttack("COMBOFIREBIGSWORD","GM44_2H")
mrg.MetaAttack("COMBOFIREBIGSWORD","GM45_2H")

mrg.MetaAttack("COMBO1","GM23_2H")
mrg.MetaAttack("COMBO1","GM24_2H")
mrg.MetaAttack("COMBOEXTRA1","GM31_AXE")
mrg.MetaAttack("COMBO1","GM40_2H")
mrg.MetaAttack("COMBO1","GM46_2H")
mrg.MetaAttack("COMBO1","GM47_SP")
mrg.MetaAttack("COMBO1","GM60_2H")
mrg.MetaAttack("COMBO1","GM61_2H")
mrg.MetaAttack("COMBO1","GM1_SP")
mrg.MetaAttack("COMBO1","GM3_SP")
mrg.MetaAttack("COMBO1","GM6_SP")
mrg.MetaAttack("COMBO1","GM8_SP")

mrg.MetaAttack("COMBOEXTRA","GM15_SP")

###########################################################

#GOLPEATAQUE180
mrg.AllowAttack("GM46_2H","B+L+R","","","","2W")



#Golpes en esquiva




mrg.AllowAttack("DL_G_2H","A","DL","","","2W")

mrg.AllowAttack("DR_G_2H","A","DR","","","2W")

mrg.AllowAttack("DB_G_2H","A","DB","","","2W")


mrg.AllowAttack("DL_G_AXE","A","DL","","","AXE")

mrg.AllowAttack("DR_G_AXE","A","DR","","","AXE")

mrg.AllowAttack("DB_G_AXE","A","DB","","","AXE")



mrg.AllowAttack("DR_G_AXE","A","DR","","","SP")

mrg.AllowAttack("DL_G_AXE","A","DL","","","SP")





#COMBO ESTELA
mrg.AllowAttack("GM60_2H","&B","GI_2H","","","BladeSword2Barbarian")

#COMBO CONCENTRACION
mrg.AllowAttack("GM61_2H","&A+F","GI_2H","","","BladeSword2Barbarian")


#GOLPE torpe Lanza
#mrg.AllowAttack("GM47_SP","A","","COMBO1","","SP")

##################################################

mrg.AllowAttack("GI_SP","A","","GIM_SP","GI_SP_Window","SP")

mrg.AllowAttack("GM8_SP","A+B","","GM8_SP","","SP")
mrg.AllowAttack("GM8_SP","&A+B","","GM8_SP","","SP")

mrg.AllowAttack("GM6_SP","A+L","","GM6_SP","","SP")
mrg.AllowAttack("GM6_SP","&A+L","","GM6_SP","","SP")

mrg.AllowAttack("GM1_SP","A+F","","GM1_SP","","SP")
mrg.AllowAttack("GM1_SP","&A+F","","GM1_SP","","SP")

mrg.AllowAttack("GM3_SP","A+R","","GM3_SP","","SP")
mrg.AllowAttack("GM3_SP","&A+R","","GM3_SP","","SP")

# Amz Death Bo combo
mrg.AllowAttack("GM15_SP","R+L","GI_SP","COMBOEXTRA","GM15_SP_Window","SP")




#GOLPESINARMA1
mrg.AllowAttack("GM37_NO","A","","COMBO1","","NO")

#GOLPESINARMA2
mrg.AllowAttack("GM38_NO","A+B","","COMBO1","","NO")
mrg.AllowAttack("GM38_NO","&A+B","","COMBO1","","NO")

#GOLPESINARMA3
mrg.AllowAttack("GM39_NO","A+F","","COMBO1","","NO")
mrg.AllowAttack("GM39_NO","&A+F","","COMBO1","","NO")

#COMBO FLATSWORD1
mrg.AllowAttack("GM42_2H","R+L","GI_2H","","GI_2H_Window","FlatSword")

#COMBOFIREBIGSWORD
mrg.AllowAttack("GM44_2H","B","GM23_2H","","GM23_2H_Window","FireBigSword")

#COMBOFIREBIGSWORD
mrg.AllowAttack("GM45_2H","R+L","GM24_2H","","GM24_2H_Window","FireBigSword")





######################## Dragon Sword uses all combos
#COMBO FLATSWORD1
mrg.AllowAttack("GM42_2H","R+L","GI_2H","","GI_2H_Window","ProDragonSword2")

#COMBO CHAOSWORD
mrg.AllowAttack("GM6_2H","B","GM1_2H","","GM1_2H_Window","ProDragonSword2")
mrg.AllowAttack("GM6_2H","&B","GM1_2H","","GM1_2H_Window","ProDragonSword2")

#COMBO DEATHSWORD
mrg.AllowAttack("GM12_2H","F+B","GM1_2H","","GM1_2H_Window","ProDragonSword2")

#COMBO BIGSWORD2
mrg.AllowAttack("GM9_2H","B","GM1_2H","","","ProDragonSword2")

#COMBO SAWSWORD1
mrg.AllowAttack("GM40_2H","R+L","GM1_2H","","GM1_2H_Window","ProDragonSword2")

#COMBO LONGSWORD1
mrg.AllowAttack("GM41_2H","R","GM7_2H","","","ProDragonSword2")

mrg.AllowAttack("GM15_2H","F","GM11_2H","","","ProDragonSword2")



#COMBORAPIDOEXTRA2
mrg.AllowAttack("GM24_2H","A","GM23_2H","","","2W")

#COMBORAPIDOEXTRA1
mrg.AllowAttack("GM23_2H","F","GI_2H","GM23_2H","","2W")


#COMBO TECLA ARRIBA2
mrg.AllowAttack("GM2_2H","A+F","GM1_2H","","GM1_2H_Window","2W")
mrg.AllowAttack("GM2_2H","&A+F","GM1_2H","","GM1_2H_Window","2W")

#COMBO TECLA ARRIBA1
mrg.AllowAttack("GM1_2H","A+F","","GM1_2H","GM2_2H_Window","2W")
mrg.AllowAttack("GM1_2H","&A+F","","GM1_2H","GM2_2H_Window","2W")

#COMBO CHAOSWORD
mrg.AllowAttack("GM6_2H","B","GM1_2H","","GM1_2H_Window","Chaosword")
mrg.AllowAttack("GM6_2H","&B","GM1_2H","","GM1_2H_Window","Chaosword")

#COMBO DEATHSWORD
mrg.AllowAttack("GM12_2H","F+B","GM1_2H","","GM1_2H_Window","DeathSword")

#COMBO BIGSWORD2
mrg.AllowAttack("GM9_2H","B","GM1_2H","","","BigSword")

#COMBO SAWSWORD1
mrg.AllowAttack("GM40_2H","R+L","GM1_2H","","GM1_2H_Window","SawSword")




#COMBO TECLA DERECHA2
mrg.AllowAttack("GM5_2H","A+R","GM4_2H","","GM4_2H_Window","2W")
mrg.AllowAttack("GM5_2H","&A+R","GM4_2H","","GM4_2H_Window","2W")

#COMBO TECLA DERECHA1
mrg.AllowAttack("GM4_2H","A+R","","GM4_2H","GM5_2H_Window","2W")
mrg.AllowAttack("GM4_2H","&A+R","","GM4_2H","GM5_2H_Window","2W")



#COMBO TECLA IZQUIERDA2
mrg.AllowAttack("GM8_2H","A+L","GM7_2H","","GM7_2H_Window","2W")
mrg.AllowAttack("GM8_2H","&A+L","GM7_2H","","GM7_2H_Window","2W")

#COMBO TECLA IZQUIERDA1
mrg.AllowAttack("GM7_2H","A+L","","GM7_2H","GM8_2H_Window","2W")
mrg.AllowAttack("GM7_2H","&A+L","","GM7_2H","GM8_2H_Window","2W")

#COMBO LONGSWORD1
mrg.AllowAttack("GM41_2H","R","GM7_2H","","","LongSword")



#COMBO TECLA ABAJO2
mrg.AllowAttack("GM11_2H","A+B","GM10_2H","","GM10_2H_Window","2W")
mrg.AllowAttack("GM11_2H","&A+B","GM10_2H","","GM10_2H_Window","2W")

#COMBO TECLA ABAJO1
mrg.AllowAttack("GM10_2H","A+B","","GM10_2H","GM11_2H_Window","2W")
mrg.AllowAttack("GM10_2H","&A+B","","GM10_2H","GM11_2H_Window","2W")

#COMBO ALFANJE1
mrg.AllowAttack("GM15_2H","F","GM11_2H","","","Alfanje")


#GI
mrg.AllowAttack("GI_2H","A","","GIM_2H","GI_2H_Window","2W")



#COMBOALEATORIOEXTRA1
mrg.AllowAttack("GM31_AXE","L+R","GM17_AXE","","GM17_AXE_Window","AXE")

#COMBOICEAXE
mrg.AllowAttack("GM36_AXE","B+L","GI_AXE","","GI_AXE_Window","IceAxe")



#COMBOHACHA TECLA ARRIBA2
mrg.AllowAttack("GM18_AXE","A+F","GM17_AXE","","GM17_AXE_Window","AXE")
mrg.AllowAttack("GM18_AXE","&A+F","GM17_AXE","","GM17_AXE_Window","AXE")

#COMBOHACHA TECLA ARRIBA1
mrg.AllowAttack("GM17_AXE","A+F","","GM17_AXE","GM18_AXE_Window","AXE")
mrg.AllowAttack("GM17_AXE","&A+F","","GM17_AXE","GM18_AXE_Window","AXE")



#COMBOHACHA TECLA DERECHA1
mrg.AllowAttack("GM19_AXE","A+R","","GM19_AXE","","AXE")
mrg.AllowAttack("GM19_AXE","&A+R","","GM19_AXE","","AXE")

#COMBO GUADANYA
mrg.AllowAttack("GM32_AXE","A+R","GM19_AXE","","","Guadanya")
mrg.AllowAttack("GM32_AXE","&A+R","GM19_AXE","","","Guadanya")

#COMBO HACHARRAJADA
mrg.AllowAttack("GM27_AXE","B+L","GM19_AXE","","","Hacharrajada")




#COMBOHACHA TECLA IZQUIERDA1
mrg.AllowAttack("GM21_AXE","A+L","","GM21_AXE","","AXE")
mrg.AllowAttack("GM21_AXE","&A+L","","GM21_AXE","","AXE")

#COMBO RHINOCLUB
mrg.AllowAttack("GM20_AXE","A+L","GM21_AXE","","","RhinoClub")
mrg.AllowAttack("GM20_AXE","&A+L","GM21_AXE","","","RhinoClub")

#COMBO HACHA2HOJAS
mrg.AllowAttack("GM26_AXE","F+R","GM21_AXE","","","Hacha2hojas")


#COMBO ECLIPSE
mrg.AllowAttack("GM29_AXE","A+B","GM28_AXE","","GM28_AXE_Window","Eclipse")
mrg.AllowAttack("GM29_AXE","&A+B","GM28_AXE","","GM28_AXE_Window","Eclipse")

#COMBOHACHA TECLA ABAJO1
mrg.AllowAttack("GM28_AXE","A+B","","GM28_AXE","","AXE")
mrg.AllowAttack("GM28_AXE","&A+B","","GM28_AXE","","AXE")



#GI
mrg.AllowAttack("GI_AXE","A","","GIM_AXE","GI_AXE_Window","AXE")