import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Haedraline           #
    #                      #
    ########################
    

  
    
    
import HaedralineAnm_def
HaedralineAnm_def.InitHaedraline()    
 
    
hdr=Bladex.GetCharType("Haedraline_A","Hdr")
hdr.IntName="Hdr" 

hdr.TurnSpeed=3.4
hdr.Jcost=27000
hdr.MaxFall=5000
hdr.DieFall=14000
hdr.MaxStair=335
hdr.Fov=math.pi
hdr.MaxGrab=3500.0
hdr.MedGrab=2500.0
hdr.Min2Grab=1500.0    
hdr.MinTake=-500.0	# Min height above floor barbarian will take
hdr.MaxTake1=450.0	# Max height above floor for Take1 Anim
hdr.MaxTake2=550.0	# Max height above floor for Take2 Anim
hdr.MaxTake3=1300.0	# Max height above floor for Take3 Anim
hdr.MaxTake4=1900.0	# Max height above floor for Take4 Anim
hdr.MaxTake5=3000.0	# Max height above floor for Take5 Anim
hdr.Reach=2000.0	# Max distance from bar centre to obj centre to take
hdr.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
hdr.MovBkwdSpeedInStrafe=1300  #Idem backwards
hdr.MaxCombatDist=20000
hdr.MaxSeeDist=30000

hdr.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
hdr.SetCDSphere(0,210.0,550.0)  #(numero de la espera, altura mm, radio mm)
hdr.SetCDSphere(1,-500.0,550.0)  #(numero de la espera, altura mm, radio mm)

hdr.NaturalWeapons=1

###############################################################################
#

def HaedralineWhenFirst():
	Bladex.CreateBipedData("Hdr","Haedraline_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Hdr.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Hdr.dat")

	import HaedralineAnimationSet
	HaedralineAnimationSet.LoadHaedralineAnimationSet("Hdr")
	
	import HaedralineBAct
	import LinkTables
	LinkTables.LinkMe("Hdr")
	
	import HaedralineCombos
	
	import AnmFactHaedraline
	AnmFactHaedraline.AnmFactHaedraline()
	import HaedralineStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Hdr.dat","Hdr")
	
	print"New Haedraline Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Haedraline_A","Hdr")
race.OnFirst=HaedralineWhenFirst
