from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy




CharMaxLifeValue['Haedraline_A']=     [   120,    220,    320,    420,    620,    820,   1020,   1420,   1820,   2220,   2620,   3020,   3420,   3820,   4220,   4620,   5020,   5420,   5820,   6220]
CharDamageData['Haedraline_A']=       [     2,      3,      5,      7,      9,     11,     13,     15,     17,     19,     21,     23,     25,     27,     29,     31,     33,     35,     37,     39]
CharDefenseData['Haedraline_A']=      [     1,      4,      8,     12,     16,     20,     24,     28,     32,     36,     40,     44,     48,     52,     56,     60,     64,     68,     72,     76]
CharExperienceCost['Haedraline_A']=   [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['Haedraline_A']= [   200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000]
CharAccuracy['Haedraline_A']=         [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['Haedraline_A']=      {'Impale': 0.00, 'Venom': 1.00, 'Slash': 0.00, 'Crush': 0.00, 'Ice': 0.00, 'Fire': -1.00, 'Light': -1.00, 'Drain': 1.00}


import Reference
Reference.DefaultObjectData['Haedraline_A']= [Reference.OBJ_WEAPON,2,  0, 1.0,  Reference.THR_SPINNING, []]



Reference.DefaultObjectData['LizardWeapon1']= [Reference.OBJ_WEAPON,2,  0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
Reference.DefaultSelectionData['LizardWeapon1']=(8.0,4000.0,"Lizard Weapon")

Reference.DefaultObjectData['LizardShield1']= [Reference.OBJ_SHIELD,-1.5,5000, Reference.GolpeArmaEscudoMetal, 180.0*Reference.DEG2RADS,   2000,  750,  0]
Reference.DefaultSelectionData['LizardShield1']=(8.0,4000.0,"Lizard Shield")

import Damage


#inicio
Damage.AnimationData['Hdr_g2h_08']=   1.0

#combos arriba
Damage.AnimationData['Hdr_g2h_b6kata']=  1.25
Damage.AnimationData['Hdr_g2h_b7']=  1.4

#combos derecha
Damage.AnimationData['Hdr_g2h_s7']=  1.0
Damage.AnimationData['Hdr_g2h_02kata']=  1.2

#combos izquierda
Damage.AnimationData['Hdr_g2h_11']=   1.0
Damage.AnimationData['Hdr_g2h_01']=   1.3

#combos bajo
Damage.AnimationData['Hdr_g2h_12low']=   1.0
Damage.AnimationData['Hdr_g2h_02low']=   1.4



#deathsword
Damage.AnimationData['Hdr_g2h_b6low']=   6.0

#chaossword
Damage.AnimationData['Hdr_g2h_b6']=   5.0

#bigsword
Damage.AnimationData['Hdr_g2h_b29']=  10.0
Damage.AnimationData['Hdr_g2h_s7']=   1.0
Damage.AnimationData['Hdr_g2h_19']=  10.0

#longsword
Damage.AnimationData['Hdr_g2h_13']=    7.0

#alfange
Damage.AnimationData['Hdr_g2h_s8']=   6.2
Damage.AnimationData['Hdr_g2h_26']=   8.0

#flatsword
Damage.AnimationData['Hdr_g2h_28']=   8.0
Damage.AnimationData['Hdr_g2h_17']=   8.0
Damage.AnimationData['Hdr_g2h_b7']=   8.0

#sawsword
Damage.AnimationData['Hdr_g2h_21_7']=   8.0
#Damage.AnimationData['Hdr_g2h_b6kata']=   70.0

#firebigsword
Damage.AnimationData['Hdr_g2h_21_2']=   21.0
Damage.AnimationData['Hdr_g2h_earthpow']=   60.0

#comborapidoextra1
Damage.AnimationData['Hdr_g2h_21_6kata']=   3.0

#comborapidoextra2
Damage.AnimationData['Hdr_g2h_26_b6']=   3.5


#sin utilizar
Damage.AnimationData['Hdr_g2h_02']=   10.0


# HACHAS #
#inicio
Damage.AnimationData['Hdr_g_axe08']=   1.0

#arriba
Damage.AnimationData['Hdr_g_axe18']=   1.0
Damage.AnimationData['Hdr_g_axe01']=  2.6
#Damage.AnimationData['Hdr_g_axe08strong']= 1.2

#derecha
Damage.AnimationData['Hdr_g_axe02']=   1.0

#izquierda
Damage.AnimationData['Hdr_g_axe13']=   1.0

#abajo
Damage.AnimationData['Hdr_g_axe111']=   1.0
Damage.AnimationData['Hdr_g_axe_2katab6low']=  20.0

#comboaleatorioextra
Damage.AnimationData['Hdr_g_axe31']=   3.2

#hacharrajada
Damage.AnimationData['Hdr_g_axe32']=  9.0
Damage.AnimationData['Hdr_g_axe_26kata']=   9.0
Damage.AnimationData['Hdr_g_axe_3s2']=   9.0

#eclipse
Damage.AnimationData['Hdr_g_axe211']=   10.0

#guadanya
Damage.AnimationData['Hdr_g_axe33']=   7.0

#rhinoclub
Damage.AnimationData['Hdr_g_axe12']=  10.0

#hacha2hojas
Damage.AnimationData['Hdr_g_axe34']=  8.0
Damage.AnimationData['Hdr_g_axe_32kata_b2']=   8.0

#iceaxe
Damage.AnimationData['Hdr_g_axe30']=   34.0

#sin utilizar
Damage.AnimationData['Hdr_g_axe28']=   1.0

#esquivas y ataque 180
Damage.AnimationData['Hdr_g_d_r_1h']=   1.7
Damage.AnimationData['Hdr_g_d_l_1h']=   1.7
Damage.AnimationData['Hdr_g_d_r_2w']=   1.7
Damage.AnimationData['Hdr_g_d_l_2w']=   1.7
Damage.AnimationData['Hdr_g_d_r_axe']=   1.7
Damage.AnimationData['Hdr_g_d_l_axe']=   1.7
Damage.AnimationData['Hdr_g2h_back']=   1.3
Damage.AnimationData['Hdr_g_backkgt']=   1.3
#golpes sin armas
Damage.AnimationData['Hdr_g_punch1']=   2.0
Damage.AnimationData['Hdr_g_punch2']=   1.0
Damage.AnimationData['Hdr_g_punch3']=   1.4
Damage.AnimationData['Hdr_g_punch4']=   1.0
Damage.AnimationData['Hdr_g_kick']=   2.0
Damage.AnimationData['Hdr_g_magic']=   37.5
Damage.AnimationData['Hdr_g_magic2']=   21.0



#armas no afines
Damage.AnimationData['Hdr_g_07']=   1.0
Damage.AnimationData['Hdr_g_11']=   1.2
Damage.AnimationData['Hdr_g_16']=   1.2
Damage.AnimationData['Hdr_g_17']=   1.2
Damage.AnimationData['Hdr_g_18']=   1.3
Damage.AnimationData['Hdr_g_06lowkata_new']=   10.0

Damage.AnimationData['Hdr_g_spear_kata23']=   2.5



Damage.AnimationData['Hdr_g_01dwf']=   1.0
Damage.AnimationData['Hdr_g_02dwf']=   1.0
Damage.AnimationData['Hdr_g_06dwf']=   1.2
Damage.AnimationData['Hdr_g_08dwf']=   1.0
Damage.AnimationData['Hdr_g_01low_new']=   1.1
Damage.AnimationData['Hdr_g_29_3new']=   1.2