import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Morag                #
    #                      #
    ########################
    

  
    
    
import MoragAnm_def
MoragAnm_def.InitMorag()    
 
    
mrg=Bladex.GetCharType("Morag_A","Mrg")
mrg.IntName="Mrg" 

mrg.TurnSpeed=3.4
mrg.Jcost=27000
mrg.MaxFall=5000
mrg.DieFall=14000
mrg.MaxStair=335
mrg.Fov=math.pi
mrg.MaxGrab=3500.0
mrg.MedGrab=2500.0
mrg.Min2Grab=1500.0    
mrg.MinTake=-500.0	# Min height above floor barbarian will take
mrg.MaxTake1=450.0	# Max height above floor for Take1 Anim
mrg.MaxTake2=550.0	# Max height above floor for Take2 Anim
mrg.MaxTake3=1300.0	# Max height above floor for Take3 Anim
mrg.MaxTake4=1900.0	# Max height above floor for Take4 Anim
mrg.MaxTake5=3000.0	# Max height above floor for Take5 Anim
mrg.Reach=2000.0	# Max distance from bar centre to obj centre to take
mrg.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
mrg.MovBkwdSpeedInStrafe=1000  #Idem backwards
mrg.MaxCombatDist=20000
mrg.MaxSeeDist=30000

mrg.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
mrg.SetCDSphere(0,210.0,550.0)  #(numero de la espera, altura mm, radio mm)
mrg.SetCDSphere(1,-700.0,550.0)  #(numero de la espera, altura mm, radio mm)

mrg.NaturalWeapons=1

###############################################################################
#

def MoragWhenFirst():
	Bladex.CreateBipedData("Mrg","Morag_A")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Mrg.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Mrg.dat")

	import MoragAnimationSet
	MoragAnimationSet.LoadMoragAnimationSet("Mrg")
	
	import MoragBAct
	import LinkTables
	LinkTables.LinkMe("Mrg")
	
	import MoragCombos
	
	import AnmFactMorag
	AnmFactMorag.AnmFactMorag()
	import MoragStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Mrg.dat","Mrg")
	
	print"New Morag Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Morag_A","Mrg")
race.OnFirst=MoragWhenFirst
