from CharData import CharMaxLifeValue
from CharData import CharDamageData
from CharData import CharDefenseData
from CharData import CharResistances
from CharData import CharExperienceCost
from CharData import CharExperienceReward
from CharData import CharAccuracy




CharMaxLifeValue['Morag_A']=     [   300,    400,    500,    600,    750,    1000,   1350,   1900,   2400,   3000,   4200,   5300,   6400,   7800,   9000,   11500,   15000,   20000,   28000,   40000]
CharDamageData['Morag_A']=       [     2,      3,      5,      7,      9,     11,     13,     15,     17,     19,     21,     23,     25,     27,     29,     31,     33,     35,     37,     39]
CharDefenseData['Morag_A']=      [     1,      4,      8,     12,     16,     20,     24,     28,     32,     36,     40,     44,     48,     52,     56,     60,     64,     68,     72,     76]
CharExperienceCost['Morag_A']=   [    50,    100,    200,    400,    800,   1600,   3200,   6400,  12800,  25600,  51200, 102400, 204800, 409600, 819200,1638400,3276800,6553600,13107200,26214400]
CharExperienceReward['Morag_A']= [   500,    1000,    2200,   4200,   6400,  12800,  25600,  51200,  70000,  90000, 100000, 130000, 150000, 170000, 190000, 210000, 240000, 260000, 280000,560000]
CharAccuracy['Morag_A']=         [   0.1,    0.1,    0.2,    0.2,    0.3,    0.3,    0.4,    0.4,    0.5,    0.5,    0.6,    0.6,    0.6,    0.7,    0.7,    0.7,    0.8,    0.8,    0.9,    0.9]
CharResistances['Morag_A']=      {'Impale': 0.30, 'Venom': 1.00, 'Slash': 0.50, 'Crush': 0.60, 'Ice': 0.90, 'Fire': -0.90, 'Light': -1.00, 'Drain': 1.00}


import Reference
Reference.DefaultObjectData['Morag_A']= [Reference.OBJ_WEAPON,2,  0, 1.0,  Reference.THR_SPINNING, []]





import Damage


#inicio
Damage.AnimationData['Mrg_g2h_08']=   1.3

#combos arriba
Damage.AnimationData['Mrg_g2h_b6kata']=  1.5
Damage.AnimationData['Mrg_g2h_b7']=  2.8

#combos derecha
Damage.AnimationData['Mrg_g2h_s7']=  1.3
Damage.AnimationData['Mrg_g2h_02kata']=  1.8

#combos izquierda
Damage.AnimationData['Mrg_g2h_11']=   1.2
Damage.AnimationData['Mrg_g2h_01']=   1.7

#combos bajo
Damage.AnimationData['Mrg_g2h_12low']=   1.3
Damage.AnimationData['Mrg_g2h_02low']=   2.5



#deathsword
Damage.AnimationData['Mrg_g2h_b6low']=   6.0

#chaossword
Damage.AnimationData['Mrg_g2h_b6']=   5.0

#bigsword
Damage.AnimationData['Mrg_g2h_b29']=  10.0
Damage.AnimationData['Mrg_g2h_s7']=   1.0
Damage.AnimationData['Mrg_g2h_19']=  10.0

#longsword
Damage.AnimationData['Mrg_g2h_13']=    7.0

#alfange
Damage.AnimationData['Mrg_g2h_s8']=   6.2
Damage.AnimationData['Mrg_g2h_26']=   8.0

#flatsword
Damage.AnimationData['Mrg_g2h_28']=   8.0
Damage.AnimationData['Mrg_g2h_17']=   8.0
Damage.AnimationData['Mrg_g2h_b7']=   8.0

#sawsword
Damage.AnimationData['Mrg_g2h_21_7']=   8.0
#Damage.AnimationData['Mrg_g2h_b6kata']=   70.0

#firebigsword
Damage.AnimationData['Mrg_g2h_21_2']=   21.0
Damage.AnimationData['Mrg_g2h_earthpow']=   60.0

#comborapidoextra1
Damage.AnimationData['Mrg_g2h_21_6kata']=   3.0

#comborapidoextra2
Damage.AnimationData['Mrg_g2h_26_b6']=   3.5


#sin utilizar
Damage.AnimationData['Mrg_g2h_02']=   10.0


# HACHAS #
#inicio
Damage.AnimationData['Mrg_g_axe08']=   1.0

#arriba
Damage.AnimationData['Mrg_g_axe18']=   1.0
Damage.AnimationData['Mrg_g_axe01']=  2.6
#Damage.AnimationData['Mrg_g_axe08strong']= 1.2

#derecha
Damage.AnimationData['Mrg_g_axe02']=   1.0

#izquierda
Damage.AnimationData['Mrg_g_axe13']=   1.0

#abajo
Damage.AnimationData['Mrg_g_axe111']=   1.0
Damage.AnimationData['Mrg_g_axe_2katab6low']=  20.0

#comboaleatorioextra
Damage.AnimationData['Mrg_g_axe31']=   3.2

#hacharrajada
Damage.AnimationData['Mrg_g_axe32']=  9.0
Damage.AnimationData['Mrg_g_axe_26kata']=   9.0
Damage.AnimationData['Mrg_g_axe_3s2']=   9.0

#eclipse
Damage.AnimationData['Mrg_g_axe211']=   10.0

#guadanya
Damage.AnimationData['Mrg_g_axe33']=   7.0

#rhinoclub
Damage.AnimationData['Mrg_g_axe12']=  10.0

#hacha2hojas
Damage.AnimationData['Mrg_g_axe34']=  8.0
Damage.AnimationData['Mrg_g_axe_32kata_b2']=   8.0

#iceaxe
Damage.AnimationData['Mrg_g_axe30']=   34.0

#sin utilizar
Damage.AnimationData['Mrg_g_axe28']=   1.0

#esquivas y ataque 180
Damage.AnimationData['Mrg_g_d_r_1h']=   1.7
Damage.AnimationData['Mrg_g_d_l_1h']=   1.7
Damage.AnimationData['Mrg_g_d_r_2w']=   1.7
Damage.AnimationData['Mrg_g_d_l_2w']=   1.7
Damage.AnimationData['Mrg_g_d_r_axe']=   1.7
Damage.AnimationData['Mrg_g_d_l_axe']=   1.7
Damage.AnimationData['Mrg_g2h_back']=   1.3
Damage.AnimationData['Mrg_g_backkgt']=   1.3
#golpes sin armas
Damage.AnimationData['Mrg_g_punch1']=   2.0
Damage.AnimationData['Mrg_g_punch2']=   1.0
Damage.AnimationData['Mrg_g_punch3']=   1.4
Damage.AnimationData['Mrg_g_punch4']=   1.0
Damage.AnimationData['Mrg_g_kick']=   2.0
Damage.AnimationData['Mrg_g_magic']=   37.5
Damage.AnimationData['Mrg_g_magic2']=   21.0



#armas no afines
Damage.AnimationData['Mrg_g_07']=   1.0
Damage.AnimationData['Mrg_g_11']=   1.2
Damage.AnimationData['Mrg_g_16']=   1.2
Damage.AnimationData['Mrg_g_17']=   1.2
Damage.AnimationData['Mrg_g_18']=   1.3
Damage.AnimationData['Mrg_g_06lowkata_new']=   10.0

Damage.AnimationData['Mrg_g_spear_kata23']=   2.5



Damage.AnimationData['Mrg_g_01dwf']=   1.0
Damage.AnimationData['Mrg_g_02dwf']=   1.0
Damage.AnimationData['Mrg_g_06dwf']=   1.2
Damage.AnimationData['Mrg_g_08dwf']=   1.0
Damage.AnimationData['Mrg_g_01low_new']=   1.1
Damage.AnimationData['Mrg_g_29_3new']=   1.2