import Bladex


# ***********************************
# *      Asignacion de sonidos      *
# ***********************************
AsignarSonidosHorrorCalled=0
def AsignarSonidosHorror(Personaje):
	from AniSoundHorrorX import *

	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos

	per.AddEventSound('impale', TajoEmpalanteHrr)
	per.AddEventSound('slash', TajoCortanteHrr)
	per.AddEventSound('mutilate', TajoMutilacionHrr)
	per.AddEventSound('crush', GolpeContundenteHrr)
	
	
	global AsignarSonidosHorrorCalled
	if AsignarSonidosHorrorCalled:
		return
	AsignarSonidosHorrorCalled=1



	# Sonidos de animaciones
	
	
	per.AddAnimSound('Hrr_g_03', RespiracionDemonRapida1, 0.1100)
	per.AddAnimSound('Hrr_g_03', EsfuerzoCorto1Hrr, 0.2170)
	per.AddAnimSound('Hrr_g_03', SesgadoLargoGrave, 0.3530)
	per.AddAnimSound('Hrr_g_03', RespiracionDemonRapida1, 0.5000)
	per.AddAnimSound('Hrr_g_03', RespiracionDemonRapida2, 0.7000)
	per.AddAnimSound('Hrr_g_03', RespiracionDemonRapida1, 0.9000)
	per.AddAnimSound('Hrr_g_06', SesgadoLargo, 0.4620)
	per.AddAnimSound('Hrr_g_06', EsfuerzoCorto2Hrr, 0.4300)
	per.AddAnimSound('Hrr_g_06', RespiracionDemonRapida1, 0.1100)
	per.AddAnimSound('Hrr_g_06', RespiracionDemonRapida2, 0.3000)
	per.AddAnimSound('Hrr_g_06', RespiracionDemonRapida1, 0.6000)
	per.AddAnimSound('Hrr_g_06', RespiracionDemonRapida2, 0.8500)
	per.AddAnimSound('Hrr_g_07', SesgadoCorto, 0.3220)
	per.AddAnimSound('Hrr_g_07', SesgadoCortoGrave, 0.4710)
	per.AddAnimSound('Hrr_g_07', EsfuerzoGolpeArribaHrr, 0.4000)
	per.AddAnimSound('Hrr_g_07', RespiracionDemonRapida1, 0.1200)
	per.AddAnimSound('Hrr_g_07', RespiracionDemonRapida2, 0.2200)
	per.AddAnimSound('Hrr_g_07', RespiracionDemonRapida1, 0.5500)
	per.AddAnimSound('Hrr_g_07', RespiracionDemonRapida2, 0.7000)
	per.AddAnimSound('Hrr_g_07', RespiracionDemonRapida1, 0.8500)
	per.AddAnimSound('Hrr_g_12', EsfuerzoGolpeArribaHrr, 0.1720)
	per.AddAnimSound('Hrr_g_12', EsfuerzoCorto3Hrr, 0.3800)
	per.AddAnimSound('Hrr_g_12', EsfuerzoCorto1Hrr, 0.5440)
	per.AddAnimSound('Hrr_g_12', SesgadoLargoGrave, 0.5440)
	per.AddAnimSound('Hrr_g_12', EsfuerzoGolpeCabezaHrr, 0.6860)
	per.AddAnimSound('Hrr_g_12', RespiracionDemonRapida1, 0.2500)
	per.AddAnimSound('Hrr_g_12', RespiracionDemonRapida2, 0.4000)
	per.AddAnimSound('Hrr_g_12', RespiracionDemonRapida1, 0.6860)
	per.AddAnimSound('Hrr_g_12', RespiracionDemonRapida2, 0.6860)
	per.AddAnimSound('Hrr_g_17', EsfuerzoCorto1Hrr, 0.1600)
	per.AddAnimSound('Hrr_g_17', EsfuerzoCortoHrr, 0.3890)
	per.AddAnimSound('Hrr_g_17', EsfuerzoGolpeFrontalHrr, 0.6000)
	per.AddAnimSound('Hrr_g_17', SesgadoLargoGrave, 0.6270)
	per.AddAnimSound('Hrr_g_22', EsfuerzoGolpeLateralHrr, 0.1000)
	per.AddAnimSound('Hrr_g_22', SesgadoLargo, 0.1700)
	per.AddAnimSound('Hrr_g_22', SesgadoCortoGrave, 0.4250)
	per.AddAnimSound('Hrr_g_27', EsfuerzoGolpeFrontalHrr, 0.1150)
	per.AddAnimSound('Hrr_g_27', SesgadoCorto, 0.2300)
	
	per.AddAnimSound('Hrr_g_spit', LanzarFuego, 0.4300)
	per.AddAnimSound('Hrr_dth_disap', MuerteHrr, 0.1200)
	
	per.AddAnimSound('Hrr_hurt_big', HeridaHrr1, 0.1100)
	per.AddAnimSound('Hrr_hurt_f_big', HeridaHrr2, 0.1600)
	per.AddAnimSound('Hrr_hurt_f_lite', HeridaHrr3, 0.2840)
	
	per.AddAnimSound('Hrr_g_jumpr', SaltoHrr1, 0.3000)
	per.AddAnimSound('Hrr_g_jumpl', SaltoHrr2, 0.3800)
	
	per.AddAnimSound('Hrr_jump_no', CaidaHrr1, 0.9000)
	per.AddAnimSound('Hrr_jump_no', EsfuerzoCorto1Hrr, 0.4770)
	
	per.AddAnimSound('Hrr_fll_high', CaidaHrr1, 0.1100)
	per.AddAnimSound('Hrr_fll_high', EsfuerzoCorto1Hrr, 0.4770)
	per.AddAnimSound('Hrr_fll_high', EsfuerzoGolpeCabezaHrr, 0.8430)
	
	
	per.AddAnimSound('Hrr_jog_no', RespiracionDemonRapida1, 0.1000)
	per.AddAnimSound('Hrr_jog_no', RespiracionDemonRapida2, 0.3000)
	per.AddAnimSound('Hrr_jog_no', RespiracionDemonRapida1, 0.6000)
	per.AddAnimSound('Hrr_jog_no', RespiracionDemonRapida2, 0.9000)
	per.AddAnimSound('Hrr_attack_f', RespiracionDemonRapida1, 0.1000)
	per.AddAnimSound('Hrr_attack_f', RespiracionDemonRapida2, 0.3000)
	per.AddAnimSound('Hrr_attack_f', RespiracionDemonRapida1, 0.6000)
	per.AddAnimSound('Hrr_attack_f', RespiracionDemonRapida2, 0.9000)
	per.AddAnimSound('Hrr_attack_b', RespiracionDemonRapida1, 0.1000)
	per.AddAnimSound('Hrr_attack_b', RespiracionDemonRapida2, 0.3000)
	per.AddAnimSound('Hrr_attack_b', RespiracionDemonRapida1, 0.6000)
	per.AddAnimSound('Hrr_attack_b', RespiracionDemonRapida2, 0.9000)
	per.AddAnimSound('Hrr_wbk_no', RespiracionDemon1, 0.1000)
	per.AddAnimSound('Hrr_wbk_no', RespiracionDemon2, 0.3000)
	per.AddAnimSound('Hrr_wbk_no', RespiracionDemon1, 0.6000)
	per.AddAnimSound('Hrr_wbk_no', RespiracionDemon2, 0.9000)
	per.AddAnimSound('Hrr_wlk_no', RespiracionDemon1, 0.1000)
	per.AddAnimSound('Hrr_wlk_no', RespiracionDemon2, 0.3000)
	per.AddAnimSound('Hrr_wlk_no', RespiracionDemon1, 0.6000)
	per.AddAnimSound('Hrr_wlk_no', RespiracionDemon2, 0.9000)
	per.AddAnimSound('Hrr_rlx_no', RespiracionDemon1, 0.1000)
	per.AddAnimSound('Hrr_rlx_no', RespiracionDemon2, 0.3000)
	per.AddAnimSound('Hrr_rlx_no', RespiracionDemon1, 0.6000)
	per.AddAnimSound('Hrr_rlx_no', RespiracionDemon2, 0.9000)
	per.AddAnimSound('Hrr_appears', RugidoAparicionDemon, 0.5694)
