import Bladex
import Enm_Def



def LoadLittleImpAnimationSet(ct_name):

	print "Loading the Little Imp animation sets..."
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Skl_appears1.BMV","Lmp_appears1",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_appears1",0)
	Bladex.AddAnmLStep("Lmp_appears1",0)



	#### Relax ####
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_rlx_f.BMV","Lmp_rlx_f",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_rlx_f",0.0)
	Bladex.AddAnmLStep("Lmp_rlx_f",0.0)
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_rlx_f_s.BMV","Lmp_rlx_f_s",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_rlx_f_s",0.0)
	Bladex.AddAnmLStep("Lmp_rlx_f_s",0.0)

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_insult.BMV","Lmp_insult",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_insult",0.0)
	Bladex.AddAnmLStep("Lmp_insult",0.0)	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_order.BMV","Lmp_order",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_order",0.0)
	Bladex.AddAnmLStep("Lmp_order",0.0)
	

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_patrol.BMV","Lmp_patrol",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_patrol",0.0)
	Bladex.AddAnmLStep("Lmp_patrol",0.0)
	
	###### new bits
	
	anm_name="Lmp_d_b"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_d_b.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.235)
	Bladex.AddAnmRStep(anm_name,0.797)
	Bladex.AddAnmRRelease(anm_name,0.866)
	Bladex.AddAnmRStep(anm_name,0.962)
	Bladex.AddAnmLStep(anm_name,0.254)
	Bladex.AddAnmLRelease(anm_name,0.310)
	Bladex.AddAnmLStep(anm_name,0.606)



	anm_name="Lmp_d_r"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_d_r.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.474)
	Bladex.AddAnmRRelease(anm_name,0.628)
	Bladex.AddAnmRStep(anm_name,0.919)
	Bladex.AddAnmRRelease(anm_name,1.000)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.147)
	Bladex.AddAnmLStep(anm_name,0.511)
	Bladex.AddAnmLRelease(anm_name,0.793)
	Bladex.AddAnmLStep(anm_name,0.924)


	anm_name="Lmp_d_l"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Amz_d_l.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.244)
	Bladex.AddAnmRStep(anm_name,0.626)
	Bladex.AddAnmLStep(anm_name,0.249)
	Bladex.AddAnmLRelease(anm_name,0.350)
	Bladex.AddAnmLStep(anm_name,0.593)
	Bladex.AddAnmLRelease(anm_name,0.876)
	Bladex.AddAnmLStep(anm_name,0.965)
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Ork_jog_1h.BMV","Jog_1h_Lmp",1,"LittleImp_Air")	
	Bladex.AddAnmLStep("Jog_1h_Lmp",0)
	Bladex.AddAnmLRelease("Jog_1h_Lmp",0.25)	
	Bladex.AddAnmLStep("Jog_1h_Lmp",0.535)
	Bladex.AddAnmLRelease("Jog_1h_Lmp",0.734)
	Bladex.AddAnmLStep("Jog_1h_Lmp",1)
	Bladex.AddAnmRStep("Jog_1h_Lmp",0.0)
	Bladex.AddAnmRRelease("Jog_1h_Lmp",0.051)
	Bladex.AddAnmRStep("Jog_1h_Lmp",0.36)
	Bladex.AddAnmRRelease("Jog_1h_Lmp",0.53)
	Bladex.AddAnmRStep("Jog_1h_Lmp",0.83)
	Bladex.AddStopTests("Jog_1h_Lmp")
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Dwf_snk_1h.BMV","Snk_1h_Lmp",1,"LittleImp_Air")	
	Bladex.AddAnmRStep("Snk_1h_Lmp",0)
	Bladex.AddAnmRRelease("Snk_1h_Lmp",0.617)
	Bladex.AddAnmRStep("Snk_1h_Lmp",1)
	Bladex.AddAnmLStep("Snk_1h_Lmp",0)
	Bladex.AddAnmLRelease("Snk_1h_Lmp",0.121)
	Bladex.AddAnmLStep("Snk_1h_Lmp",0.497)
	Bladex.AddStopTests("Snk_1h_Lmp")            


	
	
	anm_name="Lmp_dth0"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Ork_dth0.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.026)
	Bladex.AddAnmRStep(anm_name,0.145)
	Bladex.AddAnmRRelease(anm_name,0.200)
	Bladex.AddAnmRStep(anm_name,0.245)
	Bladex.AddAnmRRelease(anm_name,0.689)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.022)
	Bladex.AddAnmLStep(anm_name,0.157)
	Bladex.AddAnmLRelease(anm_name,0.244)
	Bladex.AddAnmLStep(anm_name,0.299)
	
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Ork_g_02.BMV","Lmp_g_02",0,"LittleImp_Air")        
	Bladex.AddAnmRStep("Lmp_g_02",0)     
	Bladex.AddAnmLStep("Lmp_g_02",0)     
	Bladex.AddAnmRRelease("Lmp_g_02",0.105) 
	Bladex.AddAnmRStep("Lmp_g_02",0.280)    
	Bladex.AddAnmRRelease("Lmp_g_02",0.514) 
	Bladex.AddAnmRStep("Lmp_g_02",0.790)    
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Chk_g_magic.BMV","Lmp_g_magic",0,"LittleImp_Air")      
	Bladex.AddAnmRStep("Lmp_g_magic",0)                                           
	Bladex.AddAnmLStep("Lmp_g_magic",0)                                           
	Bladex.AddAnmRRelease("Lmp_g_magic",0.376)                                    
	Bladex.AddAnmRStep("Lmp_g_magic",0.430)                                       
	Bladex.AddAnmRRelease("Lmp_g_magic",0.626)                                     
	Bladex.AddAnmRStep("Lmp_g_magic",0.697)
	
	
	
	anm_name="Lmp_g_leap"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Dwf_jmp_no.BMV",anm_name,0,"LittleImp_Air")     
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.188)
	Bladex.AddAnmRStep(anm_name,0.596)
	Bladex.AddAnmRRelease(anm_name,0.761)	
	Bladex.AddAnmRStep(anm_name,0.845)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.188)
	Bladex.AddAnmLStep(anm_name,0.596)
	
	
	anm_name="Lmp_g_s3_new"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_g_s3_new.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.129)
	Bladex.AddAnmRStep(anm_name,0.288)
	Bladex.AddAnmRRelease(anm_name,0.343)
	Bladex.AddAnmRStep(anm_name,0.861)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.037)
	Bladex.AddAnmLStep(anm_name,0.325)
	Bladex.AddAnmLRelease(anm_name,0.799)
	Bladex.AddAnmLStep(anm_name,0.985)
	
	
	
	

	#### Animaciones de combate ####


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_b.BMV","Lmp_attack_b",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_b",0.35)
	Bladex.AddAnmRRelease("Lmp_attack_b",1.0)
	Bladex.AddAnmLStep("Lmp_attack_b",0.0)
	Bladex.AddAnmLRelease("Lmp_attack_b",0.5)
	Bladex.AddAnmLStep("Lmp_attack_b",1)
	Bladex.AddStopTests("Lmp_attack_b") 

	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_b_s.BMV","Lmp_attack_b_s",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_b_s",0.35)
	Bladex.AddAnmRRelease("Lmp_attack_b_s",1.0)
	Bladex.AddAnmLStep("Lmp_attack_b_s",0.0)
	Bladex.AddAnmLRelease("Lmp_attack_b_s",0.5)
	Bladex.AddAnmLStep("Lmp_attack_b_s",1)
	Bladex.AddStopTests("Lmp_attack_b_s") 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_f.BMV","Lmp_attack_f",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_f",0)
	Bladex.AddAnmRRelease("Lmp_attack_f",0.424)
	Bladex.AddAnmRStep("Lmp_attack_f",0.546)
	Bladex.AddAnmRRelease("Lmp_attack_f",0.887)
	Bladex.AddAnmRStep("Lmp_attack_f",1)
	Bladex.AddAnmLStep("Lmp_attack_f",0.0)
	Bladex.AddAnmLRelease("Lmp_attack_f",0.179)
	Bladex.AddAnmLStep("Lmp_attack_f",0.265)
	Bladex.AddAnmLRelease("Lmp_attack_f",0.650)
	Bladex.AddAnmLStep("Lmp_attack_f",0.765)
	Bladex.AddStopTests("Lmp_attack_f") 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_f_s.BMV","Lmp_attack_f_s",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_f_s",0)
	Bladex.AddAnmRRelease("Lmp_attack_f_s",0.424)
	Bladex.AddAnmRStep("Lmp_attack_f_s",0.546)
	Bladex.AddAnmRRelease("Lmp_attack_f_s",0.887)
	Bladex.AddAnmRStep("Lmp_attack_f_s",1)
	Bladex.AddAnmLStep("Lmp_attack_f_s",0.0)
	Bladex.AddAnmLRelease("Lmp_attack_f_s",0.179)
	Bladex.AddAnmLStep("Lmp_attack_f_s",0.265)
	Bladex.AddAnmLRelease("Lmp_attack_f_s",0.650)
	Bladex.AddAnmLStep("Lmp_attack_f_s",0.765)
	Bladex.AddStopTests("Lmp_attack_f_s") 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_l.BMV","Lmp_attack_l",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_l",0.0)
	Bladex.AddAnmRRelease("Lmp_attack_l",0.23)
	Bladex.AddAnmRStep("Lmp_attack_l",0.47)
	Bladex.AddAnmRRelease("Lmp_attack_l",0.74)
	Bladex.AddAnmRStep("Lmp_attack_l",1.0)
	Bladex.AddAnmLStep("Lmp_attack_l",0.27)
	Bladex.AddAnmLRelease("Lmp_attack_l",0.46)
	Bladex.AddAnmLStep("Lmp_attack_l",0.77)
	Bladex.AddAnmLRelease("Lmp_attack_l",0.96)
	Bladex.AddStopTests("Lmp_attack_l") 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_l_s.BMV","Lmp_attack_l_s",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_l_s",0.0)
	Bladex.AddAnmRRelease("Lmp_attack_l_s",0.23)
	Bladex.AddAnmRStep("Lmp_attack_l_s",0.47)
	Bladex.AddAnmRRelease("Lmp_attack_l_s",0.74)
	Bladex.AddAnmRStep("Lmp_attack_l_s",1.0)
	Bladex.AddAnmLStep("Lmp_attack_l_s",0.27)
	Bladex.AddAnmLRelease("Lmp_attack_l_s",0.46)
	Bladex.AddAnmLStep("Lmp_attack_l_s",0.77)
	Bladex.AddAnmLRelease("Lmp_attack_l_s",0.96)
	Bladex.AddStopTests("Lmp_attack_l_s") 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_r.BMV","Lmp_attack_r",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_r",0.0)
	Bladex.AddAnmRRelease("Lmp_attack_r",0.74)
	Bladex.AddAnmRStep("Lmp_attack_r",1.0)
	Bladex.AddAnmLStep("Lmp_attack_r",0.0)
	Bladex.AddAnmLRelease("Lmp_attack_r",0.18)
	Bladex.AddAnmLStep("Lmp_attack_r",0.7)
	Bladex.AddStopTests("Lmp_attack_r") 


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_attack_r_s.BMV","Lmp_attack_r_s",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_attack_r_s",0.0)
	Bladex.AddAnmRRelease("Lmp_attack_r_s",0.74)
	Bladex.AddAnmRStep("Lmp_attack_r_s",1.0)
	Bladex.AddAnmLStep("Lmp_attack_r_s",0.0)
	Bladex.AddAnmLRelease("Lmp_attack_r_s",0.18)
	Bladex.AddAnmLStep("Lmp_attack_r_s",0.7)
	Bladex.AddStopTests("Lmp_attack_r_s") 





	####Ataques####


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_g_01.BMV","Lmp_g_01",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_g_01",0.0)
	Bladex.AddAnmRRelease("Lmp_g_01",0.076)
	Bladex.AddAnmRStep("Lmp_g_01",0.33)
	Bladex.AddAnmRRelease("Lmp_g_01",0.64)
	Bladex.AddAnmRStep("Lmp_g_01",1.0)
	Bladex.AddAnmLStep("Lmp_g_01",0.0)
	




	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_g_06.BMV","Lmp_g_06",0,"LittleImp_Air")

	Bladex.AddAnmRStep("Lmp_g_06",0.0)
	Bladex.AddAnmRRelease("Lmp_g_06",0.06)
	Bladex.AddAnmRStep("Lmp_g_06",0.24)
	Bladex.AddAnmRRelease("Lmp_g_06",0.66)
	Bladex.AddAnmRStep("Lmp_g_06",0.95)
	Bladex.AddAnmLStep("Lmp_g_06",0.0)
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_g_07.BMV","Lmp_g_07",0,"LittleImp_Air")

	Bladex.AddAnmRStep("Lmp_g_07",0.0)
	Bladex.AddAnmRRelease("Lmp_g_07",0.04)
	Bladex.AddAnmRStep("Lmp_g_07",0.27)
	Bladex.AddAnmRRelease("Lmp_g_07",0.59)
	Bladex.AddAnmRStep("Lmp_g_07",0.83)
	Bladex.AddAnmLStep("Lmp_g_07",0.0)
	


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_g_26.BMV","Lmp_g_26",0,"LittleImp_Air")

	Bladex.AddAnmRStep("Lmp_g_26",0.0)
	Bladex.AddAnmRRelease("Lmp_g_26",0.08)
	Bladex.AddAnmRStep("Lmp_g_26",0.42)
	Bladex.AddAnmRRelease("Lmp_g_26",0.6)
	Bladex.AddAnmRStep("Lmp_g_26",0.85)
	Bladex.AddAnmLStep("Lmp_g_26",0.0)
	Bladex.AddAnmLRelease("Lmp_g_26",0.15)
	Bladex.AddAnmLStep("Lmp_g_26",0.27)
	
	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_disappear.BMV","Lmp_disappear",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_disappear",0.0)
	Bladex.AddAnmLStep("Lmp_disappear",0.0)
	Bladex.AddAnmLRelease("Lmp_disappear",0.238)
	Bladex.AddAnmLStep("Lmp_disappear",0.431)


	





	####Andares y pasos####


	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_wbk_1h.BMV","Lmp_wbk_1h",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_wbk_1h",0.0)
	Bladex.AddAnmRRelease("Lmp_wbk_1h",0.52)
	Bladex.AddAnmRStep("Lmp_wbk_1h",1.0)
	Bladex.AddAnmLStep("Lmp_wbk_1h",0.54)
	Bladex.AddAnmLRelease("Lmp_wbk_1h",1.0)
	Bladex.AddStopTests("Lmp_wbk_1h") 

	
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_wlk_1h.BMV","Lmp_wlk_1h",1,"LittleImp_Air")
	Bladex.AddAnmRStep("Lmp_wlk_1h",0.5)
	Bladex.AddAnmRRelease("Lmp_wlk_1h",1.0)
	Bladex.AddAnmLStep("Lmp_wlk_1h",0.0)
	Bladex.AddAnmLRelease("Lmp_wlk_1h",0.5)
	Bladex.AddAnmLStep("Lmp_wlk_1h",1.0)
	Bladex.AddStopTests("Lmp_wlk_1h")



	###CADAS#####

	#Caida enorme
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_dth_fll.BMV","Dth_Fll_Lmp",0,"LittleImp_Air")
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_dth_fll2.BMV","Dth_Fll2_Lmp",0,"LittleImp_Air")
	Bladex.AddAnmRStep("Dth_Fll2_Lmp",0.0)
	Bladex.AddAnmLStep("Dth_Fll2_Lmp",0.0)



	anm_name="Lmp_df_01"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_df_01.BMV","Lmp_df_01",0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.187)
	Bladex.AddAnmRStep(anm_name,0.386)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.230)
	Bladex.AddAnmLStep(anm_name,0.560)
	
	anm_name="Lmp_df_02"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_df_02.BMV","Lmp_df_02",0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.029)
	Bladex.AddAnmRStep(anm_name,0.198)
	Bladex.AddAnmRRelease(anm_name,0.311)
	Bladex.AddAnmRStep(anm_name,0.468)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.127)
	Bladex.AddAnmLStep(anm_name,0.335)


	anm_name="Lmp_df_s_broken"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_df_s_broken.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmLStep(anm_name,0)
	Bladex.AddAnmRStep(anm_name,0)   
	Bladex.AddAnmLRelease(anm_name,0.131)   
	Bladex.AddAnmLStep(anm_name,0.414)
	Bladex.AddAnmRRelease(anm_name,0.439) 
	Bladex.AddAnmRStep(anm_name,595)
	Bladex.AddAnmLRelease(anm_name,0.708)  
	Bladex.AddAnmLStep(anm_name,0.867)

	anm_name="Lmp_sword_broken"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Kgt_sword_broken.BMV",anm_name,0,"LittleImp_Air")
	Bladex.AddAnmLStep(anm_name,0)
	Bladex.AddAnmRStep(anm_name,0)   
	Bladex.AddAnmRRelease(anm_name,0.238)   
	Bladex.AddAnmRStep(anm_name,0.332)
	Bladex.AddAnmRRelease(anm_name,0.529)
	Bladex.AddAnmRStep(anm_name,0.667)
	Bladex.AddAnmLRelease(anm_name,0.333) 
	Bladex.AddAnmLStep(anm_name,0.497)
	Bladex.AddAnmLRelease(anm_name,0.537) 
	Bladex.AddAnmLStep(anm_name,0.697)
	
	anm_name="Lmp_hurt_f_big"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_hurt_f_big.BMV","Lmp_hurt_f_big",0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.029)
	Bladex.AddAnmRStep(anm_name,0.198)
	Bladex.AddAnmRRelease(anm_name,0.311)
	Bladex.AddAnmRStep(anm_name,0.468)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.127)
	Bladex.AddAnmLStep(anm_name,0.335)
	
	anm_name="Lmp_hurt_f_lite"
	Bladex.LoadSampledAnimation("..\\..\\Anm\\Vmp_hurt_f_lite.BMV","Lmp_hurt_f_lite",0,"LittleImp_Air")
	Bladex.AddAnmRStep(anm_name,0.000)
	Bladex.AddAnmRRelease(anm_name,0.187)
	Bladex.AddAnmRStep(anm_name,0.386)
	Bladex.AddAnmLStep(anm_name,0.000)
	Bladex.AddAnmLRelease(anm_name,0.230)
	Bladex.AddAnmLStep(anm_name,0.560)
	
	
	



