######################################################
#
# Create sets of attacks
#
#        - Lmp -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Lmp","disappear","ATTACKING")
Bladex.SetActionEventTable("Lmp","g_01","ATTACKING")
Bladex.SetActionEventTable("Lmp","g_06","ATTACKING")
Bladex.SetActionEventTable("Lmp","g_07","ATTACKING")
Bladex.SetActionEventTable("Lmp","g_26","ATTACKING")

Bladex.SetActionEventTable("Lmp","g_02","ATTACKING")#####

Bladex.SetActionEventTable("Lmp","g_magic","ATTACKING")#####

Bladex.SetActionEventTable("Lmp","g_s3_new","ATTACKING")#####
Bladex.SetActionEventTable("Lmp","g_leap","ATTACKING")#####



lmp=Bladex.GetCharType("LittleImp_Air","Lmp")


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#SP1 group
lmp.AddAttack("disappear","Lmp_disappear")
lmp.AttackTypeFlag("disappear",ATK_UNIQUE)
lmp.AddLevels("Lmp_disappears",0,0)

lmp.AddAttack("g_01","Lmp_g_01")
lmp.AttackTypeFlag("g_01",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_01",0,0)

lmp.AddAttack("g_06","Lmp_g_06")
lmp.AttackTypeFlag("g_06",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_06",0,0)

lmp.AddAttack("g_07","Lmp_g_07")
lmp.AttackTypeFlag("g_07",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_07",0,0)

lmp.AddAttack("g_26","Lmp_g_26")
lmp.AttackTypeFlag("g_26",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_26",0,0)



lmp.AddAttack("g_leap","Lmp_g_leap")
lmp.AttackTypeFlag("g_leap",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_leap",0,0)

lmp.AddAttack("g_s3_new","Lmp_g_s3_new")
lmp.AttackTypeFlag("g_s3_new",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_s3_new",0,0)



lmp.AttackTypeFlag("COMBO3",ATK_SEQUENTIAL)
lmp.AddAttack("COMBO3","Lmp_g_leap")
lmp.AddAttack("COMBO3","Lmp_g_s3_new")


lmp.AttackTypeFlag("COMBO1",ATK_SEQUENTIAL)
lmp.AddAttack("COMBO1","Lmp_g_07")
lmp.AddAttack("COMBO1","Lmp_g_01")

lmp.AttackTypeFlag("COMBO2",ATK_SEQUENTIAL)
lmp.AddAttack("COMBO2","Lmp_g_01")
lmp.AddAttack("COMBO2","Lmp_g_26")


lmp.AddAttack("g_02","Lmp_g_02")
lmp.AttackTypeFlag("g_02",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_02",0,0)

lmp.AddAttack("SP1","Lmp_g_magic")
lmp.AttackTypeFlag("SP1",ATK_UNIQUE)
lmp.AddLevels("Lmp_g_magic",0,0)
