######################################################
#
# Create sets of attacks
#
#        - MAN -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Man","g_08","ATTACKING")
Bladex.SetActionEventTable("Man","g_01","ATTACKING")
Bladex.SetActionEventTable("Man","g_01low_new","ATTACKING")
Bladex.SetActionEventTable("Man","g_02","ATTACKING")
Bladex.SetActionEventTable("Man","g_05","ATTACKING")
Bladex.SetActionEventTable("Man","g_06","ATTACKING")
Bladex.SetActionEventTable("Man","g_07","ATTACKING")
Bladex.SetActionEventTable("Man","g_09","ATTACKING")
Bladex.SetActionEventTable("Man","g_01a","ATTACKING")
Bladex.SetActionEventTable("Man","g_02a","ATTACKING")
Bladex.SetActionEventTable("Man","g_05a","ATTACKING")
Bladex.SetActionEventTable("Man","g_06a","ATTACKING")
Bladex.SetActionEventTable("Man","g_07a","ATTACKING")
Bladex.SetActionEventTable("Man","g_09a","ATTACKING")
Bladex.SetActionEventTable("Man","g_18","ATTACKING")
Bladex.SetActionEventTable("Man","g_15","ATTACKING")
Bladex.SetActionEventTable("Man","g_14","ATTACKING")
Bladex.SetActionEventTable("Man","g_13","ATTACKING")
Bladex.SetActionEventTable("Man","g_16","ATTACKING")
Bladex.SetActionEventTable("Man","g_11","ATTACKING")
Bladex.SetActionEventTable("Man","g_12","ATTACKING")
Bladex.SetActionEventTable("Man","g_17","ATTACKING")
Bladex.SetActionEventTable("Man","g_21","ATTACKING")
Bladex.SetActionEventTable("Man","g_22","ATTACKING")
Bladex.SetActionEventTable("Man","g_23","ATTACKING")
Bladex.SetActionEventTable("Man","g_26","ATTACKING")
Bladex.SetActionEventTable("Man","g_27","ATTACKING")
Bladex.SetActionEventTable("Man","g_31","ATTACKING")
Bladex.SetActionEventTable("Man","g_punch1","ATTACKING")
Bladex.SetActionEventTable("Man","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Man","g_kick","ATTACKING")
Bladex.SetActionEventTable("Man","g_back","ATTACKING")
Bladex.SetActionEventTable("Man","g_magic","ATTACKING")
Bladex.SetActionEventTable("Man","g_magic2","ATTACKING")

Bladex.SetActionEventTable("Man","g_bad_sword1","ATTACKING")
Bladex.SetActionEventTable("Man","g_bad_sword2","ATTACKING")
Bladex.SetActionEventTable("Man","g_bad_sword3","ATTACKING")
Bladex.SetActionEventTable("Man","g_bad_spear2","ATTACKING")
Bladex.SetActionEventTable("Man","g_s18_2h","ATTACKING")
Bladex.SetActionEventTable("Man","g_06lowkata_new","ATTACKING")
Bladex.SetActionEventTable("Man","g_s3_new","ATTACKING")
Bladex.SetActionEventTable("Man","g_s22low_new","ATTACKING")
Bladex.SetActionEventTable("Man","g_32_5_3new","ATTACKING")
Bladex.SetActionEventTable("Man","g_27kata","ATTACKING")
Bladex.SetActionEventTable("Man","g_12low","ATTACKING")
Bladex.SetActionEventTable("Man","g_s11","ATTACKING")

# clumsy attacks
Bladex.SetActionEventTable("Man","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Man","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Man","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Man","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Man","g_bad_1h", "ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Man","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Man","g_draw_run", "ATTACKING")

#Dodge->attacks
Bladex.SetActionEventTable("Man","g_d_r", "ATTACKING")
Bladex.SetActionEventTable("Man","g_d_l", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Man","D_r", "DODGING")
Bladex.SetActionEventTable("Man","D_l", "DODGING")
Bladex.SetActionEventTable("Man","D_b", "DODGING")

man=Bladex.GetCharType("Man1","Man")

#
#Dodge groups
#

#Dodges themselves
man.AddAttack("DR","D_r")
#man.AttackWindow("D_r",0.315,0.510,"GI_1H_Window") # O lo que sea
man.AttackTypeFlag("DR",ATK_UNIQUE) 

man.AddAttack("DL","D_l")
man.AttackTypeFlag("DL",ATK_UNIQUE) 

man.AddAttack("DB","D_b")
man.AttackTypeFlag("DB",ATK_UNIQUE) 

#Dodge attacks
man.AddAttack("DR_G_1H","g_d_r")
man.AssignTrail("DR_G_1H","","EstelaAmarilla1")
man.AddLevels("g_d_r",1,40)
man.AttackTypeFlag("DR",ATK_UNIQUE) 

man.AddAttack("DL_G_1H","g_d_l")
man.AssignTrail("DL_G_1H","","EstelaAmarilla1")
man.AddLevels("g_d_l",1,40)
man.AttackTypeFlag("DL",ATK_UNIQUE) 

#man.AddAttack("DB_G_1H","D_b_g")
#man.AttackTypeFlag("DB",ATK_UNIQUE) 




#GI "group"
man.AddAttack("GI_1H","Man_g_01")
man.AttackWindow("Man_g_01",0.001,0.999,"GI_1H_Window")

#man.AttackTypeFlag("GI_1H",ATK_SEQUENTIAL) #If only one attack given , UNIQUE flag is applied


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#COMBOALEATORIO1
man.AddAttack("GM43_1H","Man_g_26")
man.AttackWindow("Man_g_26",0.445,0.668,"GM43_1H_Window")
man.AssignTrail("GM43_1H","","EstelaAmarilla1")
man.AddLevels("Man_g_26",4,40)

#COMBOHACHATORPE group
man.AddAttack("GM1_AXE","Man_g_bad_axe")
man.AttackWindow("Man_g_bad_axe",0.435,0.643,"GM1_AXE_Window")
man.AssignTrail("GM1_AXE","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_axe",0,8)

#COMBOHACHATORPE2 group
man.AddAttack("GM7_AXE","Man_g_bad_spear")
man.AttackWindow("Man_g_bad_spear",0.461,0.748,"GM7_AXE_Window")
man.AssignTrail("GM7_AXE","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_spear",0,20)

#COMBOESPADATORPE1 group
man.AddAttack("GM2_2W","Man_g_bad_sword1")
man.AttackWindow("Man_g_bad_sword1",0.225,0.575,"GM2_2W_Window")
man.AssignTrail("GM2_2W","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_sword1",0,40)

#COMBOESPADATORPE2 group
man.AddAttack("GM3_2W","Man_g_bad_sword2")
man.AttackWindow("Man_g_bad_sword2",0.464,0.741,"GM3_2W_Window")
man.AssignTrail("GM3_2W","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_sword2",0,40)

#COMBOESPADATORPE2 group
man.AddAttack("GM4_2W","Man_g_bad_sword3")
man.AttackWindow("Man_g_bad_sword3",0.427,0.807,"GM4_2W_Window")
man.AssignTrail("GM4_2W","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_sword3",0,40)

#COMBOLANZATORPE1 group
man.AddAttack("GM5_SP","Man_g_bad_spear")
man.AttackWindow("Man_g_bad_spear",0.283,0.519,"GM5_SP_Window")
man.AssignTrail("GM5_SP","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_spear",0,40)

#COMBOLANZATORPE2 group
man.AddAttack("GM6_SP","Man_g_bad_spear2")
man.AttackWindow("Man_g_bad_spear2",0.461,0.748,"GM6_SP_Window")
man.AssignTrail("GM6_SP","","EstelaAmarilla1")
man.AddLevels("Man_g_bad_spear2",0,40)



##########################

#COMBO1
man.AddAttack("GM12_1H","Man_g_08")
man.AttackWindow("Man_g_08",0.408,0.725,"GM12_1H_Window")
man.AddLevels("Man_g_08",0,40)


#COMBO2
man.AddAttack("GM14_1H","Man_g_02")
man.AttackWindow("Man_g_02",0.265,0.586,"GM14_1H_Window")
man.AddLevels("Man_g_02",0,40)


#COMBO3
man.AddAttack("GM16_1H","Man_g_06")
man.AttackWindow("Man_g_06",0.391,0.661,"GM16_1H_Window")
man.AddLevels("Man_g_06",0,40)


#COMBO4
man.AddAttack("GM18_1H","Man_g_01low_new")
man.AttackWindow("Man_g_01low_new",0.001,0.900,"GM18_1H_Window")
man.AddLevels("Man_g_01low_new",0,40)



#GOLPESINARMA1 "group"
man.AddAttack("GM19_NO","Man_g_punch1")
man.AddLevels("Man_g_punch1",0,40)

#GOLPESINARMA2 "group"
man.AddAttack("GM20_NO","Man_g_punch2")
man.AddLevels("Man_g_punch2",0,40)

#GOLPESINARMA3 "group"
man.AddAttack("GM21_NO","Man_g_kick")
man.AddLevels("Man_g_kick",0,40)


#GOLPE GARROTE
man.AddAttack("GM30_1H","Man_g_14")
man.AttackWindow("Man_g_14",0.394,0.633,"GM30_1H_Window")
man.AssignTrail("GM30_1H","","EstelaRoja1")
man.AddLevels("Man_g_14",2,40)

#GOLPE HACHA
man.AddAttack("GM31_1H","Man_g_15")
man.AttackWindow("Man_g_15",0.489,0.750,"GM31_1H_Window")
man.AssignTrail("GM31_1H","","EstelaRoja1")
man.AddLevels("Man_g_15",3,40)

#GOLPE HACHA4
man.AddAttack("GM15_1H","Man_g_16")
man.AttackWindow("Man_g_16",0.471,0.784,"GM15_1H_Window")
man.AssignTrail("GM15_1H","","EstelaRoja1")
man.AddLevels("Man_g_16",8,40)

#GOLPE MARTILLO
man.AddAttack("GM17_1H","Man_g_12")
man.AttackWindow("Man_g_12",0.420,0.656,"GM17_1H_Window")
man.AssignTrail("GM17_1H","","EstelaRoja1")
man.AddLevels("Man_g_12",10,40)

#GOLPE MARTILLO2
man.AddAttack("GM13_1H","Man_g_18")
man.AttackWindow("Man_g_18",0.417,0.768,"GM13_1H_Window")
man.AssignTrail("GM13_1H","","EstelaRoja1")
man.AddLevels("Man_g_18",11,40)

#GOLPE HACHA2
man.AddAttack("GM32_1H","Man_g_17")
man.AttackWindow("Man_g_17",0.454,0.668,"GM32_1H_Window")
man.AssignTrail("GM32_1H","","EstelaRoja1")
man.AddLevels("Man_g_17",17,40)

#GOLPE MARTILLO3
man.AddAttack("GM22_1H","Man_g_31")
man.AttackWindow("Man_g_31",0.001,0.999,"GM22_1H_Window")
man.AssignTrail("GM22_1H","","EstelaRoja1")
man.AddLevels("Man_g_31",18,40)

#GOLPE FIREAXE
man.AddAttack("GM24_1H","Man_g_22")
man.AttackWindow("Man_g_22",0.480,0.662,"GM24_1H_Window")
man.AssignTrail("GM24_1H","","EstelaRoja1")
man.AddLevels("Man_g_22",17,40)

#GOLPE HACHA5
man.AddAttack("GM25_1H","Man_g_07")
man.AttackWindow("Man_g_07",0.001,0.900,"GM24_1H_Window")
man.AssignTrail("GM25_1H","","EstelaRoja1")
man.AddLevels("Man_g_07",6,40)

#GOLPE GARROPIN
man.AddAttack("GM26_1H","Man_g_11")
man.AttackWindow("Man_g_11",0.001,0.900,"GM26_1H_Window")
man.AssignTrail("GM26_1H","","EstelaRoja1")
man.AddLevels("Man_g_11",7,40)

#GOLPE HACHA3
man.AddAttack("GM27_1H","Man_g_05")
man.AttackWindow("Man_g_05",0.001,0.900,"GM27_1H_Window")
man.AssignTrail("GM27_1H","","EstelaRoja1")
man.AddLevels("Man_g_05",9,40)

#GOLPE GARROTE2
man.AddAttack("GM28_1H","Man_g_13")
man.AttackWindow("Man_g_13",0.001,0.900,"GM28_1H_Window")
man.AssignTrail("GM28_1H","","EstelaRoja1")
man.AddLevels("Man_g_13",13,40)

#GOLPE MAZADOBLE
man.AddAttack("GM29_1H","Man_g_21")
man.AttackWindow("Man_g_21",0.001,0.900,"GM29_1H_Window")
man.AssignTrail("GM29_1H","","EstelaRoja1")
man.AddLevels("Man_g_21",14,40)

#GOLPE HACHA6
man.AddAttack("GM11_1H","Man_g_s3_new")
man.AttackWindow("Man_g_s3_new",0.001,0.900,"GM11_1H_Window")
man.AssignTrail("GM11_1H","","EstelaRoja1")
man.AddLevels("Man_g_s3_new",15,40)

#GOLPE CRUSHHAMMER
man.AddAttack("GM10_1H","Man_g_s22low_new")
man.AttackWindow("Man_g_s22low_new",0.001,0.900,"GM10_1H_Window")
man.AssignTrail("GM10_1H","","EstelaRoja1")
man.AddLevels("Man_g_s22low_new",16,40)

#GOLPE ICEHAMMER
man.AddAttack("GM9_1H","Man_g_09")
man.AttackWindow("Man_g_09",0.001,0.900,"GM9_1H_Window")
man.AssignTrail("GM9_1H","","EstelaRoja1")
man.AddLevels("Man_g_09",12,40)

#GOLPE QUEENSWORD
man.AddAttack("GM8_1H","Man_g_06lowkata_new")
man.AttackWindow("Man_g_06lowkata_new",0.001,0.900,"GM8_1H_Window")
man.AssignTrail("GM8_1H","","EstelaRoja1")
man.AddLevels("Man_g_06lowkata_new",10,40)

#COMBOGIRO180 group
man.AddAttack("GM33_1H","Man_g_back")
man.AddLevels("Man_g_back",3,40)
man.AddEnergyLevel("Man_g_back", 0)

#COMBO CONCENTRACION
man.AddAttack("GM70_1H","Man_g_magic")
man.AssignTrail("GM70_1H","","EstelaRoja1")
man.AddLevels("Man_g_magic",19,40)
man.AddEnergyLevel("Man_g_magic", 0)

#COMBO LANZAESTELA
man.AddAttack("GM71_1H","Man_g_magic2")
man.AssignTrail("GM71_1H","","EstelaRoja1")
man.AddLevels("Man_g_magic2",18,40)
man.AddEnergyLevel("Man_g_magic2", 0)




#GAI meta-group
man.MetaAttack("GIM_1H","GI_1H")
man.MetaAttack("GIM_AXE","GM1_AXE")
man.MetaAttack("GIM_2W","GM2_2W")
man.MetaAttack("GIM_2W","GM3_2W")
man.MetaAttack("GIM_2W","GM4_2W")
man.MetaAttack("GIM_SP","GM5_SP")
man.MetaAttack("GIM_SP","GM6_SP")
man.MetaAttack("GIM_SP","GM7_AXE")
man.MetaAttack("GIM_1H","GM8_1H")
man.MetaAttack("GIM_1H","GM9_1H")
man.MetaAttack("GIM_1H","GM10_1H")
man.MetaAttack("GIM_1H","GM11_1H")
man.MetaAttack("GIM_1H","GM12_1H")
man.MetaAttack("GIM_1H","GM13_1H")
man.MetaAttack("GIM_1H","GM14_1H")
man.MetaAttack("GIM_1H","GM15_1H")
man.MetaAttack("GIM_1H","GM16_1H")
man.MetaAttack("GIM_1H","GM17_1H")
man.MetaAttack("GIM_1H","GM18_1H")
man.MetaAttack("GIM_NO","GM19_NO")
man.MetaAttack("GIM_NO","GM20_NO")
man.MetaAttack("GIM_NO","GM21_NO")
man.MetaAttack("GIM_1H","GM22_1H")
man.MetaAttack("GIM_1H","GM43_1H")
man.MetaAttack("GIM_1H","GM24_1H")
man.MetaAttack("GIM_1H","GM25_1H")
man.MetaAttack("GIM_1H","GM26_1H")
man.MetaAttack("GIM_1H","GM27_1H")
man.MetaAttack("GIM_1H","GM28_1H")
man.MetaAttack("GIM_1H","GM29_1H")
man.MetaAttack("GIM_1H","GM30_1H")
man.MetaAttack("GIM_1H","GM31_1H")
man.MetaAttack("GIM_1H","GM32_1H")
man.MetaAttack("GIM_1H","GM33_1H")
man.MetaAttack("GIM_1H","GM70_1H")
man.MetaAttack("GIM_1H","GM71_1H")


man.MetaAttack("COMBO1","GM1_AXE")
man.MetaAttack("COMBO1","GM2_2W")
man.MetaAttack("COMBO1","GM3_2W")
man.MetaAttack("COMBO1","GM4_2W")
man.MetaAttack("COMBO1","GM5_SP")
man.MetaAttack("COMBO1","GM6_SP")
man.MetaAttack("COMBO1","GM7_AXE")
man.MetaAttack("COMBO1","GM8_1H")
man.MetaAttack("COMBO1","GM9_1H")
man.MetaAttack("COMBO1","GM10_1H")
man.MetaAttack("COMBO1","GM11_1H")
man.MetaAttack("COMBO1","GM12_1H")
man.MetaAttack("COMBO1","GM13_1H")
man.MetaAttack("COMBO1","GM14_1H")
man.MetaAttack("COMBO1","GM15_1H")
man.MetaAttack("COMBO1","GM16_1H")
man.MetaAttack("COMBO1","GM17_1H")
man.MetaAttack("COMBO1","GM18_1H")
man.MetaAttack("COMBO1","GM19_NO")
man.MetaAttack("COMBO1","GM20_NO")
man.MetaAttack("COMBO1","GM21_NO")
man.MetaAttack("COMBO1","GM22_1H")
man.MetaAttack("COMBO1","GM43_1H")
man.MetaAttack("COMBO1","GM24_1H")
man.MetaAttack("COMBO1","GM25_1H")
man.MetaAttack("COMBO1","GM26_1H")
man.MetaAttack("COMBO1","GM27_1H")
man.MetaAttack("COMBO1","GM28_1H")
man.MetaAttack("COMBO1","GM29_1H")
man.MetaAttack("COMBO1","GM30_1H")
man.MetaAttack("COMBO1","GM31_1H")
man.MetaAttack("COMBO1","GM32_1H")
man.MetaAttack("COMBO1","GM33_1H")
man.MetaAttack("COMBO1","GM70_1H")
man.MetaAttack("COMBO1","GM71_1H")


######################################################
#
#        - Attacks themselves -
#
######################################################

# *Name of NEW attack (anm name itself , group name or metagroup)
# *Keys
#       R , L , F , B -> Control keys
#       A -> Attack 
#       D -> Defense(block)
#     
# -->Keys Modifiers
#       a+b . Simultaneous press
#       !c . Should not be pressed
#       &d . Should be already pressed
# *Previous Historial
#       "GA,GA,GM,GGF"
# *Previous NEGATIVE historial
#       +/- idem b4
#
#

#COMBOGIRO180
man.AllowAttack("GM33_1H","L+R+B","","","","1H")

#COMBO LANZAESTELA
man.AllowAttack("GM71_1H","&B","GI_1H","","","BladeSword2")

#COMBO CONCENTRACION
man.AllowAttack("GM70_1H","&A+F","GI_1H","","","BladeSword2")

#Golpes en esquiva
man.AllowAttack("DL_G_1H","A","DL","","","1H")

man.AllowAttack("DR_G_1H","A","DR","","","1H")

man.AllowAttack("DB_G_1H","A","DB","","","1H")

#COMBOHACHATORPE2
man.AllowAttack("GM7_AXE","A+R","","","GM7_AXE_Window","AXE")
man.AllowAttack("GM7_AXE","&A+R","","","GM7_AXE_Window","AXE")

#COMBOHACHATORPE1
man.AllowAttack("GM1_AXE","A","","","GM1_AXE_Window","AXE")

#COMBOESPADATORPE3
man.AllowAttack("GM4_2W","A","GM3_2W","","GM3_2W_Window","2W")

#COMBOESPADATORPE2
man.AllowAttack("GM3_2W","A","","COMBO1,COMBO1,COMBO1","GM4_2W_Window","2W")

#COMBOLANZATORPE2
man.AllowAttack("GM6_SP","A","GM5_SP","","GM5_SP_Window","SP")

#COMBOLANZATORPE1
man.AllowAttack("GM5_SP","A","","COMBO1,COMBO1,COMBO1","GM6_SP_Window","SP")


#GOLPESINARMA1
man.AllowAttack("GM19_NO","A","","COMBO1,COMBO1","","NO")

#GOLPESINARMA2
man.AllowAttack("GM20_NO","A+B","","COMBO1","","NO")
man.AllowAttack("GM20_NO","&A+B","","COMBO1","","NO")

#GOLPESINARMA3
man.AllowAttack("GM21_NO","A+F","","COMBO1","","NO")
man.AllowAttack("GM21_NO","&A+F","","COMBO1","","NO")



#GOLPEICEHAMMER
man.AllowAttack("GM9_1H","B+R","GI_1H","","GI_1H_Window","IceHammer")

#GOLPEFIREAXE
man.AllowAttack("GM24_1H","B+F","GM43_1H","","GM43_1H_Window","FireAxe")

#GOLPEHACHA6
man.AllowAttack("GM11_1H","&F","GI_1H","","GI_1H_Window","Hacha6")

#GOLPEMARTILLO
man.AllowAttack("GM17_1H","&B","GI_1H","","GI_1H_Window","Martillo")



#COMBOALEATORIO1
man.AllowAttack("GM43_1H","R+L","GI_1H","","GI_1H_Window","1H")



#COMBOARRIBA1
man.AllowAttack("GM12_1H","A+F","","GM12_1H","","1H")
man.AllowAttack("GM12_1H","&A+F","","GM12_1H","","1H")

#GOLPEHACHA
man.AllowAttack("GM31_1H","&B","GM12_1H","","GM12_1H_Window","Hacha")

#GOLPEGARROPIN
man.AllowAttack("GM26_1H","L+B","GM12_1H","","GM12_1H_Window","Garropin")

#GOLPEGARROTE2
man.AllowAttack("GM28_1H","&F","GM12_1H","","GM12_1H_Window","Garrote2")

#GOLPEMAZADOBLE
man.AllowAttack("GM29_1H","B+F","GM12_1H","","GM12_1H_Window","MazaDoble")

#GOLPE MARTILLO3
man.AllowAttack("GM22_1H","B+R","GM12_1H","","GM12_1H_Window","Martillo3")


#COMBODERECHA1
man.AllowAttack("GM14_1H","A+R","","GM14_1H","","1H")
man.AllowAttack("GM14_1H","&A+R","","GM14_1H","","1H")

#GOLPEHACHA5
man.AllowAttack("GM25_1H","L+B","GM14_1H","","GM14_1H_Window","Hacha5")

#GOLPEHACHA4
man.AllowAttack("GM15_1H","&L","GM14_1H","","GM14_1H_Window","Hacha4")

#GOLPEHACHA3
man.AllowAttack("GM27_1H","L+F","GM14_1H","","GM14_1H_Window","Hacha3")


#COMBOIZQUIERDA1
man.AllowAttack("GM16_1H","A+L","","GM16_1H","","1H")
man.AllowAttack("GM16_1H","&A+L","","GM16_1H","","1H")

#GOLPE HACHA2
man.AllowAttack("GM32_1H","&R","GM16_1H","","GM16_1H_Window","Hacha2")

#GOLPEQUEENSWORD
man.AllowAttack("GM8_1H","B+R","GM16_1H","","GM16_1H_Window","QueenSword")


#COMBOABAJO1
man.AllowAttack("GM18_1H","A+B","","GM18_1H","","1H")
man.AllowAttack("GM18_1H","&A+B","","GM18_1H","","1H")

#GOLPEGARROTE
man.AllowAttack("GM30_1H","&F","GM18_1H","","GM18_1H_Window","Garrote")

#GOLPEMARTILLO2
man.AllowAttack("GM13_1H","&B","GM18_1H","","GM18_1H_Window","Martillo2")

#GOLPECRUSHHAMMER
man.AllowAttack("GM10_1H","F+B","GM18_1H","","GM18_1H_Window","CrushHammer")


#GI
man.AllowAttack("GI_1H","A","","GIM_1H","GI_1H_Window","1H")










