import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Generic Male         #
    #                      #
    ########################
    

  
    
    
import ManAnm_def
ManAnm_def.InitMan()    
 
    
man=Bladex.GetCharType("Man1","Man")
man.IntName="Man" 

man.TurnSpeed=3.4
man.Jcost=27000
man.MaxFall=5000
man.DieFall=14000
man.MaxStair=335
man.Fov=math.pi
man.MaxGrab=3500.0
man.MedGrab=2500.0
man.Min2Grab=1500.0    
man.MinTake=-500.0	# Min height above floor barbarian will take
man.MaxTake1=450.0	# Max height above floor for Take1 Anim
man.MaxTake2=550.0	# Max height above floor for Take2 Anim
man.MaxTake3=1300.0	# Max height above floor for Take3 Anim
man.MaxTake4=1900.0	# Max height above floor for Take4 Anim
man.MaxTake5=3000.0	# Max height above floor for Take5 Anim
man.Reach=2000.0	# Max distance from bar centre to obj centre to take
man.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
man.MovBkwdSpeedInStrafe=1000  #Idem backwards
man.MaxCombatDist=14000
man.MaxSeeDist=30000

man.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones


man.SetCDSphere(0,200.0,350.0)  #(numero de la espera, altura mm, radio mm)
man.SetCDSphere(1,-110.0,490.0)  #(numero de la espera, altura mm, radio mm)

man.NaturalWeapons=1

###############################################################################
#

def ManWhenFirst():
	Bladex.CreateBipedData("Man","Man1")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Man.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Man.dat")

	import ManAnimationSet
	ManAnimationSet.LoadManAnimationSet("Man")
	
	import ManBAct
	import LinkTables
	LinkTables.LinkMe("Man")
	
	import ManCombos
	
	import AnmFactMan
	AnmFactMan.InitAnmFactMan()
	import ManStats
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Man.dat","Man")
	
	print"New Man Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Man1","Man")
race.OnFirst=ManWhenFirst
