####################################################################################

global ModName
global ModDesc
global ModVersion
global ModAuthor
global ModAuthorInfo
global NewFiles
global RepFiles
global MakeDirs

####################################################################################
# Mod Info
####################################################################################

# Mod Name
ModName          = "DwarfWarsII"
# Mod Description
import Language
if Language.Current == 'Spanish':
	ModDesc = (
		"""Help the defend the town from invaders"""
		
		)
else:
	ModDesc = (
		"""Help the defend the town from invaders"""
		)

# Mod Version
ModVersion       = "V1.0"
# Author name
ModAuthor        = "ProsperoProductions"
# Author info: email, url,...
ModAuthorInfo    = "peterrobinsonfineart@btinternet.com"

####################################################################################
# Mod Data
####################################################################################

# Make new directories


MakeDirs = ['../DwarfWarsII',
            '../DwarfWarsII/pak',
            '../DwarfWarsII/NUFiles',
            '../DwarfWarsII/NUFiles/NUFemaleStuff',
            '../DwarfWarsII/NUFiles/NUAribethStuff',
            '../DwarfWarsII/NUFiles/NUManStuff',
            '../DwarfWarsII/NUFiles/NUDwarfStuff',
            '../DwarfWarsII/NUFiles/NULittleImpStuff',
            '../DwarfWarsII/NUFiles/NUHaedralineStuff',
            '../DwarfWarsII/NUFiles/NUEttercapStuff',
            '../DwarfWarsII/NUFiles/NUGoblinStuff',
            '../DwarfWarsII/NUFiles/NULesserDemonStuff',
            '../DwarfWarsII/NUFiles/NUBigCatStuff',
            '../DwarfWarsII/NUFiles/NUDwarfStuff']
           

# New Files added by Mod and destination directory


NewFiles[0]      = {'File': 'pj.py'                                             ,   'Dest': '../DwarfWarsII'}
NewFiles[1]      = {'File': 'DefFuncs.py'                                       ,   'Dest': '../DwarfWarsII'}
NewFiles[2]      = {'File': 'cfg.py'                                            ,   'Dest': '../DwarfWarsII'}
NewFiles[3]      = {'File': 'DwarfWarsII.lvl'                                   ,   'Dest': '../DwarfWarsII'}
NewFiles[4]      = {'File': 'Blade_progress.jpg'                                ,   'Dest': '../DwarfWarsII'}
NewFiles[5]      = {'File': 'Blade_progress2.jpg'                               ,   'Dest': '../DwarfWarsII'}
NewFiles[6]      = {'File': 'DwarfWarsII.bw'                                    ,   'Dest': '../DwarfWarsII'}
NewFiles[7]      = {'File': 'TextureMaterials.py'                               ,   'Dest': '../DwarfWarsII'}
NewFiles[8]      = {'File': 'ActorsInit.py'                                     ,   'Dest': '../DwarfWarsII'}
NewFiles[9]      = {'File': 'DwarfWarsIIMenu/DwarfWarsIIMenu.py'                ,   'Dest': '../../Scripts'}
NewFiles[10]     = {'File': 'DwarfWarsIIMenu/DwarfWarsIIMenu.bmp'               ,   'Dest': '../DwarfWarsII'}
NewFiles[11]     = {'File': 'dwfwars.mmp'                                       ,   'Dest': '../DwarfWarsII'}
NewFiles[12]     = {'File': 'NPCStats.py'                                       ,   'Dest': '../DwarfWarsII'}
NewFiles[13]     = {'File': 'enemigos.py'                                       ,   'Dest': '../DwarfWarsII'}
NewFiles[14]     = {'File': 'objs.py'                                           ,   'Dest': '../DwarfWarsII'}
NewFiles[15]     = {'File': 'nuobjs.mmp'                                        ,   'Dest': '../DwarfWarsII'}
NewFiles[16]     = {'File': 'amigos.py'                                         ,   'Dest': '../DwarfWarsII'}
NewFiles[17]     = {'File': 'PlayerTypes.py'                                    ,   'Dest': '../DwarfWarsII'}
NewFiles[18]     = {'File': 'NUFiles/EnemyNPCTypes.py'                          ,   'Dest': '../DwarfWarsII/NUFiles'}
NewFiles[19]     = {'File': 'NUFiles/AllyNPCTypes.py'                           ,   'Dest': '../DwarfWarsII/NUFiles'}
NewFiles[20]     = {'File': 'sonidos.py'                                        ,   'Dest': '../DwarfWarsII'}
NewFiles[21]     = {'File': 'NUFiles/NUFemaleStuff/AniSoundFemale.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[22]     = {'File': 'NUFiles/NUFemaleStuff/AniSoundFemaleX.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[23]     = {'File': 'NUFiles/NUFemaleStuff/FemaleAnimationSet.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[24]     = {'File': 'NUFiles/NUFemaleStuff/FemaleAnm_def.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[25]     = {'File': 'NUFiles/NUFemaleStuff/FemaleBAct.py'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[26]     = {'File': 'NUFiles/NUFemaleStuff/FemaleCombos.py'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[27]     = {'File': 'NUFiles/NUFemaleStuff/FemaleData.py'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[28]     = {'File': 'NUFiles/NUFemaleStuff/FemaleStats.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[29]     = {'File': 'NUFiles/NUFemaleStuff/AnmFactFemale.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[30]     = {'File': 'NUFiles/NUFemaleStuff/Fem1Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[31]     = {'File': 'counter.py'                                       ,   'Dest': '../DwarfWarsII'}
NewFiles[32]     = {'File': 'agua.py'                                          ,   'Dest': '../DwarfWarsII'}
NewFiles[33]     = {'File': 'QuiverTypes.py'                                   ,   'Dest': '../DwarfWarsII'}
NewFiles[34]     = {'File': 'obj_def.py'                                       ,   'Dest': '../DwarfWarsII'}
NewFiles[35]     = {'File': 'NUFiles/NUAribethStuff/AniSoundAribeth.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[36]     = {'File': 'NUFiles/NUAribethStuff/AniSoundAribethX.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[37]     = {'File': 'NUFiles/NUAribethStuff/AribethAnimationSet.py'            ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[38]     = {'File': 'NUFiles/NUAribethStuff/AribethAnm_def.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[39]     = {'File': 'NUFiles/NUAribethStuff/AribethBAct.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[40]     = {'File': 'NUFiles/NUAribethStuff/AribethCombos.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[41]     = {'File': 'NUFiles/NUAribethStuff/AribethData.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[42]     = {'File': 'NUFiles/NUAribethStuff/AribethStats.py'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[43]     = {'File': 'NUFiles/NUAribethStuff/aribeth.mmp'                       ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[44]     = {'File': 'NUFiles/NUAribethStuff/AnmFactAribeth.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[45]     = {'File': 'NUFiles/NUAribethStuff/AribethIcon.bmp'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[46]     = {'File': 'NUFiles/NUAribethStuff/AribethAnm_def_FX.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[47]     = {'File': 'armas.py'                                          ,   'Dest': '../DwarfWarsII'}
NewFiles[48]     = {'File': 'NUFiles/NUManStuff/AniSoundMan.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[49]     = {'File': 'NUFiles/NUManStuff/ManAnimationSet.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[50]     = {'File': 'NUFiles/NUManStuff/ManAnm_def.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[51]     = {'File': 'NUFiles/NUManStuff/ManBAct.py'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[52]     = {'File': 'NUFiles/NUManStuff/ManCombos.py'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[53]     = {'File': 'NUFiles/NUManStuff/ManData.py'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[54]     = {'File': 'NUFiles/NUManStuff/ManStats.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[55]     = {'File': 'NUFiles/NUManStuff/AnmFactMan.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[56]     = {'File': 'NUFiles/NUManStuff/Man1Icon.bmp'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[57]     = {'File': 'NUFiles/NUManStuff/LookoutManBAct.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[58]    = {'File': 'NUFiles/NUManStuff/LookoutManCombos.py'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[59]    = {'File': 'NUFiles/NUManStuff/LookoutManData.py'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[60]    = {'File': 'NUFiles/NUManStuff/LookoutManStats.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[61]    = {'File': 'NUFiles/NUManStuff/LookoutManAnimationSet.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[62]    = {'File': 'NUFiles/NUManStuff/AnmFactLkm.py'                         ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[63]    = {'File': 'MusicEvents.py'                                         ,   'Dest': '../DwarfWarsII'}
NewFiles[64]    = {'File': 'DwarfWarsIIDay.lvl'                                     ,   'Dest': '../DwarfWarsII'}
NewFiles[65]    = {'File': 'Positions.py'                                           ,   'Dest': '../DwarfWarsII'}
NewFiles[66]    = {'File': 'NUFiles/NUAribethStuff/AribethAnm_def_FX.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[67]    = {'File': 'NUFiles/NUAribethStuff/AribethTypes.py'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUAribethStuff'}
NewFiles[68]    = {'File': 'InitNewChars.py'                                              ,   'Dest': '../DwarfWarsII'}
NewFiles[69]    = {'File': 'NUFiles/WeaponTypes.py'                          ,   'Dest': '../DwarfWarsII/NUFiles'}
NewFiles[70]    = {'File': 'masklin.lvl'                                     ,   'Dest': '../DwarfWarsII'}
NewFiles[71]    = {'File': 'DwarfWarsIIDay.bw'                               ,   'Dest': '../DwarfWarsII'}
NewFiles[72]    = {'File': 'barb_dark_d.mmp'                                 ,   'Dest': '../DwarfWarsII'}
NewFiles[73]    = {'File': 'NUFiles/NUFemaleStuff/Fema3Icon.bmp'                       ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[74]    = {'File': 'NUFiles/NUFemaleStuff/Fema11Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[75]    = {'File': 'NUFiles/NUFemaleStuff/Fema12Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[76]    = {'File': 'NUFiles/NUFemaleStuff/Fema13Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[77]    = {'File': 'NUFiles/NUFemaleStuff/Fema14Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[78]    = {'File': 'NUFiles/NUFemaleStuff/Fema15Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[79]    = {'File': 'slipsect.py'                                                ,   'Dest': '../DwarfWarsII'}
NewFiles[80]    = {'File': 'NUFiles/NULittleImpStuff/LittleImp_AirIcon.bmp'             ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[81]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpData.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[82]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpBAct.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[83]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpAnimationSet.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[84]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpAnm_def.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[85]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpCombos.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[86]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpStats.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[87]    = {'File': 'NUFiles/NULittleImpStuff/AniSoundLittleImp.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[88]    = {'File': 'NUFiles/NULittleImpStuff/AniSoundLittleImpX.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[89]    = {'File': 'NUFiles/NULittleImpStuff/AnmFactLittleImp.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[90]    = {'File': 'NUFiles/NULittleImpStuff/LittleImpTypes.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NULittleImpStuff'}
NewFiles[91]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineAIcon.bmp'                ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[92]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineData.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[93]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineBAct.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[94]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineAnimationSet.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[95]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineAnm_def.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[96]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineCombos.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[97]    = {'File': 'NUFiles/NUHaedralineStuff/HaedralineStats.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[98]    = {'File': 'NUFiles/NUHaedralineStuff/AniSoundHaedraline.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[99]    = {'File': 'NUFiles/NUHaedralineStuff/AniSoundHaedralineX.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[100]   = {'File': 'NUFiles/NUHaedralineStuff/AnmFactHaedraline.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[101]   = {'File': 'NUFiles/NUEttercapStuff/EttercapIcon.bmp'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[102]   = {'File': 'NUFiles/NUEttercapStuff/AnmFactEttercap.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[103]   = {'File': 'NUFiles/NUEttercapStuff/EttercapAnimationSet.py'        ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[104]   = {'File': 'NUFiles/NUEttercapStuff/EttercapAnm_def.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[105]   = {'File': 'NUFiles/NUEttercapStuff/EttercapBAct.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[106]   = {'File': 'NUFiles/NUEttercapStuff/EttercapCombos.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[107]   = {'File': 'NUFiles/NUEttercapStuff/EttercapData.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[108]   = {'File': 'NUFiles/NUEttercapStuff/EttercapStats.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[109]   = {'File': 'NUFiles/NUEttercapStuff/EttercapTypes.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[110]   = {'File': 'NUFiles/NUEttercapStuff/AniSoundEttercap.py'            ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[111]   = {'File': 'NUFiles/NUEttercapStuff/AniSoundEttercapX.py'           ,   'Dest': '../DwarfWarsII/NUFiles/NUEttercapStuff'}
NewFiles[112]   = {'File': 'NUFiles/NUGoblinStuff/GoblinData.py'                       ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[113]   = {'File': 'NUFiles/NUGoblinStuff/GoblinAnm_def.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[114]   = {'File': 'NUFiles/NUGoblinStuff/GoblinAnimationSet.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[115]   = {'File': 'NUFiles/NUGoblinStuff/GoblinBAct.py'                       ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[116]   = {'File': 'NUFiles/NUGoblinStuff/GoblinCombos.py'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[117]   = {'File': 'NUFiles/NUGoblinStuff/AnmFactGoblin.py'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[118]   = {'File': 'NUFiles/NUGoblinStuff/AniSoundGoblin.py'                   ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[119]   = {'File': 'NUFiles/NUGoblinStuff/AniSoundGoblinX.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[120]   = {'File': 'NUFiles/NUGoblinStuff/GoblinStats.py'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[121]   = {'File': 'NUFiles/NUGoblinStuff/Goblin_AIcon.bmp'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[122]   = {'File': 'NUFiles/NUFemaleStuff/Fema16Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[123]   = {'File': 'NUFiles/NUHaedralineStuff/MoragAIcon.bmp'                ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[124]   = {'File': 'NUFiles/NUHaedralineStuff/MoragData.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[125]   = {'File': 'NUFiles/NUHaedralineStuff/MoragBAct.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[126]   = {'File': 'NUFiles/NUHaedralineStuff/MoragAnimationSet.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[127]   = {'File': 'NUFiles/NUHaedralineStuff/MoragAnm_def.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[128]   = {'File': 'NUFiles/NUHaedralineStuff/MoragCombos.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[129]   = {'File': 'NUFiles/NUHaedralineStuff/MoragStats.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[130]   = {'File': 'NUFiles/NUHaedralineStuff/AniSoundMorag.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[131]   = {'File': 'NUFiles/NUHaedralineStuff/AniSoundMoragX.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[132]   = {'File': 'NUFiles/NUHaedralineStuff/AnmFactMorag.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUHaedralineStuff'}
NewFiles[133]   = {'File': 'NUFiles/NUFemaleStuff/Fema7Icon.bmp'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[134]   = {'File': 'NUFiles/NUFemaleStuff/Fema17Icon.bmp'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[135]   = {'File': 'NUFiles/NUFemaleStuff/Fem3Icon.bmp'                      ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[136]   = {'File': 'NUFiles/NUManStuff/Man9Icon.bmp'                         ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[137]   = {'File': 'NUFiles/NULesserDemonStuff/Horror_AIcon.bmp'               ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[138]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorData.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[139]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorBAct.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[140]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorAnimationSet.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[141]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorAnm_def.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[142]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorCombos.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[143]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorStats.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[144]   = {'File': 'NUFiles/NULesserDemonStuff/AniSoundHorror.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[145]   = {'File': 'NUFiles/NULesserDemonStuff/AniSoundHorrorX.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[146]   = {'File': 'NUFiles/NULesserDemonStuff/AnmFactHorror.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[147]   = {'File': 'NUFiles/NULesserDemonStuff/HorrorTypes.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[148]   = {'File': 'NUFiles/NULesserDemonStuff/LesserDemon_AIcon.bmp'          ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[149]   = {'File': 'NUFiles/NULesserDemonStuff/LesserDemon_BIcon.bmp'          ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[150]   = {'File': 'NUFiles/NUManStuff/Man7Icon.bmp'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[151]   = {'File': 'NUFiles/NUManStuff/Man8Icon.bmp'                     ,   'Dest': '../DwarfWarsII/NUFiles/NUManStuff'}
NewFiles[152]   = {'File': 'NUFiles/NUGoblinStuff/GoblinWeaponTypes.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[153]   = {'File': 'NUFiles/NUFemaleStuff/Fema19Icon.bmp'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[154]   = {'File': 'NUFiles/NUBigCatStuff/BigCat_AIcon.bmp'               ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[155]   = {'File': 'NUFiles/NUBigCatStuff/BigCatData.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[156]   = {'File': 'NUFiles/NUBigCatStuff/BigCatBAct.py'                  ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[157]   = {'File': 'NUFiles/NUBigCatStuff/BigCatAnimationSet.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[158]   = {'File': 'NUFiles/NUBigCatStuff/BigCatAnm_def.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[159]   = {'File': 'NUFiles/NUBigCatStuff/BigCatCombos.py'                ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[160]   = {'File': 'NUFiles/NUBigCatStuff/BigCatStats.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[161]   = {'File': 'NUFiles/NUBigCatStuff/AniSoundBigCat.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[162]   = {'File': 'NUFiles/NUBigCatStuff/AniSoundBigCatX.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[163]   = {'File': 'NUFiles/NUBigCatStuff/BigCatAnmFact.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[164]   = {'File': 'NUFiles/NUBigCatStuff/BigCatTypes.py'                 ,   'Dest': '../DwarfWarsII/NUFiles/NUBigCatStuff'}
NewFiles[165]   = {'File': 'NUFiles/NUGoblinStuff/Goblin_BIcon.bmp'                    ,   'Dest': '../DwarfWarsII/NUFiles/NUGoblinStuff'}
NewFiles[166]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkTypes.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[167]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkIcon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[168]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkData.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[169]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkAnimationSet.py'       ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[170]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkBAct.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[171]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkCombos.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[172]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkAnm_def.py'            ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[173]   = {'File': 'NUFiles/NULesserDemonStuff/UmberhulkStats.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[174]   = {'File': 'NUFiles/NULesserDemonStuff/AnmFactUmberhulk.py'            ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[175]   = {'File': 'NUFiles/NULesserDemonStuff/AniSoundUmberhulk.py'           ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[176]   = {'File': 'NUFiles/NULesserDemonStuff/AniSoundUmberhulkX.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NULesserDemonStuff'}
NewFiles[177]   = {'File': 'NUFiles/NUDwarfStuff/Enano7Icon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[178]   = {'File': 'NUFiles/NUDwarfStuff/Enano7Data.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[179]   = {'File': 'NUFiles/NUDwarfStuff/Enano7AnimationSet.py'       ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[180]   = {'File': 'NUFiles/NUDwarfStuff/Enano7BAct.py'               ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[181]   = {'File': 'NUFiles/NUDwarfStuff/Enano7Combos.py'             ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[182]   = {'File': 'NUFiles/NUDwarfStuff/Enano7Anm_def.py'            ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[183]   = {'File': 'NUFiles/NUDwarfStuff/Enano7Stats.py'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[184]   = {'File': 'NUFiles/NUDwarfStuff/AnmFactEnano7.py'            ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[185]   = {'File': 'NUFiles/NUDwarfStuff/AniSoundEnano7.py'           ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[186]   = {'File': 'NUFiles/NUDwarfStuff/AniSoundEnano7X.py'          ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[187]   = {'File': 'NUFiles/NUDwarfStuff/Enano7BIcon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[188]   = {'File': 'NUFiles/NUDwarfStuff/Enano7CIcon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[189]   = {'File': 'NUFiles/NUDwarfStuff/Enano7DIcon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[190]   = {'File': 'NUFiles/NUDwarfStuff/Enano7EIcon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[191]   = {'File': 'NUFiles/NUDwarfStuff/Enano7FIcon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUDwarfStuff'}
NewFiles[192]   = {'File': 'NUFiles/NUFemaleStuff/Fema18Icon.bmp'              ,   'Dest': '../DwarfWarsII/NUFiles/NUFemaleStuff'}
NewFiles[193]   = {'File': 'NUFiles/FoodBagTypes.py'                           ,   'Dest': '../DwarfWarsII/NUFiles'}
NewFiles[194]   = {'File': 'InitWizardStuff.py'                                ,   'Dest': '../DwarfWarsII'}

inststuff=0

if inststuff==0:
	execfile("../../BODLoader/Mods/DwarfWarsII/Installnewstuff.py")
      	instuff=1
