# Installation File for New Objects and Characters/animations


import os
import shutil
import stat





def getmtime(filename):
    	st = os.stat(filename)
    	return st[stat.ST_MTIME]
	

Odst= ('../../3DObjs')

Cdst= ('../../3DChars')

Adst= ('../../Anm')

Sdst= ('../../Sounds')


	
	
ObjFiles=os.listdir('../../BODLoader/Mods/DwarfWarsII/To3DObjs')
for file in ObjFiles:
	newfile = os.path.basename (file)
	Osrc=  ('../../BODLoader/Mods/DwarfWarsII/To3DObjs/'+newfile)

	if os.path.exists('../../3DObjs/'+newfile):
		#print "Exists file: ",newfile
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../3DObjs/'+newfile) < getmtime(Osrc):
			shutil.copy(Osrc,Odst)
			print "updating : ",newfile
	else:
		#print "NOT exists: ",newfile
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Osrc,Odst)
		print "copying: ",newfile
	
	
CharFiles=os.listdir('../../BODLoader/Mods/DwarfWarsII/To3DChars')
for file in CharFiles:
	newfile = os.path.basename (file)
	Csrc=  ('../../BODLoader/Mods/DwarfWarsII/To3DChars/'+newfile)

	if os.path.exists('../../3DChars/'+newfile):
		#print "Exists file: ",newfile
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../3DChars/'+newfile) < getmtime(Csrc):
			shutil.copy(Csrc,Cdst)
			print "updating : ",newfile
	else:
		print "NOT exists: ",newfile
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Csrc,Cdst)
		print "copying: ",newfile


AnmFiles=os.listdir('../../BODLoader/Mods/DwarfWarsII/ToAnm')
for file in AnmFiles:
	newfile = os.path.basename (file)
	Asrc=  ('../../BODLoader/Mods/DwarfWarsII/ToAnm/'+newfile)

	if os.path.exists('../../Anm/'+newfile):
		#print "Exists file: ",newfile
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../Anm/'+newfile) < getmtime(Asrc):
			shutil.copy(Asrc,Adst)
			print "updating : ",newfile	
	else:
		#print "NOT exists: ",newfile
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Asrc,Adst)
		print "copying: ",newfile
		
		
		
SndFiles=os.listdir('../../BODLoader/Mods/DwarfWarsII/ToSounds')
for file in SndFiles:
	newfile = os.path.basename (file)
	Ssrc=  ('../../BODLoader/Mods/DwarfWarsII/ToSounds/'+newfile)

	if os.path.exists('../../Sounds/'+newfile):
		#print "Exists file: ",newfile
		# if file already exists in dest dir, check for for mod time
		if getmtime('../../Sounds/'+newfile) < getmtime(Ssrc):
			shutil.copy(Ssrc,Sdst)
			print "updating : ",newfile
	else:
		#print "NOT exists: ",newfile
		#if file does not already exist at dest dir, copy it straight to dest dir
		shutil.copy(Ssrc,Sdst)
		print "copying: ",newfile
		
		
########################################################################################################################################################