######################################################
#
# Create sets of attacks
#
#        - ARI -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Ari","g_01","ATTACKING")
Bladex.SetActionEventTable("Ari","g_02","ATTACKING")
Bladex.SetActionEventTable("Ari","g_05","ATTACKING")
Bladex.SetActionEventTable("Ari","g_06","ATTACKING")
Bladex.SetActionEventTable("Ari","g_07","ATTACKING")
Bladex.SetActionEventTable("Ari","g_09","ATTACKING")
Bladex.SetActionEventTable("Ari","g_01a","ATTACKING")
Bladex.SetActionEventTable("Ari","g_02a","ATTACKING")
Bladex.SetActionEventTable("Ari","g_05a","ATTACKING")
Bladex.SetActionEventTable("Ari","g_06a","ATTACKING")
Bladex.SetActionEventTable("Ari","g_07a","ATTACKING")
Bladex.SetActionEventTable("Ari","g_09a","ATTACKING")
Bladex.SetActionEventTable("Ari","g_13","ATTACKING")
Bladex.SetActionEventTable("Ari","g_14","ATTACKING")
Bladex.SetActionEventTable("Ari","g_16","ATTACKING")
Bladex.SetActionEventTable("Ari","g_17","ATTACKING")
Bladex.SetActionEventTable("Ari","g_21","ATTACKING")
Bladex.SetActionEventTable("Ari","g_22","ATTACKING")
Bladex.SetActionEventTable("Ari","g_23","ATTACKING")
Bladex.SetActionEventTable("Ari","g_26","ATTACKING")
Bladex.SetActionEventTable("Ari","g_27","ATTACKING")
Bladex.SetActionEventTable("Ari","g_31","ATTACKING")
Bladex.SetActionEventTable("Ari","g_punch2","ATTACKING")
Bladex.SetActionEventTable("Ari","g_kick1","ATTACKING")
Bladex.SetActionEventTable("Ari","g_kick2","ATTACKING")
Bladex.SetActionEventTable("Ari","g_kick3","ATTACKING")
Bladex.SetActionEventTable("Ari","g_kick5","ATTACKING")
Bladex.SetActionEventTable("Ari","g_magic","ATTACKING")
Bladex.SetActionEventTable("Ari","g_magic2","ATTACKING")

Bladex.SetActionEventTable("Ari","g_06dwf","ATTACKING")

Bladex.SetActionEventTable("Ari","g_spears1","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_sb11","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear26kata","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear08","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear17","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear16","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear19_13","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear19","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_b06","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_bs21","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear111","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_kata23","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_b6_26","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear33","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_21","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear13","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear09","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_b29","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spears8","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear12","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear22","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear02","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spears6","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear3s2","ATTACKING")
Bladex.SetActionEventTable("Ari","g_3s9_6new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_12_7_s1new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_28new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear19_bs1","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear32kata_b2","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear16low","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_2katab6low","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear02low","ATTACKING")
Bladex.SetActionEventTable("Ari","g_spear_back","ATTACKING")
Bladex.SetActionEventTable("Ari","g_27kata_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_06lowkata_new","ATTACKING")


# clumsy attacks
Bladex.SetActionEventTable("Ari","g_bad_axe", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Ari","g_bad_spear", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Ari","g_bad_sword", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Ari","g_bad_no", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Ari","g_bad_1h", "ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Ari","g_bad_sword2","ATTACKING_NOMOVE")
Bladex.SetActionEventTable("Ari","g_bad_sword3","ATTACKING_NOMOVE")

# Draw attacks
Bladex.SetActionEventTable("Ari","g_draw_rlx", "ATTACKING")
Bladex.SetActionEventTable("Ari","g_draw_run", "ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables

Bladex.SetActionEventTable("Ari","D_r", "DODGING")
Bladex.SetActionEventTable("Ari","D_l", "DODGING")
Bladex.SetActionEventTable("Ari","D_b", "DODGING")


Bladex.SetActionEventTable("Ari","g_d_r", "ATTACKING")
Bladex.SetActionEventTable("Ari","g_d_l", "ATTACKING")

# xtra dwarf attacks

Bladex.SetActionEventTable("Ari","g_01low_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_41","ATTACKING")# Basic
Bladex.SetActionEventTable("Ari","g_42","ATTACKING")
Bladex.SetActionEventTable("Ari","g_46","ATTACKING")
Bladex.SetActionEventTable("Ari","g_48","ATTACKING")


Bladex.SetActionEventTable("Ari","g_s22low_newdwf","ATTACKING") # crush hammer


# xtra knight attacks

Bladex.SetActionEventTable("Ari","g_32_5_3new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_s3_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_02_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_b06_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_s19_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_09_07_s6low_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_sb25_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_s22low_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_28new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_01_7_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_18_11_22_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_22kata_23_new","ATTACKING")


Bladex.SetActionEventTable("Ari","g_31dwf","ATTACKING")
Bladex.SetActionEventTable("Ari","g_22dwf","ATTACKING")
Bladex.SetActionEventTable("Ari","g_18dwf","ATTACKING")
Bladex.SetActionEventTable("Ari","g_21dwf","ATTACKING")
Bladex.SetActionEventTable("Ari","g_11dwf","ATTACKING")

Bladex.SetActionEventTable("Ari","g_12_7_s1new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_21_6_s8new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_s28kata_new","ATTACKING")
Bladex.SetActionEventTable("Ari","g_s3_newdwf","ATTACKING")



Bladex.SetActionEventTable("Ari","g2h_back","ATTACKING")
Bladex.SetActionEventTable("Ari","g_back","ATTACKING")

# 2H Sword
Bladex.SetActionEventTable("Ari","g2h_21_7","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_21_2","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_02kata","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_21_6kata","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_08","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_28","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_s8kata","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_b6kata","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_s8","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_12","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_02","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_b6","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_11","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_13","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_12low","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_02low","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_b6low","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_01","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_b29","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_17","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_b7","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_s7","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_19","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_26_b6","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_26","ATTACKING")
Bladex.SetActionEventTable("Ari","g2h_earthpow","ATTACKING")

# Twin-Handed

Bladex.SetActionEventTable("Ari","g_katar16","ATTACKING")
Bladex.SetActionEventTable("Ari","g_katar28","ATTACKING")
Bladex.SetActionEventTable("Ari","g_katar23","ATTACKING")
Bladex.SetActionEventTable("Ari","g_katar211","ATTACKING")
Bladex.SetActionEventTable("Ari","g_katar32","ATTACKING")
Bladex.SetActionEventTable("Ari","g_katar33","ATTACKING")



ari=Bladex.GetCharType("ProAribeth_A","Ari")

#################################################################

# 180

ari.AddAttack("GM71_SP","Ari_g_spear_back")
ari.AddLevels("Ari_g_spear_back",3,40)
ari.AddEnergyLevel("Ari_g_spear_back", 0)

ari.AddAttack("GM72_2H","Ari_g2h_back")
ari.AddLevels("Ari_g2h_back",3,40)
ari.AddEnergyLevel("Ari_g2h_back", 0)

ari.AddAttack("GM73_1H","Ari_g_back")
ari.AddLevels("Ari_g_back",3,40)
ari.AddEnergyLevel("Ari_g_back", 0)

#################################################################
##### BAD

ari.AddAttack("GM47_AXE","Ari_g_bad_axe")
ari.AddLevels("Ari_g_bad_axe",0,40)

ari.MetaAttack("GIM_AXE","GM47_AXE")

ari.MetaAttack("BADAXE","GM47_AXE")


#GOLPE torpe Hacha
ari.AllowAttack("GM47_AXE","A","","BADAXE","","AXE")

#################################################################
#### Unarmed

#GOLPESINARMA1 "group"
ari.AddAttack("GM21_NO","Ari_g_kick2")
ari.AddLevels("Ari_g_kick2",0,40)

#GOLPESINARMA2 "group"
ari.AddAttack("GM22_NO","Ari_g_kick1")
ari.AddLevels("Ari_g_kick1",0,40)

#GOLPESINARMA3 "group"
ari.AddAttack("GM23_NO","Ari_g_kick5")
ari.AddLevels("Ari_g_kick5",0,40)


ari.MetaAttack("GIM_NO","GM21_NO")
ari.MetaAttack("GIM_NO","GM22_NO")
ari.MetaAttack("GIM_NO","GM23_NO")

ari.MetaAttack("COMBO1","GM21_NO")
ari.MetaAttack("COMBO1","GM22_NO")
ari.MetaAttack("COMBO1","GM23_NO")


#GOLPESINARMA1
ari.AllowAttack("GM23_NO","A","","COMBO1","","NO")

#GOLPESINARMA2
ari.AllowAttack("GM22_NO","A+F","","COMBO1","","NO")
ari.AllowAttack("GM22_NO","&A+F","","COMBO1","","NO")

#GOLPESINARMA3
ari.AllowAttack("GM21_NO","A+B","","COMBO1","","NO")
ari.AllowAttack("GM21_NO","&A+B","","COMBO1","","NO")

#################################################################
## Dodges


ari.AddAttack("DR","D_r")
#ari.AttackWindow("D_r",0.315,0.510,"GI_1H_Window") # O lo que sea
ari.AttackTypeFlag("DR",ATK_UNIQUE) 

ari.AddAttack("DL","D_l")
ari.AttackTypeFlag("DL",ATK_UNIQUE) 

ari.AddAttack("DB","D_b")
ari.AttackTypeFlag("DB",ATK_UNIQUE) 

#Dodge attacks
ari.AddAttack("DR_G_1H","g_d_r")
ari.AssignTrail("DR_G_1H","","EstelaPurpura1")
ari.AddLevels("g_d_r",0,40)
ari.AttackTypeFlag("DR",ATK_UNIQUE) 

ari.AddAttack("DL_G_1H","g_d_l")
ari.AssignTrail("DL_G_1H","","EstelaPurpura1")
ari.AddLevels("g_d_l",0,40)
ari.AttackTypeFlag("DL",ATK_UNIQUE) 



#################################################################
#### Spears

#GI "group"
ari.AddAttack("GI_SP","Ari_g_spears1")
ari.AttackWindow("Ari_g_spears1",0.334,0.642,"GI_SP_Window")

# LOW
ari.AddAttack("GM8_SP","Ari_g_spear16low")
ari.AttackWindow("Ari_g_spear16low",0.341,0.475,"GM8_SP_Window")
ari.AddLevels("Ari_g_spear16low",0,40)

# HIGH
ari.AddAttack("GM1_SP","Ari_g_spear08")
ari.AttackWindow("Ari_g_spear08",0.100,0.748,"GM1_SP_Window")
ari.AddLevels("Ari_g_spear08",0,40)

# RIGHT
ari.AddAttack("GM3_SP","Ari_g_spear12")
ari.AttackWindow("Ari_g_spears12",0.183,0.448,"GM3_SP_Window")
ari.AddLevels("Ari_g_spears12",0,40)

# LEFT
ari.AddAttack("GM6_SP","Ari_g_spears6")
ari.AttackWindow("Ari_g_spears6",0.100,0.648,"GM6_SP_Window")
ari.AddLevels("Ari_g_spears6",0,40)



# WHIRLWIND
ari.AddAttack("GM15_SP","Ari_g_spear26kata")
ari.AttackWindow("Ari_g_spear26kata",0.626,0.781,"GM15_SP_Window")
#ari.AssignTrail("GM15_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear26kata",1,40)


### Red Combos


#COMBO BO
ari.AddAttack("GM2_SP","Ari_g_spears8")
ari.AttackWindow("Ari_g_spears8",0.265,0.538,"GM2_SP_Window")
ari.AssignTrail("GM2_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spears8",2,40)

#COMBO BICHERO
ari.AddAttack("GM10_SP","Ari_g_spear_2katab6low")
ari.AttackWindow("Ari_g_spear_2katab6low",0.424,0.655,"GM10_SP_Window")
ari.AssignTrail("GM10_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear_2katab6low",6,40)

#COMBO TRIDENTE
ari.AddAttack("GM4_SP","Ari_g_spear09")
ari.AttackWindow("Ari_g_spear09",0.418,0.569,"GM4_SP_Window")
ari.AssignTrail("GM4_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear09",9,40)

#COMBO CROSSPEAR
ari.AddAttack("GM7_SP","Ari_g_spear13")
ari.AttackWindow("Ari_g_spear13",0.287,0.532,"GM7_SP_Window")
ari.AssignTrail("GM7_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear13",13,40)

#COMBO HACHACUCHILLA
ari.AddAttack("GM5_SP","Ari_g_spear3s2")
ari.AttackWindow("Ari_g_spear3s2",0.608,0.779,"GM5_SP_Window")
ari.AssignTrail("GM5_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear3s2",14,40)

#GOLPE CRUSHBO
ari.AddAttack("GM26_SP","Ari_g_spear_21")
ari.AttackWindow("Ari_g_spear_21",0.313,0.547,"GM26_SP_Window")
ari.AssignTrail("GM26_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear_21",15,40)

#GOLPE NAGINATA
ari.AddAttack("GM27_SP","Ari_g_spear22")
ari.AttackWindow("Ari_g_spear22",0.343,0.656,"GM27_SP_Window")
ari.AssignTrail("GM27_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear22",8,40)

#COMBO NAGINATA2
ari.AddAttack("GM24_SP","Ari_g_spear33")
ari.AttackWindow("Ari_g_spear33",0.404,0.613,"GM24_SP_Window")
ari.AssignTrail("GM24_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear33",17,40)

#GOLPE LANZAHANCHA
ari.AddAttack("GM28_SP","Ari_g_spear_sb11")
ari.AttackWindow("Ari_g_spear_sb11",0.564,0.718,"GM28_SP_Window")
ari.AssignTrail("GM28_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear_sb11",18,40)

#GOLPE DEATHBO
ari.AddAttack("GM25_SP","Ari_g_spear_kata23")
ari.AttackWindow("Ari_g_spear_kata23",0.426,0.613,"GM25_SP_Window")
ari.AssignTrail("GM25_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear_kata23",11,40)

#GOLPE FIREBO
ari.AddAttack("GM30_SP","Ari_g_spear_b6_26")
ari.AttackWindow("Ari_g_spear_b6_26",0.467,0.670,"GM30_SP_Window")
ari.AssignTrail("GM30_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear_b6_26",13,40)

#GOLPE AXPEAR
ari.AddAttack("GM31_SP","Ari_g_spear32kata_b2")
ari.AttackWindow("Ari_g_spear32kata_b2",0.553,0.674,"GM31_SP_Window")
ari.AssignTrail("GM31_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear32kata_b2",10,40)

#GOLPE LANZA
ari.AddAttack("GM32_SP","Ari_g_spear19")
ari.AttackWindow("Ari_g_spear19",0.001,0.999,"GM32_SP_Window")
ari.AssignTrail("GM32_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear19",7,40)

#GOLPE ARPON
ari.AddAttack("GM33_SP","Ari_g_spear_b29")
ari.AttackWindow("Ari_g_spear_b29",0.077,0.602,"GM33_SP_Window")
ari.AssignTrail("GM33_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear_b29",16,40)

#GOLPE STEELFEATHER
ari.AddAttack("GM34_SP","Ari_g_spear19_bs1")
ari.AttackWindow("Ari_g_spear19_bs1",0.020,0.900,"GM34_SP_Window")
ari.AssignTrail("GM34_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear19_bs1",17,40)

#GOLPE ICEWAND
ari.AddAttack("GM36_SP","Ari_g_spear16")
ari.AttackWindow("Ari_g_spear16",0.020,0.900,"GM36_SP_Window")
ari.AssignTrail("GM36_SP","","EstelaPurpura1")
ari.AddLevels("Ari_g_spear16",12,40)


ari.MetaAttack("GIM_SP","GI_SP")
ari.MetaAttack("GIM_SP","GM8_SP")
ari.MetaAttack("GIM_SP","GM1_SP")
ari.MetaAttack("GIM_SP","GM3_SP")
ari.MetaAttack("GIM_SP","GM6_SP")
ari.MetaAttack("GIM_SP","GM15_SP")

ari.MetaAttack("GIM_SP","GM2_SP")
ari.MetaAttack("GIM_SP","GM10_SP")
ari.MetaAttack("GIM_SP","GM4_SP")
ari.MetaAttack("GIM_SP","GM7_SP")
ari.MetaAttack("GIM_SP","GM5_SP")
ari.MetaAttack("GIM_SP","GM26_SP")
ari.MetaAttack("GIM_SP","GM27_SP")
ari.MetaAttack("GIM_SP","GM24_SP")
ari.MetaAttack("GIM_SP","GM28_SP")
ari.MetaAttack("GIM_SP","GM25_SP")
ari.MetaAttack("GIM_SP","GM30_SP")
ari.MetaAttack("GIM_SP","GM31_SP")
ari.MetaAttack("GIM_SP","GM32_SP")
ari.MetaAttack("GIM_SP","GM33_SP")
ari.MetaAttack("GIM_SP","GM34_SP")
ari.MetaAttack("GIM_SP","GM36_SP")
ari.MetaAttack("GIM_SP","GM71_SP")


ari.MetaAttack("GOLPEINICIAL","GI_SP")
ari.MetaAttack("COMBO3","GM8_SP")
ari.MetaAttack("COMBO3","GM1_SP")
ari.MetaAttack("COMBO3","GM3_SP")
ari.MetaAttack("COMBO3","GM6_SP")
ari.MetaAttack("COMBO3EXTRA","GM15_SP")

ari.MetaAttack("COMBO3","GM2_SP")
ari.MetaAttack("COMBO3","GM10_SP")
ari.MetaAttack("COMBO3","GM4_SP")
ari.MetaAttack("COMBO3","GM7_SP")
ari.MetaAttack("COMBO3","GM5_SP")
ari.MetaAttack("COMBO3","GM26_SP")
ari.MetaAttack("COMBO3","GM27_SP")
ari.MetaAttack("COMBO3","GM24_SP")
ari.MetaAttack("COMBO3","GM28_SP")
ari.MetaAttack("COMBO3","GM25_SP")
ari.MetaAttack("COMBO3","GM30_SP")
ari.MetaAttack("COMBO3","GM31_SP")
ari.MetaAttack("COMBO3","GM32_SP")
ari.MetaAttack("COMBO3","GM33_SP")
ari.MetaAttack("COMBO3","GM34_SP")
ari.MetaAttack("COMBO3","GM36_SP")
ari.MetaAttack("COMBO3","GM71_SP")


ari.AllowAttack("GI_SP","A","","GIM_SP","GI_SP_Window","SP")

# LOW
ari.AllowAttack("GM8_SP","A+B","","COMBO3","","SP")
ari.AllowAttack("GM8_SP","&A+B","","COMBO3","","SP")

# HIGH
ari.AllowAttack("GM1_SP","A+F","","COMBO3","","SP")
ari.AllowAttack("GM1_SP","&A+F","","COMBO3","","SP")

# RIGHT
ari.AllowAttack("GM3_SP","A+R","","COMBO3","","SP")
ari.AllowAttack("GM3_SP","&A+R","","COMBO3","","SP")

# LEFT
ari.AllowAttack("GM6_SP","A+L","","COMBO3","","SP")
ari.AllowAttack("GM6_SP","&A+L","","COMBO3","","SP")


ari.AllowAttack("GM71_SP","L+R+B","","","","SP")


# WHIRLWIND
ari.AllowAttack("GM15_SP","R+L","GI_SP","COMBO3EXTRA","GM15_SP_Window","SP")


#COMBO BO
ari.AllowAttack("GM2_SP","F","GM8_SP","","","Bo")

#COMBO BICHERO
ari.AllowAttack("GM10_SP","B","GM1_SP","","","Bichero")

#COMBO TRIDENTE
ari.AllowAttack("GM4_SP","B+L","GI_SP","","GI_SP_Window","Tridente")

#COMBO CROSSPEAR
ari.AllowAttack("GM7_SP","F+L","GM6_SP","","GM6_SP_Window","Crosspear")

#COMBO HACHACUCHILLA
ari.AllowAttack("GM5_SP","L+R","GM3_SP","","GM3_SP_Window","Hachacuchilla")

#GOLPE CRUSHBO
ari.AllowAttack("GM26_SP","A+F","GM1_SP","","GM1_SP_Window","CrushBo")

#GOLPE NAGINATA
ari.AllowAttack("GM27_SP","L","GM3_SP","","","Naginata")

#COMBO NAGINATA2
ari.AllowAttack("GM24_SP","F+B","GM15_SP","","","Naginata2")

#GOLPE LANZAANCHA
ari.AllowAttack("GM28_SP","A+B","GM8_SP","","","LanzaAncha")

#GOLPE DEATHBO
ari.AllowAttack("GM25_SP","F+R","GM1_SP","","GM1_SP_Window","DeathBo")

#GOLPE FIREBO
ari.AllowAttack("GM30_SP","F+L","GM3_SP","","GM3_SP_Window","FireBo") ## Att-right + front-left


#GOLPE AXPEAR
ari.AllowAttack("GM31_SP","L","GM6_SP","","","SP")

#GOLPE LANZA
ari.AllowAttack("GM32_SP","B+R","GI_SP","","GI_SP_Window","Lanza")

#GOLPE ARPON
ari.AllowAttack("GM33_SP","F+B","GI_SP","","GI_SP_Window","Arpon")

#GOLPE STEELFEATHER
ari.AllowAttack("GM34_SP","B","GM1_SP","","","SteelFeather")

#GOLPE ICEWAND
ari.AllowAttack("GM36_SP","F+R","GM6_SP","","GM6_SP_Window","IceWand") ## Att-left + front-right


##################################################################
### Twin-Handed

ari.AddAttack("GM91_1H","Ari_g_katar16")
ari.AttackWindow("Ari_g_katar16",0.001,0.900,"GM91_1H_Window")
ari.AddEnergyLevel("Ari_g_katar16", 0)

ari.AddAttack("GM92_1H","Ari_g_katar28")
ari.AttackWindow("Ari_g_katar28",0.001,0.900,"GM92_1H_Window")
ari.AddEnergyLevel("Ari_g_katar28", 0)

ari.AddAttack("GM93_1H","Ari_g_katar23")
ari.AttackWindow("Ari_g_katar23",0.001,0.900,"GM93_1H_Window")
ari.AddEnergyLevel("Ari_g_katar23", 0)

ari.AddAttack("GM94_1H","Ari_g_katar211")
ari.AttackWindow("Ari_g_katar211",0.001,0.900,"GM94_1H_Window")
ari.AddEnergyLevel("Ari_g_katar211", 0)


ari.AddAttack("GM95_1H","Ari_g_katar33")
ari.AttackWindow("Ari_g_katar33",0.001,0.900,"GM95_1H_Window")
ari.AddEnergyLevel("Ari_g_katar33", 0)

ari.AddAttack("GM96_1H","Ari_g_katar32")
ari.AttackWindow("Ari_g_katar32",0.001,0.900,"GM96_1H_Window")
ari.AddEnergyLevel("Ari_g_katar32", 0)




##################################################################
##### One-Handed 

### IH Axe/Club


#COMBOCOMBO1ENANO1 group # Basic
ari.AddAttack("GM41_1H","Ari_g_41")
ari.AttackWindow("Ari_g_41",0.001,0.900,"GM41_1H_Window")
ari.AddEnergyLevel("Ari_g_41", 0)

#COMBOCOMBO1ENANO2 group # Right
ari.AddAttack("GM42_1H","Ari_g_42")
ari.AttackWindow("Ari_g_42",0.001,0.900,"GM42_1H_Window")
ari.AddLevels("Ari_g_42",0,40)
ari.AddEnergyLevel("Ari_g_42", 0)

#COMBOCOMBO1ENANO3 group # Left
ari.AddAttack("GM46_1H","Ari_g_46")
ari.AttackWindow("Ari_g_46",0.001,0.900,"GM46_1H_Window")
ari.AddLevels("Ari_g_46",0,40)
ari.AddEnergyLevel("Ari_g_46", 0)

#COMBOCOMBO1ENANO4 group
ari.AddAttack("GM48_1H","Ari_g_48")
ari.AttackWindow("Ari_g_48",0.001,0.900,"GM48_1H_Window")
ari.AddLevels("Ari_g_48",0,40)
ari.AddEnergyLevel("Ari_g_48", 0)

#COMBOCOMBO1ENANO5 group
ari.AddAttack("GM49_1H","Ari_g_01low_new")
ari.AttackWindow("Ari_g_01low_new",0.001,0.900,"GM48_1H_Window")
ari.AddLevels("Ari_g_01low_new",0,40)
ari.AddEnergyLevel("Ari_g_01low_new", 0)

# Swords

#GOLPEARMA1MANO1 group
ari.AddAttack("GI_1H","Ari_g_09")
ari.AttackWindow("Ari_g_09",0.334,0.642,"GI_1H_Window")

# LOW (Kgt - Ripper)
ari.AddAttack("GM4_1H","Ari_g_s3_new")
ari.AddLevels("Ari_g_s3_new",0,40)

# High 1H (Dwarf - High attack)
ari.AddAttack("GM1_1H","Ari_g_05")
ari.AddLevels("Ari_g_05",0,40)

# Right
ari.AddAttack("GM2_1H","Ari_g_02")
ari.AddLevels("Ari_g_02",0,40)

# Left
ari.AddAttack("GM3_1H","Ari_g_06dwf")
ari.AddLevels("Ari_g_06dwf",0,40)


# Knight HOOKSWORD
ari.AddAttack("GM39_1H","Ari_g_s22low_new")
ari.AttackWindow("Ari_g_s22low_new",0.001,0.900,"GM39_1H_Window")
ari.AssignTrail("GM39_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_s22low_new",3,40)
ari.AddEnergyLevel("Ari_g_s22low_new", 0)


# Knight GLADIUS
ari.AddAttack("GM38_1H","Ari_g_28new")
ari.AttackWindow("Ari_g_28new",0.001,0.900,"GM38_1H_Window")
ari.AssignTrail("GM38_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_28new",3,40)
ari.AddEnergyLevel("Ari_g_28new", 0)


# Knight ESPADACURVA
ari.AddAttack("GM5_1H","Ari_g_sb25_new")
ari.AttackWindow("Ari_g_sb25_new",0.472,0.626,"GM5_1H_Window")
ari.AssignTrail("GM5_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_sb25_new",4,40)
ari.AddEnergyLevel("Ari_g_sb25_new", 0)


# Knight ESPADAROMANA
ari.AddAttack("GM35_1H","Ari_g_27kata_new")
ari.AttackWindow("Ari_g_27kata_new",0.427,0.670,"GM35_1H_Window")
ari.AssignTrail("GM35_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_27kata_new",4,40)
ari.AddEnergyLevel("Ari_g_27kata_new", 0)



# North Cross
ari.AddAttack("GM23_1H","Ari_g_01_7_new")
ari.AttackWindow("Ari_g_01_7_new",0.461,0.655,"GM23_1H_Window")
ari.AssignTrail("GM23_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_01_7_new",5,40)
ari.AddEnergyLevel("Ari_g_01_7_new", 0)


# Cylone
ari.AddAttack("GM43_1H","Ari_g_26")
ari.AttackWindow("Ari_g_26",0.445,0.668,"GM43_1H_Window")
ari.AssignTrail("GM43_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_26",4,40)

#



# Red Combos


#COMBO ELFSWORD (Dream)
ari.AddAttack("GM34_1H","Ari_g_32_5_3new")
ari.AttackWindow("Ari_g_32_5_3new",0.265,0.538,"GM34_1H_Window")
ari.AssignTrail("GM34_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_32_5_3new",3,40)


#COMBO CIMITARRA
ari.AddAttack("GM18_1H","Ari_g_18_11_22_new")
ari.AttackWindow("Ari_g_18_11_22_new",0.630,0.770,"GM18_1H_Window")
ari.AssignTrail("GM18_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_18_11_22_new",9,40)
ari.AddEnergyLevel("Ari_g_18_11_22_new", 0)

# Dagesse
ari.AddAttack("GM25_1H","Ari_g_s19_new")
ari.AttackWindow("Ari_g_s19_new",0.508,0.696,"GM25_1H_Window")
ari.AssignTrail("GM25_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_s19_new",13,40)
ari.AddEnergyLevel("Ari_g_s19_new", 0)


#COMBO ICESWORD
#ari.AddAttack("GM37_1H","Ari_g_12_7_s1new")
#ari.AttackWindow("Ari_g_12_7_s1new",0.508,0.612,"GM37_1H_Window")
#ari.AssignTrail("GM37_1H","","EstelaPurpura1")
#ari.AddLevels("Ari_g_12_7_s1new",14,40)
#ari.AddEnergyLevel("Ari_g_12_7_s1new", 0)



#COMBO QUEENSWORD
ari.AddAttack("GM50_1H","Ari_g_06lowkata_new")
ari.AttackWindow("Ari_g_06lowkata_new",0.001,0.900,"GM50_1H_Window")
ari.AssignTrail("GM50_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_06lowkata_new",10,40)

# Combo DOUBLESWORD
ari.AddAttack("GM66_1H","Ari_g_22kata_23_new")
ari.AttackWindow("Ari_g_22kata_23_new",0.001,0.900,"GM66_1H_Window")
#ari.AssignTrail("GM66_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_22kata_23_new",1,40) # L17
ari.AddEnergyLevel("Ari_g_22kata_23_new", 0)

# axes/clubs 

# Garropin
ari.AddAttack("GM56_1H","Ari_g_11dwf")
ari.AttackWindow("Ari_g_11ari",0.001,0.900,"GM56_1H_Window")
ari.AssignTrail("GM56_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_11ari",5,40)

# Maza Doble
ari.AddAttack("GM58_1H","Ari_g_21dwf")
ari.AttackWindow("Ari_g_21ari",0.001,0.900,"GM58_1H_Window")
ari.AssignTrail("GM58_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_21ari",8,40)

#GOLPE MARTILLO2
ari.AddAttack("GM53_1H","Ari_g_18dwf")
ari.AttackWindow("Ari_g_18ari",0.417,0.768,"GM53_1H_Window")
ari.AssignTrail("GM53_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_18ari",11,40)

#GOLPE FIREAXE
ari.AddAttack("GM54_1H","Ari_g_22dwf")
ari.AttackWindow("Ari_g_22ari",0.480,0.662,"GM54_1H_Window")
ari.AssignTrail("GM54_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_22ari",14,40)

# Martillo3
ari.AddAttack("GM52_1H","Ari_g_31dwf")
ari.AttackWindow("Ari_g_31ari",0.001,0.999,"GM52_1H_Window")
ari.AssignTrail("GM52_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_31ari",15,40)

# Eagles Eye
ari.AddAttack("GM11_1H","Ari_g_s3_newdwf")
ari.AttackWindow("Ari_g_s3_newdwf",0.001,0.900,"GM11_1H_Window")
ari.AssignTrail("GM11_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_s3_newdwf",15,40)


####

#COMBO ICESWORD
ari.AddAttack("GM37_1H","Ari_g_12_7_s1new")
ari.AttackWindow("Ari_g_12_7_s1new",0.508,0.612,"GM37_1H_Window")
ari.AssignTrail("GM37_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_12_7_s1new",12,40)
ari.AddEnergyLevel("Ari_g_12_7_s1new", 0)


#COMBO ESPADAFIRESWORD
ari.AddAttack("GM36_1H","Ari_g_s28kata_new")
ari.AttackWindow("Ari_g_s28kata_new",0.600,0.821,"GM36_1H_Window")
ari.AssignTrail("GM36_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_s28kata_new",12,40)
ari.AddEnergyLevel("Ari_g_s28kata_new", 0)


#COMBO MAZA2 (Used as Ice Hammer combo)
ari.AddAttack("GM22_1H","Ari_g_21_6_s8new")
ari.AttackWindow("Ari_g_21_6_s8new",0.562,0.674,"GM22_1H_Window")
ari.AssignTrail("GM22_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_21_6_s8new",12,40)
ari.AddEnergyLevel("Ari_g_21_6_s8new", 0)


# Crushhammer
ari.AddAttack("GM10_1H","Ari_g_s22low_newdwf")
ari.AttackWindow("Ari_g_s22low_newdwf",0.001,0.900,"GM10_1H_Window")
ari.AssignTrail("GM10_1H","","EstelaPurpura1")
ari.AddLevels("Ari_g_s22low_newdwf",12,40)




ari.MetaAttack("GIM_1H","GI_1H")
ari.MetaAttack("GIM_1H","GM4_1H")
ari.MetaAttack("GIM_1H","GM1_1H")
ari.MetaAttack("GIM_1H","GM2_1H")
ari.MetaAttack("GIM_1H","GM3_1H")
ari.MetaAttack("GIM_1H","GM10_1H")
ari.MetaAttack("GIM_1H","GM11_1H")
ari.MetaAttack("GIM_1H","GM39_1H")
ari.MetaAttack("GIM_1H","GM38_1H")
ari.MetaAttack("GIM_1H","GM41_1H")
ari.MetaAttack("GIM_1H","GM42_1H")
ari.MetaAttack("GIM_1H","GM46_1H")
ari.MetaAttack("GIM_1H","GM48_1H")
ari.MetaAttack("GIM_1H","GM43_1H")
ari.MetaAttack("GIM_1H","GM49_1H")
ari.MetaAttack("GIM_1H","GM23_1H")
ari.MetaAttack("GIM_1H","GM5_1H")
ari.MetaAttack("GIM_1H","GM35_1H")
ari.MetaAttack("GIM_1H","GM50_1H")
ari.MetaAttack("GIM_1H","GM25_1H")
ari.MetaAttack("GIM_1H","GM34_1H")
ari.MetaAttack("GIM_1H","GM18_1H")
ari.MetaAttack("GIM_1H","GM73_1H")
ari.MetaAttack("GIM_1H","GM56_1H")
ari.MetaAttack("GIM_1H","GM58_1H")
ari.MetaAttack("GIM_1H","GM53_1H")
ari.MetaAttack("GIM_1H","GM54_1H")
ari.MetaAttack("GIM_1H","GM52_1H")
ari.MetaAttack("GIM_1H","GM37_1H")
ari.MetaAttack("GIM_1H","GM36_1H")
ari.MetaAttack("GIM_1H","GM22_1H")
ari.MetaAttack("GIM_1H","GM66_1H")



#ari.MetaAttack("GOLPEINICIAL","G1_1H")

ari.MetaAttack("GOLPEINICIAL1H","GI_1H")
ari.MetaAttack("COMBO1","GM4_1H")
ari.MetaAttack("COMBO1","GM1_1H")
ari.MetaAttack("COMBO1","GM2_1H")
ari.MetaAttack("COMBO1","GM3_1H")
ari.MetaAttack("COMBO1","GM73_1H")
ari.MetaAttack("COMBO1EXTRA","GM39_1H")
ari.MetaAttack("COMBO1EXTRA","GM38_1H")
ari.MetaAttack("COMBO1EXTRA","GM23_1H")
ari.MetaAttack("COMBO1EXTRA","GM5_1H")
ari.MetaAttack("COMBO1EXTRA","GM35_1H")
ari.MetaAttack("COMBO1ENANO","GM41_1H")
ari.MetaAttack("COMBO1ENANO","GM42_1H")
ari.MetaAttack("COMBO1ENANO","GM46_1H")
ari.MetaAttack("COMBO1ENANO","GM48_1H")
ari.MetaAttack("COMBO1ENANO","GM49_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM43_1H")
ari.MetaAttack("COMBO1EXTRA","GM34_1H")
ari.MetaAttack("COMBO1EXTRA","GM18_1H")
ari.MetaAttack("COMBO1EXTRA","GM25_1H")
ari.MetaAttack("COMBO1EXTRA","GM50_1H")
ari.MetaAttack("COMBO1EXTRA","GM66_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM56_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM58_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM53_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM54_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM52_1H")

ari.MetaAttack("COMBO1EXTRA","GM37_1H")
ari.MetaAttack("COMBO1EXTRA","GM36_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM22_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM10_1H")
ari.MetaAttack("COMBO1ENANOEXTRA","GM11_1H")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Martillo")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Martillo")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Martillo")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Martillo")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Martillo")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Martillo")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Martillo")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Martillo")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Martillo")


# Cyclone
ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Martillo")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Martillo")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Martillo")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Martillo")



# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Martillo2")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Martillo2")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Martillo2")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Martillo2")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Martillo2")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Martillo2")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Martillo2")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Martillo2")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Martillo2")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Martillo2")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Martillo2")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Martillo2")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Martillo2")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Martillo3")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Martillo3")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Martillo3")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Martillo3")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Martillo3")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Martillo3")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Martillo3")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Martillo3")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Martillo3")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Martillo3")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Martillo3")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Martillo3")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Martillo3")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Garrote")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Garrote")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Garrote")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Garrote")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Garrote")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Garrote")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Garrote")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Garrote")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Garrote")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Garrote")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Garrote")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Garrote")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Garrote")



# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Garrote2")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Garrote2")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Garrote2")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Garrote2")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Garrote2")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Garrote2")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Garrote2")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Garrote2")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Garrote2")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Garrote2")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Garrote2")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Garrote2")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Garrote2")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha")



# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha2")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha2")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha2")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha2")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha2")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha2")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha2")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha2")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha2")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha2")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha2")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha2")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha2")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha3")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha3")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha3")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha3")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha3")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha3")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha3")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha3")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha3")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha3")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha3")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha3")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha3")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha3")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha4")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha4")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha4")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha4")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha4")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha4")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha4")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha4")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha4")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha4")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha4")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha4")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha4")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha4")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha5")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha5")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha5")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha5")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha5")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha5")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha5")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha5")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha5")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha5")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha5")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha5")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha5")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha5")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Hacha6")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Hacha6")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Hacha6")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Hacha6")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Hacha6")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Hacha6")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Hacha6")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Hacha6")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Hacha6")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Hacha6")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Hacha6")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Hacha6")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Hacha6")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","Hacha6")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Garropin")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Garropin")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Garropin")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Garropin")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Garropin")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Garropin")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Garropin")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Garropin")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Garropin")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Garropin")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Garropin")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Garropin")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Garropin")



# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Maza")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Maza")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Maza")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Maza")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Maza")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Maza")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Maza")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Maza")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Maza")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Maza")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Maza")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Maza")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Maza")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Maza2")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Maza2")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Maza2")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Maza2")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Maza2")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Maza2")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Maza2")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Maza2")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Maza2")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Maza2")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Maza2")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Maza2")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Maza2")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","Maza3")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","Maza3")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","Maza3")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","Maza3")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","Maza3")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","Maza3")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","Maza3")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","Maza3")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","Maza3")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","Maza3")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","Maza3")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","Maza3")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","Maza3")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","MazaDoble")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","MazaDoble")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","MazaDoble")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","MazaDoble")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","MazaDoble")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","MazaDoble")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","MazaDoble")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","MazaDoble")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","MazaDoble")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","MazaDoble")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","MazaDoble")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","MazaDoble")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","MazaDoble")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","VampWeapon2")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","VampWeapon2")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","VampWeapon2")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","VampWeapon2")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","VampWeapon2")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","VampWeapon2")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","VampWeapon2")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","VampWeapon2")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","VampWeapon2")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","VampWeapon2")






# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","IceHammer")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","IceHammer")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","IceHammer")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","IceHammer")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","IceHammer")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","IceHammer")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","IceHammer")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","IceHammer")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","IceHammer")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","IceHammer")


#GOLPE ICEHAMMER
ari.AllowAttack("GM22_1H","F+R","GM46_1H","COMBO1ENANOEXTRA","GM46_1H_Window","IceHammer")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","CrushHammer")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","CrushHammer")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","CrushHammer")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","CrushHammer")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","CrushHammer")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","CrushHammer")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","CrushHammer")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","CrushHammer")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","CrushHammer")



ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","CrushHammer")


# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","FireAxe")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","FireAxe")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","FireAxe")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","FireAxe")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","FireAxe")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","FireAxe")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","FireAxe")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","FireAxe")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","FireAxe")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","FireAxe")

# BURNING RAGE
ari.AllowAttack("GM54_1H","F+L","GM42_1H","COMBO1ENANOEXTRA","GM54_1H_Window","FireAxe")





# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","ProAxe12")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","ProAxe12")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","ProAxe12")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","ProAxe12")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","ProAxe12")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","ProAxe12")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","ProAxe12")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","ProAxe12")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","ProAxe12")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","ProAxe12")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","ProAxe12")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","F+B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","ProAxe12")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","ProAxe12")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","ProAxe12")




# Basic (Dwarf)
ari.AllowAttack("GM41_1H","A","","COMBO1ENANO","","LightEdge")

# HIGH
ari.AllowAttack("GM48_1H","A+F","","COMBO1ENANO","","LightEdge")
ari.AllowAttack("GM48_1H","&A+F","","COMBO1ENANO","","LightEdge")

# LOW
ari.AllowAttack("GM49_1H","A+B","","COMBO1ENANO","","LightEdge")
ari.AllowAttack("GM49_1H","&A+B","","COMBO1ENANO","","LightEdge")

# LEFT
ari.AllowAttack("GM46_1H","A+L","","COMBO1ENANO","","LightEdge")
ari.AllowAttack("GM46_1H","&A+L","","COMBO1ENANO","","LightEdge")

# RIGHT
ari.AllowAttack("GM42_1H","A+R","","COMBO1ENANO","","LightEdge")
ari.AllowAttack("GM42_1H","&A+R","","COMBO1ENANO","","LightEdge")

ari.AllowAttack("GM43_1H","R+L","GM41_1H","COMBO1ENANOEXTRA","GM43_1H_Window","LightEdge")

# BEAST CRASH
ari.AllowAttack("GM56_1H","L+B","GM48_1H","COMBO1ENANOEXTRA","GM56_1H_Window","LightEdge")

# DOUBLE SMASH
ari.AllowAttack("GM58_1H","F+B","GM48_1H","COMBO1ENANOEXTRA","GM58_1H_Window","LightEdge")

# DEMOLITION
ari.AllowAttack("GM52_1H","R+B","GM48_1H","COMBO1ENANOEXTRA","GM52_1H_Window","LightEdge")

# Eagles Eye
ari.AllowAttack("GM11_1H","L+B","GM42_1H","COMBO1ENANOEXTRA","GM11_1H_Window","LightEdge")



# CRUSH HAMMER
ari.AllowAttack("GM10_1H","F+L","GM49_1H","COMBO1ENANOEXTRA","GM10_1H_Window","CrushHammer")



# IH Sword
# LOW
ari.AllowAttack("GM4_1H","A+B","","COMBO1","","1H")
ari.AllowAttack("GM4_1H","&A+B","","COMBO1","","1H")

# HIGH
ari.AllowAttack("GM1_1H","A+F","","COMBO1","","1H")
ari.AllowAttack("GM1_1H","&A+F","","COMBO1","","1H")

# RIGHT
ari.AllowAttack("GM2_1H","A+R","","COMBO1","","1H")
ari.AllowAttack("GM2_1H","&A+R","","COMBO1","","1H")

# LEFT
ari.AllowAttack("GM3_1H","A+L","","COMBO1","","1H")
ari.AllowAttack("GM3_1H","&A+L","","COMBO1","","1H")


# NORTH CROSS
ari.AllowAttack("GM23_1H","R+L","GI_1H","COMBO3EXTRA","GM23_1H_Window","1H")


#Golpes en esquiva
ari.AllowAttack("DL_G_1H","A","DL","","","1H")
ari.AllowAttack("DR_G_1H","A","DR","","","1H")


# ANKLE BITER (Knight HookSword)
ari.AllowAttack("GM39_1H","A+B","GM4_1H","COMBO1EXTRA","GM39_1H","1H")
ari.AllowAttack("GM39_1H","&A+B","GM4_1H","COMBO1EXTRA","GM39_1H","1H")


# SKULL SPLITTER (Knight Aridius)
ari.AllowAttack("GM38_1H","A+F","GM1_1H","COMBO1EXTRA","GM38_1H","1H")
ari.AllowAttack("GM38_1H","&A+F","GM1_1H","COMBO1EXTRA","GM38_1H","1H")


# DEATH SPIN (Knight Curved Sword)
ari.AllowAttack("GM5_1H","A+R","GM2_1H","COMBO1EXTRA","GM5_1H","1H")
ari.AllowAttack("GM5_1H","&A+R","GM2_1H","COMBO1EXTRA","GM5_1H","1H")


# SWORD FLICK (Knight Combat Sword)
ari.AllowAttack("GM35_1H","A+L","GM3_1H","COMBO1EXTRA","GM35_1H","1H")
ari.AllowAttack("GM35_1H","&A+L","GM3_1H","COMBO1EXTRA","GM35_1H","1H")


ari.AllowAttack("GM73_1H","L+R+B","","","","1H")


#COMBO ESPADAELFICA
ari.AllowAttack("GM34_1H","F+R","GI_1H","","GI_1H_Window","1H")

#COMBO CIMITARRA
ari.AllowAttack("GM18_1H","F","GM23_1H","","","1H")

#COMBO DAGESSE
ari.AllowAttack("GM25_1H","B+R","GI_1H","","GI_1H_Window","1H")

# Queensword
ari.AllowAttack("GM50_1H","R+B","GM3_1H","","","QueenSword")	
ari.AllowAttack("GM50_1H","R+B","GM3_1H","","","KingSword")	

#GOLPE ICESWORD
ari.AllowAttack("GM37_1H","F+R","GM3_1H","","GM2_1H_Window","IceSword")

#GOLPE FIRESWORD
ari.AllowAttack("GM36_1H","F+L","GM2_1H","","GM2_1H_Window","FireSword")

# Espada Magic 1
ari.AllowAttack("GM66_1H","B","GM23_1H","","","EspadaMagica1")


ari.AllowAttack("GM50_1H","R+B","GM46_1H","","","VampWeapon2")	

# Basic 1H
ari.AllowAttack("GI_1H","A","","GIM_1H","GI_1H_Window","1H")


###################################################################
###### Two-Handed Swords


#GOLPEARMA2MANO1 group
ari.AddAttack("GI_2H","Ari_g2h_08")
ari.AttackWindow("Ari_g2h_08",0.001,0.900,"GI_2H_Window")


# LOW
ari.AddAttack("GM4_2H","Ari_g2h_12low")
#ari.AttackWindow("Ari_g2h_12low",0.112,0.695,"GM4_2H_Window")
ari.AddLevels("Ari_g2h_12low",0,40)


# HIGH
ari.AddAttack("GM1_2H","Ari_g2h_b6kata")
#ari.AttackWindow("Ari_g2h_b6kata",0.143,0.669,"GM1_2H_Window")
ari.AddLevels("Ari_g2h_b6kata",0,40)

# RIGHT
ari.AddAttack("GM2_2H","Ari_g2h_11")
#ari.AttackWindow("Ari_g2h_11",0.172,0.602,"GM2_2H_Window")
ari.AddLevels("Ari_g2h_11",0,40)


# LEFT
ari.AddAttack("GM3_2H","Ari_g2h_s7")
#ari.AttackWindow("Ari_g2h_s7",0.172,0.662,"GM3_2H_Window")
ari.AddLevels("Ari_g2h_s7",0,40)


# DEATH DEALER
ari.AddAttack("GM23_2H","Ari_g2h_21_6kata")
ari.AttackWindow("Ari_g2h_21_6kata",0.328,0.731,"GM23_2H_Window")
ari.AssignTrail("GM23_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_21_6kata",6,40)



# 2 High (sky smash)
ari.AddAttack("GM9_2H","Ari_g2h_b7")
ari.AttackWindow("Ari_g2h_b7",0.297,0.418,"GM9_2H_Window")
ari.AssignTrail("GM9_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_b7",3,40)

# Right (rage)
ari.AddAttack("GM10_2H","Ari_g2h_02kata")
ari.AttackWindow("Ari_g2h_02kata",0.297,0.548,"GM10_2H_Window")
ari.AssignTrail("GM10_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_02kata",1,40)

# 2 Left (thunder smash)
ari.AddAttack("GM8_2H","Ari_g2h_01")
ari.AttackWindow("Ari_g2h_01",0.195,0.427,"GM8_2H_Window")
ari.AssignTrail("GM8_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_01",2,40)

# 2 Low (thunder sweep)
ari.AddAttack("GM11_2H","Ari_g2h_02low")
ari.AttackWindow("Ari_g2h_02low",0.280,0.525,"GM11_2H_Window")
ari.AssignTrail("GM11_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_02low",4,40)


### Red Combos

# Hellswing
ari.AddAttack("GM41_2H","Ari_g2h_13")
ari.AttackWindow("Ari_g2h_13",0.366,0.572,"GM41_2H_Window")
ari.AssignTrail("GM41_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_13",9,40)

# Destroyer
ari.AddAttack("GM42_2H","Ari_g2h_28")
ari.AttackWindow("Ari_g2h_28",0.427,0.512,"GM42_2H_Window")
ari.AssignTrail("GM42_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_28",13,40)

# Death Sweep
ari.AddAttack("GM12_2H","Ari_g2h_b6low")
ari.AttackWindow("Ari_g2h_b6low",0.338,0.470,"GM12_2H_Window")
ari.AssignTrail("GM12_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_b6low",4,40)

# Hellthrust
ari.AddAttack("GM29_2H","Ari_g2h_b29")
ari.AttackWindow("Ari_g2h_b29",0.304,0.557,"GM29_2H_Window")
ari.AssignTrail("GM29_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_b29",14,40)

### FireSword

#COMBOFIREBIGSWORD1 "group"
ari.AddAttack("GM44_2H","Ari_g2h_21_2")
ari.AttackWindow("Ari_g2h_21_2",0.186,0.610,"GM44_2H_Window")
ari.AssignTrail("GM44_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_21_2",12,40)

#COMBOFIREBIGSWORD2 "group"
ari.AddAttack("GM45_2H","Ari_g2h_earthpow")
ari.AttackWindow("Ari_g2h_earthpow",0.620,0.732,"GM45_2H_Window")
ari.AssignTrail("GM45_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_earthpow",15,40)



#### Slaying Sword (used for Dragon Sword)

ari.AddAttack("GM15_2H","Ari_g2h_s8")
ari.AttackWindow("Ari_g2h_s8",0.145,0.667,"GM15_2H_Window")
ari.AssignTrail("GM15_2H","","EstelaPurpura1")
ari.AddLevels("Ari_g2h_s8",16,40)



ari.MetaAttack("GIM_2H","GI_2H")
ari.MetaAttack("GIM_2H","GM4_2H")
ari.MetaAttack("GIM_2H","GM1_2H")
ari.MetaAttack("GIM_2H","GM2_2H")
ari.MetaAttack("GIM_2H","GM3_2H")
ari.MetaAttack("GIM_2H","GM23_2H")
ari.MetaAttack("GIM_2H","GM8_2H")
ari.MetaAttack("GIM_2H","GM9_2H")
ari.MetaAttack("GIM_2H","GM10_2H")
ari.MetaAttack("GIM_2H","GM11_2H")
ari.MetaAttack("GIM_2H","GM41_2H")
ari.MetaAttack("GIM_2H","GM42_2H")
ari.MetaAttack("GIM_2H","GM42_2H")
ari.MetaAttack("GIM_2H","GM12_2H")
ari.MetaAttack("GIM_2H","GM29_2H")
ari.MetaAttack("GIM_2H","GM44_2H")
ari.MetaAttack("GIM_2H","GM45_2H")
ari.MetaAttack("GIM_2H","GM72_2H")
ari.MetaAttack("GIM_2H","GM15_2H")



ari.MetaAttack("GOLPEINICIAL2H","GI_2H")
ari.MetaAttack("COMBO2","GM4_2H")
ari.MetaAttack("COMBO2","GM1_2H")
ari.MetaAttack("COMBO2","GM2_2H")
ari.MetaAttack("COMBO2","GM3_2H")
ari.MetaAttack("COMBO2","GM72_2H")
ari.MetaAttack("COMBO2EXTRA","GM23_2H")
ari.MetaAttack("COMBO2EXTRA","GM8_2H")
ari.MetaAttack("COMBO2EXTRA","GM9_2H")
ari.MetaAttack("COMBO2EXTRA","GM10_2H")
ari.MetaAttack("COMBO2EXTRA","GM11_2H")
ari.MetaAttack("COMBO2EXTRA","GM41_2H")
ari.MetaAttack("COMBO2EXTRA","GM42_2H")
ari.MetaAttack("COMBO2EXTRA","GM12_2H")
ari.MetaAttack("COMBO2EXTRA","GM29_2H")
ari.MetaAttack("COMBO2EXTRA","GM15_2H")
ari.MetaAttack("COMBOFIREBIGSWORD","GM44_2H")
ari.MetaAttack("COMBOFIREBIGSWORD","GM45_2H")


ari.AllowAttack("GM72_2H","L+R+B","","","","2W")

ari.AllowAttack("GM23_2H","R+L","GI_2H","COMBO2EXTRA","GM23_1H_Window","2W")


ari.AllowAttack("GM15_2H","L+B","GM23_2H","","","ProDragonSword")


ari.AllowAttack("GM29_2H","F","GM23_2H","","","2W")


ari.AllowAttack("GM41_2H","R","GM3_2H","","","2W")

ari.AllowAttack("GM42_2H","B+R","GI_2H","","GI_2H_Window","2W")

ari.AllowAttack("GM12_2H","F","GI_2H","","GI_2H_Window","2W")



#COMBOFIREBIGSWORD
ari.AllowAttack("GM44_2H","L+F","GM2_2H","COMBOFIREBIGSWORD","","FireBigSword")

#COMBOFIREBIGSWORD
ari.AllowAttack("GM45_2H","B+R","GM23_2H","COMBOFIREBIGSWORD","","FireBigSword")



# High ok
ari.AllowAttack("GM9_2H","A+F","GM1_2H","COMBO2EXTRA","GM9_2H","2W")
ari.AllowAttack("GM9_2H","&A+F","GM1_2H","COMBO2EXTRA","GM9_2H","2W")


# LOW
ari.AllowAttack("GM11_2H","A+B","GM4_2H","COMBO2EXTRA","GM11_2H","2W")
ari.AllowAttack("GM11_2H","&A+B","GM4_2H","COMBO2EXTRA","GM11_2H","2W")

# Right
ari.AllowAttack("GM10_2H","A+R","GM2_2H","COMBO2EXTRA","GM10_2H","2W")
ari.AllowAttack("GM10_2H","&A+R","GM2_2H","COMBO2EXTRA","GM10_2H","2W")

# Left ok
ari.AllowAttack("GM8_2H","A+L","GM3_2H","COMBO2EXTRA","GM8_2H","2W")
ari.AllowAttack("GM8_2H","&A+L","GM3_2H","COMBO2EXTRA","GM8_2H","2W")





# LOW
ari.AllowAttack("GM4_2H","A+B","","COMBO2","","2W")
ari.AllowAttack("GM4_2H","&A+B","","COMBO2","","2W")

# HIGH
ari.AllowAttack("GM1_2H","A+F","","COMBO2","","2W")
ari.AllowAttack("GM1_2H","&A+F","","COMBO2","","2W")

# RIGHT
ari.AllowAttack("GM2_2H","A+R","","COMBO2","","2W")
ari.AllowAttack("GM2_2H","&A+R","","COMBO2","","2W")

# RIGHT
ari.AllowAttack("GM3_2H","A+L","","COMBO2","","2W")
ari.AllowAttack("GM3_2H","&A+L","","COMBO2","","2W")

ari.AllowAttack("GI_2H","A","","GIM_2H","GI_2H_Window","2W")
