######################################################
#
# Create sets of attacks
#
#        - BigBct -
#
######################################################


import Bladex
import Actions

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2



# Predeclare & link all my combos into ATTACKING action event tables

Bladex.SetEventTableFunc("ATTACKING","HitFinalItp",Actions.LinkNextAttack)
Bladex.SetEventTableFuncC("ATTACKING","HitFinalItpC","LinkNextAttack")
Bladex.SetEventTableFunc("ATTACKING","ActionEnd",Actions.EndOfAttack)
Bladex.SetEventTableFuncC("ATTACKING","ActionEndC","EndOfAttack")

Bladex.SetActionEventTable("Bct","g_01","ATTACKING")
Bladex.SetActionEventTable("Bct","g_02","ATTACKING")
Bladex.SetActionEventTable("Bct","g_spit","ATTACKING")

# Predeclare & link all my dodges into DODGES action event tables
Bladex.SetActionEventTable("Bct","D_r", "DODGING")
Bladex.SetActionEventTable("Bct","D_l", "DODGING")
Bladex.SetActionEventTable("Bct","D_b", "DODGING")


bct=Bladex.GetCharType("BigCat_A","Bct")

###############################
# GRUPOS DE GOLPES ALEATORIOS #
###############################

#
#Dodge groups
#

#Dodges themselves
bct.AddAttack("DR","D_r")
bct.AttackTypeFlag("DR",ATK_UNIQUE) 

bct.AddAttack("DL","D_l")
bct.AttackTypeFlag("DL",ATK_UNIQUE) 

bct.AddAttack("DB","D_b")
bct.AttackTypeFlag("DB",ATK_UNIQUE) 



bct.AddAttack("GA","Bct_g_01")
bct.AttackWindow("Bct_g_01",5,15,"GA_Window")
bct.AttackTypeFlag("GA",ATK_UNIQUE)
bct.AddEnergyLevel("Bct_g_01", 0)

bct.AddAttack("GB","Bct_g_02")
bct.AttackWindow("Bct_g_02",5,15,"GB_Window")
bct.AttackTypeFlag("GB",ATK_UNIQUE)
bct.AddEnergyLevel("Bct_g_02", 0)

#SP group
bct.AddAttack("SP","Bct_g_spit")
bct.AddEnergyLevel("Bct_g_spit", 0)



