
import Bladex
import math
##########################
# Create New Biped Data  #
##########################


####################
#                  #
#    Big Cat      #
#                  #
####################




import BigCatAnm_def
BigCatAnm_def.InitBigCat()




bcat=Bladex.GetCharType("BigCat_A","Bct")



bcat.TurnSpeed=3.4
bcat.Jcost=27000
bcat.MaxFall=5000
bcat.DieFall=50000  # Cats aways land on their feet (lol)
bcat.MaxStair=335
bcat.Fov=math.pi
bcat.MaxGrab=3500.0
bcat.MedGrab=2500.0
bcat.Min2Grab=1500.0    
bcat.MinTake=-500.0	# Min height above floor TigerwiteE will take
bcat.MaxTake1=450.0	# Max height above floor for Take1 Anim
bcat.MaxTake2=550.0	# Max height above floor for Take2 Anim
bcat.MaxTake3=1300.0	# Max height above floor for Take3 Anim
bcat.MaxTake4=1900.0	# Max height above floor for Take4 Anim
bcat.MaxTake5=3000.0	# Max height above floor for Take5 Anim
bcat.Reach=2000.0	# Max distance from bcat centre to obj centre to take
bcat.MovFrwdSpeedInStrafe=1000  #Forwards speed when in bcatafe(combat mode only)
bcat.MovBkwdSpeedInStrafe=1000  #Idem backwards
bcat.MaxCombatDist=8000
bcat.MaxSeeDist=50000
bcat.DistStop=2000.0
bcat.DistStop2=6000.0

bcat.SetNCDSpheres(1)  #Numero de esferas en el modelo de colisiones
bcat.SetCDSphere(0,-200,300.0)  #(numero de la espera, altura mm, radio mm)

bcat.HeadControlled=0
bcat.NaturalWeapons=1



############################### 

###############################################################################
    	
    	
    	
def BigCatWhenFirst():
	Bladex.CreateBipedData("Bct","BigCat_A")

	######################################################
	# Comment the next section when changes are complete #
	######################################################
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Bct.dat")
	#except:
	#	pass
	######################################################
	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Bct.dat")
	

	import BigCatAnimationSet
	BigCatAnimationSet.LoadBigCatAnimationSet("Bct")
	import BigCatBAct
	import LinkTables
	LinkTables.LinkMe("Bct")
	import BigCatCombos

	import BigCatAnmFact
	BigCatAnmFact.AnmFactBigCat()
        import BigCatStats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Bct.dat","Bct")
	Bladex.AddFloorCTolerance("slip",10)
	
	print"Big Cat Data Set"
	
	
	
race=Bladex.GetCharType("BigCat_A","Bct")
race.OnFirst=BigCatWhenFirst
	


