
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ######################
    #                    #
    # Enano7(Male Dwarf) #
    #                    #
    ######################
   
    
import Enano7Anm_def
Enano7Anm_def.InitEnano7()    
 
    
enm=Bladex.GetCharType("Enano7","Enm")
enm.IntName="Enm" 

enm.TurnSpeed=3.4
enm.Jcost=27000
enm.MaxFall=5000
enm.DieFall=14000
enm.MaxStair=335
enm.Fov=math.pi
enm.MaxGrab=3500.0
enm.MedGrab=2500.0
enm.Min2Grab=1500.0    
enm.MinTake=-500.0	# Min height above floor barbenman will take
enm.MaxTake1=450.0	# Max height above floor for Take1 Anim
enm.MaxTake2=550.0	# Max height above floor for Take2 Anim
enm.MaxTake3=1300.0	# Max height above floor for Take3 Anim
enm.MaxTake4=1900.0	# Max height above floor for Take4 Anim
enm.MaxTake5=3000.0	# Max height above floor for Take5 Anim
enm.Reach=2000.0	# Max distance from bar centre to obj centre to take
enm.MovFrwdSpeedInStrafe=1300  #Forwards speed when in strafe(combat mode only)
enm.MovBkwdSpeedInStrafe=1300  #Idem backwards
enm.MaxCombatDist=20000
enm.MaxSeeDist=50000

enm.NaturalWeapons=1
enm.SetNCDSpheres(1)
enm.SetCDSphere(0,-160.0,600.0)  #(numero de la espera, altura mm, radio mm)



###############################################################################
#

def Enano7WhenFirst():
	Bladex.CreateBipedData("Enm","Enano7")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	import os

	try:
		os.remove("..\\..\\AnmPak\\Enm.dat")
	except:
			pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Enm.dat")

	import Enano7AnimationSet
	Enano7AnimationSet.LoadEnano7AnimationSet("Enm")
	
	import Enano7BAct
	import LinkTables
	LinkTables.LinkMe("Enm")
	import Enano7Combos
	import AnmFactEnano7
	AnmFactEnano7.InitEnano7()
	import Enano7Stats

	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Enm.dat","Enm")
	
	print"New Enano7 Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Enano7","Enm")
race.OnFirst=Enano7WhenFirst
