import Bladex


# ***********************************
# *      Asignacion de sonidos      *
# ***********************************
AsignarSonidosEttCalled=0


def AsignarSonidosEttercap(Personaje):
	
	from AniSoundEttercapX import *
	per=Bladex.GetEntity(Personaje)

	# Sonidos de eventos

	per.AddEventSound('shield_block', GolpeArmaEscudoEtt)
	per.AddEventSound('weapon_block', GolpeArmaArmaEtt)
	per.AddEventSound('impale', TajoEmpalanteEtt)
	per.AddEventSound('slash', TajoCortanteEtt)
	per.AddEventSound('mutilate', TajoMutilacionEtt)
	per.AddEventSound('crush', GolpeContundenteEtt)
	
	global AsignarSonidosEttCalled
	if AsignarSonidosEttCalled:
		return
	AsignarSonidosEttCalled=1
		
	# Sonidos de animaciones

	
	per.AddAnimSound('Ett_chg_r', Enfundar, 0.3000)
	per.AddAnimSound('Ett_chg_r_l', Enfundar, 3500)
	per.AddAnimSound('Ett_attack_chg_r_l', Enfundar,0.3000)
	per.AddAnimSound('Ett_attack_chg_r', Enfundar, 0.3000)
	per.AddAnimSound('Ett_chg_r', Enfundar,0.3599)
	per.AddAnimSound('Ett_chg_r_l', Enfundar, 3000)
	per.AddAnimSound('Ett_attack_chg_r_l', Enfundar, 0.3000)
	per.AddAnimSound('Ett_attack_chg_r', Enfundar, 0.3000)

	per.AddAnimSound('Ett_g_01', EsfuerzoCortoEtt, 0.2500)
	per.AddAnimSound('Ett_g_01', RespiracionEtt1, 0.6000)
	per.AddAnimSound('Ett_g_01', RoceEtt2, 0.2000)
	per.AddAnimSound('Ett_g_01', RoceEtt1, 0.4000)
	per.AddAnimSound('Ett_g_01', RoceEtt2, 0.6000)
	per.AddAnimSound('Ett_g_01', RoceEtt1, 0.8000)
	per.AddAnimSound('Ett_g_06', EsfuerzoCorto3Ett, 0.3500)
	per.AddAnimSound('Ett_g_06', AguadoEtt2, 0.6000)
	per.AddAnimSound('Ett_g_06', RoceEtt1, 0.2000)
	per.AddAnimSound('Ett_g_06', RoceEtt2, 0.4000)
	per.AddAnimSound('Ett_g_06', RoceEtt1, 0.7000)
	per.AddAnimSound('Ett_g_06', RoceEtt2, 0.9000)
	per.AddAnimSound('Ett_g_07', EsfuerzoCorto2Ett, 0.2500)
	per.AddAnimSound('Ett_g_07', RespiracionEtt3, 0.5000)
	per.AddAnimSound('Ett_g_07', RoceEtt1, 0.2000)
	per.AddAnimSound('Ett_g_07', RoceEtt2, 0.4000)
	per.AddAnimSound('Ett_g_07', RoceEtt1, 0.6000)
	per.AddAnimSound('Ett_g_07', RoceEtt2, 0.8000)
	per.AddAnimSound('Ett_g_01', SesgadoCorto, 0.3117)
	per.AddAnimSound('Ett_g_06', SesgadoCorto, 0.4342)
	per.AddAnimSound('Ett_g_07', SesgadoCortoAgudo, 0.3291)
	per.AddAnimSound('Ett_g_26', EsfuerzoCorto1Ett, 0.1720)
	per.AddAnimSound('Ett_g_26', SesgadoLargoAgudo, 0.2700)
	per.AddAnimSound('Ett_g_26', AguadoEtt1, 0.6000)
	per.AddAnimSound('Ett_g_26', RoceEtt1, 0.3000)
	per.AddAnimSound('Ett_g_26', RoceEtt2, 0.5000)
	per.AddAnimSound('Ett_g_26', RoceEtt1, 0.7000)
	per.AddAnimSound('Ett_g_26', RoceEtt1, 0.9000)
	
	per.AddAnimSound('Ett_disappear', DesapareceEtt, 0.1780)
	per.AddAnimSound('Ett_disappear', EsfuerzoCorto2Ett, 0.4650)
	per.AddAnimSound('Ett_disappear', SesgadoLargoAgudo, 0.4750)
	per.AddAnimSound('Ett_disappear', RoceEtt1, 0.5000)
	per.AddAnimSound('Ett_disappear', RoceEtt2, 0.7000)
	per.AddAnimSound('Ett_disappear', RoceEtt1, 0.9000)
	per.AddAnimSound('Ett_disappear', RespiracionEtt2, 0.6000)
	
	

	per.AddAnimSound("Ett_dth0", MuerteEtt1, 0.2000)
	per.AddAnimSound("Ett_dth0", RoceEtt1, 0.1450)
	per.AddAnimSound("Ett_dth0", RoceEtt2, 0.2350)
	per.AddAnimSound("Ett_dth0", RoceEtt1, 0.3150)
	per.AddAnimSound("Ett_dth0", RoceEtt2, 0.4670)
	per.AddAnimSound("Ett_dth0", RoceEtt1, 0.8000)
	per.AddAnimSound("Ett_dth0", RespiracionEtt3, 0.5000)
	per.AddAnimSound("Ett_dth0", AguadoEtt3, 0.7000)
	per.AddAnimSound("Ett_dth0", CaidaEtt1, 0.5750)
	per.AddAnimSound("Ett_dth0", CaidaEtt2, 0.6190)
	
	per.AddAnimSound("Ett_hurt_f_lite", HeridaEtt2, 0.3000)
	per.AddAnimSound("Ett_hurt_f_lite", RoceEtt1, 0.1200)
	per.AddAnimSound("Ett_hurt_f_lite", RoceEtt2, 0.3000)
	per.AddAnimSound("Ett_hurt_f_lite", RoceEtt1, 0.5000)
	per.AddAnimSound("Ett_hurt_f_lite", RoceEtt2, 0.7000)
	per.AddAnimSound("Ett_hurt_f_lite", RoceEtt1, 0.9000)
	per.AddAnimSound("Ett_hurt_f_lite", RespiracionEtt3, 0.5000)
	
	per.AddAnimSound("Ett_hurt_f_big", HeridaEtt2, 0.3000)
	per.AddAnimSound("Ett_hurt_f_big", RoceEtt1, 0.1200)
	per.AddAnimSound("Ett_hurt_f_big", RoceEtt2, 0.3000)
	per.AddAnimSound("Ett_hurt_f_big", RoceEtt1, 0.5000)
	per.AddAnimSound("Ett_hurt_f_big", RoceEtt2, 0.7000)
	per.AddAnimSound("Ett_hurt_f_big", RoceEtt1, 0.9000)
	per.AddAnimSound("Ett_hurt_f_big", RespiracionEtt1, 0.5000)

	per.AddAnimSound("Ett_attack_f", RespiracionEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_f", RespiracionEtt2, 0.6000)

	per.AddAnimSound("Ett_attack_f", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_f", RoceEtt2, 0.3100)
	per.AddAnimSound("Ett_attack_f", RoceEtt1, 0.5100)
	per.AddAnimSound("Ett_attack_f", RoceEtt2, 0.7100)
	per.AddAnimSound("Ett_attack_f", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_attack_f_s", RespiracionEtt4, 0.1100)
	per.AddAnimSound("Ett_attack_f_s", RespiracionEtt3, 0.6000)
	
	per.AddAnimSound("Ett_attack_f_s", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_f_s", RoceEtt2, 0.3100)
	per.AddAnimSound("Ett_attack_f_s", RoceEtt1, 0.5100)
	per.AddAnimSound("Ett_attack_f_s", RoceEtt2, 0.7100)
	per.AddAnimSound("Ett_attack_f_s", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_attack_b", RespiracionEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_b", RespiracionEtt2, 0.6000)
	
	per.AddAnimSound("Ett_attack_b", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_b", RoceEtt2, 0.3100)
	per.AddAnimSound("Ett_attack_b", RoceEtt1, 0.5100)
	per.AddAnimSound("Ett_attack_b", RoceEtt2, 0.7100)
	per.AddAnimSound("Ett_attack_b", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_attack_b_s", RespiracionEtt4, 0.1100)
	per.AddAnimSound("Ett_attack_b_s", RespiracionEtt3, 0.6000)
	
	per.AddAnimSound("Ett_attack_b_s", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_b_s", RoceEtt2, 0.3100)
	per.AddAnimSound("Ett_attack_b_s", RoceEtt1, 0.5100)
	per.AddAnimSound("Ett_attack_b_s", RoceEtt2, 0.7100)
	per.AddAnimSound("Ett_attack_b_s", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_attack_r", RespiracionEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_r", RespiracionEtt2, 0.6000)

	per.AddAnimSound("Ett_attack_r", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_r", RoceEtt2, 0.3000)
	per.AddAnimSound("Ett_attack_r", RoceEtt1, 0.5000)
	per.AddAnimSound("Ett_attack_r", RoceEtt2, 0.7000)
	per.AddAnimSound("Ett_attack_r", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_attack_r_s", RespiracionEtt4, 0.1100)
	per.AddAnimSound("Ett_attack_r_s", RespiracionEtt3, 0.6000)
	
	per.AddAnimSound("Ett_attack_r_s", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_r_s", RoceEtt2, 0.3000)
	per.AddAnimSound("Ett_attack_r_s", RoceEtt1, 0.5000)
	per.AddAnimSound("Ett_attack_r_s", RoceEtt2, 0.7000)
	per.AddAnimSound("Ett_attack_r_s", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_attack_l", RespiracionEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_l", RespiracionEtt2, 0.6000)
	
	per.AddAnimSound("Ett_attack_l", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_l", RoceEtt2, 0.3000)
	per.AddAnimSound("Ett_attack_l", RoceEtt1, 0.5000)
	per.AddAnimSound("Ett_attack_l", RoceEtt2, 0.7000)
	per.AddAnimSound("Ett_attack_l", RoceEtt1, 0.9000)
	
	
	per.AddAnimSound("Ett_attack_l_s", RespiracionEtt4, 0.1100)
	per.AddAnimSound("Ett_attack_l_s", RespiracionEtt3, 0.6000)
	
	
	per.AddAnimSound("Ett_attack_l_s", RoceEtt1, 0.1100)
	per.AddAnimSound("Ett_attack_l_s", RoceEtt2, 0.3000)
	per.AddAnimSound("Ett_attack_l_s", RoceEtt1, 0.5000)
	per.AddAnimSound("Ett_attack_l_s", RoceEtt2, 0.7000)
	per.AddAnimSound("Ett_attack_l_s", RoceEtt1, 0.9000)
	
	per.AddAnimSound("Ett_rlx_f", RespiracionEtt1, 0.1100)
	per.AddAnimSound("Ett_rlx_f", RespiracionEtt2, 0.6000)
	
	per.AddAnimSound("Ett_insult", InsultoEtt, 0.1100)
	
	