import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Ettercap             #
    #                      #
    ########################
    

  
    
    
import EttercapAnm_def
EttercapAnm_def.InitEttercap()    
 
    
ett=Bladex.GetCharType("Ettercap_1","Ett")

ett.IntName="Ett"

ett.TurnSpeed=4.5
ett.Jcost=2700
ett.MaxFall=4000
ett.DieFall=14000
ett.MaxStair=335
ett.Fov=math.pi*1.5
ett.MaxGrab=3500.0
ett.MedGrab=2500.0
ett.Min2Grab=1500.0

ett.MinTake=-500.0	# Min height above floor vampire will take
ett.MaxTake1=250.0	# Max height above floor for Take1 Anim
ett.MaxTake2=550.0	# Max height above floor for Take2 Anim
ett.MaxTake3=1300.0	# Max height above floor for Take3 Anim
ett.MaxTake4=1900.0	# Max height above floor for Take4 Anim
ett.MaxTake5=3000.0	# Max height above floor for Take5 Anim
ett.Reach=2000.0	# Max distance from ett centre to obj centre to take
ett.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
ett.MovBkwdSpeedInStrafe=1000  #Idem backwards
ett.MaxCombatDist=20000
ett.MaxSeeDist=50000

ett.SetNCDSpheres(1)  #Numero de esferas en el modelo de colisiones

ett.SetCDSphere(0,0.0,400.0)  #(numero de la espera, altura mm, radio mm)

ett.DistStop=2500.0
ett.DistStop2=6000.0
ett.DistStopMaxFactor=0.2

###############################################################################
#

def EttercapWhenFirst():
	Bladex.CreateBipedData("Ett","Ettercap_1")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Ett.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Ett.dat")

	import EttercapAnimationSet
	EttercapAnimationSet.LoadEttercapAnimationSet("Ett")
	
	import EttercapBAct
	import LinkTables
	LinkTables.LinkMe("Ett")
	
	import EttercapCombos
	
	import AnmFactEttercap
	AnmFactEttercap.AnmFactEttercap()
	import EttercapStats
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Ett.dat","Ett")
	
	print"New Ettercap Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Ettercap_1","Ett")
race.OnFirst=EttercapWhenFirst
