######################################################
#
# Create sets of attacks
#
#        - BUGBEAR -
#
######################################################


import Bladex


ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2

# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Gob","g_01","ATTACKING")
Bladex.SetActionEventTable("Gob","g_02","ATTACKING")
Bladex.SetActionEventTable("Gob","g_06","ATTACKING")
Bladex.SetActionEventTable("Gob","g_15","ATTACKING")
Bladex.SetActionEventTable("Gob","g_16","ATTACKING")
Bladex.SetActionEventTable("Gob","g_18","ATTACKING")

# Predeclare & link all my dodges into DODGING action event tables
Bladex.SetActionEventTable("Gob","D_r", "DODGING")
Bladex.SetActionEventTable("Gob","D_l", "DODGING")
Bladex.SetActionEventTable("Gob","D_b", "DODGING")

gob=Bladex.GetCharType("Goblin_A","Gob")






####################
# GRUPOS DE GOLPES #
####################
gob.AddAttack("g_01","Gob_g_01")
gob.AttackTypeFlag("g_01",ATK_UNIQUE)

gob.AddAttack("g_02","Gob_g_02")
gob.AttackTypeFlag("g_02",ATK_UNIQUE)

gob.AddAttack("g_06","Gob_g_06")
gob.AttackTypeFlag("g_06",ATK_UNIQUE)

gob.AddAttack("g_15","Gob_g_15")
gob.AssignTrail("g_15","","EstelaAmarilla1")
gob.AttackTypeFlag("g_15",ATK_UNIQUE)

gob.AddAttack("g_16","Gob_g_16")
gob.AssignTrail("g_16","","EstelaAmarilla1")
gob.AttackTypeFlag("g_16",ATK_UNIQUE)

gob.AddAttack("g_18","Gob_g_18")
gob.AssignTrail("g_18","","EstelaRoja1")
gob.AttackTypeFlag("g_18",ATK_UNIQUE)

gob.AttackTypeFlag("COMBO1",ATK_SEQUENTIAL)
gob.AddAttack("COMBO1","Gob_g_06")
gob.AddAttack("COMBO1","Gob_g_02")
gob.AddAttack("COMBO1","Gob_g_18")

gob.AttackTypeFlag("COMBO2",ATK_SEQUENTIAL)
gob.AddAttack("COMBO2","Gob_g_16")
gob.AddAttack("COMBO2","Gob_g_01")

gob.AttackTypeFlag("COMBO3",ATK_SEQUENTIAL)
gob.AddAttack("COMBO3","Gob_g_02")
gob.AddAttack("COMBO3","Gob_g_06")
gob.AddAttack("COMBO3","Gob_g_01")

###############################
# GRUPO PARA ESCALERAS        #
###############################
gob.AddAttack("STAIRS","Gob_g_16")
gob.AssignTrail("STAIRS","","EstelaAmarilla1")
gob.AddAttack("STAIRS","Gob_g_18")
gob.AssignTrail("STAIRS","","EstelaRoja1")
gob.AttackTypeFlag("STAIRS",ATK_RANDOM)




