######################################################
#
# Create sets of attacks
#
#        - Hrr -
#
######################################################


import Bladex

ATK_UNIQUE=0
ATK_RANDOM=1
ATK_SEQUENTIAL=2


# Predeclare & link all my combos into ATTACKING action event tables
Bladex.SetActionEventTable("Hrr","g_spit","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_03","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_06","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_07","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_22","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_27","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_jumpl","ATTACKING")
Bladex.SetActionEventTable("Hrr","g_jumpr","ATTACKING")


hrr=Bladex.GetCharType("Horror_A","Hrr")


###############################
# GRUPOS DE GOLPES SELECTIVOS #
###############################

#SP group
hrr.AddAttack("SP1","Hrr_g_spit")
hrr.AttackTypeFlag("SP1",ATK_UNIQUE)

#G03 group
hrr.AddAttack("G03","Hrr_g_03")
hrr.AttackTypeFlag("G03",ATK_UNIQUE)

#G06 group
hrr.AddAttack("G06","Hrr_g_06")
hrr.AttackTypeFlag("G06",ATK_UNIQUE)

#G07 group
hrr.AddAttack("G07","Hrr_g_07")
hrr.AttackTypeFlag("G07",ATK_UNIQUE)

#G22 group
hrr.AddAttack("G22","Hrr_g_22")
hrr.AttackTypeFlag("G22",ATK_UNIQUE)

#G27 group
hrr.AddAttack("G27","Hrr_g_27")
hrr.AttackTypeFlag("G27",ATK_UNIQUE)

#ZIG group
hrr.AddAttack("ZIG","Hrr_g_jumpl")
hrr.AttackTypeFlag("ZIG",ATK_UNIQUE)

#ZAG group
hrr.AddAttack("ZAG","Hrr_g_jumpr")
hrr.AttackTypeFlag("ZAG",ATK_UNIQUE)






