import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ####################
    #                  #
    # Horror           #
    #                  #
    ####################
    


    
    
import HorrorAnm_def
HorrorAnm_def.InitHorror()    
 
    
hrr=Bladex.GetCharType("Horror_A","Hrr")

hrr.TurnSpeed=4.5
hrr.Jcost=2700
hrr.MaxFall=12000
hrr.DieFall=20000
hrr.MaxStair=335
hrr.Fov=math.pi*1.5
hrr.MaxGrab=3500.0
hrr.MedGrab=2500.0
hrr.Min2Grab=1500.0

hrr.MinTake=-500.0      # Min height above floor barbarian will take
hrr.MaxTake1=250.0	# Max height above floor for Take1 Anim
hrr.MaxTake2=550.0	# Max height above floor for Take2 Anim
hrr.MaxTake3=1300.0	# Max height above floor for Take3 Anim
hrr.MaxTake4=1900.0	# Max height above floor for Take4 Anim
hrr.MaxTake5=3000.0	# Max height above floor for Take5 Anim
hrr.Reach=2000.0	# Max distance from hrr centre to obj centre to take

hrr.MovFrwdSpeedInStrafe=800  #Forwards speed when in strafe(combat mode only)
hrr.MovBkwdSpeedInStrafe=800  #Idem backwards

hrr.DistStop=2600.0
hrr.DistStop2=6000.0
hrr.MaxCombatDist=10000
hrr.MaxSeeDist=30000

hrr.SetNCDSpheres(1)
hrr.SetCDSphere(0,-300.0,650.0)  
hrr.HeadControlled=0
hrr.NaturalWeapons=1


###############################################################################
#

def HorrorWhenFirst():
	Bladex.CreateBipedData("Hrr","Horror_A")
	
	####################################################
	# Uncoment this section only after making changes, #
	# otherwise comment out to speed load times        #
	####################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Hrr.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Hrr.dat")

	import HorrorAnimationSet
	HorrorAnimationSet.LoadHorrorAnimationSet("Hrr")
	
	import HorrorBAct
	import LinkTables
	LinkTables.LinkMe("Hrr")
	import HorrorCombos
	import AnmFactHorror
	AnmFactHorror.InitAnmFactHorror()
	import HorrorStats
	
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Hrr.dat","Hrr")
	
	print"New Horror Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("Horror_A","Hrr")
race.OnFirst=HorrorWhenFirst
