
import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ####################
    #                  #
    # Bog LittleImp          #
    #                  #
    ####################
    

# From an idea by Crazydwarf. (none other)
    
    
import LittleImpAnm_def
LittleImpAnm_def.InitLittleImp()    
 
    
imp=Bladex.GetCharType("LittleLittleImp_Air","Lmp")
imp.IntName="Lmp" 

imp.TurnSpeed=4.5
imp.Jcost=2700
imp.MaxFall=10000
imp.DieFall=30000
imp.MaxStair=505
imp.Fov=math.pi/1.2
imp.MaxGrab=3500.0
imp.MedGrab=2500.0
imp.Min2Grab=1500.0    
imp.MinTake=-500.0      # Min height above floor barbarian will take
imp.MaxTake1=450.0	# Max height above floor for Take1 Anim
imp.MaxTake2=550.0	# Max height above floor for Take2 Anim
imp.MaxTake3=1300.0	# Max height above floor for Take3 Anim
imp.MaxTake4=1900.0	# Max height above floor for Take4 Anim
imp.MaxTake5=3000.0	# Max height above floor for Take5 Anim
imp.Reach=2000.0	# Max distance from bar centre to obj centre to take
imp.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
imp.MovBkwdSpeedInStrafe=1000  #Idem backwards
imp.MaxCombatDist=30000
imp.MaxSeeDist=30000  

imp.NaturalWeapons=1
imp.SetNCDSpheres(2)
imp.SetCDSphere(0,170.0,350.0)  #(numero de la espera, altura mm, radio mm)
imp.SetCDSphere(1,-150.0,500.0)  #(numero de la espera, altura mm, radio mm)



###############################################################################
#

def LittleImpWhenFirst():
	Bladex.CreateBipedData("Lmp","LittleImp_Air")
	
	####################################################
	# Uncoment this section only after making changes, #
	# otherwise comment out to speed load times        #
	####################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Lmp.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Lmp.dat")

	import LittleImpAnimationSet
	LittleImpAnimationSet.LoadLittleImpAnimationSet("Lmp")
	
	import LittleImpBAct
	import LinkTables
	LinkTables.LinkMe("Lmp")
	import LittleImpCombos
	import AnmFactLittleImp
	AnmFactLittleImp.InitAnmFactLittleImp()
	import LittleImpStats
	
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Lmp.dat","Lmp")
	
	print"New LittleImp Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("LittleImp_Air","Lmp")
race.OnFirst=LittleImpWhenFirst
