import Bladex
import Enm_Def
import ObjStore
import GameStateAux
import BCopy
import AuxFuncs
import Combat
import Reference
import ItemTypes
import InitDataField
import B3DLib
import Actions
import Basic_Funcs
import CharStats
import Damage
import Actions
import math
import whrandom
import AniSoundLittleImp



TRUE = 1==1
FALSE = not TRUE



CHOOSE_FIRST  = -1
CHOOSE_SECOND =  1
CHOOSE_EITHER =  0


W_FLAG_1H=0     #One handed _whatever_ weapon
W_FLAG_2W=1	#Two handed sword
W_FLAG_AXE=2	#Two handed axe
W_FLAG_SP=3     #Two handed spear

ROUTE_WATCH=0  #Watch mode
ROUTE_BAY=1    #Performing a bay route
ROUTE_CHASE=2  #Chase a character
ROUTE_SINGLE=3 #Following a single route (going to just a point)
ROUTE_BOWING=4 #Bowing (OR trying to bow) an enemy


##### Imp PS #####

## spells

Bladex.AddParticleGType("ImpSpellEnergyConcAir","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=150
	g=160
	b=150
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("ImpSpellEnergyConcAir",i,r,g,b,a,size)

	
Bladex.AddParticleGType("ImpMagicMissileAir","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=90
	g=100
	b=90
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("ImpMagicMissileAir",i,r,g,b,a,size)





Bladex.AddParticleGType("ImpSpellEnergyConcDust","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=100
	g=100
	b=50
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("ImpSpellEnergyConcDust",i,r,g,b,a,size)

	
Bladex.AddParticleGType("ImpMagicMissileDust","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=90
	g=90
	b=40
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("ImpMagicMissileDust",i,r,g,b,a,size)



Bladex.AddParticleGType("ImpSpellEnergyConcEarth","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=100
	g=190
	b=50
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("ImpSpellEnergyConcEarth",i,r,g,b,a,size)

	
Bladex.AddParticleGType("ImpMagicMissileEarth","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=90
	g=190
	b=40
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("ImpMagicMissileEarth",i,r,g,b,a,size)
	
	


Bladex.AddParticleGType("ImpSpellEnergyConcMagma","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=200
	g=50
	b=50
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("ImpSpellEnergyConcMagma",i,r,g,b,a,size)

	
Bladex.AddParticleGType("ImpMagicMissileMagma","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=190
	g=40
	b=40
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("ImpMagicMissileMagma",i,r,g,b,a,size)
	
	
	
Bladex.AddParticleGType("ImpSpellEnergyConcIce","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=180
	g=180
	b=240
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("ImpSpellEnergyConcIce",i,r,g,b,a,size)

	
Bladex.AddParticleGType("ImpMagicMissileIce","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=170
	g=170
	b=230
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("ImpMagicMissileIce",i,r,g,b,a,size)
	
	
	
Bladex.AddParticleGType("ImpSpellEnergyConcCoal","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>5:
		traux=(30.0-i)/25.0 
	else:
		traux=i/5.0 
	r=50
	g=50
	b=90
	a=255.0*traux
	size=10.0+150.0*(1-i/30.0)**2.0
	Bladex.SetParticleGVal("ImpSpellEnergyConcCoal",i,r,g,b,a,size)

	
Bladex.AddParticleGType("ImpMagicMissileCoal","GenericParticle2",Reference.B_PARTICLE_GTYPE_ADD,30)

for i in range(30):
	if i>25:
		traux=(30.0-i)/5.0 
	else:
		traux=i/25.0 
	r=30
	g=30
	b=50
	a=255.0*traux
	size=340.0*(1-(1-i/30.0)**0.5)
	Bladex.SetParticleGVal("ImpMagicMissileCoal",i,r,g,b,a,size)
	
	
### vapours

Bladex.AddParticleGType("ImpGasAir","SmokeParticle",Reference.B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	if i>40:
		aux=((60.0-i)/20.0)**0.3
	else:
		aux=(i/40.0)**0.5
	r=180
	g=190
	b=150 
	a=200.0*aux
	size=50.0+200.0*aux
	Bladex.SetParticleGVal("ImpGasAir",i,r,g,b,a,size)
	
	
Bladex.AddParticleGType("ImpGasDust","SmokeParticle",Reference.B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	if i>40:
		aux=((60.0-i)/20.0)**0.3
	else:
		aux=(i/40.0)**0.5
	r=100
	g=120
	b=30
	a=200.0*aux
	size=50.0+200.0*aux
	Bladex.SetParticleGVal("ImpGasDust",i,r,g,b,a,size)
	

Bladex.AddParticleGType("ImpGasEarth","SmokeParticle",Reference.B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	if i>40:
		aux=((60.0-i)/20.0)**0.3
	else:
		aux=(i/40.0)**0.5
	r=40
	g=130
	b=40
	a=200.0*aux
	size=50.0+200.0*aux
	Bladex.SetParticleGVal("ImpGasEarth",i,r,g,b,a,size)


Bladex.AddParticleGType("ImpGasMagma","SmokeParticle",Reference.B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	if i>40:
		aux=((60.0-i)/20.0)**0.3
	else:
		aux=(i/40.0)**0.5
	r=130
	g=30
	b=40
	a=200.0*aux
	size=50.0+200.0*aux
	Bladex.SetParticleGVal("ImpGasMagma",i,r,g,b,a,size)
	
	
Bladex.AddParticleGType("ImpGasIce","SmokeParticle",Reference.B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	if i>40:
		aux=((60.0-i)/20.0)**0.3
	else:
		aux=(i/40.0)**0.5
	r=200
	g=200
	b=230
	a=200.0*aux
	size=50.0+200.0*aux
	Bladex.SetParticleGVal("ImpGasIce",i,r,g,b,a,size)



Bladex.AddParticleGType("ImpGasCoal","SmokeParticle",Reference.B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	if i>40:
		aux=((60.0-i)/20.0)**0.3
	else:
		aux=(i/40.0)**0.5
	r=10
	g=10
	b=20
	a=200.0*aux
	size=50.0+200.0*aux
	Bladex.SetParticleGVal("ImpGasCoal",i,r,g,b,a,size)





	




############################################################################################################################################################

def CheckIfEnemy (EntityName):
	me=Bladex.GetEntity(EntityName)
	if me:		
		try:
	           	enemyName=me.Data.EnemyName
	           	return TRUE                       
	        except AttributeError:  
	 	   	return FALSE   

	 	   
def IsHoldingBow(EntityName):
	me=Bladex.GetEntity(EntityName)
	ObjectName=me.InvLeft
	object_flag=Reference.GiveObjectFlag(ObjectName)
	if object_flag==Reference.OBJ_BOW:
		return TRUE
	return FALSE
		

	
###########################################################################################################################################################
#### Base Enemy Class


class EnemyCharImp (Enm_Def.NPCPerson):

	NameOfEnemy=None
	
	def __init__(self, me):
		Enm_Def.NPCPerson.__init__(self, me)
		
		
		
		
	def StdEnemyDead(self,EntityName):
		Enm_Def.NPCPerson.StdEnemyDead(self,EntityName)
		Reference.debugprint(EntityName+": My enemy is really dead.He he ! - py")
		if not self.MyGetEnemyName():
			self.LookForAnotherOpponent(EntityName)
		
	
	
	def StdStartChase(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		enemy=Bladex.GetEntity(me.GetEnemyName())
		me.AnmEndedFunc=self.StdAnmEnded
		if enemy.InsideActionArea(me.ActionAreaMax) or (self.IsArcher() and me.InsideActionArea(me.ActionAreaMax)):
			if not IsHoldingBow(enemy.Name):
				self.StdStartChase2 (EntityName)
				if self.NameOfEnemy:
					print EntityName+" I am chasing "+self.NameOfEnemy
		else:
			# The following is to turn to face the enemy when we are already at an illegal border
			self.StdSeeEnemyUnreachable (EntityName)	
		
		

	def StdSeeEnemyUnreachable(self,EntityName,check1aaTo2aa=1):
		me = Bladex.GetEntity(EntityName)
		Reference.debugprint(EntityName + ": Enemy Unreachable")
		if Bladex.GetTime()-self.LastThrownHurtTime<Enm_Def.THROWNHURTTIME_GAP:
			return
		if me.InsideActionArea(me.ActionAreaMin) and (check1aaTo2aa and not me.Will1aaTo2aa):

			if me.Data.goto_limit2aa:
				back_area_min=me.ActionAreaMin
				back_area_max=me.ActionAreaMax
				me.ActionAreaMin=0
				me.ActionAreaMax=0
				enemy=Bladex.GetEntity(me.GetEnemyName())
				if enemy and IsHoldingBow(enemy.Name):
					print EntityName+" I am chasing an archer!!"
					return
				des_pos=enemy.Position
				me.GoToJogging=1
				if me.GoTo(des_pos[0],des_pos[1],des_pos[2]):
					me.ActionAreaMin=back_area_min
					me.ActionAreaMax=back_area_max
				else: 
					Reference.debugprint(EntityName + ": GoTo enemy_pos not working, with action area 0!")
					me.ActionAreaMin=back_area_min
					me.ActionAreaMax=back_area_max
			return
		elif me.InsideActionArea(me.ActionAreaMin):
			if me.GetActionMode() != ROUTE_WATCH:
				self.LaunchMyWatch (EntityName)
			if not Actions.IsFacingEntity(EntityName, me.GetEnemyName()):
				Actions.TurnToFaceEntity(EntityName, me.GetEnemyName())
			else:
				curr_time=Bladex.GetTime()
				if curr_time-self.last_insulting_time_1AA>4:
					insult_prob=whrandom.uniform(0.0, 1.0)
					if insult_prob<0.8:
						Combat.Insult(EntityName)
					insult_var=whrandom.uniform(-2.0, 1.0)
					self.last_insulting_time_1AA=Bladex.GetTime()+insult_var
		else:
			back_area_min=me.ActionAreaMin
			back_area_max=me.ActionAreaMax
			me.ActionAreaMax= 0
			me.ActionAreaMin= 0
			
			init_pos=me.InitPos
			me.InvertedRoute=1 # Move backwards
			if me.GoTo(init_pos[0],init_pos[1],init_pos[2]):
				me.ActionAreaMin=back_area_min
				me.ActionAreaMax=back_area_max
			else:
				Reference.debugprint(EntityName + ": GoTo init_pos not working, with action area 0!")
				me.ActionAreaMin=back_area_min
				me.ActionAreaMax=back_area_max

			
				
	def MyGetEnemyName (self):
		me=Bladex.GetEntity(self.Name)
	        if not self.NameOfEnemy or Bladex.GetEntity(self.NameOfEnemy).Life <=0:
                   	pjp = me.Position
		   	enemyList=[]
		   	pj_dir=me.Rel2AbsVector(0.0,-1.0,0.0)
			pjp=me.Position
			for ename in Bladex.GetEnemiesVisibleFrom(pjp,50000,pj_dir,0.0):
                       		ene=Bladex.GetEntity(ename)
                       		if self.IsValidEnemy(ene):
                         		enemyList.append(ene.Name)
                   	if len (enemyList) == 0: 
                   		char=Bladex.GetEntity("Player1")
                   		if me.CanISee(char):
	  				self.NameOfEnemy="Player1"
                   			enemy=Bladex.GetEntity(self.NameOfEnemy)
                			me.SetEnemy(enemy)
					return self.NameOfEnemy			
                   		else:
                   			return None
                   	enemyList.sort(self.ChooseNearest)
                   	self.NameOfEnemy=enemyList[0]
		enemy=Bladex.GetEntity(self.NameOfEnemy)
                me.SetEnemy(enemy)
                
		return self.NameOfEnemy			
				
				
		
	def IsValidEnemy (self, entity):
		me=Bladex.GetEntity(self.Name)
		if not entity.Person: 
			return FALSE
		if not entity.Life > 0:
			return FALSE
		if entity.Alpha<0.9:
			return FALSE
		if entity.Name == self.Name:
			return FALSE
		if entity.Kind==me.Kind:
			return FALSE
		if IsHoldingBow(entity.Name):
			return FALSE
		if  CheckIfEnemy(entity.Name): 
			return TRUE
		else:
			return FALSE
			

	def ChooseNearest (self,entity1name, entity2name):
		p1 = Bladex.GetEntity(entity1name)
		p2 = Bladex.GetEntity(entity2name)
		if not p1 and not p2:
			return CHOOSE_EITHER
		elif not p1:
			return CHOOSE_SECOND
		elif not p2:
			return CHOOSE_FIRST
		me=Bladex.GetEntity(self.Name)
		val = me.SQDistance2(p1) - me.SQDistance2(p2)
		if val < 0:
			return CHOOSE_FIRST
		elif val > 0:
			return CHOOSE_SECOND
		else:
			return CHOOSE_EITHER


	def StdSeeTheEnemy(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		life = me.Life
		if life > 0.0:		
			if not self.MyGetEnemyName(): 
				return
			Reference.debugprint (EntityName + ": I spy a GOOD guy")
			ene=Bladex.GetEntity(self.MyGetEnemyName())
			if ene:
				if self.IsValidEnemy(ene):
					Reference.debugprint (EntityName + ": Your Name is "+ene.Name+ " I will do you over")
					if self.Asleep:
						self.WakeMeUp(EntityName)
				me.LookAtEntity(ene.Name)
				#Just in case we were doing a wait animation
				if me.GetActionMode() == Enm_Def.ROUTE_BAY:	
					me.Wuea=Reference.WUEA_ENDED

				self.CheckToJoin(EntityName)
				if me.GetActionMode()!=Enm_Def.ROUTE_CHASE:
					self.StdStartChase(EntityName)
				
				if me.GetActionMode()==Enm_Def.ROUTE_BOWING: 
					if self.AimPressed:
						angle= Reference.TARGET_ANGLE_MAX- me.Accuracy*(Reference.TARGET_ANGLE_MAX-Reference.TARGET_ANGLE_MIN)
						if me.AimOffTarget<angle:
							print "Releasing Arrow"
							Actions.TestReleaseArrow(EntityName)
					else: 
						if me.Wuea!=Reference.WUEA_WAIT:
							#print "Drawing Bow"
							Actions.TestDrawBow (EntityName)
				elif me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()




					
	def RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded):
		# launch appropriate hurt anim
		if self.Asleep:
			self.WakeMeUp(EntityName)
		
		Basic_Funcs.PlayerPerson.RespondToHit(self, EntityName, AttackerName, DamagePoints, DamageType, DamageZone, Shielded)
		
		if AttackerName and AttackerName != 'BWorld' and AttackerName != EntityName:
			me = Bladex.GetEntity(EntityName)
			if me and me.Life > 0:
				#####################################################################
				# consider getting furious
				#chartype = Bladex.GetCharType(me.CharType,me.CharTypeExt)
				#if me.Life <= CharStats.GetCharMaxLife(me.Kind, me.Level)*0.25 and whrandom.random() < self.ChanceOfFuryOnHurt:
				#	self.GetFurious (EntityName)
				# consider attacking attacker back
				#damage_factor = DamagePoints / (me.Life+DamagePoints)
				#if damage_factor > me.Data.DamageFactorNone:
				#	# Only if I'm still alive... Death events handled apart
				####################################################################
				#Reference.debugprint(EntityName+": Im being attacked by "+AttackerName)
					
				if self.NameOfEnemy and self.NameOfEnemy != AttackerName:
					#Reference.debugprint(AttackerName+": Is NOT my current enemy")
					attacker = Bladex.GetEntity(AttackerName)
					##########################################
					if IsHoldingBow(AttackerName):
						print EntityName+" My Enemy is an Archer"
						return
					
					if attacker and (self.AttacksOwnKind or attacker.Kind != me.Kind):
						
						Reference.debugprint(EntityName+": I will respond")
						# Only attack NPCs if not already, otherwise we get multiple scheduled funcs
						if (not attacker.Data.NPC) or (not self.AttackingNPC):
							#Reference.debugprint("attacker.Data.NPC: "+ `attacker.Data.NPC`+ ", self.AttackingNPC: " + `self.AttackingNPC`)
								
							Damage.DropInvalidObjectsOnImpact (EntityName)
							me.Wuea=Reference.WUEA_ENDED
							me.InterruptCombat()
							me.SetEnemy(attacker)
							me.SetActiveEnemy(attacker)
							me.Chase(attacker, me.ActionAreaMax)
							if me.GetActionMode()==Enm_Def.ROUTE_CHASE and self.IsArcher():
								self.Switch2MeleeWeapons(EntityName)		
	
				
	def StdDelayNoSeen(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		if me.Life > 0:
			if (not self.Asleep) and (not me.Blind):
				if me.Aim or Actions.CurrentlyBowing(EntityName):
					me.Wuea=Reference.WUEA_ENDED
					Actions.EndBowMode(EntityName)
					me.SetOnFloor()
				me.StopLooking()
				self.PutMeToSleep(EntityName)
				if not self.NameOfEnemy:
					self.LookForAnotherOpponent(EntityName)
				Reference.debugprint(EntityName+": I have got bored and dropped to sleep")
				
							
				
				
	def LookForAnotherOpponent(self,EntityName):
		Reference.debugprint(EntityName+": I am looking for another opponent")
		me = Bladex.GetEntity(EntityName)
		if me and me.InCombat:
			return
		#self.LaunchMyWatch (EntityName)
		mep=me.Position
		enelist=[]
		ents=Bladex.GetEntitiesAt(mep[0],mep[1],mep[2], 30000)
		for ename in ents:
			en=Bladex.GetEntity(ename)
			if en.Person:
				if self.IsValidEnemy(en) and en.Name != me.Name:
					enelist.append(en.Name)
		if len (enelist) == 0: 
                   	return 
                enelist.sort(self.ChooseNearest)
                nearest=Bladex.GetEntity(enelist[0])
                if nearest:
			me.GoToJogging=0
			me.GoTo(nearest.Position[0],nearest.Position[1],nearest.Position[2])
			me.RouteEndedFunc=self.LaunchMyWatch
			print EntityName+" I have found a new enemy and I am going to sort the bugger out "
					
                    				
		       			
	def PutMeToSleep(self,EntityName):
		if not self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=1  
			me.Deaf=1
			self.Asleep = TRUE


	def WakeMeUp(self,EntityName):
		if self.Asleep:
			me = Bladex.GetEntity(EntityName)
			me.Blind=0  
			me.Deaf=0
			self.Asleep = FALSE
			
		
				
	
	# Functions for loading and saving state
	def __getstate__(self):	
		NPCPerson_state=Enm_Def.NPCPerson.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			return NPCPerson_state
		NPCPerson_state[1]["EnemyCharImp"]=(self.NameOfEnemy)
		return NPCPerson_state
	
	
	def __setstate__(self,parm):
		Enm_Def.NPCPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["EnemyCharImp"]
			self.NameOfEnemy=parms[0]
			
		me=Bladex.GetEntity(self.Name)
		me.ImDeadFunc=self.NewImDeadFunc
		




class LittleImp (EnemyCharImp):

	dissapsound1=None
	dissapsound2=None
	missilesound1=None
	missilesound2=None
	missileconcsound=None
	lupsnd1=None
	clawname=""
	DeathFunc=None
	DeathArgs=()
	
	SpellMissilePS="ImpSpellEnergyConcAir"
	SpellConcPS="ImpMagicMissileAir"
	LuzR=200
	LuzG=220
	LuzB=160
	
	ImpFX= None

	def __init__(self, me):
		EnemyCharImp.__init__(self, me)

		self.SoundPriorities[Reference.SND_ARROW]   = 10.0
		self.SoundPriorities[Reference.SND_HIT]     = 50.0
		self.SoundPriorities[Reference.SND_NPC]     = 25.0
		self.SoundPriorities[Reference.SND_NOISYPC] = 30.0
		self.SoundPriorities[Reference.SND_PC]      = 80.0

		
		me.ImDeadFunc=self.NUImDeadFunc
		
		self.ImpFX= None
		self.clawname=""
		self.DeathFunc=None
		self.DeathArgs=()
		
		if me.MeshName =="LittleImp_Dust":
			self.SpellMissilePS="ImpSpellEnergyConcDust"
			self.SpellConcPS="ImpMagicMissileDust"
			self.LuzR=190
			self.LuzG=200
			self.LuzB=100
		elif me.MeshName =="LittleImp_Earth":
			self.SpellMissilePS="ImpSpellEnergyConcEarth"
			self.SpellConcPS="ImpMagicMissileEarth"
			self.LuzR=90
			self.LuzG=200
			self.LuzB=90
		elif me.MeshName =="LittleImp_Magma":
			self.SpellMissilePS="ImpSpellEnergyConcMagma"
			self.SpellConcPS="ImpMagicMissileMagma"
			self.LuzR=180
			self.LuzG=50
			self.LuzB=50
		elif me.MeshName =="LittleImp_Ice":
			self.SpellMissilePS="ImpSpellEnergyConcIce"
			self.SpellConcPS="ImpMagicMissileIce"
			self.LuzR=180
			self.LuzG=180
			self.LuzB=220
		elif me.MeshName =="LittleImp_Coal":
			self.SpellMissilePS="ImpSpellEnergyConcCoal"
			self.SpellConcPS="ImpMagicMissileCoal"
			self.LuzR=40
			self.LuzG=40
			self.LuzB=70	
		
		
		self.GrowClaw()
		
		AddImpFX(me.Name,self)
		
		
		
		me.AddAnmEventFunc("Lmpmagicstart", self.PrepareShoot)
		me.AddAnmEventFunc("Lmpmagicfire", self.Shoot)
		
		
		self.dissapsound1=Bladex.CreateSound("..\\..\\Sounds\\rugido-wyverna.wav", "DissappearSound1")
		self.dissapsound1.Volume=1.0
		self.dissapsound1.Pitch=1.6
		self.dissapsound1.MinDistance=10000
		self.dissapsound1.MaxDistance=20000
		
		self.dissapsound2=Bladex.CreateSound("..\\..\\Sounds\\fireball-swing.wav", "DissappearSound2")
		self.dissapsound2.Volume=1.0
		self.dissapsound2.MinDistance=10000
		self.dissapsound2.MaxDistance=20000
		
		self.missilesound1=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO.wav", "MissileSound1")
		self.missilesound1.Volume=0.6
		self.missilesound1.MinDistance=10000
		self.missilesound1.MaxDistance=20000
		
		self.missilesound2=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO2.wav", "MissileSound2")
		self.missilesound2.Volume=0.6
		self.missilesound2.MinDistance=10000
		self.missilesound2.MaxDistance=20000
		
		self.missileconcsound=Bladex.CreateSound("..\\..\\Sounds\\aparicion-espada.wav", "MissileConcSound")
		self.missileconcsound.Volume=0.6
		self.missileconcsound.MinDistance=10000
		self.missileconcsound.MaxDistance=20000
		
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
		
		
		
	def ResetSounds(self, EntityName):
		AniSoundLittleImp.AsignarSonidosLittleImp(EntityName)
		Bladex.ReadBitMap("../../Maps/DwarfWarsII/NUFiles/NULittleImpStuff/LittleImp_AirIcon.bmp","LmpIcon")
		Reference.EnemiesScorerData[self.Name]=("LmpIcon","Lmp")	
		


	def OnKilledEnemy(self,KilledEntityName):
		print "Imp Leveling up"
		KilledEntity=Bladex.GetEntity(KilledEntityName)
		if KilledEntity is None:
			return
		me=Bladex.GetEntity(self.Name)
		Bladex.AddScheduledFunc(Bladex.GetTime()+1.0, self.LookForAnotherOpponent,(self.Name,))
		me.PartialLevel=me.PartialLevel+CharStats.GetCharExperienceReward(KilledEntity.CharType,KilledEntity.Level)
		LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
		if me.PartialLevel>=LevelLimit and me.Life>0:
			while me.PartialLevel>=LevelLimit:
				me.PartialLevel=me.PartialLevel-LevelLimit
				me.Level=me.Level+1
				LevelLimit=CharStats.GetCharExperienceCost(me.CharType,me.Level)
			maxlevel=CharStats.GetMaxLevel()
			maxsize=50+(140/maxlevel)*me.Level 
			maxPPS=120+(600/maxlevel)*me.Level 
			maxint=0.5+(4.5/maxlevel)*me.Level 
			AuraParams=(5, 0, 1, 0, 0, 1)
			AuraGradient=(2, 0.4, 0.6, 1.0, 0.5, 0.0, 0.1, 0.2, 1.0, 0.0, 0.8)
			AuraVar1Args=(5, maxsize, 0, 1, 0.5)
			AuraVar2Args=(maxsize, 5, 1, 0, 1.0)
			ImpLevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, maxint, "Timer15", 15)
			if me.Life >0: 
				me.ResetWounds()
				me.Life = CharStats.GetCharMaxLife(me.Kind, me.Level)
			self.lupsnd1.Play(me.Position[0],me.Position[1],me.Position[2],0)
			self.UpgradeMyClaw()
			
			
			
	
	
	
			
	def UpgradeMyClaw(self):
		me = Bladex.GetEntity(self.Name)
		reallvl=me.Level+3
		clwdam=reallvl*reallvl
		vdam=reallvl
		fdam=clwdam*2
		xdam=clwdam*2
		if self.clawname:
			
			if me.MeshName=="LittleImp_Magma":
				Reference.EntitiesObjectData[self.clawname][1]=clwdam
				Reference.EntitiesObjectData[self.clawname].append(["Fire",+fdam])
				
			elif me.MeshName=="LittleImp_Ice":
				Reference.EntitiesObjectData[self.clawname][1]=clwdam
				Reference.EntitiesObjectData[self.clawname].append(["Ice",+fdam])
				
			elif me.MeshName=="LittleImp_Earth":
				Reference.EntitiesObjectData[self.clawname][1]=clwdam
				Reference.EntitiesObjectData[self.clawname].append(["Venom",+vdam])
			elif me.MeshName=="LittleImp_Coal":
				Reference.EntitiesObjectData[self.clawname][1]=xdam
			else:
				Reference.EntitiesObjectData[self.clawname][1]=clwdam
			print "Imp Claw upgraded"
		
		
		
		
		
		
		
	def ResetCombat (self,EntityName):
		Enm_Def.NPCPerson.ResetCombat(self, EntityName)
		me= Bladex.GetEntity(EntityName)	
		if me and me.Life>0:
			self.AttacksOwnKind= FALSE
			self.AttackingNPC=TRUE
			self.AttackNPCTime = 100
			me.AttackList= BCopy.deepcopy(LittleImpAttackData)
			self.ChanceOfFuryOnHurt = 0.0
			self.ChanceOfFuryOnLeaderDeath= 0.0
			
			
	def MoveMeAway(self,EntityName):
		me = Bladex.GetEntity(EntityName)
		me.Position=0,30000,0
			
	
	def NUImDeadFunc (self,EntityName):
		me = Bladex.GetEntity(EntityName)
		inv=me.GetInventory()
		wps=Bladex.CreateEntity(EntityName+"WPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
		wps.PersonName=EntityName
		wps.ParticleType="DeathCloud"
		wps.Time2Live=16
		wps.RandomVelocity=2.0
		wps.Velocity=0,0,0
		wps.NormalVelocity=2
		wps.YGravity=0
		wps.DeathTime=Bladex.GetTime()+5.50
		wps.PPS=1024
		me.Alpha=1.0
		me.RasterMode="Read"
		me.CastShadows=0
		AuxFuncs.FadeObject(me.Name, 1.00, 0.0, 3.0)
		#Bladex.AddScheduledFunc(Bladex.GetTime()+3.1,me.SubscribeToList,("Pin",))
		Bladex.AddScheduledFunc(Bladex.GetTime()+3.1,self.MoveMeAway,(EntityName,))
		self.dissapsound1.Play(me.Position[0], me.Position[1], me.Position[2], 0)
		self.dissapsound2.Play(me.Position[0], me.Position[1], me.Position[2], 0)
		if self.clawname:
			dclaw=Bladex.GetEntity(self.clawname)
			Actions.RemoveFromInventory(me, dclaw,"DropRightEvent")
			dclaw.Alpha=0.0
			dclaw.Position=0,50000,0
		if(self.DeathFunc):
			apply(self.DeathFunc,self.DeathArgs)
		Enm_Def.NPCPerson.StdImDead(self,EntityName)
		print"LittleImp disappeared"
		
	
	
	def GrowClaw(self):
		me = Bladex.GetEntity(self.Name)
		inv=me.GetInventory()
		dclaw=Bladex.CreateEntity(self.Name+"_Claw","ImpClaw2",0,0,0, "Weapon")
		dclaw.Scale=1.0
		dclaw.Alpha=0.0
		dclaw.RasterMode="Read"
		dclaw.CastShadows=0
		inv.AddWeapon(dclaw.Name)
		inv.LinkRightHand(dclaw.Name)
		self.clawname=dclaw.Name
		Reference.EntitiesObjectData[self.clawname]=[Reference.OBJ_WEAPON, 1, 0, 1.0,  Reference.THR_SPINNING, [Reference.W_FLAG_1H,]]
		self.UpgradeMyClaw()
		print "Imp claw attached"
	
	
	
	#### Spells ##################################################################################
	
	def MissileImpact(self, EntityName, VictimName, ImpX, ImpY, ImpZ):
		missile=Bladex.GetEntity(EntityName)
		missile.Data.missilesound.StopSound()
		x, y, z=missile.Position
		self.missilesound2.Play(x, y, z, 0)
		impactps=Bladex.CreateEntity("ImpactPS", "Entity Particle System D1", x, y, z)
		impactps.ParticleType=self.SpellMissilePS
		impactps.PPS=2000
		impactps.YGravity=1400.0
		impactps.Friction=0.06
		impactps.Velocity=-ImpX/5.0, -ImpY/5.0, -ImpZ/5.0
		impactps.RandomVelocity=40.0
		impactps.Time2Live=20
		impactps.DeathTime=Bladex.GetTime()+0.25
		luzimp=Bladex.CreateEntity("LuzImpacto", "Entity Spot", x-ImpX/10.0, y-ImpY/10.0, z-ImpZ/10.0)
		luzimp.Color=self.LuzR,self.LuzG,self.LuzB
		luzimp.Intensity=1.0
		luzimp.Precission=0.001
		luzimp.CastShadows=0
		luzimp.Flick=0
		luzimp.Visible=0
		
		missileesphere=missile.Data.Sphere
		if missileesphere:
			missile.Unlink(missileesphere)
			AuxFuncs.FadeObject(missileesphere.Name, missileesphere.Alpha, 0.0, 0.5, 1)						
		AuxFuncs.SpotIntensityVariation(luzimp.Name, 1.0, 0.0, 1.0, 1)
		missile.Data.OldInflictHitFunc(EntityName, VictimName, ImpX, ImpY, ImpZ)		
		Bladex.AddScheduledFunc(Bladex.GetTime(), self.DeleteMissile, (missile.Name,),"DeleteMissile")
	
	
	
	def MissileOnHit (self, MissileName, hit_entity):
		missile=Bladex.GetEntity(MissileName)
		if hit_entity:
			#print MissileName+" hitting "+hit_entity
			pass
		else:
			missile.Data.missilesound.StopSound()
			x, y, z=missile.Position
			self.missilesound2.Play(x, y, z, 0)
			impactps=Bladex.CreateEntity("ImpactPS", "Entity Particle System D1", x, y, z)
			impactps.ParticleType=self.SpellMissilePS 
			impactps.PPS=2000
			impactps.YGravity=1400.0
			impactps.Friction=0.06
			impactps.RandomVelocity=40.0
			impactps.Time2Live=20
			impactps.DeathTime=Bladex.GetTime()+0.25
			luzimp=Bladex.CreateEntity("LuzImpacto", "Entity Spot", x, y, z)
			luzimp.Color=self.LuzR,self.LuzG,self.LuzB
			luzimp.Intensity=0.6
			luzimp.Precission=0.001
			luzimp.CastShadows=0
			luzimp.Flick=0
			luzimp.Visible=0
			
			missileesphere=missile.Data.Sphere			
			if missileesphere:
				missile.Unlink(missileesphere)
				AuxFuncs.FadeObject(missileesphere.Name, missileesphere.Alpha, 0.0, 0.5, 1)
			AuxFuncs.SpotIntensityVariation(luzimp.Name, 1.0, 0.0, 1.0, 1)			
			Bladex.AddScheduledFunc(Bladex.GetTime(), self.DeleteMissile, (missile.Name,),"DeleteMissile")
	
	
	def DeleteMissile(self, missileName):
		missile=Bladex.GetEntity(missileName)
		if missile:
			if Reference.EntitiesObjectData.has_key(missile.Name):
				del Reference.EntitiesObjectData[missile.Name]
			missile.Damage=0
			missile.SubscribeToList("Pin")
	
	
	def PrepareShoot(self, EntityName, EventName):
		print "Imp preparing missile"
		me=Bladex.GetEntity(EntityName)
		if me:
			mcps=Bladex.CreateEntity("MissileConcPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
			mcps.PersonName=EntityName
			mcps.PersonNodeName="R_Hand"
			mcps.FollowFactor=1.0
			mcps.ParticleType=self.SpellConcPS
			mcps.PPS=600
			mcps.YGravity=0.0
			mcps.Friction=0.0
			mcps.Velocity=0.0, 0.0, 0.0
			mcps.RandomVelocity=-8.0
			mcps.NormalVelocity=-8.0
			mcps.Time2Live=30
			mcps.DeathTime=Bladex.GetTime()+1.0
			x,y,z= me.GraspPos("R_Hand")
			self.missileconcsound.Play(x, y, z, 0)
			
			
	
	def Shoot(self,EntityName,EventName):
		print "Imp shooting missile"
		me = Bladex.GetEntity(EntityName)
		if me and me.Life>0:
			x,y,z= me.GraspPos("R_Hand")
			target= Bladex.GetEntity(me.GetEnemyName())
			target_pos= target.Position			
			angle= -B3DLib.GetYAngle(target_pos[0]-x,target_pos[1]-y,target_pos[2]-z)
			
			vx,vy,vz=me.Rel2AbsVector(0.0, -math.cos(angle)*3000, -math.sin(angle)*3000)
			
			msps=Bladex.CreateEntity("MissileShootPS", "Entity Particle System Dperson", 0.0, 0.0, 0.0)
			msps.PersonName=EntityName
			msps.PersonNodeName="R_Hand"
			msps.ParticleType=self.SpellConcPS
			msps.PPS=1800
			msps.YGravity=0.0
			msps.Friction=0.1
			msps.Velocity=0.0, 0.0, 0.0
			msps.RandomVelocity=20.0
			msps.NormalVelocity=40.0
			msps.Time2Live=15
			msps.DeathTime=Bladex.GetTime()+0.2
			self.missilesound1.Play(x, y, z, 0)
			missileesphere=Bladex.CreateEntity("MissileEsphere", "EsferaNegra", 0.0, 0.0, 0.0)
			missileesphere.Alpha=0.0
			missileesphere.Scale=0.3
			AuxFuncs.FadeObject(missileesphere.Name, 0.0, 0.7, 1.0)
			missileps1=Bladex.CreateEntity("MissilePS1", "Entity Particle System D1", 0.0, 0.0, 0.0)
			missileps1.ParticleType=self.SpellMissilePS 
			missileps1.PPS=200
			
			missileps1.YGravity=0.0
			missileps1.Friction=0.08
			missileps1.Velocity=0.0, 0.0, 0.0
			missileps1.RandomVelocity=15.0
			missileps1.Time2Live=30
			missileps2=Bladex.CreateEntity("MissilePS2", "Entity Particle System D1", 0.0, 0.0, 0.0)
			missileps2.ParticleType=self.SpellMissilePS 
			missileps2.PPS=100
			missileps2.YGravity=0.0
			missileps2.Friction=0.04
			missileps2.Velocity=0.0, 0.0, 0.0
			missileps2.RandomVelocity=-5.0
			missileps2.Time2Live=25
			
			
			missile=ItemTypes.MakeHunterSeekerMissile("MM1", x,y,z,vx,vy,vz, me.GetEnemyName())
			
			missile.Intensity=1.0
			missile.Color= self.LuzR,self.LuzG,self.LuzB
			missile.CastShadows=0
			missile.Visible=0
			missile.Flick=0
			missilesound=Bladex.CreateEntity("MissileSound", "Entity Sound", 0, 0, 0)
			missilesound.SetSound("..\\..\\Sounds\\mist-atmos-1.wav")
			missilesound.MinDistance=10000
			missilesound.MaxDistance=20000
			missile.Link(missilesound)
			missile.Link(missileps1)
			missile.Link(missileps2)
			missile.Link(missileesphere)
			
			missileps1.FollowFactor=1.0
			missilesound.PlaySound(-1)
			InitDataField.Initialise(missile)
			missile.Data.OldInflictHitFunc=missile.InflictHitFunc
			missile.InflictHitFunc=self.MissileImpact
			missile.OnHitFunc=self.MissileOnHit
			missile.Data.missilesound=missilesound
			missile.Data.Sphere=missileesphere
			
			print "Creating EntitiesObjectData for sphere in Shoot()"
			Reference.EntitiesObjectData[missile.Name]= BCopy.deepcopy(Reference.DefaultObjectData['EsferaNegra'])
			
			
	# Functions for loading and saving state
	def __getstate__(self):
		NPCPerson_state=Enm_Def.NPCPerson.__getstate__(self)
		if(NPCPerson_state[0]!=1):
			print "ERROR: LittleImp.__getstate__(): Base class version differs."			
			return NPCPerson_state
		NPCPerson_state[1]["LittleImp"]=(self.dissapsound1,
						self.dissapsound2,
						self.ImpFX,
						GameStateAux.SaveFunctionAux(self.DeathFunc),
						self.DeathArgs,
						self.clawname,
						self.SpellMissilePS,
						self.SpellConcPS,
						self.LuzR,
						self.LuzG,
						self.LuzB)
		return NPCPerson_state		

	def __setstate__(self,parm):
		Enm_Def.NPCPerson.__setstate__(self,parm)
		version=parm[0]
		if version==1:
			parms=parm[1]["LittleImp"]
			self.dissapsound1=parms[0]
			self.dissapsound2=parms[1]
			self.ImpFX=parms[2]
			GameStateAux.LoadFunctionAux(parms[3],self,"DeathFunc")
			self.DeathArgs=parms[4]
			self.clawname=parms[5]
			self.SpellMissilePS=parms[6]
			self.SpellConcPS=parms[7]
			self.LuzR=parms[8]
			self.LuzG=parms[9]
			self.LuzB=parms[10]	
			me=Bladex.GetEntity(self.Name)
			AddImpFX(me.Name,self)
			
			me.AddAnmEventFunc("Lmpmagicstart", self.PrepareShoot)
			me.AddAnmEventFunc("Lmpmagicfire", self.Shoot)
		
		
		
		self.dissapsound1=Bladex.CreateSound("..\\..\\Sounds\\rugido-wyverna.wav", "DissappearSound1")
		self.dissapsound1.Volume=1.0
		self.dissapsound1.Pitch=1.3
		self.dissapsound1.MinDistance=10000
		self.dissapsound1.MaxDistance=20000
		
		self.dissapsound2=Bladex.CreateSound("..\\..\\Sounds\\fireball-swing.wav", "DissappearSound2")
		self.dissapsound2.Volume=1.0
		self.dissapsound2.MinDistance=10000
		self.dissapsound2.MaxDistance=20000
		
		self.missilesound1=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO.wav", "MissileSound1")
		self.missilesound1.Volume=0.6
		self.missilesound1.MinDistance=10000
		self.missilesound1.MaxDistance=20000
		
		self.missilesound2=Bladex.CreateSound("..\\..\\Sounds\\M-IMPACTO-FUEGO2.wav", "MissileSound2")
		self.missilesound2.Volume=0.6
		self.missilesound2.MinDistance=10000
		self.missilesound2.MaxDistance=20000
		
		self.missileconcsound=Bladex.CreateSound("..\\..\\Sounds\\aparicion-espada.wav", "MissileConcSound")
		self.missileconcsound.Volume=0.6
		self.missileconcsound.MinDistance=10000
		self.missileconcsound.MaxDistance=20000
		
		self.lupsnd1=Bladex.CreateSound("..\\..\\Sounds\\aparicion-escudo.wav", "LUPSnd1")
		self.lupsnd1.Volume=1.0
		self.lupsnd1.MinDistance=10000
		self.lupsnd1.MaxDistance=30000	
				
	
LittleImpAttackData =	[ 
           # inner zone blocks:
            [Combat.BLOCK,  1.32, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.32, (),                   500.0, 1000.0, 3000.0, 0.35],
            [Combat.BLOCK,  0.10, "tr",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.14, "tl",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.19, "tb",                 750.0, 1500.0, 3500.0, 0.50],
            [Combat.BLOCK,  0.10, "tf",                 750.0, 1500.0, 3500.0, 0.50],

           # dodges: 
	    [Combat.DODGE,  0.25, "d_r",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.25, "d_l",                500.0, 1200.0, 2800.0, 0.35],
            [Combat.DODGE,  0.00, "d_b",                500.0, 1200.0, 2800.0, 0.35],

           # attacks:
            [Combat.ATTACK, 0.26, ("g_01",),            0.0, 1000.0, 2200.0, 0.35],
            [Combat.ATTACK, 0.26, ("g_02",),            0.0, 1000.0, 2200.0, 0.35],
            
            [Combat.ATTACK, 0.04, ("SP1",),            7000.0, 12000.0,30000.0, 0.35],
            
            [Combat.ATTACK, 0.12, ("COMBO3",),         6000.0, 8000.0, 11000.0, 0.35],
         
           # inner zone moves:
            [Combat.MOVE,   0.025, "tr",                750.0, 1500.0, 3000.0, 0.35],
            [Combat.MOVE,   0.025, "tl",                750.0, 1500.0, 3000.0, 0.35],
            [Combat.MOVE,   0.0625,"tb",                750.0, 1500.0, 3000.0, 0.35],
            [Combat.MOVE,   0.0375,"tf",                750.0, 1500.0, 3000.0, 0.35],
            
           # outer zone moves:
            [Combat.MOVE,   0.002, Combat.Insult,             5000.0, 7000.0, 9000.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             6000.0, 6250.0, 6500.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             7000.0, 7250.0, 7500.0, 0.50,1],
            [Combat.MOVE,   0.002, Combat.Insult,             8000.0, 8250.0, 8500.0, 0.50,1],
            [Combat.MOVE,   0.02, Combat.Insult,             9000.0, 9250.0, 9500.0, 0.50,1],
            
            [Combat.MOVE,   0.025,  "tr",              3000.0, 3500.0, 4500.0, 0.35,1],
            [Combat.MOVE,   0.025,  "tl",              3000.0, 3500.0, 4500.0, 0.35,1],
            [Combat.MOVE,   0.0625,"tb",               3000.0, 3500.0, 4500.0, 0.35,1],
            [Combat.MOVE,   0.0375,"tf",               3000.0, 3500.0, 4500.0, 0.35,1],
]


#########################################################################################################################################################
########## LevelUp FX


# LevelUpFX(me.Name, 1, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, PSParams, maxint, "Timer15", 15)

def ImpLevelUpFX(EntityName,ColourGradation, AuraParams, AuraGradient, AuraVar1Args, AuraVar2Args, LightIntensity, timer="Timer15", timespersec=15):

	# ColourGradation=0/1
	# AuraParams=(Size, Alpha, ColourIntensity, HideFrontFaces, HideBackFaces, AlphaMode)
	# AuraGradient=(Gap, r1, g1, b1, alpha1, StartingPoint, r2, g2, b2, alpha2, EndingPoint)
	# AuraVarArgs=(init_size, end_size, init_alpha, end_alpha, time)
	# PSParams=(LevelUpParticleData, ParticleType, ParticleLife, r, g, b, PPS, YGravity, Friction, RandomVelocity, NormalVelocity, FollowFactor, Time2Live, DeathTime)

	ent=Bladex.GetEntity(EntityName)
	if ColourGradation:
		maxlevel=CharStats.GetMaxLevel()
		frlevel=maxlevel/4.0
		fr1level=round(frlevel)
		fr2level=round(2.0*frlevel)
		fr3level=round(3.0*frlevel)
		clevel=ent.Level
		if clevel>fr3level:
			r=255
			g=255*(min(max(0, (maxlevel-clevel)/(maxlevel-fr3level)), 1)) # 255->0
			b=0
		elif clevel>fr2level:
			r=255*(min(max(0, (clevel-fr2level)/(fr3level-fr2level)), 1)) # 0->255
			g=255
			b=0
		elif clevel>fr1level:
			r=0
			g=255
			b=255*(min(max(0, (fr2level-clevel)/(fr2level-fr1level)), 1)) # 255->0
		else:
			r=0
			g=255*(min(max(0, (clevel/fr1level)), 1)) # 0->255
			b=255
		AuraGradient=(AuraGradient[0], r/255.0, g/255.0, b/255.0, AuraGradient[4], AuraGradient[5], r/255.0, g/255.0, b/255.0, AuraGradient[9], AuraGradient[10])
	
	
	AuraName=EntityName+"AuraLevelUp"
	a2, b2, c2, d2, e2, f2, g2, h2, i2, j2, k2=AuraName, AuraVar2Args[0], AuraVar2Args[1], AuraVar2Args[2], AuraVar2Args[3], AuraVar2Args[4], 1, "", (), timer, timespersec
	a1, b1, c1, d1, e1, f1, g1, h1, i1, j1, k1=AuraName, AuraVar1Args[0], AuraVar1Args[1], AuraVar1Args[2], AuraVar1Args[3], AuraVar1Args[4], 0, AuxFuncs.FadeAndScaleAura, (a2, b2, c2, d2, e2, f2, g2, h2, i2, j2, k2), timer, timespersec
	alup=Bladex.CreateEntity(AuraName, "Entity Aura", 0, 0, 0)
	alup.SetAuraParams(AuraParams[0], AuraParams[1], AuraParams[2], AuraParams[3], AuraParams[4], AuraParams[5])
	alup.SetAuraGradient(AuraGradient[0], AuraGradient[1], AuraGradient[2], AuraGradient[3], AuraGradient[4], AuraGradient[5], AuraGradient[6], AuraGradient[7], AuraGradient[8], AuraGradient[9], AuraGradient[10])
	ent.Link(alup)
	alup.SetAuraActive(1)
	AuxFuncs.FadeAndScaleAura(a1, b1, c1, d1, e1, f1, g1, h1, i1, j1, k1)
	
	
	llup=Bladex.CreateEntity(EntityName+"LightLevelUp", "Entity Spot", 0, 0, 0)
	llup.Color=r, g, b
	llup.Intensity=0.0
	llup.Precission=0.01
	llup.CastShadows=0
	llup.Visible=0
	llup.Flick=0
	ent.Link(llup)
	AuxFuncs.SpotIntensityVariation(llup.Name, 0.0, LightIntensity, f1/1.6, 0, 0.0, 0.0, timer, timespersec)
	Bladex.AddScheduledFunc(Bladex.GetTime()+f1, AuxFuncs.SpotIntensityVariation, (llup.Name, LightIntensity, 0.0, f2/1.2, 1, 0.0, 0.0, timer, timespersec))
	

###### Vapour FX


class ImpFX:

	def __init__(self, ImpName, prtldata,auraparams, auragradient):
		self.ObjId= ObjStore.GetNewId()
		ObjStore.ObjectsStore[self.ObjId]= self
		pers=Bladex.GetEntity(ImpName)
		self.ImpName=ImpName
		self.Vapour=None
		self.Aura=None
		
		if prtldata:
			pt, pps, v, nv, rv, g, fr, ff, t2l=prtldata
			self.Vapour=Bladex.CreateEntity(ImpName+"Vapour", "Entity Particle System Dperson", 0, 0, 0)
			self.Vapour.PersonName=ImpName
			self.Vapour.ParticleType=pt
			self.Vapour.PPS=pps
			self.Vapour.Velocity=v
			self.Vapour.NormalVelocity=nv
			self.Vapour.RandomVelocity=rv
			self.Vapour.YGravity=g
			self.Vapour.Friction=fr
			self.Vapour.FollowFactor=ff
			self.Vapour.Time2Live=t2l
		if auraparams:
			s, a, ci, f, b, am=auraparams
			m, r1, g1, b1, a1, imd, r2, g2, b2, a2, emd=auragradient
			self.Aura=Bladex.CreateEntity(ImpName+"Aura", "Entity Aura", 0, 0, 0)
			self.Aura.SetAuraParams(s, a, ci, f, b, am)
			self.Aura.SetAuraGradient(m, r1, g1, b1, a1, imd, r2, g2, b2, a2, emd)
			pers.Link(self.Aura)
			self.Aura.SetAuraActive(1)


	def persistent_id(self):
		return self.ObjId

	def __getstate__(self):
		return (1,
				self.ObjId,
				self.ImpName,
				GameStateAux.SaveEntityAux(self.Vapour),
				GameStateAux.SaveEntityAux(self.Aura)
			)


	def __setstate__(self,parm):
		print "ImpFX.__setstate__()",parm
		if parm[0]==1:
			self.ObjId= parm[1]
			ObjStore.ObjectsStore[self.ObjId]=self
			self.ImpName=parm[2]
			self.Vapour=GameStateAux.LoadEntityAux(parm[3])
			self.Aura=GameStateAux.LoadEntityAux(parm[4])
		else:
			print "ImpFX.__setstate__() -> Version mismatch"
			self.ImpName=""
			self.Vapour=""
			self.Aura=""
			self.ObjId= ObjStore.GetNewId()
			ObjStore.ObjectsStore[self.ObjId]=self
			
			
			
			
def AddImpFX(ImpName, data):
	pers=Bladex.GetEntity(ImpName)
	if not pers:
		print "El skel especificada no existe!"
		return
	if pers.MeshName =="LittleImp_Air":
		auraparams=()
		auragradient=()
		prtldata=("ImpGasAir", 30, (0.0, 0.0, 0.0), 0.0, 1.0, 150.0, 0.2, 0.0, 60)       # (PrtlType, PPS, Vel=(v1, v2, v3), NormalVel, RndVel, YGrav, Friction, FollowFactor, Time2Live)
	elif pers.MeshName=="LittleImp_Dust":
		auraparams=()
		auragradient=()
		prtldata=("ImpGasDust", 30, (0.0, 0.0, 0.0), 0.0, 1.0, 150.0, 0.2, 0.0, 60)  
	elif pers.MeshName=="LittleImp_Earth":
		auraparams=()
		auragradient=()
		prtldata=("ImpGasEarth", 30, (0.0, 0.0, 0.0), 0.0, 1.0, 150.0, 0.2, 0.0, 60)    
	elif pers.MeshName=="LittleImp_Magma":
		auraparams=()
		auragradient=()
		prtldata=("ImpGasMagma", 30, (0.0, 0.0, 0.0), 0.0, 1.0, 150.0, 0.2, 0.0, 60)    
	elif pers.MeshName=="LittleImp_Ice":
		auraparams=()
		auragradient=()
		prtldata=("ImpGasIce", 30, (0.0, 0.0, 0.0), 0.0, 1.0, 150.0, 0.2, 0.0, 60)  
	elif pers.MeshName=="LittleImp_Coal":
		auraparams=()
		auragradient=()
		prtldata=("ImpGasCoal", 30, (0.0, 0.0, 0.0), 0.0, 1.0, 150.0, 0.2, 0.0, 60)                      
	else:
		prtldata=()
		auraparams=()
		auragradient=()
		
	data.ImpFX=ImpFX(ImpName, prtldata, auraparams, auragradient)
