import Bladex
import math
import DefAnims
##########################
# Create New Biped Data  #
##########################


    ########################
    #                      #
    # Lookout Man          #
    #                      #
    ########################
    

  
    
    
#import ManAnm_def
#ManAnm_def.InitMan()    
 
    
lkm=Bladex.GetCharType("LookoutMan","Lkm")
lkm.IntName="Lkm" 

lkm.TurnSpeed=3.4
lkm.Jcost=27000
lkm.MaxFall=5000
lkm.DieFall=14000
lkm.MaxStair=335
lkm.Fov=math.pi
lkm.MaxGrab=3500.0
lkm.MedGrab=2500.0
lkm.Min2Grab=1500.0    
lkm.MinTake=-500.0	# Min height above floor barbarian will take
lkm.MaxTake1=450.0	# Max height above floor for Take1 Anim
lkm.MaxTake2=550.0	# Max height above floor for Take2 Anim
lkm.MaxTake3=1300.0	# Max height above floor for Take3 Anim
lkm.MaxTake4=1900.0	# Max height above floor for Take4 Anim
lkm.MaxTake5=3000.0	# Max height above floor for Take5 Anim
lkm.Reach=2000.0	# Max distance from bar centre to obj centre to take
lkm.MovFrwdSpeedInStrafe=1000  #Forwards speed when in strafe(combat mode only)
lkm.MovBkwdSpeedInStrafe=1000  #Idem backwards
lkm.MaxCombatDist=14000
lkm.MaxSeeDist=80000 ######

lkm.SetNCDSpheres(2)  #Numero de esferas en el modelo de colisiones
lkm.SetCDSphere(0,90.0,500.0)  #(numero de la espera, altura mm, radio mm)
lkm.SetCDSphere(1,-240.0,500.0)  #(numero de la espera, altura mm, radio mm)



lkm.NaturalWeapons=0

###############################################################################
#

def LookoutManWhenFirst():
	Bladex.CreateBipedData("Lkm","LookoutMan")
	
	#############################################################
	# Uncoment the following section only after making changes, #
	# otherwise comment out to speed load times                 #
	#############################################################
	
	#import os

	#try:
	#	os.remove("..\\..\\AnmPak\\Lkm.dat")
	#except:
	#	pass
		
	#####################################################

	exitsPak=Bladex.LoadAnmRaceData("../../AnmPak/Lkm.dat")

	import LookoutManAnimationSet
	LookoutManAnimationSet.LoadLookoutManAnimationSet("Lkm")
	
	import LookoutManBAct
	import LinkTables
	LinkTables.LinkMe("Lkm")
	
	import LookoutManCombos
	
	import AnmFactLkm
	AnmFactLkm.InitAnmFactLkm()
	
	import LookoutManStats
	if not exitsPak:
		Bladex.SaveAnmRaceData("../../AnmPak/Lkm.dat","Lkm")
		
	print"New LookoutMan Data Set"
	
	Bladex.AddFloorCTolerance("slip",10)


		
		
race=Bladex.GetCharType("LookoutMan","Lkm")
race.OnFirst=LookoutManWhenFirst


