import Bladex


Bladex.AddParticleGType("AguaC2","WaterParticle",B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	r=150
	g=170
	b=170
	a=40
	size=500.0
	Bladex.SetParticleGVal("AguaC2",i,r,g,b,a,size)


Bladex.AddParticleGType("AguaC","WaterParticle",B_PARTICLE_GTYPE_BLEND,60)

for i in range(60):
	r=100
	g=100
	b=100
	a=60
	size=120.0
	Bladex.SetParticleGVal("AguaC",i,r,g,b,a,size)


Bladex.AddParticleGType("Espuma","SmokeParticle",B_PARTICLE_GTYPE_BLEND,10)

for i in range(10):
	aux=(10.0-i)/10.0
	r=70
	g=70
	b=70
	#a=255*math.sqrt(1.0-aux)
	a=255
	size=600.0*math.sqrt(1.0-aux)
	Bladex.SetParticleGVal("Espuma",i,r,g,b,a,size)
	
	
###########################################################################################################################################################

pool1=Bladex.CreateEntity("RioGrande","Entity Water",0,20000,-100000)
pool1.Reflection=0
pool1.Color=12,15,15


pool2=Bladex.CreateEntity("HorseTrough","Entity Water",14000,-900,-13000)
pool2.Reflection=0
pool2.Color=40,30,30


pool3=Bladex.CreateEntity("OuterPool","Entity Water",213000,10000,53000)
pool3.Reflection=0
pool3.Color=12,15,15


pool4=Bladex.CreateEntity("TowerPool","Entity Water",46000,100,-28000)
pool4.Reflection=0
pool4.Color=40,40,50


CreateCascada("Cascada1",(215500,6900,62250),(1200.0, 0.0, -500.0),(300.0, -1000.0, -4500.0))

flow1=Bladex.CreateSound("..\\..\\Sounds\\small-waterfall.wav","cascadapro1")
flow1.MaxDistance=50000
flow1.MinDistance=600
flow1.Volume=1.0
flow1.BaseVolume=1.0
flow1.SendNotify=0

flow1.Play(215000,6900,62750,-1)


CreateCascada("Cascada2",(-23500, 4000.0, -115000.0),(2000,0.0,-6000),(-2000.0, -1000.0, 500.0),30)

flow2=Bladex.CreateSound("..\\..\\Sounds\\Large-Waterfall.wav","cascadapro2")
flow2.MaxDistance=50000
flow2.MinDistance=600
flow2.Volume=1.0
flow2.BaseVolume=1.0
flow2.SendNotify=0

flow2.Play(-24000, 0.0, -113500.0,-1)


global Ambience

if Ambience==1:
	Bladex.AddScheduledFunc(Bladex.GetTime()+5.0, StartLightning,())