import Bladex
import pocimac
import Actions
import QuiverTypes
import darfuncs
import Reference


import AribethTypes
import AllyNPCTypes
import PlayerTypes



# All New Char Data initilised in file InitNewChars.py before they are created


##########################################################################################################################################################



d=Bladex.CreateEntity("Dummy33","Enano7_B",15000, 11000, 225000)
d.Orientation=(0.5,0.5,-0.5,0.5)
Reference.EntitiesSelectionData["Dummy33"]=(8.0,4000.0,"Enano7_B")

d=Bladex.CreateEntity("Dummy34","Enano7_C",15000, 11000, 224000)
d.Orientation=(0.5,0.5,-0.5,0.5)
Reference.EntitiesSelectionData["Dummy34"]=(8.0,4000.0,"Enano7_C")

d=Bladex.CreateEntity("Dummy35","Enano7_D",15000, 11000, 223000)
d.Orientation=(0.5,0.5,-0.5,0.5)
Reference.EntitiesSelectionData["Dummy35"]=(8.0,4000.0,"Enano7_D")

d=Bladex.CreateEntity("Dummy36","Enano7_F",15000, 11000, 222000)
d.Orientation=(0.5,0.5,-0.5,0.5)
Reference.EntitiesSelectionData["Dummy36"]=(8.0,4000.0,"Enano7_F")

d=Bladex.CreateEntity("Dummy37","Fema20",15000, 11000, 220000)
d.Orientation=(0.5,0.5,-0.5,0.5)
Reference.EntitiesSelectionData["Dummy37"]=(8.0,4000.0,"Fema20")


##########################################################################################################################################################



if pjtype=="Wizard_A":
	import DorcasData
	import AllyDorcasTypes
	import DorcasWeaponTypes
	dor=Bladex.CreateEntity("Dorcas","Fem1Wiz",18000, -950, -560,"Person")
	dor.Angle=1.7
	sw=Bladex.CreateEntity("DorcasWP","ProRHWep2",0,5000,0, "Weapon")
	shd=Bladex.CreateEntity("DorcasSH","ProLHWep2",0,5000,0, "Weapon")
	shd.Data=DorcasWeaponTypes.ShieldSword(shd)
	Actions.TakeObject("Dorcas","DorcasWP")
	Actions.TakeObject("Dorcas","DorcasSH")
	dor.Data=AllyDorcasTypes.NPCDorcas(dor)
	AllyDorcasTypes.SetWeaponsDamage("Dorcas")
	dor.Data.SetLHDamage("Dorcas")
	dor.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+dor.Kind))
	char=Bladex.GetEntity("Player1")
	char.Data.AddAlly("Dorcas")
	dor.Data.DeathFunc=DorcasDead
	dor.Data.DeathArgs=(dor.Name,)
else:
	crys1=Bladex.CreateEntity("Crysania","ProAribeth_A",16410,-893,1984,"Person","Fema19")
	crys1.Scale=1
	crys1.Angle=1.7
	rwp=Bladex.CreateEntity("CrysaniaWP","Bichero",0,0,0,"Weapon")
	rwp.Scale=0.85  # she is only little....
	Actions.TakeObject("Crysania",rwp.Name)
	crys1.Data=Data=AllyNPCTypes.Crysania(crys1)
	crys1.Data.CreatePet()
	crys1.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+crys1.Kind))
	crys1.Data.DeathFunc=CrysaniaDead
	crys1.Data.DeathArgs=(crys1.Name,)
	crys1.Data.LevelupFunc=AllyNPCTypes.ValkyrieLevelUpFunc
	crys1.Data.LevelupArgs=(crys1.Name,)
	AllyNPCTypes.ValkyrieLevelUpFunc("Crysania")
	crys1.Data.Combatant=1
	crys1.SetOnFloor()
	char=Bladex.GetEntity("Player1")
	char.Data.AddAlly("Crysania")
	try:
		cat=Bladex.GetEntity("Crysania_Cat")
		if cat:
			cat.Data.DeathFunc=CatDead
			cat.Data.DeathArgs=("Crysania_Cat",)
	except:
		pass


##########################################################################################################################################################
######## Warriors


dwf1=Bladex.CreateEntity("Dwarf1","Enano1",-9227.0, -1278.0, 8597.0,"Person","Enano2")
dwf1.Scale=1
dwf1.Angle=0.5
potion=Bladex.CreateEntity ("Dwarf1POT", "Pocima50", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Dwarf1",potion.Name)
rwp=Bladex.CreateEntity("Dwarf1WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("Dwarf1",rwp.Name)
lwp=Bladex.CreateEntity("Dwarf1SH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Dwarf1",lwp.Name)
dwf1.Data=AllyNPCTypes.Enano(dwf1)
dwf1.Data.LevelupFunc=AllyNPCTypes.AllyLevelUpFunc
dwf1.Data.LevelupArgs=(dwf1.Name,)
dwf1.Data.DeathFunc=AllyDead
dwf1.Data.DeathArgs=(dwf1.Name,)
dwf1.Data.Combatant=1
dwf1.Data.OnGuard=1
dwf1.Data.SetGuardPoint(-15000,18000)
dwf1.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Dwarf1")



dwf2=Bladex.CreateEntity("Dwarf2","Enano1",-6465.0, -1291.0, -4498.0,"Person","Enano3")
dwf2.Scale=1
dwf2.Angle=1.5
potion=Bladex.CreateEntity ("Dwarf2POT", "Pocima50", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Dwarf2",potion.Name)
rwp=Bladex.CreateEntity("Dwarf2WP","Garrote",0,0,0,"Weapon")
Actions.TakeObject("Dwarf2",rwp.Name)
lwp=Bladex.CreateEntity("Dwarf2SH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Dwarf2",lwp.Name)
dwf2.Data=AllyNPCTypes.Enano(dwf2)
dwf2.Data.LevelupFunc=AllyNPCTypes.AllyLevelUpFunc
dwf2.Data.LevelupArgs=(dwf2.Name,)
dwf2.Data.DeathFunc=AllyDead
dwf2.Data.DeathArgs=(dwf2.Name,)
dwf2.Data.Combatant=1
dwf2.Data.OnGuard=1
dwf2.Data.SetGuardPoint(-35000,0)
dwf2.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Dwarf2")



dwf3=Bladex.CreateEntity("Dwarf3","Enano1",18000.0, -1091.0, 7000.0,"Person","Enano4")
dwf3.Scale=1
dwf3.Angle=3
rwp=Bladex.CreateEntity("Dwarf3WP","Hacha",0,0,0,"Weapon")
Actions.TakeObject("Dwarf3",rwp.Name)
lwp=Bladex.CreateEntity("Dwarf3SH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Dwarf3",lwp.Name)
dwf3.Data=AllyNPCTypes.Enano(dwf3)
dwf3.Data.LevelupFunc=AllyNPCTypes.AllyLevelUpFunc
dwf3.Data.LevelupArgs=(dwf3.Name,)
dwf3.Data.DeathFunc=AllyDead
dwf3.Data.DeathArgs=(dwf3.Name,)
dwf3.Data.Combatant=1
dwf3.Data.OnGuard=1
dwf3.Data.SetGuardPoint(15000,-11000)
dwf3.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Dwarf3")



dwf4=Bladex.CreateEntity("Dwarf4","Enano1",15000.0, -1091.0, -11000.0,"Person")
dwf4.Scale=1
dwf4.Angle=0
rwp=Bladex.CreateEntity("Dwarf4WP","Hacha",0,0,0,"Weapon")
Actions.TakeObject("Dwarf4",rwp.Name)
lwp=Bladex.CreateEntity("Dwarf4SH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Dwarf4",lwp.Name)
dwf4.Data=AllyNPCTypes.Enano(dwf4)
dwf4.Data.LevelupFunc=AllyNPCTypes.AllyLevelUpFunc
dwf4.Data.LevelupArgs=(dwf4.Name,)
dwf4.Data.DeathFunc=AllyDead
dwf4.Data.DeathArgs=(dwf4.Name,)
dwf4.Data.Combatant=1
dwf4.Data.OnGuard=1
dwf4.Data.SetGuardPoint(14000,0)
dwf4.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Dwarf4")


## New male Dwarf

backupdwarfs=[]

nudwf1=Bladex.CreateEntity("Enano7_1","Enano7",-9227.0, -1278.0, 18597.0,"Person")
nudwf1.Scale=1
nudwf1.Angle=1.6
rwp=Bladex.CreateEntity("Enano7_1WP","Hacha3",0,0,0,"Weapon")
Actions.TakeObject("Enano7_1",rwp.Name)
lwp=Bladex.CreateEntity("Enano7_1","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Enano7_1",lwp.Name)
nudwf1.Data=AllyNPCTypes.Enano7(nudwf1)
nudwf1.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf1.Kind))
nudwf1.Data.DeathFunc=AllyDwarfDead
nudwf1.Data.DeathArgs=(nudwf1.Name,)
nudwf1.Data.LevelupFunc=AllyNPCTypes.AllyLevelUpFunc
nudwf1.Data.LevelupArgs=(nudwf1.Name,)
AllyNPCTypes.AllyLevelUpFunc("Enano7_1")
nudwf1.Data.Combatant=1
nudwf1.Data.OnGuard=1
nudwf1.Data.SetGuardPoint(-19227,16597)
nudwf1.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("Enano7_1")


nudwf2=Bladex.CreateEntity("Enano7_2","Enano7",0, 20000, 0,"Person","Enano7_B")
nudwf2.Scale=1
nudwf2.Angle=1.6
rwp=Bladex.CreateEntity("Enano7_2WP","Hacha6",0,0,0,"Weapon")
Actions.TakeObject("Enano7_2",rwp.Name)
lwp=Bladex.CreateEntity("Enano7_2","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Enano7_2",lwp.Name)
nudwf2.Data=AllyNPCTypes.Enano7(nudwf2)
nudwf2.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf2.Kind))
nudwf2.Data.DeathFunc=AllyDwarfDead
nudwf2.Data.DeathArgs=(nudwf2.Name,)
nudwf2.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
nudwf2.Data.LevelupArgs=(nudwf2.Name,)
nudwf2.Data.Combatant=1
darfuncs.HideBadGuy(nudwf2.Name)
backupdwarfs.append("Enano7_2")


nudwf3=Bladex.CreateEntity("Enano7_3","Enano7",0,20000,0,"Person","Enano7_D")
nudwf3.Scale=1
nudwf3.Angle=1.0
rwp=Bladex.CreateEntity("Enano7_3WP","Martillo",0,0,0,"Weapon")
Actions.TakeObject("Enano7_3",rwp.Name)
nudwf3.Data=AllyNPCTypes.Enano7D(nudwf3)
nudwf3.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf3.Kind))
nudwf3.Data.DeathFunc=AllyDwarfDead
nudwf3.Data.DeathArgs=(nudwf3.Name,)
nudwf3.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
nudwf3.Data.LevelupArgs=(nudwf3.Name,)
nudwf3.Data.Combatant=1
darfuncs.HideBadGuy(nudwf3.Name)
backupdwarfs.append("Enano7_3")



nudwf4=Bladex.CreateEntity("Enano7_4","Enano7",0,20000,0,"Person","Enano7_C")
nudwf4.Scale=1
nudwf4.Angle=5.7
rwp=Bladex.CreateEntity("Enano7_4WP","Hacha2",0,0,0,"Weapon")
Actions.TakeObject("Enano7_4",rwp.Name)
lwp=Bladex.CreateEntity("Enano7_4SH","Escudo7",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Enano7_4",lwp.Name)
nudwf4.Data=AllyNPCTypes.Enano7C(nudwf4)
nudwf4.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf4.Kind))
nudwf4.Data.DeathFunc=AllyDwarfDead
nudwf4.Data.DeathArgs=(nudwf4.Name,)
nudwf4.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
nudwf4.Data.LevelupArgs=(nudwf4.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Enano7_4")
nudwf4.Data.Combatant=1
darfuncs.HideBadGuy(nudwf4.Name)
backupdwarfs.append("Enano7_4")


nudwf5=Bladex.CreateEntity("Enano7_5","Enano7",0,20000,0,"Person","Enano7_E")
nudwf5.Scale=1
nudwf5.Angle=1.4
rwp=Bladex.CreateEntity("Enano7_5WP","Maza3",0,0,0,"Weapon")
Actions.TakeObject("Enano7_5",rwp.Name)
nudwf5.Data=AllyNPCTypes.Enano7E(nudwf5)
nudwf5.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf5.Kind))
nudwf5.Data.DeathFunc=AllyDwarfDead
nudwf5.Data.DeathArgs=(nudwf5.Name,)
nudwf5.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
nudwf5.Data.LevelupArgs=(nudwf5.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Enano7_5")
nudwf5.Data.Combatant=1
darfuncs.HideBadGuy(nudwf5.Name)
backupdwarfs.append("Enano7_5")



nudwf6=Bladex.CreateEntity("Enano7_6","Enano7",0,20000,0,"Person","Enano7_F")
nudwf6.Scale=1
nudwf6.Angle=4.5
rwp=Bladex.CreateEntity("Enano7_6WP","Garrote2",0,0,0,"Weapon")
rwp.Scale=0.85
Actions.TakeObject("Enano7_6",rwp.Name)
nudwf6.Data=AllyNPCTypes.Enano7E(nudwf6)
nudwf6.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nudwf6.Kind))
nudwf6.Data.DeathFunc=AllyDwarfDead
nudwf6.Data.DeathArgs=(nudwf6.Name,)
nudwf6.Data.LevelupFunc=AllyNPCTypes.Sargon_Naglfar_LevelUpFunc
nudwf6.Data.LevelupArgs=(nudwf6.Name,)
AllyNPCTypes.Sargon_Naglfar_LevelUpFunc("Enano7_6")
nudwf6.Data.Combatant=1
darfuncs.HideBadGuy(nudwf6.Name)
backupdwarfs.append("Enano7_6")



############################## Heroes 


zoe=Bladex.CreateEntity("Zoe","Amazon_N",-100000.0, 0, 1000.0,"Person")
rwp=Bladex.CreateEntity("ZoeWP","ProSpear21",0,0,0,"Weapon")
Actions.TakeObject("Zoe",rwp.Name)
potion=Bladex.CreateEntity ("ZoePOT", "Pocima100", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Zoe",potion.Name)
zoe.Data=AllyNPCTypes.AllyAmazon(zoe)
zoe.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+zoe.Kind))
darfuncs.HideBadGuy("Zoe")


tuk=Bladex.CreateEntity("Tukaram","Barbarian_N",-100000.0, 0, 1000.0,"Person")
rwp=Bladex.CreateEntity("TukaramWP","ProSword15",0,0,0,"Weapon")
Actions.TakeObject("Tukaram",rwp.Name)
potion=Bladex.CreateEntity ("TukaramPOT", "Pocima100", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Tukaram",potion.Name)
tuk.Data=AllyNPCTypes.AllyBarbarian(tuk)
tuk.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+tuk.Kind))
darfuncs.HideBadGuy("Tukaram")


sgn=Bladex.CreateEntity("Sargon","Knight_N",-100000.0, 0, 1000.0,"Person")
rwp=Bladex.CreateEntity("SargonWP","ProSword4",0,0,0,"Weapon")
Actions.TakeObject("Sargon",rwp.Name)
lwp=Bladex.CreateEntity("SargonSH","Escudo3",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Sargon",lwp.Name)
potion=Bladex.CreateEntity ("SargonPOT", "Pocima100", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Sargon",potion.Name)
sgn.Data=AllyNPCTypes.AllyKnight(sgn)
sgn.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+sgn.Kind))
darfuncs.HideBadGuy("Sargon")


ari=Bladex.CreateEntity("Aribeth","ProAribeth_A",-100000.0, 0, 1000.0,"Person")
rwp=Bladex.CreateEntity("AribethWP","ProKatana1",0,0,0,"Weapon")
Actions.TakeObject("Aribeth",rwp.Name)
potion=Bladex.CreateEntity ("AribethPOT", "Pocima100", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Aribeth",potion.Name)
ari.Data=AribethTypes.AllyAribeth(ari)
ari.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+ari.Kind))
darfuncs.HideBadGuy("Aribeth")


nal=Bladex.CreateEntity("Naglfar","Dwarf_N",-100000.0, 0, 1000.0,"Person")
rwp=Bladex.CreateEntity("NaglfarWP","ProAxe12",0,0,0,"Weapon")
Actions.TakeObject("Naglfar",rwp.Name)
lwp=Bladex.CreateEntity("NaglfarSH","Escudo2",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("Naglfar",lwp.Name)
potion=Bladex.CreateEntity ("NaglfarPOT", "Pocima100", 0,5000,0, "Physic")
potion.Scale=1.220190
pocimac.CreatePotion(potion.Name)
Actions.TakeObject("Naglfar",potion.Name)
nal.Data=AllyNPCTypes.AllyDwarf(nal)
nal.Data.Resistances= copy.copy(CharStats.GetCharResistances("NPC"+nal.Kind))
darfuncs.HideBadGuy("Naglfar")


##### Archers ###########################


femarcher1=Bladex.CreateEntity("FemaleArcher1","ProAribeth_A",-2000.0,-11200.0,-8250.0,"Person")
femarcher1.Angle=0
femarcher1.SetMesh("Fema3")
femarcher1.ActionAreaMin=pow( 2,0 ) 
femarcher1.ActionAreaMax=pow( 2,1 ) 
inv=femarcher1.GetInventory()
o=Bladex.CreateEntity("FemaleArcher1WP","ProSword6",0,5000,0,"Weapon")
inv.AddWeapon("FemaleArcher1WP")
o=Bladex.CreateEntity("FemaleArcher1BW","Arco",0,0,0,"Weapon")
inv.AddBow("FemaleArcher1BW")
ItemTypes.ItemDefaultFuncs(o)
o=Bladex.CreateEntity("FemaleArcher1QV","Carcaj",0,0,0)
QuiverTypes.QuiverTypeFuncs(o)
inv.AddQuiver("FemaleArcher1QV")
o.Data.ArrowsLeft=4
femarcher1.Data=AllyNPCTypes.WarriorFemale(femarcher1)
femarcher1.Data.OnGuard=1
femarcher1.Data.SetGuardPoint(-2000,28250)
femarcher1.Data.Combatant=1
femarcher1.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher1.Data.LevelupArgs=(femarcher1.Name,)
femarcher1.Data.DeathFunc=AllyDead
femarcher1.Data.DeathArgs=(femarcher1.Name,)
femarcher1.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher1")

	


femarcher2=Bladex.CreateEntity("FemaleArcher2","ProAribeth_A",-7500.0, -9500.0, -25200.0,"Person","Fema8")
femarcher2.Angle=1.4
o=Bladex.CreateEntity("FemaleArcher2WP","ProSword6",0,5000,0,"Weapon")
Actions.TakeObject("FemaleArcher2","FemaleArcher2WP")
lwp=Bladex.CreateEntity("FemaleArcher2SH","KingShield",0,5000,0,"Weapon")
lwp.Scale=0.9
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("FemaleArcher2","FemaleArcher2SH")
femarcher2.Data=AllyNPCTypes.WarriorFemale(femarcher2)
femarcher2.Data.Combatant=1
femarcher2.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher2.Data.LevelupArgs=(femarcher2.Name,)
femarcher2.Data.DeathFunc=AllyDead
femarcher2.Data.DeathArgs=(femarcher2.Name,)
femarcher2.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher2")


femarcher3=Bladex.CreateEntity("FemaleArcher3","ProAribeth_A",5500.0, -10800.0, 34000.0,"Person")
femarcher3.Angle=1.7
femarcher3.SetMesh("Fema3")
femarcher3.ActionAreaMin=pow( 2,2 ) 
femarcher3.ActionAreaMax=pow( 2,3 ) 
inv=femarcher3.GetInventory()
o=Bladex.CreateEntity("FemaleArcher3WP","ProSword6",0,5000,0,"Weapon")
inv.AddWeapon("FemaleArcher3WP")
o=Bladex.CreateEntity("FemaleArcher3BW","Arco",0,0,0,"Weapon")
inv.AddBow("FemaleArcher3BW")
ItemTypes.ItemDefaultFuncs(o)
o=Bladex.CreateEntity("FemaleArcher3QV","Carcaj",0,0,0)
QuiverTypes.QuiverTypeFuncs(o)
inv.AddQuiver("FemaleArcher3QV")
o.Data.ArrowsLeft=4
femarcher3.Data=AllyNPCTypes.WarriorFemale(femarcher3)
#SetFemaleArcherLevelUpFunc(femarcher3.Name)
femarcher3.Data.Combatant=1
femarcher3.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher3.Data.LevelupArgs=(femarcher3.Name,)
femarcher3.Data.DeathFunc=AllyDead
femarcher3.Data.DeathArgs=(femarcher3.Name,)
femarcher3.Data.SetGuardPoint(-30000,10000)
femarcher3.Data.OnGuard=1
femarcher3.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher3")


femarcher4=Bladex.CreateEntity("FemaleArcher4","ProAribeth_A",-1750.0, -2200.0,-8250.0,"Person")
femarcher4.Angle=0
femarcher4.SetMesh("Fema3")
femarcher4.ActionAreaMin=pow( 2,4 ) 
femarcher4.ActionAreaMax=pow( 2,5 ) 
inv=femarcher4.GetInventory()
o=Bladex.CreateEntity("FemaleArcher4WP","ProSword6",0,5000,0,"Weapon")
inv.AddWeapon("FemaleArcher4WP")
o=Bladex.CreateEntity("FemaleArcher4BW","Arco",0,0,0,"Weapon")
inv.AddBow("FemaleArcher4BW")
ItemTypes.ItemDefaultFuncs(o)
o=Bladex.CreateEntity("FemaleArcher4QV","Carcaj",0,0,0)
QuiverTypes.QuiverTypeFuncs(o)
inv.AddQuiver("FemaleArcher4QV")
o.Data.ArrowsLeft=4
femarcher4.Data=AllyNPCTypes.WarriorFemale(femarcher4)
#SetFemaleArcherLevelUpFunc(femarcher4.Name)
femarcher4.Data.Combatant=1
femarcher4.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher4.Data.LevelupArgs=(femarcher4.Name,)
femarcher4.Data.DeathFunc=AllyDead
femarcher4.Data.DeathArgs=(femarcher4.Name,)
femarcher4.Data.SetGuardPoint(-1750,10000)
femarcher4.Data.OnGuard=1
femarcher4.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher4")


femarcher5=Bladex.CreateEntity("FemaleArcher5","ProAribeth_A",-16000.0, -8500.0,44000.0,"Person")
femarcher5.Angle=3.2
femarcher5.Level=2
femarcher5.SetMesh("Fema3")
femarcher5.ActionAreaMin=pow( 2,10 ) 
femarcher5.ActionAreaMax=pow( 2,11 ) 
inv=femarcher5.GetInventory()
o=Bladex.CreateEntity("FemaleArcher5WP","ProSword6",0,5000,0,"Weapon")
inv.AddWeapon("FemaleArcher5WP")
o=Bladex.CreateEntity("FemaleArcher5BW","Arco",0,0,0,"Weapon")
inv.AddBow("FemaleArcher5BW")
ItemTypes.ItemDefaultFuncs(o)
o=Bladex.CreateEntity("FemaleArcher5QV","CarcajEnvenenado",0,0,0)
QuiverTypes.QuiverTypeFuncs(o)
inv.AddQuiver("FemaleArcher5QV")
o.Data.ArrowsLeft=4
femarcher5.Data=AllyNPCTypes.WarriorFemale(femarcher5)
femarcher5.Data.Combatant=1
femarcher5.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher5.Data.LevelupArgs=(femarcher5.Name,)
femarcher5.Data.DeathFunc=AllyDead
femarcher5.Data.DeathArgs=(femarcher5.Name,)
femarcher5.Data.SetGuardPoint(-16750,8000)
femarcher5.Data.OnGuard=1
femarcher5.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher5")




femarcher6=Bladex.CreateEntity("FemaleArcher6","ProAribeth_A",31000.0, -1000.0,-20750.0,"Person","Fema18")
femarcher6.Angle=0
o=Bladex.CreateEntity("FemaleArcher6WP","ProSword6",0,5000,0,"Weapon")
Actions.TakeObject("FemaleArcher6","FemaleArcher6WP")
lwp=Bladex.CreateEntity("FemaleArcher6SH","Escudo4",0,0,0,"Weapon")
lwp.Scale=0.9
ItemTypes.ItemDefaultFuncs(lwp)
Actions.TakeObject("FemaleArcher6","FemaleArcher6SH")
femarcher6.Data=AllyNPCTypes.WarriorFemale(femarcher6)
femarcher6.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher6.Data.LevelupArgs=(femarcher6.Name,)
femarcher6.Data.DeathFunc=AllyDead
femarcher6.Data.DeathArgs=(femarcher6.Name,)
femarcher6.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher6")




femarcher7=Bladex.CreateEntity("FemaleArcher7","ProAribeth_A",5500.0, -10800.0, 20000.0,"Person")
femarcher7.Angle=1.7
femarcher7.SetMesh("Fema3")
femarcher7.ActionAreaMin=pow( 2,2 ) 
femarcher7.ActionAreaMax=pow( 2,3 ) 
inv=femarcher7.GetInventory()
o=Bladex.CreateEntity("FemaleArcher7WP","ProSword6",0,5000,0,"Weapon")
inv.AddWeapon("FemaleArcher7WP")
femarcher7.Data=AllyNPCTypes.WarriorFemale(femarcher7)
#SetFemaleArcherLevelUpFunc(femarcher7.Name)
femarcher7.Data.Combatant=1
femarcher7.Data.LevelupFunc=AllyNPCTypes.ArcherLevelUpFunc
femarcher7.Data.LevelupArgs=(femarcher7.Name,)
femarcher7.Data.DeathFunc=AllyDead
femarcher7.Data.DeathArgs=(femarcher7.Name,)
femarcher7.Data.SetGuardPoint(-30000,30000)
femarcher7.Data.OnGuard=1
femarcher7.SetOnFloor()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly("FemaleArcher7")




##########################################################################################################################################################
####### Lookouts (Position,Angle,AlarmFunc)


AllyNPCTypes.PlaceLookout("Lookout1",(2000.0, -15600.0, 6000.0),1.5,SoundAlarm)



##########################################################################################################################################################
######## Civilians


fem1=Bladex.CreateEntity("Female1","Fem1",9000.0, -11000.0, -11500.0,"Person")
fem1.Scale=1
fem1.Angle=0
fem1.Data=AllyNPCTypes.CivilianFemale(fem1)
fem1.Data.DeathFunc=CivlianDead
fem1.Data.DeathArgs=(fem1.Name,)
fem1.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
fem1.Data.LevelupArgs=(fem1.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Female1")
fem1.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(fem1.Name)
fem1.SetOnFloor()


fem2=Bladex.CreateEntity("Female2","Fem1",40000.0, -1000.0, 20000.0,"Person")
fem2.SetMesh("Fema11")
fem2.Scale=1
fem2.Angle=1.0
fem2.Data=AllyNPCTypes.CivilianFemale(fem2)
fem2.Data.DeathFunc=CivlianDead
fem2.Data.DeathArgs=(fem2.Name,)
fem2.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
fem2.Data.LevelupArgs=(fem2.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Female2")
fem2.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(fem2.Name)
fem2.SetOnFloor()


fem3=Bladex.CreateEntity("Female3","Fem1",34000.0, -1000.0, 23000.0,"Person")
fem3.SetMesh("Fema12")
fem3.Scale=1
fem3.Angle=1.6
fem3.Data=AllyNPCTypes.CivilianFemale(fem3)
fem3.Data.DeathFunc=CivlianDead
fem3.Data.DeathArgs=(fem3.Name,)
fem3.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
fem3.Data.LevelupArgs=(fem3.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Female3")
fem3.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(fem3.Name)
fem3.SetOnFloor()


fem4=Bladex.CreateEntity("Female4","Fem1",37000.0, -1000.0, 11500.0,"Person")
fem4.SetMesh("Fema13")
fem4.Scale=1
fem4.Angle=4.5
fem4.Data=AllyNPCTypes.CivilianFemale(fem4)
fem4.Data.DeathFunc=CivlianDead
fem4.Data.DeathArgs=(fem4.Name,)
fem4.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
fem4.Data.LevelupArgs=(fem4.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Female4")
fem4.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(fem4.Name)
fem4.SetOnFloor()


fem5=Bladex.CreateEntity("Female5","Fem1",6000.0, -6500.0, -9000.0,"Person")
fem5.SetMesh("Fema14")
fem5.Scale=1
fem5.Angle=2
fem5wp=Bladex.CreateEntity("Female5WP","Cazo",0,0,0,"Weapon")
Actions.TakeObject("Female5","Female5WP")
fem5.Data=AllyNPCTypes.CivilianFemale(fem5)
fem5.Data.DeathFunc=CivlianDead
fem5.Data.DeathArgs=(fem5.Name,)
fem5.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
fem5.Data.LevelupArgs=(fem5.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Female5")
fem5.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(fem5.Name)
fem5.SetOnFloor()


fem6=Bladex.CreateEntity("Female6","Fem1",7000.0, -6500.0, -10000.0,"Person")
fem6.SetMesh("Fema15")
fem6.Scale=1
fem6.Angle=4.7
fem6.Data=AllyNPCTypes.CivilianFemale(fem6)
fem6.Data.DeathFunc=CivlianDead
fem6.Data.DeathArgs=(fem6.Name,)
fem6.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
fem6.Data.LevelupArgs=(fem6.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Female6")
fem6.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(fem6.Name)
fem6.SetOnFloor()



man1=Bladex.CreateEntity("Man_1","Man1",47076.5047202, -1374.14642404, 12594.3525079,"Person")
man1.Scale=1.0
man1.Angle=2.4
man1.Data=AllyNPCTypes.CivilianMan(man1)
man1.Data.Combatant=1
man1.Data.DeathFunc=CivlianDead
man1.Data.DeathArgs=(man1.Name,)
man1.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
man1.Data.LevelupArgs=(man1.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Man_1")
man1.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(man1.Name)
man1.SetOnFloor()



man2=Bladex.CreateEntity("Man_2","Man1",44626,-1087,12619,"Person","Man9")
man2.Scale=1.0
man2.Angle=2.9
man2.Data=AllyNPCTypes.CivilianMan(man2)
man2.Data.Combatant=1
man2.Data.DeathFunc=CivlianDead
man2.Data.DeathArgs=(man2.Name,)
man2.Data.LevelupFunc=AllyNPCTypes.CivilianLevelUpFunc
man2.Data.LevelupArgs=(man2.Name,)
AllyNPCTypes.CivilianLevelUpFunc("Man_2")
man2.Data.SetGuardPoint()
char=Bladex.GetEntity("Player1")
char.Data.AddAlly(man2.Name)
man2.SetOnFloor()









