import Bladex
import Actions
import ItemTypes
import EnemyNPCTypes
import darfuncs
import copy
import CharStats
import Sparks
import CharStats

import QuiverTypes
import LittleImpTypes
import HorrorTypes
import EttercapTypes
import UmberhulkTypes



sectstart=Bladex.GetSector(6000,-2000, -2000)
sectstart.OnEnter=StartAttack

sectstart2=Bladex.GetSector(4000,-10000, 45000)
sectstart2.OnEnter=StartAttack

sectstart3=Bladex.GetSector(39000,-1000, -19000)
sectstart3.OnEnter=StartDemons


sectstart4=Bladex.GetSector(-15000,-5000, -53000)
sectstart4.OnEnter=StartGoblins

sectstart5=Bladex.GetSector(23000,-6000, -69500)
sectstart5.OnEnter=StartGoblins


sectstart6=Bladex.GetSector(18000,-1500, 0)
sectstart6.OnEnter=""





tkn1=Bladex.CreateEntity("StartTraitorKnight1","Knight_Traitor",-47422,-7156,29460,"Person")
tkn1.Angle=4.5
tkn1wp=Bladex.CreateEntity("StartTraitorKnight1WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn1wp)
Actions.TakeObject("StartTraitorKnight1","StartTraitorKnight1WP")
tkn1sh=Bladex.CreateEntity("StartTraitorKnight1SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn1sh)
Actions.TakeObject("StartTraitorKnight1","StartTraitorKnight1SH")
tkn1.Data=EnemyNPCTypes.EnemyKnight_Traitor(tkn1)
tkn1.SetOnFloor()
tkn1.Data.DeathFunc=EnemyDead
tkn1.Data.DeathArgs=(tkn1.Name,)
tkn1.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
tkn1.Data.LevelupArgs=(tkn1.Name,)
darfuncs.HideBadGuy("StartTraitorKnight1")


tkn2=Bladex.CreateEntity("StartTraitorKnight2","Knight_Traitor",-48656,-7916,33579,"Person")
tkn2.Angle=4.5
tkn2wp=Bladex.CreateEntity("StartTraitorKnight2WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn2wp)
Actions.TakeObject("StartTraitorKnight2","StartTraitorKnight2WP")
tkn2sh=Bladex.CreateEntity("StartTraitorKnight2SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn2sh)
Actions.TakeObject("StartTraitorKnight2","StartTraitorKnight2SH")
tkn2.Data=EnemyNPCTypes.EnemyKnight_Traitor(tkn2)
tkn2.SetOnFloor()
tkn2.Data.DeathFunc=EnemyDead
tkn2.Data.DeathArgs=(tkn2.Name,)
tkn2.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
tkn2.Data.LevelupArgs=(tkn2.Name,)
darfuncs.HideBadGuy("StartTraitorKnight2")


tkn3=Bladex.CreateEntity("StartTraitorKnight3","Knight_Traitor",-18433.2990231, 969.307904823, 63690.6993756,"Person")
tkn3.Angle=3.0
tkn3wp=Bladex.CreateEntity("StartTraitorKnight3WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn3wp)
Actions.TakeObject("StartTraitorKnight3","StartTraitorKnight3WP")
tkn3sh=Bladex.CreateEntity("StartTraitorKnight3SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn3sh)
Actions.TakeObject("StartTraitorKnight3","StartTraitorKnight3SH")
tkn3.Data=EnemyNPCTypes.EnemyKnight_Traitor(tkn3)
tkn3.SetOnFloor()
tkn3.Data.DeathFunc=EnemyDead
tkn3.Data.DeathArgs=(tkn3.Name,)
tkn3.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
tkn3.Data.LevelupArgs=(tkn3.Name,)
darfuncs.HideBadGuy("StartTraitorKnight3")


tkn4=Bladex.CreateEntity("StartTraitorKnight4","Knight_Traitor",-24665.2159516, 1008.7171779, 75604.0233635,"Person")
tkn4.Angle=3.0
tkn4wp=Bladex.CreateEntity("StartTraitorKnight4WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn4wp)
Actions.TakeObject("StartTraitorKnight4","StartTraitorKnight4WP")
tkn4sh=Bladex.CreateEntity("StartTraitorKnight4SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(tkn4sh)
Actions.TakeObject("StartTraitorKnight4","StartTraitorKnight4SH")
tkn4.Data=EnemyNPCTypes.EnemyKnight_Traitor(tkn4)
tkn4.SetOnFloor()
tkn4.Data.DeathFunc=EnemyDead
tkn4.Data.DeathArgs=(tkn4.Name,)
tkn4.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
tkn4.Data.LevelupArgs=(tkn4.Name,)
darfuncs.HideBadGuy("StartTraitorKnight4")


dkn1=Bladex.CreateEntity("StartDarkKnight1","Dark_Knight",-51835,-7675,31679,"Person")
dkn1.Angle=4.5
dkn1wp=Bladex.CreateEntity("StartDarkKnight1WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(dkn1wp)
Actions.TakeObject("StartDarkKnight1","StartDarkKnight1WP")
dkn1sh=Bladex.CreateEntity("StartDarkKnight1SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(dkn1sh)
Actions.TakeObject("StartDarkKnight1","StartDarkKnight1SH")
dkn1.Data=EnemyNPCTypes.EnemyKnight_Traitor(dkn1)
dkn1.SetOnFloor()
dkn1.Data.DeathFunc=EnemyDead
dkn1.Data.DeathArgs=(dkn1.Name,)
dkn1.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
dkn1.Data.LevelupArgs=(dkn1.Name,)
darfuncs.HideBadGuy("StartDarkKnight1")


## 2nd wave

dkn2=Bladex.CreateEntity("StartDarkKnight2","Dark_Knight",0,50000,0,"Person")
dkn2.Angle=4.5
dkn2wp=Bladex.CreateEntity("StartDarkKnight2WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(dkn2wp)
Actions.TakeObject("StartDarkKnight2","StartDarkKnight2WP")
dkn2sh=Bladex.CreateEntity("StartDarkKnight2SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(dkn2sh)
Actions.TakeObject("StartDarkKnight2","StartDarkKnight2SH")
dkn2.Data=EnemyNPCTypes.EnemyKnight_Traitor(dkn2)
dkn2.SetOnFloor()
dkn2.Data.DeathFunc=EnemyDead
dkn2.Data.DeathArgs=(dkn2.Name,)
dkn2.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
dkn2.Data.LevelupArgs=(dkn2.Name,)
darfuncs.HideBadGuy("StartDarkKnight2")


dkn3=Bladex.CreateEntity("StartDarkKnight3","Dark_Knight",0,50000,0,"Person")
dkn3.Angle=4.5
dkn3wp=Bladex.CreateEntity("StartDarkKnight3WP","Gladius",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(dkn3wp)
Actions.TakeObject("StartDarkKnight3","StartDarkKnight3WP")
dkn3sh=Bladex.CreateEntity("StartDarkKnight3SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(dkn3sh)
Actions.TakeObject("StartDarkKnight3","StartDarkKnight3SH")
dkn3.Data=EnemyNPCTypes.EnemyKnight_Traitor(dkn3)
dkn3.SetOnFloor()
dkn3.Data.DeathFunc=EnemyDead
dkn3.Data.DeathArgs=(dkn3.Name,)
dkn3.Data.LevelupFunc=EnemyNPCTypes.EnemyLevelUpFunc
dkn3.Data.LevelupArgs=(dkn3.Name,)
darfuncs.HideBadGuy("StartDarkKnight3")



### Imps

imp1=Bladex.CreateEntity("StartImp1","LittleImp_Air",14656,-5239,47511,"Person")
imp1.Angle=1
imp1.Data=LittleImpTypes.LittleImp(imp1)
imp1.Data.DeathFunc=LittleImpDead
imp1.Data.DeathArgs=(imp1.Name,)
imp1.SetOnFloor()
imp1.Freeze()


imp2=Bladex.CreateEntity("StartImp2","LittleImp_Air",54917,-6228,49161,"Person","LittleImp_Dust")
imp2.Angle=1
imp2.Data=LittleImpTypes.LittleImp(imp2)
imp2.Data.DeathFunc=LittleImpDead
imp2.Data.DeathArgs=(imp2.Name,)
imp2.SetOnFloor()
imp2.Freeze()


imp3=Bladex.CreateEntity("StartImp3","LittleImp_Air",53408,-5330,53472,"Person","LittleImp_Earth")
imp3.Angle=1
imp3.Data=LittleImpTypes.LittleImp(imp3)
imp3.Data.DeathFunc=LittleImpDead
imp3.Data.DeathArgs=(imp3.Name,)
imp3.SetOnFloor()
imp3.Freeze()


imp4=Bladex.CreateEntity("StartImp4","LittleImp_Air",44974,-1252,38697,"Person","LittleImp_Magma")
imp4.Angle=1
imp4.Data=LittleImpTypes.LittleImp(imp4)
imp4.Data.DeathFunc=LittleImpDead
imp4.Data.DeathArgs=(imp4.Name,)
imp4.SetOnFloor()
imp4.Freeze()


imp5=Bladex.CreateEntity("StartImp5","LittleImp_Air",24919,-10951,-23191,"Person","LittleImp_Ice")
imp5.Angle=1
imp5.Data=LittleImpTypes.LittleImp(imp5)
imp5.Data.DeathFunc=LittleImpDead
imp5.Data.DeathArgs=(imp5.Name,)
imp5.SetOnFloor()
imp5.Freeze()


imp6=Bladex.CreateEntity("StartImp6","LittleImp_Air",25732,-9868,-21467,"Person","LittleImp_Coal")
imp6.Angle=1
imp6.Data=LittleImpTypes.LittleImp(imp6)
imp6.Data.DeathFunc=LittleImpDead
imp6.Data.DeathArgs=(imp6.Name,)
imp6.Data.Resistances= copy.copy(CharStats.GetCharResistances("LittleImp_Coal"))
imp6.SetOnFloor()
imp6.Freeze()




# Lizard Men

LizardList=[]

hae1=Bladex.CreateEntity("StartHaedraline1","Haedraline_A",-50000,2800,107000,"Person")
hae1.Level=2
hae1wp=Bladex.CreateEntity("StartHaedraline1WP","LizardWeapon1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(hae1wp)
Actions.TakeObject("StartHaedraline1","StartHaedraline1WP")
hae1sh=Bladex.CreateEntity("StartHaedraline1SH","LizardShield1",0,0,0,"Weapon")
Sparks.MakeShield(hae1sh.Name)
Actions.TakeObject("StartHaedraline1","StartHaedraline1SH")
hae1.Data=EnemyNPCTypes.Haedraline(hae1)
hae1.Data.DeathFunc=HaedralineDead
hae1.Data.DeathArgs=(hae1.Name,)
hae1.Data.LevelupFunc=EnemyNPCTypes.HaedralineLevelUpFunc
hae1.Data.LevelupArgs=(hae1.Name,)
EnemyNPCTypes.HaedralineLevelUpFunc("StartHaedraline1")
darfuncs.HideBadGuy("StartHaedraline1")
LizardList.append("StartHaedraline1")

hae2=Bladex.CreateEntity("StartHaedraline2","Haedraline_A",-48000,2800,107000,"Person")
hae2.Angle=3
hae2.Level=3
hae2wp=Bladex.CreateEntity("StartHaedraline2WP","LizardWeapon1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(hae2wp)
Actions.TakeObject("StartHaedraline2","StartHaedraline2WP")
hae2sh=Bladex.CreateEntity("StartHaedraline2SH","LizardShield1",0,0,0,"Weapon")
Sparks.MakeShield(hae2sh.Name)
Actions.TakeObject("StartHaedraline2","StartHaedraline2SH")
hae2.Data=EnemyNPCTypes.Haedraline(hae2)
hae2.Data.LevelupFunc=EnemyNPCTypes.HaedralineLevelUpFunc
hae2.Data.LevelupArgs=(hae2.Name,)
hae2.Data.DeathFunc=HaedralineDead
hae2.Data.DeathArgs=(hae2.Name,)
EnemyNPCTypes.HaedralineLevelUpFunc("StartHaedraline2")
darfuncs.HideBadGuy("StartHaedraline2")
LizardList.append("StartHaedraline2")


hae3=Bladex.CreateEntity("StartHaedraline3","Haedraline_A",-48000,2800,105000,"Person")
hae3.Angle=3
hae3.Level=2
hae3wp=Bladex.CreateEntity("StartHaedraline3WP","LizardWeapon1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(hae3wp)
Actions.TakeObject("StartHaedraline3","StartHaedraline3WP")
hae3sh=Bladex.CreateEntity("StartHaedraline3SH","LizardShield1",0,0,0,"Weapon")
Sparks.MakeShield(hae3sh.Name)
Actions.TakeObject("StartHaedraline3","StartHaedraline3SH")
hae3.Data=EnemyNPCTypes.Haedraline(hae3)
hae3.Data.LevelupFunc=EnemyNPCTypes.HaedralineLevelUpFunc
hae3.Data.LevelupArgs=(hae3.Name,)
hae3.Data.DeathFunc=HaedralineDead
hae3.Data.DeathArgs=(hae3.Name,)
EnemyNPCTypes.HaedralineLevelUpFunc("StartHaedraline3")
darfuncs.HideBadGuy("StartHaedraline3")
LizardList.append("StartHaedraline3")

# Big Lizard

mrg1=Bladex.CreateEntity("StartMorag1","Morag_A",-200000,-10000,0,"Person")
mrg1.Angle=3
mrg1.Level=0
mrg1wp=Bladex.CreateEntity("StartMorag1WP","Cimitarra",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(mrg1wp)
mrg1wp.Scale=1.3
Actions.TakeObject("StartMorag1","StartMorag1WP")
mrg1.Data=EnemyNPCTypes.Haedraline(mrg1)
mrg1.Data.LevelupFunc=EnemyNPCTypes.MoragLevelUpFunc
mrg1.Data.LevelupArgs=(mrg1.Name,)
mrg1.Data.DeathFunc=MoragDead
mrg1.Data.DeathArgs=(mrg1.Name,)
darfuncs.HideBadGuy("StartMorag1")



# Nasty Demon type things

d1=Bladex.CreateEntity("Demon_1","Horror_A",54615,-10890,-36766,"Person")
d1.Angle=1.5
d1.Data=HorrorTypes.Horror(d1)
d1.Data.DeathFunc=DemonDead
d1.Data.DeathArgs=(d1.Name,)
d1.Freeze()


d2=Bladex.CreateEntity("Demon_2","Horror_A",55066,-1097,-22990,"Person", "LesserDemon_A")
d2.Angle=1.8
d2.Data=HorrorTypes.LesserDemon(d2)
d2.Data.DeathFunc=DemonDead
d2.Data.DeathArgs=(d2.Name,)
d2.Freeze()



ett1=Bladex.CreateEntity("StartEttercap1","Ettercap_1",5086,10529,172222,"Person")
ett1.Data=EttercapTypes.Ettercap(ett1)
ett1.Data.DeathFunc=EttercapDead
ett1.Data.DeathArgs=(ett1.Name,)
darfuncs.HideBadGuy(ett1.Name)

ett2=Bladex.CreateEntity("StartEttercap2","Ettercap_1",5286,10529,172222,"Person")
ett2.Data=EttercapTypes.Ettercap(ett2)
ett2.Data.DeathFunc=EttercapDead
ett2.Data.DeathArgs=(ett2.Name,)
darfuncs.HideBadGuy(ett2.Name)

ett3=Bladex.CreateEntity("StartEttercap3","Ettercap_1",5486,10529,172222,"Person")
ett3.Data=EttercapTypes.Ettercap(ett3)
ett3.Data.DeathFunc=EttercapDead
ett3.Data.DeathArgs=(ett3.Name,)
darfuncs.HideBadGuy(ett3.Name)

ett4=Bladex.CreateEntity("StartEttercap4","Ettercap_1",5686,10529,172222,"Person")
ett4.Data=EttercapTypes.Ettercap(ett4)
ett4.Data.DeathFunc=EttercapDead
ett4.Data.DeathArgs=(ett4.Name,)
darfuncs.HideBadGuy(ett4.Name)

ett5=Bladex.CreateEntity("StartEttercap5","Ettercap_1",5886,10529,172222,"Person")
ett5.Data=EttercapTypes.Ettercap(ett5)
ett5.Data.DeathFunc=EttercapDead
ett5.Data.DeathArgs=(ett5.Name,)
darfuncs.HideBadGuy(ett5.Name)

ett6=Bladex.CreateEntity("StartEttercap6","Ettercap_1",6086,10529,172222,"Person")
ett6.Data=EttercapTypes.Ettercap(ett6)
ett6.Data.DeathFunc=EttercapDead
ett6.Data.DeathArgs=(ett6.Name,)
darfuncs.HideBadGuy(ett6.Name)

ett7=Bladex.CreateEntity("StartEttercap7","Ettercap_1",6286,10529,172222,"Person")
ett7.Data=EttercapTypes.Ettercap(ett7)
ett7.Data.DeathFunc=EttercapDead
ett7.Data.DeathArgs=(ett7.Name,)
darfuncs.HideBadGuy(ett7.Name)

# Goblins

## Applying data 'GoblinArcher' will automatically equip them with catapults and set correct mesh



gob1=Bladex.CreateEntity("StartGoblin1","Goblin_A",-8000,-4000,-73000,"Person","Goblin_Archer")
gob1.Angle=1.5
gob1wp=Bladex.CreateEntity("StartGoblin1WP","HookSword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob1wp)
Actions.TakeObject("StartGoblin1","StartGoblin1WP")
gob1sh=Bladex.CreateEntity("StartGoblin1SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob1sh)
Actions.TakeObject("StartGoblin1","StartGoblin1SH")
gob1.Data=EnemyNPCTypes.Goblin(gob1)
gob1.SetOnFloor()
gob1.Data.DeathFunc=GoblinDead
gob1.Data.DeathArgs=(gob1.Name,)
gob1.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
gob1.Data.LevelupArgs=(gob1.Name,)
gob1.Freeze()



gob2=Bladex.CreateEntity("StartGoblin2","Goblin_A",-6000,-4000,-73000,"Person","Goblin_Archer")
gob2.Angle=3
gob2wp=Bladex.CreateEntity("StartGoblin2WP","HookSword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob2wp)
Actions.TakeObject("StartGoblin2","StartGoblin2WP")
gob2sh=Bladex.CreateEntity("StartGoblin2SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob2sh)
Actions.TakeObject("StartGoblin2","StartGoblin2SH")
gob2.Data=EnemyNPCTypes.GoblinArcher(gob2)
gob2.SetOnFloor()
gob2.Data.DeathFunc=GoblinDead
gob2.Data.DeathArgs=(gob2.Name,)
gob2.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
gob2.Data.LevelupArgs=(gob2.Name,)
gob2.Freeze()


gob3=Bladex.CreateEntity("StartGoblin3","Goblin_A",-6497,-4069,-76654,"Person")
gob3.Angle=0.6
gob3wp=Bladex.CreateEntity("StartGoblin3WP","Garrote",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob3wp)
Actions.TakeObject("StartGoblin3","StartGoblin3WP")
gob3sh=Bladex.CreateEntity("StartGoblin3SH","Escudo5",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob3sh)
Actions.TakeObject("StartGoblin3","StartGoblin3SH")
gob3.Data=EnemyNPCTypes.GoblinArcher(gob3)
gob3.SetOnFloor()
gob3.Data.DeathFunc=GoblinDead
gob3.Data.DeathArgs=(gob3.Name,)
gob3.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
gob3.Data.LevelupArgs=(gob3.Name,)
gob3.Freeze()

# Goblin_B is bigger and green

gob4=Bladex.CreateEntity("StartGoblin4","Goblin_A",-12530,-4056,-82174,"Person","Goblin_B")
gob4.Angle=2.6
gob4wp=Bladex.CreateEntity("StartGoblin4WP","Hacha4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob4wp)
Actions.TakeObject("StartGoblin4","StartGoblin4WP")
gob4sh=Bladex.CreateEntity("StartGoblin4SH","Escudo1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob4sh)
Actions.TakeObject("StartGoblin4","StartGoblin4SH")
gob4.Data=EnemyNPCTypes.Goblin(gob4)
gob4.SetOnFloor()
gob4.Data.DeathFunc=GoblinDead
gob4.Data.DeathArgs=(gob4.Name,)
gob4.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
gob4.Data.LevelupArgs=(gob4.Name,)
gob4.Freeze()



gob5=Bladex.CreateEntity("StartGoblin5","Goblin_A",73542,112,-78514,"Person","Goblin_B")
gob5.Angle=2.6
gob5wp=Bladex.CreateEntity("StartGoblin5WP","Hacha4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob5wp)
Actions.TakeObject("StartGoblin5","StartGoblin5WP")
gob5sh=Bladex.CreateEntity("StartGoblin5SH","Escudo1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob5sh)
Actions.TakeObject("StartGoblin5","StartGoblin5SH")
gob5.Data=EnemyNPCTypes.Goblin(gob5)
gob5.SetOnFloor()
gob5.Data.DeathFunc=GoblinDead
gob5.Data.DeathArgs=(gob5.Name,)
gob5.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
gob5.Data.LevelupArgs=(gob5.Name,)
gob5.Freeze()


gob6=Bladex.CreateEntity("StartGoblin6","Goblin_A",91383,421,-75195,"Person","Goblin_B")
gob6.Angle=2.6
gob6wp=Bladex.CreateEntity("StartGoblin6WP","Hacha4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob6wp)
Actions.TakeObject("StartGoblin6","StartGoblin6WP")
gob6sh=Bladex.CreateEntity("StartGoblin6SH","Escudo1",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(gob6sh)
Actions.TakeObject("StartGoblin6","StartGoblin6SH")
gob6.Data=EnemyNPCTypes.Goblin(gob6)
gob6.SetOnFloor()
gob6.Data.DeathFunc=GoblinDead
gob6.Data.DeathArgs=(gob6.Name,)
gob6.Data.LevelupFunc=EnemyNPCTypes.GoblinLevelUpFunc
gob6.Data.LevelupArgs=(gob6.Name,)
gob6.Freeze()






umb2=Bladex.CreateEntity("BigGuy","Umberhulk",-80000, 10000, 227000,"Person")
umb2.Data=UmberhulkTypes.Umberhulk(umb2)
umb2.SetOnFloor()
darfuncs.HideBadGuy("BigGuy")
umb2.Data.DeathFunc=BigGuyDead
umb2.Data.DeathArgs=(umb2.Name,)
