import AniSound
import Basic_Funcs
import Actions
import ItemTypes
import Reference
import Sparks
import os
import whrandom
import QuiverTypes




print "Execing PJ.py"

PlayerName="Sargon"


initpos= 18000, -1100, -2000

try:
	execfile("../../Config/DwarfWarsII.cfg")
except:
	pass
	
	

if PlayerName in ("Dorcas","Masklin"):
	if not os.path.exists("../../Maps/WizardsDomain/wiz_id.py"):
		PlayerName="Sargon"
		print "No Path for Wizard. Defaulting to Sargon"



if PlayerName == "Sargon":
	char=Bladex.CreateEntity("Player1","Knight_N",initpos[0],initpos[1],initpos[2], "Person")
	sw=Bladex.CreateEntity("StartWP","ProSword4",0,0,0,"Weapon")
	sh=Bladex.CreateEntity("StartSH","Escudo3",0,0,0,"Weapon")
	Sparks.MakeShield(sh.Name)
elif PlayerName == "Zoe":
	char=Bladex.CreateEntity("Player1","Amazon_N",initpos[0],initpos[1],initpos[2], "Person")
	sw=Bladex.CreateEntity("StartWP","ProSpear21",0,0,0,"Weapon")
elif PlayerName == "Naglfar":
	char=Bladex.CreateEntity("Player1","Dwarf_N",initpos[0],initpos[1],initpos[2], "Person")
	sw=Bladex.CreateEntity("StartWP","ProAxe12",0,0,0,"Weapon")
	sh=Bladex.CreateEntity("StartSH","KingShield",0,0,0,"Weapon")
	Sparks.MakeShield(sh.Name)
elif PlayerName == "Tukaram":
	char=Bladex.CreateEntity("Player1","Barbarian_N",initpos[0],initpos[1],initpos[2], "Person")
	sw=Bladex.CreateEntity("StartWP","ProSword15",0,0,0, "Weapon")
	ItemTypes.ItemDefaultFuncs(sw)
elif PlayerName == "Masklin":
	import MasklinData
	char=Bladex.CreateEntity("Player1","Wizard_A",initpos[0],initpos[1],initpos[2], "Person")
	sw=Bladex.CreateEntity("StartWP","ProStaff1",0,0,0, "Weapon")
	sw.Lights = [(0.0, 0.55, (40, 40, 40))]
	import MasklinMagic
	sw.Data=MasklinMagic.WizardStaff(sw)
	shd=Bladex.CreateEntity("StartSH","ProWizShield1",0,5000,0, "Weapon")
	shd.Data=MasklinMagic.WizardShield(shd)
		
elif PlayerName == "Dorcas":
	import DorcasData
	import DorcasTypes
	import DorcasWeaponTypes
	char=Bladex.CreateEntity("Player1","Fem1Wiz",initpos[0],initpos[1],initpos[2], "Person")
	sw=Bladex.CreateEntity("StartWP","ProRHWep2",0,5000,0, "Weapon")
	shd=Bladex.CreateEntity("StartSH","ProLHWep2",0,5000,0, "Weapon")
	shd.Data=DorcasWeaponTypes.ShieldSword(shd)
	
		
	
	
	
import PlayerTypes
char.Angle=1.4


BOWTYPE="Arco3"

inv=char.GetInventory()

if PlayerName=="Masklin":
	BOWTYPE="WizBow1"
	import MasklinTypes
	char.Data=MasklinTypes.Wizard(char)
	char.Data.StaffName=sw.Name
	sw2=Bladex.CreateEntity("WizardSword_1","WizardSword",0,5000,0, "Weapon")
	sw2.Data=MasklinMagic.WizardSword(sw2)
	inv.AddWeapon("WizardSword_1")
	char.Data.SwordName=sw2.Name
	char.Data.SpellBook=[1,2,3,4,5,6,7,9]
	char.Data.SwordPowers=[1,2,3,4]
	WizSkins=["Wizard_A",
		  "Wizard_B",
		  "Wizard_L",
		  "Wizard_P",
		  "Wizard_O",
		  "Wizard_N"]
		  
	randnum=whrandom.randint(0,len(WizSkins))
	char.SetMesh(WizSkins[randnum-1])
	char.Data.OrigMeshName=(WizSkins[randnum-1])
	
elif PlayerName=="Dorcas":
	char.Data=DorcasTypes.Dorcas(char)
	sw2=Bladex.CreateEntity("Katar","ProBlade5",0,5000,0,"Weapon")
	sw2.Data=DorcasWeaponTypes.BoomerangWeapon(sw2)
	inv.AddWeapon(sw2.Name)
	
	
	
else:
	char.Data=PlayerTypes.Player(char)
	char.Data.LevelupFunc=PlayerTypes.UpdateWeaponDamage
	PlayerTypes.UpdateWeaponDamage()
	
	
char.Data.ResetSounds("Player1")
char.SendTriggerSectorMsgs=1
char.SetOnFloor()

Actions.TakeObject("Player1","StartWP")
if PlayerName in ("Sargon","Naglfar","Masklin","Dorcas"):
	Actions.TakeObject("Player1","StartSH")
	


	
o=Bladex.CreateEntity("PlayerBow",BOWTYPE,0,5000,0,"Weapon")
o.Data=ItemTypes.Arco(o)
inv.AddBow(o.Name)

o=Bladex.CreateEntity("PlayerQuiver","Carcaj",0,0,0)
o.Data=QuiverTypes.Quiver(o)
inv.AddQuiver(o.Name)

char.Data.RespawnActive=1